#include "lg_color.inc"
#include "lg_defs.inc"

// The two included files above are essential for LGEO to work. They define colors
// and measurements for the LGEO Library files. If you build your scene from new,
// do not forget to include these files.


#include "l2p_test.inc"

// replace this with your own model file.


object {
 plane { z, -LG_TOP_HEIGHT } // locate the plane below a baseplate
 texture { pigment { checker colour Gray60 colour Gray30 scale LG_BRICK_WIDTH } }
}

// Put a plane on the ground with checkers pattern matching one brick size fields.

light_source { <-50, 35, 45> color White }
light_source { <20, 60, 50> color White }
light_source { <-45, -45, 30> color White }

// stray in some lights.

camera {
 location <-15*LG_BRICK_WIDTH, 15*LG_BRICK_WIDTH, 10*LG_BRICK_HEIGHT>
 sky <0, 0, 1>
 up <0, 1, 0>
 look_at <0, 0, 0>
}

// Note that Y and Z axis have switched meanings to LDraw. That means, the Z Axis
// (third coordinate) is the height coordinate, and it has a switched sign, too.
// If you model does not fit the picture, increase the values of the location vector.
// To get another direction, switch signs of the first two coordinates of the location.
// If you move th third coordinate below 0, you will have to remove the plane object
// to see your model from below.
// If you are more experienced, try to change the look_at vector also, to focus on a
// special point. Perhaps try location <a,b, 3.5*LG_BRICK_HEIGHT>, where a and b are
// to your likes. This will give a look from minifig exe-level. If you now move 
// look_at higher than this, you will get an upward look without moving below zero.
// The sky and up vectors should not be changed, the declare the orientation of the
// camera inside the coordinate system. You may try it, but don't blame me.

