/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980414 Lutz Uhlmann                                                       */
/* 20070916 Lutz Uhlmann moved from lg_0645 to lg_0645c                        */
/* 20071201 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_0645c: Window 1 x 6 x 2 with short sill                                  */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_0645c)
#else
#declare LENGTH = 1;
#declare WIDTH = 6;
#declare HEIGHT = 2;
#declare lg_0645c = 
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.2>,
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <0, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.28>,
    LG_CORNER_SPACE
    rotate <0, -26.5 ,0>
    translate <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.22>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2+LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1, -0.18-LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
     }
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2+LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18>,
      <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34>
     }
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2+LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
     }
    }
    union {
     box {
      <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>
     }
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.2, -0.28>,
      <LENGTH/2*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.44>
     }
    }
   }
   #if (MIR=1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end 
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.25>,
    <-0.1, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    rotate <0, -26.5, 0>
    translate <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   box {
    <0, WIDTH/2*LG_BRICK_WIDTH, 0.25>,
    <-0.1, -WIDTH/2*LG_BRICK_WIDTH, 0>
    rotate <0, -26.5, 0>
    translate <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT+0.22>,
    <LENGTH/2*LG_BRICK_WIDTH-0.3, -WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.32>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, -WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT-0.4>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.4>,
    <0, -WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT-0.4>
   }
  }
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08>
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, 1.5*LG_BRICK_WIDTH-0.1, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34>
   }
  }
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, 1.5*LG_BRICK_WIDTH-0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -1.5*LG_BRICK_WIDTH+0.2, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, -WIDTH/2*LG_BRICK_WIDTH+0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -1.5*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
  }
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 #declare CYL_X = -2;
 #while (CYL_X < 3)
  difference {
   union {
    box {
     <LENGTH/2*LG_BRICK_WIDTH-0.1, CYL_X*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT>,
     <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, CYL_X*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT+0.2>
    }
    cylinder {
     <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, CYL_X*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
     <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, CYL_X*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.2>
     LG_KNOB_INNER_RADIUS
    }
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, CYL_X*LG_BRICK_WIDTH-0.05, -HEIGHT*LG_BRICK_HEIGHT+0.15>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, CYL_X*LG_BRICK_WIDTH+0.05, -HEIGHT*LG_BRICK_HEIGHT+0.25>
   }
  } 
  #declare CYL_X = CYL_X + 1;
 #end
 #declare CYL_X = -2.5;
 #while (CYL_X < 3)
  object {
   lg_tech_knob_logo
   rotate <0, 0, -90>
   translate <0, CYL_X*LG_BRICK_WIDTH, 0>
  } 
  #declare CYL_X = CYL_X + 1;
 #end
} 

#declare lg_0645c_clear = 
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.2>,
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <0, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.28>,
    LG_CORNER_SPACE
    rotate <0, -26.5 ,0>
    translate <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.22>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
   }
   difference {
    merge {
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2+LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1, -0.18-LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
     }
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2+LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18>,
      <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34>
     }
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2+LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
     }
    }
    merge {
     box {
      <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>
     }
     box {
      <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.2, -0.28>,
      <LENGTH/2*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.44>
     }
    }
   }
   #if (MIR=1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end 
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.25>,
    <-0.1, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    rotate <0, -26.5, 0>
    translate <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
   box {
    <0, WIDTH/2*LG_BRICK_WIDTH, 0.25>,
    <-0.1, -WIDTH/2*LG_BRICK_WIDTH, 0>
    rotate <0, -26.5, 0>
    translate <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT+0.22>,
    <LENGTH/2*LG_BRICK_WIDTH-0.3, -WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.32>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, -WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT-0.4>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.4>,
    <0, -WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT-0.4>
   }
  }
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.08-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08>
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, 1.5*LG_BRICK_WIDTH-0.1, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, 1.5*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34>
   }
  }
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, 1.5*LG_BRICK_WIDTH-0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -1.5*LG_BRICK_WIDTH+0.2, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, -WIDTH/2*LG_BRICK_WIDTH+0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -1.5*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
  }
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 #declare CYL_X = -2;
 #while (CYL_X < 3)
  difference {
   merge {
    box {
     <LENGTH/2*LG_BRICK_WIDTH-0.1, CYL_X*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT>,
     <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, CYL_X*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT+0.2>
    }
    cylinder {
     <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, CYL_X*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
     <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, CYL_X*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.2>
     LG_KNOB_INNER_RADIUS
    }
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, CYL_X*LG_BRICK_WIDTH-0.05, -HEIGHT*LG_BRICK_HEIGHT+0.15>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, CYL_X*LG_BRICK_WIDTH+0.05, -HEIGHT*LG_BRICK_HEIGHT+0.25>
   }
  } 
  #declare CYL_X = CYL_X + 1;
 #end
 #declare CYL_X = -2.5;
 #while (CYL_X < 3)
  object {
   lg_tech_knob_logo_clear
   rotate <0, 0, -90>
   translate <0, CYL_X*LG_BRICK_WIDTH, 0>
  } 
  #declare CYL_X = CYL_X + 1;
 #end
} 

#end
