/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980319 Lutz Uhlmann                                                       */
/* 20071102 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2337: Space Windscreen Expander                                          */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2337)
#else
#declare lg_2337 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>,
    <LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08
   }
   difference {
    box {
     <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
    }
    union {
     box {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE>
     }
     box {
      <-0.08, 2*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>
     }
    }
   }  
   box {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, LG_E>,
    <2*LG_WALL_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   difference {
    box {
     <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_E>,
     <2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH-LG_E, 0, 0>,
     <2*LG_WALL_WIDTH+LG_E, 2*LG_WALL_WIDTH, -2*LG_WALL_WIDTH>
     rotate <-45, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH>
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR +1;
 #end
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 box {
  <LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, LG_E>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
 }
 difference {
  box {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
  }
  union {
   object {
    lg_knob_inner_space
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }

 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    <0, LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    <0, -LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
  }
  box {
   <0, 2*LG_BRICK_WIDTH, LG_E>,
   <LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  union {
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, 0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 0>,
    <-LG_E, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
    <-LG_E, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
  }
 }
 #declare HOLDER = -2;
 #while (HOLDER < 3)
  union {
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    box {
     <LG_BRICK_WIDTH-LG_KNOB_RADIUS-LG_E, LG_WALL_WIDTH/2+LG_E, -LG_PLATE_HEIGHT-LG_E>,
     <LG_BRICK_WIDTH, -LG_WALL_WIDTH/2-LG_E, LG_E>
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2, -LG_KNOB_INNER_RADIUS>,
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2, -LG_KNOB_INNER_RADIUS>,
      LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>,
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>,
      LG_KNOB_INNER_RADIUS
     }
     torus {
      LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>
     }
     torus {
      LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>
     }
    }
   }
   #if ((HOLDER = -2) | (HOLDER = 2))
    translate <3*LG_BRICK_WIDTH+LG_KNOB_RADIUS, HOLDER*(LG_BRICK_WIDTH-LG_WALL_WIDTH/4), LG_WALL_WIDTH>
   #else
    translate <3*LG_BRICK_WIDTH+LG_KNOB_RADIUS, HOLDER*LG_BRICK_WIDTH, LG_WALL_WIDTH>
   #end
  } 
  #declare HOLDER = HOLDER + 1;
 #end
}

#declare lg_2337_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>,
    <LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08
   }
   difference {
    box {
     <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
    }
    union {
     box {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE>
     }
     box {
      <-0.08, 2*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.08>
     }
    }
   }  
   box {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, LG_E>,
    <2*LG_WALL_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   difference {
    box {
     <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_E>,
     <2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH-LG_E, 0, 0>,
     <2*LG_WALL_WIDTH+LG_E, 2*LG_WALL_WIDTH, -2*LG_WALL_WIDTH>
     rotate <-45, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH>
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR +1;
 #end
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 box {
  <LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, LG_E>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
 }
 difference {
  box {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
  }
  union {
   object {
    lg_knob_inner_space_clear
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space_clear
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space_clear
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space_clear
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space_clear
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space_clear
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space_clear
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_inner_space_clear
    translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH>
 }

 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    <0, LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    <0, -LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
  }
  box {
   <0, 2*LG_BRICK_WIDTH, LG_E>,
   <LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  merge {
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, 0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 0>,
    <-LG_E, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
    <-LG_E, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
  }
 }
 #declare HOLDER = -2;
 #while (HOLDER < 3)
  merge {
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    box {
     <LG_BRICK_WIDTH-LG_KNOB_RADIUS-LG_E, LG_WALL_WIDTH/2+LG_E, -LG_PLATE_HEIGHT-LG_E>,
     <LG_BRICK_WIDTH, -LG_WALL_WIDTH/2-LG_E, LG_E>
    }
    merge {
     cylinder {
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2, -LG_KNOB_INNER_RADIUS>,
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2, -LG_KNOB_INNER_RADIUS>,
      LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>,
      <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>,
      LG_KNOB_INNER_RADIUS
     }
     torus {
      LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH-LG_KNOB_RADIUS, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>
     }
     torus {
      LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH-LG_KNOB_RADIUS, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_INNER_RADIUS>
     }
    }
   }
   #if ((HOLDER = -2) | (HOLDER = 2))
    translate <3*LG_BRICK_WIDTH+LG_KNOB_RADIUS, HOLDER*(LG_BRICK_WIDTH-LG_WALL_WIDTH/4), LG_WALL_WIDTH>
   #else
    translate <3*LG_BRICK_WIDTH+LG_KNOB_RADIUS, HOLDER*LG_BRICK_WIDTH, LG_WALL_WIDTH>
   #end
  } 
  #declare HOLDER = HOLDER + 1;
 #end
}

#end
