/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980810 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2375: Hinge Rod with Split Holder 12                                     */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2375)
#else
#declare lg_2375 =
union {
 sphere {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, 0>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, 0>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
  LG_WALL_WIDTH
 }
 box {
  <LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH, 0>,
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH, 0>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
  LG_WALL_WIDTH
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, 0>,
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH, 0>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
  LG_WALL_WIDTH
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
  <0, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
  <0, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
  <0, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  cylinder {
   <0, 2*LG_WALL_WIDTH, 0>,
   <0, -2*LG_WALL_WIDTH, 0>,
   LG_WALL_WIDTH
  }
  box {
   <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
  }
 }
 cylinder {
  <LG_CORNER_SPACE, 0.08, 0>,
  <-10*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0.08, 0>,
  LG_WALL_WIDTH
 }
 cylinder {
  <LG_CORNER_SPACE, -0.08, 0>,
  <-10*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -0.08, 0>,
  LG_WALL_WIDTH
 }
 box {
  <LG_CORNER_SPACE, -0.08, -LG_WALL_WIDTH>,
  <-10*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0.08, LG_WALL_WIDTH>
 }
 difference {
  union {
   difference {
    union {
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH>,
      LG_CYLINDER_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CYLINDER_RADIUS
     }
    }
    union {
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH+LG_E>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH-LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, 0>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
    }
   }
   object {
    lg_tech_knob
    translate <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <-10.5*LG_BRICK_WIDTH, 0.04, 3*LG_WALL_WIDTH>,
   <-11*LG_BRICK_WIDTH, -0.04, -LG_WALL_WIDTH-LG_E>
  }
 }
}

#declare lg_2375_clear =
merge {
 sphere {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, 0>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, 0>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
  LG_WALL_WIDTH
 }
 box {
  <LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH, 0>,
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH, 0>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
  LG_WALL_WIDTH
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, 0>,
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH, 0>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
  LG_WALL_WIDTH
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
  <0, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
  <0, 0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <2*LG_WALL_WIDTH, -0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
  <0, -1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <2*LG_WALL_WIDTH, -2.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  cylinder {
   <0, 2*LG_WALL_WIDTH, 0>,
   <0, -2*LG_WALL_WIDTH, 0>,
   LG_WALL_WIDTH
  }
  box {
   <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
  }
 }
 cylinder {
  <LG_CORNER_SPACE, 0.08, 0>,
  <-10*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0.08, 0>,
  LG_WALL_WIDTH
 }
 cylinder {
  <LG_CORNER_SPACE, -0.08, 0>,
  <-10*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -0.08, 0>,
  LG_WALL_WIDTH
 }
 box {
  <LG_CORNER_SPACE, -0.08, -LG_WALL_WIDTH>,
  <-10*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0.08, LG_WALL_WIDTH>
 }
 difference {
  merge {
   difference {
    merge {
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH>,
      LG_CYLINDER_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CYLINDER_RADIUS
     }
    }
    union {
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH+LG_E>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH-LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <-10.5*LG_BRICK_WIDTH, 0, 0>,
      <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
    }
   }
   object {
    lg_tech_knob_clear
    translate <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-10.5*LG_BRICK_WIDTH, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-10.5*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <-10.5*LG_BRICK_WIDTH, 0.04, 3*LG_WALL_WIDTH>,
   <-11*LG_BRICK_WIDTH, -0.04, -LG_WALL_WIDTH-LG_E>
  }
 }
}

#end
