/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19971029 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2377: Window 1 x 2 x 2 Plane                                             */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2377)
#else
#declare WIDTH = 2;
#declare lg_2377 = 
union {
 #declare ROT = 0;
 #while (ROT < 2)
  union {
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT=1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end 
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <-LG_WALL_WIDTH, 0.2, -2*LG_BRICK_HEIGHT-LG_E>,
    <-LG_WALL_WIDTH, 0.2, -5*LG_PLATE_HEIGHT+LG_E>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-LG_WALL_WIDTH, -0.2, -2*LG_BRICK_HEIGHT-LG_E>,
    <-LG_WALL_WIDTH, -0.2, -5*LG_PLATE_HEIGHT+LG_E>,
    LG_WALL_WIDTH/2
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT-LG_E>
   }
  }
 }
 difference {
  union {
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <-LG_WALL_WIDTH, 0, LG_E>,
    <-LG_WALL_WIDTH, 0, -LG_CORNER_SPACE>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH, 0, LG_E>,
    <-LG_WALL_WIDTH, 0, -LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH/2
   }
  }
 }
 torus {
  LG_WALL_WIDTH/2+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-LG_WALL_WIDTH, 0, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <-0.5*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
  }
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
  union {
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 object {
  lg_plate_column
  translate <0, 0, -2*LG_BRICK_HEIGHT>
 }
 object {
  lg_knob
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 rotate <0, 0, 180>
} 

#declare lg_2377_clear = 
merge {
 #declare ROT = 0;
 #while (ROT < 2)
  merge {
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT=1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end 
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <-LG_WALL_WIDTH, 0.2, -2*LG_BRICK_HEIGHT-LG_E>,
    <-LG_WALL_WIDTH, 0.2, -5*LG_PLATE_HEIGHT+LG_E>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-LG_WALL_WIDTH, -0.2, -2*LG_BRICK_HEIGHT-LG_E>,
    <-LG_WALL_WIDTH, -0.2, -5*LG_PLATE_HEIGHT+LG_E>,
    LG_WALL_WIDTH/2
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT-LG_E>
   }
  }
 }
 difference {
  merge {
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <-LG_WALL_WIDTH, 0, LG_E>,
    <-LG_WALL_WIDTH, 0, -LG_CORNER_SPACE>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH, 0, LG_E>,
    <-LG_WALL_WIDTH, 0, -LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH/2
   }
  }
 }
 torus {
  LG_WALL_WIDTH/2+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-LG_WALL_WIDTH, 0, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <-0.5*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2+LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
  }
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
  union {
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -2*LG_BRICK_HEIGHT>
 }
 object {
  lg_knob_clear
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob_clear
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 rotate <0, 0, 180>
} 

#end
