/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980319 Lutz Uhlmann                                                       */
/* 20071123 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2408: Panel 10 x 6 x 11                                                  */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2408)
#else
#declare lg_angle1=pi/2-atan2(4*LG_BRICK_WIDTH,2*LG_BRICK_HEIGHT);
#declare lg_angle2=pi/2-atan2(3*LG_BRICK_WIDTH,4*LG_BRICK_HEIGHT);
#declare lg_2408 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   box {
    <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -11*LG_BRICK_HEIGHT>
   }
   box {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   intersection {
    torus {
     0.08+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    box {
     <0.2, 0.1, 0>,
     <0, -0.1, -0.2>
    }
    translate <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -11*LG_BRICK_HEIGHT>,
    <8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -32.1*LG_PLATE_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <8*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -11*LG_BRICK_HEIGHT>,
    <8*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -32.1*LG_PLATE_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   box {
    <1.8*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    box {
     <1.8*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    box {
     <-LG_E, 3*LG_BRICK_WIDTH+LG_E, 0>,
     <LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0.5>
     rotate <0, lg_angle1*180/pi, 0>
     translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   union {
    box {
     <0, 3*LG_BRICK_WIDTH, 0>,
     <4*LG_BRICK_WIDTH/cos(lg_angle1), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -0.24+2*LG_CORNER_SPACE>
    }
    cylinder {
     <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     <4*LG_BRICK_WIDTH/cos(lg_angle1), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    rotate <0, lg_angle1*180/pi, 0>
    translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   union {
    box {
     <0, 3*LG_BRICK_WIDTH, 0>,
     <3*LG_BRICK_WIDTH/cos(lg_angle2), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -0.24+2*LG_CORNER_SPACE>
    }
    cylinder {
     <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     <3*LG_BRICK_WIDTH/cos(lg_angle2), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    rotate <0, lg_angle2*180/pi, 0>
    translate <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <8*LG_BRICK_WIDTH, 0, -11*LG_BRICK_HEIGHT>,
  <8*LG_BRICK_WIDTH, 0, -32.1*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <8.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT>
 }
 box {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT>
 }
 box {
  <7.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <8.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
  <8.4*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
   <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT+0.08>
  }
  union {
   cylinder {
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT+0.08>,
    <8.1*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   cylinder {
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT+0.08>,
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -32*LG_PLATE_HEIGHT+0.08>,
    0.08+LG_CORNER_SPACE
   }
   cylinder {
    <8.1*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT+0.08>,
    <8.1*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH-LG_E, -32*LG_PLATE_HEIGHT+0.08>,
    0.08+LG_CORNER_SPACE
   }
  }
 }
 box {
  <8.2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH/cos(lg_angle1), -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>
  rotate <0, lg_angle1*180/pi, 0>
  translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 box {
  <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/cos(lg_angle2), -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>
  rotate <0, lg_angle2*180/pi, 0>
  translate <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
 }
 #declare CYL = -2;
 #while (CYL < 3)
  object {
   lg_plate_cylinder
   translate <LG_BRICK_WIDTH/2, CYL*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  object {
   lg_plate_cylinder
   translate <-LG_BRICK_WIDTH/2, CYL*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  #declare CYL = CYL + 1;
 #end
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB = -2.5;
   #while (KNOB < 3)
    object {
     lg_knob_inner_space
     translate <LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <0, KNOB*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <-LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB = KNOB + 1;
   #end
  }
 }
 #declare KNOB = -2.5;
 #while (KNOB < 3)
  object {
   lg_knob
   rotate <0, 0, 90>
   translate <LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob
   rotate <0, 0, 90>
   translate <0, KNOB*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob
   rotate <0, 0, 90>
   translate <-LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB = KNOB + 1;
 #end
}

#declare lg_2408_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   box {
    <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -11*LG_BRICK_HEIGHT>
   }
   box {
    <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   intersection {
    torus {
     0.08+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    box {
     <0.2, 0.1, 0>,
     <0, -0.1, -0.2>
    }
    translate <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -11*LG_BRICK_HEIGHT>,
    <8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -32.1*LG_PLATE_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <8*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -11*LG_BRICK_HEIGHT>,
    <8*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -32.1*LG_PLATE_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   box {
    <1.8*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    box {
     <1.8*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    box {
     <-LG_E, 3*LG_BRICK_WIDTH+LG_E, 0>,
     <LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0.5>
     rotate <0, lg_angle1*180/pi, 0>
     translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   merge {
    box {
     <0, 3*LG_BRICK_WIDTH, 0>,
     <4*LG_BRICK_WIDTH/cos(lg_angle1), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -0.24+2*LG_CORNER_SPACE>
    }
    cylinder {
     <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     <4*LG_BRICK_WIDTH/cos(lg_angle1), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    rotate <0, lg_angle1*180/pi, 0>
    translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   merge {
    box {
     <0, 3*LG_BRICK_WIDTH, 0>,
     <3*LG_BRICK_WIDTH/cos(lg_angle2), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -0.24+2*LG_CORNER_SPACE>
    }
    cylinder {
     <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     <3*LG_BRICK_WIDTH/cos(lg_angle2), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.24+2*LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    rotate <0, lg_angle2*180/pi, 0>
    translate <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <8*LG_BRICK_WIDTH, 0, -11*LG_BRICK_HEIGHT>,
  <8*LG_BRICK_WIDTH, 0, -32.1*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <8.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <8.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT>
 }
 box {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT>
 }
 box {
  <7.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <8.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
  <8.4*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
   <8.2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT+0.08>
  }
  union {
   cylinder {
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT+0.08>,
    <8.1*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH, -32*LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   cylinder {
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT+0.08>,
    <8.1*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -32*LG_PLATE_HEIGHT+0.08>,
    0.08+LG_CORNER_SPACE
   }
   cylinder {
    <8.1*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT+0.08>,
    <8.1*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH-LG_E, -32*LG_PLATE_HEIGHT+0.08>,
    0.08+LG_CORNER_SPACE
   }
  }
 }
 box {
  <8.2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <8.5*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -32*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH/cos(lg_angle1), -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>
  rotate <0, lg_angle1*180/pi, 0>
  translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 box {
  <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/cos(lg_angle2), -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>
  rotate <0, lg_angle2*180/pi, 0>
  translate <5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
 }
 #declare CYL = -2;
 #while (CYL < 3)
  object {
   lg_plate_cylinder_clear
   translate <LG_BRICK_WIDTH/2, CYL*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  object {
   lg_plate_cylinder_clear
   translate <-LG_BRICK_WIDTH/2, CYL*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  #declare CYL = CYL + 1;
 #end
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB = -2.5;
   #while (KNOB < 3)
    object {
     lg_knob_inner_space_clear
     translate <LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space_clear
     translate <0, KNOB*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space_clear
     translate <-LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB = KNOB + 1;
   #end
  }
 }
 #declare KNOB = -2.5;
 #while (KNOB < 3)
  object {
   lg_knob_clear
   rotate <0, 0, 90>
   translate <LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob_clear
   rotate <0, 0, 90>
   translate <0, KNOB*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob_clear
   rotate <0, 0, 90>
   translate <-LG_BRICK_WIDTH, KNOB*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB = KNOB + 1;
 #end
}

#end
