/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19970905 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2507: Space Windscreen Long                                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2507)
#else
#declare lg_angle1 = atan2 (7*LG_PLATE_HEIGHT-0.2,6*LG_BRICK_WIDTH);
#declare lg_angle2 = atan2 (LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH);
#declare lg_2507 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, 0>,
    <-6*LG_BRICK_WIDTH/cos(lg_angle1), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle1*180/pi, 0>
    translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
   }
   cylinder {
    <0, 0, 0>,
    <-6*LG_BRICK_WIDTH/cos(lg_angle1), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle1*180/pi, 0>
    translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
   }
   cylinder {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     cylinder {
      <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
      <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
      <-3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <0, LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     intersection {
      box {
       <0, -5, LG_CORNER_SPACE>,
       <4*LG_BRICK_WIDTH/cos(lg_angle1), 3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH+LG_CORNER_SPACE>
       rotate <0, 53.34834304,  90-lg_angle2*180/pi>
       translate <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
      }
      union {
       difference {
        box {
         <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
         <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
        }
        box {
         <0, LG_BRICK_WIDTH+LG_E, 0>,
         <-6*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
         rotate <0, lg_angle1*180/pi, 0>
         translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
        }
       }
       difference {
        box {
         <10*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
         <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE+LG_CORNER_SPACE*cos(53.34834304/180*pi)>
        }
        union {
         box {
          <0, LG_BRICK_WIDTH+LG_E, LG_CORNER_SPACE*sin(lg_angle1)>,
          <-6.5*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH>
          rotate <0, lg_angle1*180/pi, 0>
          translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
         }
         box {
          <0, 2*LG_BRICK_WIDTH+LG_E, LG_CORNER_SPACE*sin(lg_angle1)>,
          <-6.5*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH>
          rotate <0, lg_angle1*180/pi, 0>
          translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
         }
         box {
          <4*LG_BRICK_WIDTH, 0, -7*LG_PLATE_HEIGHT>,
          <-0.2, LG_BRICK_WIDTH+LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE+LG_CORNER_SPACE*cos(53.34834304*pi/180)>
          rotate <0, 0, -lg_angle2*180/pi>
          translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
         }
        }
       }
      }
     }
    }
    union {
     box {
      <LG_KNOB_RADIUS-LG_E, 2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_E>,
      <-LG_KNOB_RADIUS-LG_E, -2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_KNOB_HEIGHT+LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <7.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
     }
     box {
      <LG_KNOB_RADIUS+LG_E, 2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_E>,
      <-LG_KNOB_RADIUS-LG_E, -2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_KNOB_HEIGHT+LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <8.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
     }
    }
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>,
    <LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08
   }
   difference {
    box {
     <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
    }
    union {
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <-6*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi, 0>
      translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE>
     }
     box {
      <-0.08, 2*LG_BRICK_WIDTH+LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>
     }
    }
   }  
   box {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, LG_E>,
    <2*LG_WALL_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   difference {
    box {
     <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_E>,
     <2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH-LG_E, 0, 0>,
     <2*LG_WALL_WIDTH+LG_E, 2*LG_WALL_WIDTH, -2*LG_WALL_WIDTH>
     rotate <-45, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH>
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR +1;
 #end
 cylinder {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
  <10*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
 }
 box {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
  <10*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 difference {
  box {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
  }
  union {
   box {
    <-LG_WALL_WIDTH, 0, -LG_E>,
    <4*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>
    rotate <0, 0, -lg_angle2*180/pi>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <-LG_WALL_WIDTH, 0, -LG_E>,
    <4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>
    rotate <0, 0, lg_angle2*180/pi>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <-6*LG_BRICK_WIDTH/cos(lg_angle1), -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle1*180/pi, 0>
   translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
  }
  box {
   <10*LG_BRICK_WIDTH-4*LG_WALL_WIDTH, LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
   <10*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
  }
 }
 box {
  <LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, LG_E>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
 }

 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    <0, LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    <0, -LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
  }
  box {
   <0, 2*LG_BRICK_WIDTH, LG_E>,
   <LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  union {
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, 0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 0>,
    <-LG_E, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
    <-LG_E, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
  }
 }
}

#declare lg_2507_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, 0>,
    <-6*LG_BRICK_WIDTH/cos(lg_angle1), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle1*180/pi, 0>
    translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
   }
   cylinder {
    <0, 0, 0>,
    <-6*LG_BRICK_WIDTH/cos(lg_angle1), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle1*180/pi, 0>
    translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
   }
   cylinder {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     cylinder {
      <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
      <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
      <-3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <0, LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     intersection {
      box {
       <0, -5, LG_CORNER_SPACE>,
       <4*LG_BRICK_WIDTH/cos(lg_angle1), 3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH+LG_CORNER_SPACE>
       rotate <0, 53.34834304,  90-lg_angle2*180/pi>
       translate <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
      }
      merge {
       difference {
        box {
         <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
         <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
        }
        box {
         <0, LG_BRICK_WIDTH+LG_E, 0>,
         <-6*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
         rotate <0, lg_angle1*180/pi, 0>
         translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
        }
       }
       difference {
        box {
         <10*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
         <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE+LG_CORNER_SPACE*cos(53.34834304/180*pi)>
        }
        union {
         box {
          <0, LG_BRICK_WIDTH+LG_E, LG_CORNER_SPACE*sin(lg_angle1)>,
          <-6.5*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH>
          rotate <0, lg_angle1*180/pi, 0>
          translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
         }
         box {
          <0, 2*LG_BRICK_WIDTH+LG_E, LG_CORNER_SPACE*sin(lg_angle1)>,
          <-6.5*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH>
          rotate <0, lg_angle1*180/pi, 0>
          translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
         }
         box {
          <4*LG_BRICK_WIDTH, 0, -7*LG_PLATE_HEIGHT>,
          <-0.2, LG_BRICK_WIDTH+LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE+LG_CORNER_SPACE*cos(53.34834304*pi/180)>
          rotate <0, 0, -lg_angle2*180/pi>
          translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
         }
        }
       }
      }
     }
    }
    merge {
     box {
      <LG_KNOB_RADIUS-LG_E, 2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_E>,
      <-LG_KNOB_RADIUS-LG_E, -2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_KNOB_HEIGHT+LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <7.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
     }
     box {
      <LG_KNOB_RADIUS+LG_E, 2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_E>,
      <-LG_KNOB_RADIUS-LG_E, -2*LG_KNOB_RADIUS, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_KNOB_HEIGHT+LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <8.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
     }
    }
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH,  -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>,
    <LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    <-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>,
    0.08
   }
   difference {
    box {
     <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
    }
    union {
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <-6*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi, 0>
      translate <7*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE>
     }
     box {
      <-0.08, 2*LG_BRICK_WIDTH+LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.08>
     }
    }
   }  
   box {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, LG_E>,
    <2*LG_WALL_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   difference {
    box {
     <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_E>,
     <2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH-LG_E, 0, 0>,
     <2*LG_WALL_WIDTH+LG_E, 2*LG_WALL_WIDTH, -2*LG_WALL_WIDTH>
     rotate <-45, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH>
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR +1;
 #end
 cylinder {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE,  LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
  <10*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
 }
 box {
  <10*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
  <10*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 difference {
  box {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <4*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
  }
  union {
   box {
    <-LG_WALL_WIDTH, 0, -LG_E>,
    <4*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>
    rotate <0, 0, -lg_angle2*180/pi>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <-LG_WALL_WIDTH, 0, -LG_E>,
    <4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>
    rotate <0, 0, lg_angle2*180/pi>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <-6*LG_BRICK_WIDTH/cos(lg_angle1), -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle1*180/pi, 0>
   translate <10*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>
  }
  box {
   <10*LG_BRICK_WIDTH-4*LG_WALL_WIDTH, LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+0.2-LG_CORNER_SPACE>,
   <10*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH, -7*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
  }
 }
 box {
  <LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, LG_E>,
  <2*LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>
 }

 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
    <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    <0, LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
    <0, -LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
    <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
  }
  box {
   <0, 2*LG_BRICK_WIDTH, LG_E>,
   <LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  merge {
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, 0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 0>,
    <-LG_E, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0>,
    <-LG_E, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
    <-LG_E, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
  }
 }
}

#end
