/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19990119 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2580: Scaffolding 2 x 2 x 5 Base                                         */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2580)
#else
#declare lg_angle=atan2(1.5*LG_BRICK_WIDTH, 6.5*LG_PLATE_HEIGHT);
#declare lg_2580 =
union {
 #declare ROT = 0;
 #while (ROT < 4)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH, LG_BRICK_WIDTH-1.25*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.75*LG_BRICK_WIDTH, LG_BRICK_WIDTH-1.25*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   box {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-1.25*LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   union {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, lg_angle*180/pi, 0>
    translate <0, 0, -LG_PLATE_HEIGHT>
   }
   union {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, -lg_angle*180/pi, 0>
    translate <0, 0, -LG_PLATE_HEIGHT>
   }
   union {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, lg_angle*180/pi, 0>
    translate <0, 0, -14*LG_PLATE_HEIGHT>
   }
   union {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, -lg_angle*180/pi, 0>
    translate <0, 0, -14*LG_PLATE_HEIGHT>
   }
   union {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, -lg_angle*180/pi, 0>
    translate <0, 0, -7.5*LG_PLATE_HEIGHT>
   }
   union {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, lg_angle*180/pi, 0>
    translate <0, 0, -7.5*LG_PLATE_HEIGHT>
   }
   rotate <0, 0, 90*ROT>
  }
  #declare ROT = ROT + 1;
 #end
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   cylinder {
    <0, 0, -14*LG_PLATE_HEIGHT>,
    <0, 0, -14.5*LG_PLATE_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -14*LG_PLATE_HEIGHT+LG_E>,
    <0, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 object {
  lg_plate_cylinder
  translate <0, 0, -5*LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, >,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   box {
    <0.75*LG_BRICK_WIDTH, 0.75*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
    <-0.75*LG_BRICK_WIDTH, -0.75*LG_BRICK_WIDTH, 0>
   }
   intersection {
    union {
     box {
      <0.9*LG_BRICK_WIDTH+LG_E/2, 0.9*LG_BRICK_WIDTH-0.08, LG_E>
      <-0.9*LG_BRICK_WIDTH-LG_E/2, -0.9*LG_BRICK_WIDTH+0.08, -LG_TOP_HEIGHT-LG_E>
     }
     box {
      <0.9*LG_BRICK_WIDTH-0.08, 0.9*LG_BRICK_WIDTH+LG_E/2, LG_E>
      <-0.9*LG_BRICK_WIDTH+0.08, -0.9*LG_BRICK_WIDTH-LG_E/2, -LG_TOP_HEIGHT-LG_E>
     }
     cylinder {
      <0.9*LG_BRICK_WIDTH-0.08, 0.9*LG_BRICK_WIDTH-0.08, LG_E>,
      <0.9*LG_BRICK_WIDTH-0.08, 0.9*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
     cylinder {
      <-0.9*LG_BRICK_WIDTH+0.08, 0.9*LG_BRICK_WIDTH-0.08, LG_E>,
      <-0.9*LG_BRICK_WIDTH+0.08, 0.9*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
     cylinder {
      <0.9*LG_BRICK_WIDTH-0.08, -0.9*LG_BRICK_WIDTH+0.08, LG_E>,
      <0.9*LG_BRICK_WIDTH-0.08, -0.9*LG_BRICK_WIDTH+0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
     cylinder {
      <-0.9*LG_BRICK_WIDTH+0.08, -0.9*LG_BRICK_WIDTH+0.08, LG_E>,
      <-0.9*LG_BRICK_WIDTH+0.08, -0.9*LG_BRICK_WIDTH+0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
    }
    box {
     <0.8, 0.8, LG_E>,
     <-0.8, -0.8, -LG_TOP_HEIGHT>
    }
   }
  }
 }
}

#declare lg_2580_clear =
merge {
 #declare ROT = 0;
 #while (ROT < 4)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH, LG_BRICK_WIDTH-1.25*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.75*LG_BRICK_WIDTH, LG_BRICK_WIDTH-1.25*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   box {
    <-0.75*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-1.25*LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.75*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   merge {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, lg_angle*180/pi, 0>
    translate <0, 0, -LG_PLATE_HEIGHT>
   }
   merge {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, -lg_angle*180/pi, 0>
    translate <0, 0, -LG_PLATE_HEIGHT>
   }
   merge {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, lg_angle*180/pi, 0>
    translate <0, 0, -14*LG_PLATE_HEIGHT>
   }
   merge {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH/2>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -LG_WALL_WIDTH/2>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, -lg_angle*180/pi, 0>
    translate <0, 0, -14*LG_PLATE_HEIGHT>
   }
   merge {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, -lg_angle*180/pi, 0>
    translate <0, 0, -7.5*LG_PLATE_HEIGHT>
   }
   merge {
    cylinder {
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     LG_CORNER_SPACE
    }
    box {
     <-0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    box {
     <-0.08, LG_BRICK_WIDTH, -3.75*LG_PLATE_HEIGHT/cos(lg_angle)>,
     <0.08, 0.75*LG_BRICK_WIDTH, 3.75*LG_PLATE_HEIGHT/cos(lg_angle)>
    }
    rotate <0, lg_angle*180/pi, 0>
    translate <0, 0, -7.5*LG_PLATE_HEIGHT>
   }
   rotate <0, 0, 90*ROT>
  }
  #declare ROT = ROT + 1;
 #end
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   cylinder {
    <0, 0, -14*LG_PLATE_HEIGHT>,
    <0, 0, -14.5*LG_PLATE_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -14*LG_PLATE_HEIGHT+LG_E>,
    <0, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 object {
  lg_plate_cylinder_clear
  translate <0, 0, -5*LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, >,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   box {
    <0.75*LG_BRICK_WIDTH, 0.75*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
    <-0.75*LG_BRICK_WIDTH, -0.75*LG_BRICK_WIDTH, 0>
   }
   intersection {
    union {
     box {
      <0.9*LG_BRICK_WIDTH+LG_E/2, 0.9*LG_BRICK_WIDTH-0.08, LG_E>
      <-0.9*LG_BRICK_WIDTH-LG_E/2, -0.9*LG_BRICK_WIDTH+0.08, -LG_TOP_HEIGHT-LG_E>
     }
     box {
      <0.9*LG_BRICK_WIDTH-0.08, 0.9*LG_BRICK_WIDTH+LG_E/2, LG_E>
      <-0.9*LG_BRICK_WIDTH+0.08, -0.9*LG_BRICK_WIDTH-LG_E/2, -LG_TOP_HEIGHT-LG_E>
     }
     cylinder {
      <0.9*LG_BRICK_WIDTH-0.08, 0.9*LG_BRICK_WIDTH-0.08, LG_E>,
      <0.9*LG_BRICK_WIDTH-0.08, 0.9*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
     cylinder {
      <-0.9*LG_BRICK_WIDTH+0.08, 0.9*LG_BRICK_WIDTH-0.08, LG_E>,
      <-0.9*LG_BRICK_WIDTH+0.08, 0.9*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
     cylinder {
      <0.9*LG_BRICK_WIDTH-0.08, -0.9*LG_BRICK_WIDTH+0.08, LG_E>,
      <0.9*LG_BRICK_WIDTH-0.08, -0.9*LG_BRICK_WIDTH+0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
     cylinder {
      <-0.9*LG_BRICK_WIDTH+0.08, -0.9*LG_BRICK_WIDTH+0.08, LG_E>,
      <-0.9*LG_BRICK_WIDTH+0.08, -0.9*LG_BRICK_WIDTH+0.08, -LG_TOP_HEIGHT-LG_E>,
      0.08+LG_E/2
     }
    }
    box {
     <0.8, 0.8, LG_E>,
     <-0.8, -0.8, -LG_TOP_HEIGHT>
    }
   }
  }
 }
}

#end
