/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19990124 Lutz Uhlmann                                                       */
/* 20071202 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2626: Boat Wedge 6 x 6                                                   */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2626)
#else
#declare lg_angle1=atan2(3*LG_PLATE_HEIGHT-2*LG_CORNER_SPACE, LG_BRICK_WIDTH);
#declare lg_angle2=atan2(1, 2);
#declare lg_angle3=atan2(3*LG_PLATE_HEIGHT-2*LG_CORNER_SPACE, LG_BRICK_WIDTH*sin(lg_angle2));
#declare lg_angle4=atan2(1, 3);
#declare lg_angle5=atan2(3*LG_PLATE_HEIGHT-2*LG_CORNER_SPACE, LG_BRICK_WIDTH*sin(lg_angle4));
#declare lg_2626 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   object {
    lg_brick_column
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_column
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <-2*LG_BRICK_WIDTH+0.04, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+0.04, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   difference {
    union {
     box {
      <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_CORNER_SPACE>
     }
     box {
      <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
      <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>
     }
    }
    box {
     <0, LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>,
     <-3*LG_BRICK_WIDTH/cos(lg_angle4), 0, -LG_E>
     rotate <0, 0, -lg_angle4*180/pi>
     translate <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
    }
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
     <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>
    }
    box {
     <0, LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>,
     <-2*LG_BRICK_WIDTH/cos(lg_angle2), 0, -LG_E>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
    }
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    box {
     <-LG_E, 0, 0>,
     <2*LG_CORNER_SPACE, LG_WALL_WIDTH, LG_WALL_WIDTH>
     rotate <-atan2(sin(lg_angle1)/cos(lg_angle1), sin(lg_angle4)/cos(lg_angle4))*180/pi, 0, 0>
     translate <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.12, 0>
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.12, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <0, 3*LG_BRICK_WIDTH+LG_E, 0>,
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -(LG_BRICK_WIDTH+2*LG_CORNER_SPACE)/cos(lg_angle1)>
     rotate <0, 90-lg_angle1*180/pi, 0>
     translate <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, 2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
    <-2.5*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, 2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_E>
   }
   difference {
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2.5*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
     box {
      <-2.5, 0, -LG_CORNER_SPACE>,
      <0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/sin(lg_angle3), LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <-180+lg_angle3*180/pi, 0, 0>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
    }
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     object {
      lg_knob_inner_space
      translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <-1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <-0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
    }
   }
   difference {
    box {
     <-3.5, 0, LG_CORNER_SPACE>,
     <0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/sin(lg_angle5), -LG_WALL_WIDTH+LG_CORNER_SPACE>
     rotate <-180+lg_angle5*180/pi, 0, 0>
     rotate <0, 0, -lg_angle4*180/pi>
     translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, LG_WALL_WIDTH/2>
     }
     box {
      <0, LG_BRICK_WIDTH, 0>,
      <-LG_BRICK_WIDTH, -0.12+LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle4)), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle4)), 0, -LG_CORNER_SPACE>
     }
    }
   }
   difference {
    box {
     <0, 0, 0>,
     <-3.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH, -2*LG_CORNER_SPACE-LG_E>
     rotate <0, 0, -lg_angle4*180/pi>
     translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <-2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
     <-3*LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
    }
   }
   box {
    <LG_BRICK_WIDTH/2-LG_KNOB_INNER_RADIUS, 1.5*LG_BRICK_WIDTH-0.04, 0>,
    <-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.04, -LG_BRICK_HEIGHT+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_E>
   }
   difference {
    union {
     cylinder {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, 0>,
      <0, -2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_E>,
      <0, -2*LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     rotate <0, 0, 45>
     translate <0, LG_BRICK_WIDTH, 0>
    }
    union {
     box {
      <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_E>,
      <-LG_WALL_WIDTH/2, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
     }
     box {
      <-LG_CORNER_SPACE, 0, LG_E>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
     }
     box {
      <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
      <-LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
     }
    }
   }
   object {
    lg_knob
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    box {
     <-2.5, 0, LG_CORNER_SPACE>,
     <0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/sin(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE>
     rotate <-180+lg_angle3*180/pi, 0, 0>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    union {
     box {
      <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, LG_WALL_WIDTH/2>
     }
     box {
      <0, LG_BRICK_WIDTH, 0>,
      <-LG_BRICK_WIDTH, -0.12+LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle2)), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     box {
      <0, LG_BRICK_WIDTH+LG_E, 0>,
      <LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle2)), 0, -LG_CORNER_SPACE>
     }
    }
   }
   difference {
    box {
     <0, 0, 0>,
     <-2.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH, -2*LG_CORNER_SPACE-LG_E>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
     <0, 2.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
    }
   }
   object {
    lg_knob
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 object {
  lg_brick_cylinder
  translate <LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <0, -LG_BRICK_WIDTH, -LG_WALL_WIDTH*cos(lg_angle1)+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH, LG_CORNER_SPACE>
   rotate <0, 180-lg_angle1*180/pi, 0>
   translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
   <2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_E, -LG_CORNER_SPACE>
  }
 }
 difference {
  union {
   difference {
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <2.5*LG_BRICK_WIDTH+0.04, LG_KNOB_RADIUS, 0>,
    <2.5*LG_BRICK_WIDTH-0.04, -LG_KNOB_RADIUS, -LG_BRICK_WIDTH>
   }
  }
  box {
   <0, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH, LG_BRICK_WIDTH>
   rotate <0, 180-lg_angle1*180/pi, 0>
   translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <1.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
  }
 }
 box {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
 }
}

#declare lg_2626_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+2*LG_CORNER_SPACE*sin(lg_angle1)/cos(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
 
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH/2, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   object {
    lg_brick_column_clear
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_column_clear
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <-2*LG_BRICK_WIDTH+0.04, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+0.04, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   difference {
    merge {
     box {
      <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_CORNER_SPACE>
     }
     box {
      <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
      <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>
     }
    }
    box {
     <0, LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>,
     <-3*LG_BRICK_WIDTH/cos(lg_angle4), 0, -LG_E>
     rotate <0, 0, -lg_angle4*180/pi>
     translate <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
    }
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
     <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>
    }
    box {
     <0, LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>,
     <-2*LG_BRICK_WIDTH/cos(lg_angle2), 0, -LG_E>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
    }
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    box {
     <-LG_E, 0, 0>,
     <2*LG_CORNER_SPACE, LG_WALL_WIDTH, LG_WALL_WIDTH>
     rotate <-atan2(sin(lg_angle1)/cos(lg_angle1), sin(lg_angle4)/cos(lg_angle4))*180/pi, 0, 0>
     translate <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle4)/cos(lg_angle4), -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.12, 0>
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.12, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <0, 3*LG_BRICK_WIDTH+LG_E, 0>,
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -(LG_BRICK_WIDTH+2*LG_CORNER_SPACE)/cos(lg_angle1)>
     rotate <0, 90-lg_angle1*180/pi, 0>
     translate <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, 2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
    <-2.5*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, 2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_E>
   }
   difference {
    merge {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2.5*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
     box {
      <-2.5, 0, -LG_CORNER_SPACE>,
      <0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/sin(lg_angle3), LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <-180+lg_angle3*180/pi, 0, 0>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
    }
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     object {
      lg_knob_inner_space_clear
      translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <-1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <-0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
    }
   }
   difference {
    box {
     <-3.5, 0, LG_CORNER_SPACE>,
     <0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/sin(lg_angle5), -LG_WALL_WIDTH+LG_CORNER_SPACE>
     rotate <-180+lg_angle5*180/pi, 0, 0>
     rotate <0, 0, -lg_angle4*180/pi>
     translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, LG_WALL_WIDTH/2>
     }
     box {
      <0, LG_BRICK_WIDTH, 0>,
      <-LG_BRICK_WIDTH, -0.12+LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle4)), 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle4)), 0, -LG_CORNER_SPACE>
     }
    }
   }
   difference {
    box {
     <0, 0, 0>,
     <-3.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH, -2*LG_CORNER_SPACE-LG_E>
     rotate <0, 0, -lg_angle4*180/pi>
     translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <-2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
     <-3*LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
    }
   }
   box {
    <LG_BRICK_WIDTH/2-LG_KNOB_INNER_RADIUS, 1.5*LG_BRICK_WIDTH-0.04, 0>,
    <-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.04, -LG_BRICK_HEIGHT+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_E>
   }
   difference {
    merge {
     cylinder {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, 0>,
      <0, -2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_E>,
      <0, -2*LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     rotate <0, 0, 45>
     translate <0, LG_BRICK_WIDTH, 0>
    }
    union {
     box {
      <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_E>,
      <-LG_WALL_WIDTH/2, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
     }
     box {
      <-LG_CORNER_SPACE, 0, LG_E>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
     }
     box {
      <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
      <-LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
     }
    }
   }
   object {
    lg_knob_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    box {
     <-2.5, 0, LG_CORNER_SPACE>,
     <0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/sin(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE>
     rotate <-180+lg_angle3*180/pi, 0, 0>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    union {
     box {
      <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, LG_WALL_WIDTH/2>
     }
     box {
      <0, LG_BRICK_WIDTH, 0>,
      <-LG_BRICK_WIDTH, -0.12+LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle2)), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     box {
      <0, LG_BRICK_WIDTH+LG_E, 0>,
      <LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT/cos(lg_angle1)>
      rotate <0, 90-lg_angle1*180/pi, 0>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-cos(lg_angle2)), 0, -LG_CORNER_SPACE>
     }
    }
   }
   difference {
    box {
     <0, 0, 0>,
     <-2.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH, -2*LG_CORNER_SPACE-LG_E>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
     <0, 2.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
    }
   }
   object {
    lg_knob_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 object {
  lg_brick_cylinder_clear
  translate <LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <0, -LG_BRICK_WIDTH, -LG_WALL_WIDTH*cos(lg_angle1)+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH, LG_CORNER_SPACE>
   rotate <0, 180-lg_angle1*180/pi, 0>
   translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
   <2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_E, -LG_CORNER_SPACE>
  }
 }
 difference {
  merge {
   difference {
    merge {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -LG_BRICK_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_BRICK_WIDTH-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <2.5*LG_BRICK_WIDTH+0.04, LG_KNOB_RADIUS, 0>,
    <2.5*LG_BRICK_WIDTH-0.04, -LG_KNOB_RADIUS, -LG_BRICK_WIDTH>
   }
  }
  box {
   <0, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH, LG_BRICK_WIDTH>
   rotate <0, 180-lg_angle1*180/pi, 0>
   translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space_clear
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <1.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
  }
 }
 box {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
 }
}

#end
