/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19971026 Lutz Uhlmann                                                       */
/* 20071224 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2876: Train Roof 6 x 6                                                   */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2876)
#else
#declare lg_angle1=pi/2-atan2(LG_BRICK_WIDTH+LG_CORNER_SPACE-LG_WALL_WIDTH*(1-sin(pi/4)), LG_BRICK_HEIGHT-LG_WALL_WIDTH*(1+sin(pi/4)));
#declare lg_angle2=atan2(LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1), 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE);
#declare lg_angle3=atan2(LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1), (LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*sqrt(2));
#declare lg_2876 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_KNOB_RADIUS, -0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_E, 0.06, -LG_TOP_HEIGHT+LG_E>
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_KNOB_RADIUS, -0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_E, 0.06, -LG_TOP_HEIGHT+LG_E>
    rotate <0, 0, 90>
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_KNOB_RADIUS, -0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_E, 0.06, -LG_TOP_HEIGHT+LG_E>
    rotate <0, 0, 90>
    translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    box {
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
     <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
     <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     box {
      <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
     }
     box {
      <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0> //-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>
     }
     box {
      <-3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
     }
     #declare CYL_X = -2;
     #while (CYL_X < 2)
      difference {
       cylinder {
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_E>,
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
        LG_KNOB_INNER_RADIUS
       }
       cylinder {
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_E>,
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
        LG_KNOB_INNER_RADIUS/2
       }
      }
      box {
       <CYL_X*LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_E>,
       <CYL_X*LG_BRICK_WIDTH+0.04, 2.5*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS/2, -LG_BRICK_HEIGHT>
      }
      #declare CYL_X = CYL_X + 1;
     #end
     box {
      <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH-0.06, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
      <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
     }
    }
    union {
     box {
      <-3*LG_BRICK_WIDTH-LG_E, 0, 0>,
      <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH>
      rotate <-lg_angle1*180/pi, 0, 0>
      translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
      <LG_BRICK_WIDTH/2, -LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT>
      rotate <0, 0, 45>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <-LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
      <2*LG_BRICK_WIDTH/cos(lg_angle3), -2*LG_BRICK_WIDTH, LG_BRICK_WIDTH>
      rotate <0, lg_angle3*180/pi, 0>
      rotate <0, 0, 45>
      translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
     }
    }
   }
   difference {
    union {
     box {
      <0, 0, -3*LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH*sqrt(2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
      rotate <0, 0, -45>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <0, LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH*sqrt(2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>
      rotate <0, 0, -45>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
    }
    box {
     <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>,
     <2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
    }
   }
   object {
    lg_knob
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 box {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <3*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>,
  <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 difference {
  union {
   box {
    <2*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   #declare CYL_Y = -1;
   #while (CYL_Y<2)
    difference {
     cylinder {
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT-LG_E>,
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS/2
     }
    }
    difference {
     cylinder {
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>,
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS/2
     }
    }
    box {
     <2*LG_BRICK_WIDTH+LG_E, CYL_Y*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, CYL_Y*LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
    }
    box {
     <2.5*LG_BRICK_WIDTH-0.06, 2*LG_BRICK_WIDTH+LG_E, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <2.5*LG_BRICK_WIDTH+0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
    }
    box {
     <2.5*LG_BRICK_WIDTH-0.06, -2*LG_BRICK_WIDTH-LG_E, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <2.5*LG_BRICK_WIDTH+0.06, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
    }
    box {
     <1.5*LG_BRICK_WIDTH-0.06, 2*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH+0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>
    }
    box {
     <1.5*LG_BRICK_WIDTH-0.06, -2*LG_BRICK_WIDTH-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH+0.06, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
    }
    #declare CYL_Y = CYL_Y + 1;
   #end
  }
  box {
   <-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH, 0>,
   <2*LG_BRICK_WIDTH/cos(lg_angle2), -2.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
   rotate <0, lg_angle2*180/pi, 0>
   translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
 }
}

#declare lg_2876_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_KNOB_RADIUS, -0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_E, 0.06, -LG_TOP_HEIGHT+LG_E>
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_KNOB_RADIUS, -0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_E, 0.06, -LG_TOP_HEIGHT+LG_E>
    rotate <0, 0, 90>
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_KNOB_RADIUS, -0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_E, 0.06, -LG_TOP_HEIGHT+LG_E>
    rotate <0, 0, 90>
    translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    box {
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
     <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
   }
   difference {
    box {
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
     <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>
   }
   box {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     box {
      <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
     }
     box {
      <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0> //-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>
     }
     box {
      <-3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
     }
     #declare CYL_X = -2;
     #while (CYL_X < 2)
      difference {
       cylinder {
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_E>,
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
        LG_KNOB_INNER_RADIUS
       }
       cylinder {
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_E>,
        <CYL_X*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
        LG_KNOB_INNER_RADIUS/2
       }
      }
      box {
       <CYL_X*LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_E>,
       <CYL_X*LG_BRICK_WIDTH+0.04, 2.5*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS/2, -LG_BRICK_HEIGHT>
      }
      #declare CYL_X = CYL_X + 1;
     #end
     box {
      <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH-0.06, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
      <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
     }
    }
    union {
     box {
      <-3*LG_BRICK_WIDTH-LG_E, 0, 0>,
      <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH>
      rotate <-lg_angle1*180/pi, 0, 0>
      translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
      <LG_BRICK_WIDTH/2, -LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT>
      rotate <0, 0, 45>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <-LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
      <2*LG_BRICK_WIDTH/cos(lg_angle3), -2*LG_BRICK_WIDTH, LG_BRICK_WIDTH>
      rotate <0, lg_angle3*180/pi, 0>
      rotate <0, 0, 45>
      translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
     }
    }
   }
   difference {
    merge {
     box {
      <0, 0, -3*LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH*sqrt(2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
      rotate <0, 0, -45>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <0, LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH*sqrt(2), -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>
      rotate <0, 0, -45>
      translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
    }
    box {
     <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>,
     <2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
    }
   }
   object {
    lg_knob_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <-2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 box {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <3*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(lg_angle1)*sin(lg_angle1)>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>,
  <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 difference {
  merge {
   box {
    <2*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   #declare CYL_Y = -1;
   #while (CYL_Y<2)
    difference {
     cylinder {
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT-LG_E>,
      <2.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS/2
     }
    }
    difference {
     cylinder {
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>,
      <1.5*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_E>,
      LG_KNOB_INNER_RADIUS/2
     }
    }
    box {
     <2*LG_BRICK_WIDTH+LG_E, CYL_Y*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, CYL_Y*LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
    }
    box {
     <2.5*LG_BRICK_WIDTH-0.06, 2*LG_BRICK_WIDTH+LG_E, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <2.5*LG_BRICK_WIDTH+0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
    }
    box {
     <2.5*LG_BRICK_WIDTH-0.06, -2*LG_BRICK_WIDTH-LG_E, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <2.5*LG_BRICK_WIDTH+0.06, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
    }
    box {
     <1.5*LG_BRICK_WIDTH-0.06, 2*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH+0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>
    }
    box {
     <1.5*LG_BRICK_WIDTH-0.06, -2*LG_BRICK_WIDTH-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH+0.06, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
    }
    #declare CYL_Y = CYL_Y + 1;
   #end
  }
  box {
   <-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH, 0>,
   <2*LG_BRICK_WIDTH/cos(lg_angle2), -2.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
   rotate <0, lg_angle2*180/pi, 0>
   translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
 }
}

#declare lg_2876_slope =
union {
 difference {
  box {
   <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle2), -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>
   rotate <0, lg_angle2*180/pi, 0>
   translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <2*LG_BRICK_WIDTH, 0, 0>,
    <-LG_CORNER_SPACE, LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
   box {
    <2*LG_BRICK_WIDTH, 0, 0>,
    <-LG_CORNER_SPACE, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
    rotate <0, 0, atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <2.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
  }
 }
 difference {
  box {
   <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
   <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -(LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <lg_angle1*180/pi, 0, 0>
   translate <0, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-3*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>,
    <0, -1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    rotate <0, 0, 45>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE*sin(pi/4)*cos(lg_angle1), -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
  }
 }
 difference {
  box {
   <2*LG_BRICK_WIDTH, 0, LG_CORNER_SPACE>,
   <0, -(LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*sqrt(2)/cos(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <lg_angle3*180/pi, 0, 0>
   rotate <0, 0, 45>
   translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <3*LG_BRICK_WIDTH, 0, 0>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    rotate <0, 0, atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE/sin(pi/4), 0>
   }
   box {
    <0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <3*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>
   }
  }
 }
 difference {
  box {
   <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
   <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -(LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <lg_angle1*180/pi, 0, 0>
   translate <0, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-3*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>,
    <0, -1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    rotate <0, 0, 45>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE*sin(pi/4)*cos(lg_angle1), -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
  }
  matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
 }
 difference {
  box {
   <2*LG_BRICK_WIDTH, 0, LG_CORNER_SPACE>,
   <0, -(LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*sqrt(2)/cos(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <lg_angle3*180/pi, 0, 0>
   rotate <0, 0, 45>
   translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <3*LG_BRICK_WIDTH, 0, 0>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    rotate <0, 0, atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE/sin(pi/4), 0>
   }
   box {
    <0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <-3*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <3*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>
   }
  }
  matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
 }
}  

#end

