/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980329 Lutz Uhlmann                                                       */
/* 20060306 Robert Seifert (seifrobAThotmailDOTcom)   Commented wheels out     */
/* 20060310 Lars C. Hassing   Fixed stud orientation for L3P's studlogos       */
/* 20071224 Lutz Uhlmann fixed wrong sloping box                               */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2878: Trains Wheels 2   (LDraw: Train Wheel Holder  9V)                  */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2878)
#else
#declare lg_angle1=atan2(LG_PLATE_HEIGHT, 0.5+2*LG_CORNER_SPACE);
#declare lg_angle2=atan2(LG_PLATE_HEIGHT, LG_BRICK_WIDTH/2);
#declare lg_angle3=atan2(2*LG_PLATE_HEIGHT, LG_BRICK_WIDTH);
#declare lg_2878 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   cylinder {
    <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    torus {
     LG_WALL_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
    box {
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1, 2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
   }
   sphere {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    torus {
     LG_WALL_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
    box {
     <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
     <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1, 2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.12, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08+LG_E>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-0.12, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08+LG_E>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS, -4*LG_PLATE_HEIGHT+0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_E, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_E, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_E, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_column
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0, 0.2-2*LG_CORNER_SPACE, LG_E>,
    <LG_BRICK_WIDTH/cos(lg_angle3), 0, -LG_CORNER_SPACE>
    rotate <0, lg_angle3*180/pi, 0>
    translate <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0.2-2*LG_CORNER_SPACE, LG_E>,
    <-LG_BRICK_WIDTH/cos(lg_angle3), 0, -LG_CORNER_SPACE>
    rotate <0, -lg_angle3*180/pi, 0>
    translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   #declare MIR2 = 0;
   #while (MIR2 < 2)
    union {
     box {
      <0, -0.1-LG_E, 0.08-LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), 0, -LG_CORNER_SPACE>
     }
     box {
      <0, -0.1-LG_E, 0.08-2*LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), LG_CORNER_SPACE, 0>
     }
     cylinder {
      <0, 0, 0>,
      <0.4/sin(lg_angle3), 0, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, 0.08-2*LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), 0, 0.08-2*LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.4/sin(lg_angle3), 0, 0.08-2*LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.4/sin(lg_angle3), 0, 0.08-2*LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), -0.1, 0.08-2*LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     union {
      cylinder {
       <0, 0, 0>,
       <0.32, 0, 0>,
       LG_CORNER_SPACE
      }
      sphere {
       <0.32, 0, 0>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.32, 0, 0>,
       <0.32, -0.1, 0>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32, 0, 0>,
       LG_CORNER_SPACE
      }
      sphere {
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32, -0.1, 0.08-2*LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.0 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0.32+LG_CORNER_SPACE, 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32-LG_E, -0.1, 0>
      }
      box {
       <0.32, LG_CORNER_SPACE, 0.08-2*LG_CORNER_SPACE>,
       <0, -0.1, 0>
      }
      box {
       <0.32, 0, 0.08-LG_CORNER_SPACE>,
       <0.0, -0.1, 0.08-2*LG_CORNER_SPACE-LG_E>
      }
      box {
       <0.32, 0, -LG_CORNER_SPACE>,
       <0, -0.1, LG_E>
      }
      rotate <0, -lg_angle3*180/pi, 0>
      translate <0.4/sin(lg_angle3), 0, 0>
     }
     rotate <0, lg_angle3*180/pi, 0>
     translate <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     #if (MIR2 = 1)
      matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
     #end
    }
    #declare MIR2 = MIR2 + 1;
   #end
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.08, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
    }
   }
   difference {
    box {
     <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     cylinder {
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     box {
      <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
    }
    box {
     <0, LG_E, 0>,
     <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -0.3-LG_E, LG_BRICK_WIDTH/2>
     rotate <0, -lg_angle2*180/pi, 0>
     translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    }
   }
   difference {
    union {
     box {
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
    }
    box {
     <0, LG_E, 0>,
     <LG_BRICK_WIDTH, -0.3-LG_E, LG_BRICK_WIDTH/2>
     rotate <0, lg_angle2*180/pi, 0>
     translate <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    }
   }
   box {
    <0, -LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH*cos(lg_angle2), -0.3+LG_CORNER_SPACE, -LG_E>
    rotate <0, lg_angle2*180/pi, 0>
    translate <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 3*LG_BRICK_WIDTH-0.3, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <0, -LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH*cos(lg_angle2), -0.3+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, 3*LG_BRICK_WIDTH-0.3, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   difference {
    union {
     box {
      <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     object {
      lg_knob
      rotate <-90, 180, 0>   //LCH 20060310 rotate to turn studlogo upright
      translate <0, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_RADIUS>
     }
    }
    union {
     box {
      <0, LG_E, 0>,
      <LG_BRICK_WIDTH/cos(lg_angle3), -0.3-LG_E, -LG_BRICK_WIDTH>
      rotate <0, lg_angle3*180/pi, 0>
      translate <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <0, LG_E, 0>,
      <-LG_BRICK_WIDTH/cos(lg_angle3), -0.3-LG_E, -LG_BRICK_WIDTH>
      rotate <0, -lg_angle3*180/pi, 0>
      translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     cone {
      <0, 3*LG_BRICK_WIDTH-0.3+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-0.04>, 0,
      <0, 3*LG_BRICK_WIDTH-0.3-LG_E, -4*LG_PLATE_HEIGHT-0.04>, LG_WALL_WIDTH+LG_E
     }
     box {
      <LG_WALL_WIDTH/sqrt(2), LG_WALL_WIDTH/sqrt(2), -4*LG_PLATE_HEIGHT-0.04>,
      <-LG_WALL_WIDTH/sqrt(2), -LG_WALL_WIDTH/sqrt(2), -5*LG_PLATE_HEIGHT-LG_E>
      rotate <0, 0, 45>
      translate <0, 3*LG_BRICK_WIDTH-0.3, 0>
     }
    }
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
     }
     cylinder {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
    }
    box {
     <LG_WALL_WIDTH/sqrt(2), LG_WALL_WIDTH/sqrt(2), -4*LG_PLATE_HEIGHT-0.04>,
     <-LG_WALL_WIDTH/sqrt(2), -LG_WALL_WIDTH/sqrt(2), -5*LG_PLATE_HEIGHT-LG_E>
     rotate <0, 0, 45>
     translate <0, 3*LG_BRICK_WIDTH-0.3, 0>
    }
   }
   difference {
    union {
     #declare TOR_Z = -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-0.056875;
     #while (TOR_Z>-4*LG_PLATE_HEIGHT)
      torus {
       LG_KNOB_RADIUS,
       0.05
       rotate <90, 0, 0>
       translate <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1-LG_KNOB_RADIUS, TOR_Z>
      }
      torus {
       LG_KNOB_RADIUS,
       0.05
       rotate <90, 0, 0>
       translate <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1-LG_KNOB_RADIUS, TOR_Z>
      }
      #declare TOR_Z = TOR_Z - 0.11375;
     #end
    }
    box {
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
     <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_E, -LG_BRICK_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_E, -LG_BRICK_HEIGHT>,
    <-1.5*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   difference {
    box {
     <1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <1.5*LG_BRICK_WIDTH+LG_E, 0, 0>,
     <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH, 1.5*LG_PLATE_HEIGHT>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <-1.5*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <-1.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
     <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH, 1.5*LG_PLATE_HEIGHT>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    box {
     <0, 0, -2*LG_PLATE_HEIGHT>,
     <-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH, 0>
     rotate <0, 0, atan2(1.5*LG_WALL_WIDTH, 0.5+2*LG_CORNER_SPACE)*180/pi>
     translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, 0>
    }
   }
   difference {
    box {
     <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    box {
     <0, 0, -2*LG_PLATE_HEIGHT>,
     <2*LG_WALL_WIDTH, -LG_BRICK_WIDTH, 0>
     rotate <0, 0, -atan2(1.5*LG_WALL_WIDTH, 0.5+2*LG_CORNER_SPACE)*180/pi>
     translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, 0>
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     object {
      lg_knob_inner_space
      translate <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <0, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
    }
   }
   object {
    lg_knob
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    translate <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    rotate 180*z  //LCH 20060310 rotate in stead of mirror to preserve studlogo
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
 }
 box {
  <0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  box {
   <2*LG_WALL_WIDTH, LG_KNOB_RADIUS, -5*LG_PLATE_HEIGHT>,
   <0, -LG_KNOB_HEIGHT, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
  }
  box {
   <0, 2*LG_WALL_WIDTH, -LG_E>,
   <-LG_WALL_WIDTH/2-LG_E, -2*LG_WALL_WIDTH, LG_PLATE_HEIGHT>
   rotate <0, -atan2(1,4)*180/pi, 0>
   translate <LG_WALL_WIDTH/2, 0, -5*LG_PLATE_HEIGHT>
  }
 }
 difference {
  box {
   <-2*LG_WALL_WIDTH, LG_KNOB_RADIUS, -5*LG_PLATE_HEIGHT>,
   <0, -LG_KNOB_HEIGHT, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
  }
  box {
   <0, 2*LG_WALL_WIDTH, -LG_E>,
   <LG_WALL_WIDTH/2+LG_E, -2*LG_WALL_WIDTH, LG_PLATE_HEIGHT>
   rotate <0, atan2(1,4)*180/pi, 0>
   translate <-LG_WALL_WIDTH/2, 0, -5*LG_PLATE_HEIGHT>
  }
 }
 object {
  lg_plate_column
  translate <LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <-LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT>,
   <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   box {
    <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
}

#declare lg_2878_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   cylinder {
    <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    torus {
     LG_WALL_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
    box {
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1, 2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
   }
   sphere {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    torus {
     LG_WALL_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
    box {
     <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
     <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1, 2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.12, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08+LG_E>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-0.12, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-0.12, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08+LG_E>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS, -4*LG_PLATE_HEIGHT+0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_E, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_E, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_E, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -3*LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_column
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0, 0.2-2*LG_CORNER_SPACE, LG_E>,
    <LG_BRICK_WIDTH/cos(lg_angle3), 0, -LG_CORNER_SPACE>
    rotate <0, lg_angle3*180/pi, 0>
    translate <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0.2-2*LG_CORNER_SPACE, LG_E>,
    <-LG_BRICK_WIDTH/cos(lg_angle3), 0, -LG_CORNER_SPACE>
    rotate <0, -lg_angle3*180/pi, 0>
    translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   #declare MIR2 = 0;
   #while (MIR2 < 2)
    merge {
     box {
      <0, -0.1-LG_E, 0.08-LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), 0, -LG_CORNER_SPACE>
     }
     box {
      <0, -0.1-LG_E, 0.08-2*LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), LG_CORNER_SPACE, 0>
     }
     cylinder {
      <0, 0, 0>,
      <0.4/sin(lg_angle3), 0, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, 0.08-2*LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), 0, 0.08-2*LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.4/sin(lg_angle3), 0, 0.08-2*LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.4/sin(lg_angle3), 0, 0.08-2*LG_CORNER_SPACE>,
      <0.4/sin(lg_angle3), -0.1, 0.08-2*LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     merge {
      cylinder {
       <0, 0, 0>,
       <0.32, 0, 0>,
       LG_CORNER_SPACE
      }
      sphere {
       <0.32, 0, 0>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.32, 0, 0>,
       <0.32, -0.1, 0>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32, 0, 0>,
       LG_CORNER_SPACE
      }
      sphere {
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32, -0.1, 0.08-2*LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0.0 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32, 0, 0.08-2*LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0.32+LG_CORNER_SPACE, 0, 0.08-2*LG_CORNER_SPACE>,
       <0.32-LG_E, -0.1, 0>
      }
      box {
       <0.32, LG_CORNER_SPACE, 0.08-2*LG_CORNER_SPACE>,
       <0, -0.1, 0>
      }
      box {
       <0.32, 0, 0.08-LG_CORNER_SPACE>,
       <0.0, -0.1, 0.08-2*LG_CORNER_SPACE-LG_E>
      }
      box {
       <0.32, 0, -LG_CORNER_SPACE>,
       <0, -0.1, LG_E>
      }
      rotate <0, -lg_angle3*180/pi, 0>
      translate <0.4/sin(lg_angle3), 0, 0>
     }
     rotate <0, lg_angle3*180/pi, 0>
     translate <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     #if (MIR2 = 1)
      matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
     #end
    }
    #declare MIR2 = MIR2 + 1;
   #end
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.08, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
    }
   }
   difference {
    box {
     <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     cylinder {
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+0.08-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     box {
      <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
    }
    box {
     <0, LG_E, 0>,
     <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -0.3-LG_E, LG_BRICK_WIDTH/2>
     rotate <0, -lg_angle2*180/pi, 0>
     translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    }
   }
   difference {
    merge {
     box {
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
    }
    box {
     <0, LG_E, 0>,
     <LG_BRICK_WIDTH, -0.3-LG_E, LG_BRICK_WIDTH/2>
     rotate <0, lg_angle2*180/pi, 0>
     translate <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    }
   }
   box {
    <0, -LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH*cos(lg_angle2), -0.3+LG_CORNER_SPACE, -LG_E>
    rotate <0, lg_angle2*180/pi, 0>
    translate <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 3*LG_BRICK_WIDTH-0.3, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <0, -LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH*cos(lg_angle2), -0.3+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, 3*LG_BRICK_WIDTH-0.3, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   difference {
    merge {
     box {
      <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     object {
      lg_knob_clear
      rotate <-90, 180, 0>   //LCH 20060310 rotate to turn studlogo upright
      translate <0, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_RADIUS>
     }
    }
    union {
     box {
      <0, LG_E, 0>,
      <LG_BRICK_WIDTH/cos(lg_angle3), -0.3-LG_E, -LG_BRICK_WIDTH>
      rotate <0, lg_angle3*180/pi, 0>
      translate <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <0, LG_E, 0>,
      <-LG_BRICK_WIDTH/cos(lg_angle3), -0.3-LG_E, -LG_BRICK_WIDTH>
      rotate <0, -lg_angle3*180/pi, 0>
      translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     cone {
      <0, 3*LG_BRICK_WIDTH-0.3+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-0.04>, 0,
      <0, 3*LG_BRICK_WIDTH-0.3-LG_E, -4*LG_PLATE_HEIGHT-0.04>, LG_WALL_WIDTH+LG_E
     }
     box {
      <LG_WALL_WIDTH/sqrt(2), LG_WALL_WIDTH/sqrt(2), -4*LG_PLATE_HEIGHT-0.04>,
      <-LG_WALL_WIDTH/sqrt(2), -LG_WALL_WIDTH/sqrt(2), -5*LG_PLATE_HEIGHT-LG_E>
      rotate <0, 0, 45>
      translate <0, 3*LG_BRICK_WIDTH-0.3, 0>
     }
    }
   }
   difference {
    merge {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
     }
     cylinder {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
    }
    box {
     <LG_WALL_WIDTH/sqrt(2), LG_WALL_WIDTH/sqrt(2), -4*LG_PLATE_HEIGHT-0.04>,
     <-LG_WALL_WIDTH/sqrt(2), -LG_WALL_WIDTH/sqrt(2), -5*LG_PLATE_HEIGHT-LG_E>
     rotate <0, 0, 45>
     translate <0, 3*LG_BRICK_WIDTH-0.3, 0>
    }
   }
   difference {
    merge {
     #declare TOR_Z = -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-0.056875;
     #while (TOR_Z>-4*LG_PLATE_HEIGHT)
      torus {
       LG_KNOB_RADIUS,
       0.05
       rotate <90, 0, 0>
       translate <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1-LG_KNOB_RADIUS, TOR_Z>
      }
      torus {
       LG_KNOB_RADIUS,
       0.05
       rotate <90, 0, 0>
       translate <-LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-0.1-LG_KNOB_RADIUS, TOR_Z>
      }
      #declare TOR_Z = TOR_Z - 0.11375;
     #end
    }
    box {
     <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.1-LG_E, -2*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
     <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_E, -LG_BRICK_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.3+LG_E, -LG_BRICK_HEIGHT>,
    <-1.5*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   difference {
    box {
     <1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <1.5*LG_BRICK_WIDTH+LG_E, 0, 0>,
     <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH, 1.5*LG_PLATE_HEIGHT>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.3+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <-1.5*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <-1.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
     <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH, 1.5*LG_PLATE_HEIGHT>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    box {
     <0, 0, -2*LG_PLATE_HEIGHT>,
     <-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH, 0>
     rotate <0, 0, atan2(1.5*LG_WALL_WIDTH, 0.5+2*LG_CORNER_SPACE)*180/pi>
     translate <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, 0>
    }
   }
   difference {
    box {
     <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>
     rotate <-lg_angle1*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    box {
     <0, 0, -2*LG_PLATE_HEIGHT>,
     <2*LG_WALL_WIDTH, -LG_BRICK_WIDTH, 0>
     rotate <0, 0, -atan2(1.5*LG_WALL_WIDTH, 0.5+2*LG_CORNER_SPACE)*180/pi>
     translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.5+LG_CORNER_SPACE, 0>
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     object {
      lg_knob_inner_space_clear
      translate <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <0, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
    }
   }
   object {
    lg_knob_clear
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    translate <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    rotate 180*z  //LCH 20060310 rotate in stead of mirror to preserve studlogo
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
 }
 box {
  <0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  box {
   <2*LG_WALL_WIDTH, LG_KNOB_RADIUS, -5*LG_PLATE_HEIGHT>,
   <0, -LG_KNOB_HEIGHT, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
  }
  box {
   <0, 2*LG_WALL_WIDTH, -LG_E>,
   <-LG_WALL_WIDTH/2-LG_E, -2*LG_WALL_WIDTH, LG_PLATE_HEIGHT>
   rotate <0, -atan2(1,4)*180/pi, 0>
   translate <LG_WALL_WIDTH/2, 0, -5*LG_PLATE_HEIGHT>
  }
 }
 difference {
  box {
   <-2*LG_WALL_WIDTH, LG_KNOB_RADIUS, -5*LG_PLATE_HEIGHT>,
   <0, -LG_KNOB_HEIGHT, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
  }
  box {
   <0, 2*LG_WALL_WIDTH, -LG_E>,
   <LG_WALL_WIDTH/2+LG_E, -2*LG_WALL_WIDTH, LG_PLATE_HEIGHT>
   rotate <0, atan2(1,4)*180/pi, 0>
   translate <-LG_WALL_WIDTH/2, 0, -5*LG_PLATE_HEIGHT>
  }
 }
 object {
  lg_plate_column
  translate <LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <-LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT>,
   <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   box {
    <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
}

#end
