/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19990109 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30037: Wing 9 x 12                                                       */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_30037)
#else
#declare lg_angle1=atan2(6*LG_PLATE_HEIGHT, 6*LG_BRICK_WIDTH);
#declare lg_angle2=atan2(3*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH);
#declare lg_30037 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT>
   }
   box {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   object {
    lg_plate_cylinder
    translate <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_column
    translate <4*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <3.5*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
     <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0>
    }
    object {
     lg_knob_inner_space
     translate <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    union {
     #declare ROT = 0;
     #while (ROT < 4)
      union {
       cylinder { 
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, 0>,
        <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2, -LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, -2*LG_PLATE_HEIGHT>
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, 0>,
        <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>
       }
       sphere {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       rotate <0, 0, 90*ROT>
      }
      #declare ROT = ROT + 1;
     #end
    }
    cylinder {
     <0, 0, -LG_TOP_HEIGHT+LG_E>,
     <0, 0, -LG_BRICK_HEIGHT>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_E>,
     LG_CYLINDER_RADIUS
    }
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>,
     LG_KNOB_RADIUS
    }
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
     LG_CYLINDER_RADIUS-LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 0>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
   }
   difference {
    union {
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT/2>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      LG_BRICK_WIDTH/2
     }
    }
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT+LG_E>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>,
     LG_KNOB_INNER_RADIUS
    }
   }
   torus {
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_BRICK_WIDTH+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>
   }
   torus {
    LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>
   }
   object {
    lg_tech_knob
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_BRICK_HEIGHT>,
      LG_BRICK_WIDTH+LG_WALL_WIDTH
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE+LG_E>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 0>,
      LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_BRICK_HEIGHT>,
      LG_BRICK_WIDTH
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_E>,
      LG_BRICK_WIDTH+LG_CORNER_SPACE
     }
     box {
      <0, 5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <4*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
      rotate <0, lg_angle1*180/pi,0>
      translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, 2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
     }
    }
   }
   #declare ROT = 0;
   #while (ROT < 8)
    union {
     box {
      <LG_KNOB_RADIUS+LG_E, 0.06-LG_CORNER_SPACE, 0>,
      <LG_BRICK_WIDTH+LG_E, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <LG_KNOB_RADIUS+LG_E, 0.06, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <LG_BRICK_WIDTH+LG_E, -0.06, -LG_CORNER_SPACE>
     }
     cylinder {
      <LG_KNOB_RADIUS+LG_E, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH+LG_E, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS+LG_E, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH+LG_E, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     rotate <0, 0, 45*ROT>
     translate <-LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
    }
    #declare ROT = ROT + 1;
   #end
   object {
    lg_knob
    translate <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     difference {
      box {
       <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
       <6*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
      }
      union {
       cylinder {
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, LG_E>,
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
        LG_BRICK_WIDTH
       }
       cylinder {
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, LG_E>,
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
        LG_BRICK_WIDTH+LG_CORNER_SPACE
       }
       box {
        <0, 0, LG_E>,
        <6.2*LG_BRICK_WIDTH/cos(lg_angle2), 4*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
        rotate <0, 0, -lg_angle2*180/pi>
        translate <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
       }
      }
     }
     cylinder {
      <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
     }
     box {
      <0, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     cylinder {
      <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <6.2*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <0, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <6.2*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     torus {
      LG_BRICK_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
     }
     difference {
      box {
       <6*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT>,
       <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>
      }
      box {
       <0, 0.1, 0>,
       <1, -0.1, -0.5>
       rotate <0, 45, 0>
       translate <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
      }
     }
     matrix <1, 0, 0-0.4, 0, 1, 0, 0, 0, 1, -2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, 2*LG_BRICK_HEIGHT>
    }
    union {
     box {
      <3*LG_BRICK_WIDTH-LG_KNOB_RADIUS, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <4*LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_E>
     }
     box {
      <2*LG_BRICK_WIDTH-LG_KNOB_RADIUS, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <4*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
     }
     box {
      <3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <4*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <4.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <-4.5*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-4.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT>,
  <-4.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT>,
  <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 #declare CYL_X = -5;
 #while (CYL_X < 6)
  object {
   lg_plate_cylinder
   translate <-3.5*LG_BRICK_WIDTH, CYL_X*LG_BRICK_WIDTH, 5*LG_PLATE_HEIGHT>
  }
  #declare CYL_X = CYL_X + 1;
 #end
 difference {
  box {
   <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT>,
   <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_X = -5.5;
   #while (KNOB_X < 6)
    object {
     lg_knob_inner_space
     translate <-3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <-4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
  }
 }
 #declare KNOB_X = -5.5;
 #while (KNOB_X < 6)
  object {
   lg_knob
   translate <-3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT>
  }
  object {
   lg_knob
   translate <-4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
 object {
  lg_plate_cylinder
  translate <3.5*LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_X = -1.5;
   #while (KNOB_X < 2)
    object {
     lg_knob_inner_space
     translate <3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
  }
 }
 #declare KNOB_X = -1.5;
 #while (KNOB_X < 2)
  object {
   lg_knob
   translate <3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob
   translate <4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
 translate <3.5*LG_BRICK_WIDTH, 0, -2*LG_BRICK_HEIGHT>
}

#declare lg_30037_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT>
   }
   box {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   object {
    lg_plate_cylinder_clear
    translate <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_column_clear
    translate <4*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <3.5*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
     <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0>
    }
    object {
     lg_knob_inner_space_clear
     translate <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    merge {
     #declare ROT = 0;
     #while (ROT < 4)
      merge {
       cylinder { 
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, 0>,
        <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2, -LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, -2*LG_PLATE_HEIGHT>
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, 0>,
        <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_KNOB_RADIUS, -2*LG_PLATE_HEIGHT>
       }
       sphere {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -2*LG_PLATE_HEIGHT>,
        0.08
       }
       rotate <0, 0, 90*ROT>
      }
      #declare ROT = ROT + 1;
     #end
    }
    cylinder {
     <0, 0, -LG_TOP_HEIGHT+LG_E>,
     <0, 0, -LG_BRICK_HEIGHT>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_E>,
     LG_CYLINDER_RADIUS
    }
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>,
     LG_KNOB_RADIUS
    }
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
     LG_CYLINDER_RADIUS-LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 0>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
   }
   difference {
    merge {
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT/2>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      LG_BRICK_WIDTH/2
     }
    }
    cylinder {
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT+LG_E>,
     <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>,
     LG_KNOB_INNER_RADIUS
    }
   }
   torus {
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_BRICK_WIDTH+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>
   }
   torus {
    LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>
   }
   object {
    lg_tech_knob_clear
    translate <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_BRICK_HEIGHT>,
      LG_BRICK_WIDTH+LG_WALL_WIDTH
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE+LG_E>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 0>,
      LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, 2*LG_BRICK_HEIGHT>,
      LG_BRICK_WIDTH
     }
     cylinder {
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH, 3.5*LG_BRICK_WIDTH, -LG_E>,
      LG_BRICK_WIDTH+LG_CORNER_SPACE
     }
     box {
      <0, 5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <4*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
      rotate <0, lg_angle1*180/pi,0>
      translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, 2*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
     }
    }
   }
   #declare ROT = 0;
   #while (ROT < 8)
    merge {
     box {
      <LG_KNOB_RADIUS+LG_E, 0.06-LG_CORNER_SPACE, 0>,
      <LG_BRICK_WIDTH+LG_E, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <LG_KNOB_RADIUS+LG_E, 0.06, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <LG_BRICK_WIDTH+LG_E, -0.06, -LG_CORNER_SPACE>
     }
     cylinder {
      <LG_KNOB_RADIUS+LG_E, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH+LG_E, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS+LG_E, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH+LG_E, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     rotate <0, 0, 45*ROT>
     translate <-LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
    }
    #declare ROT = ROT + 1;
   #end
   object {
    lg_knob_clear
    translate <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     difference {
      box {
       <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
       <6*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
      }
      union {
       cylinder {
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, LG_E>,
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
        LG_BRICK_WIDTH
       }
       cylinder {
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, LG_E>,
        <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
        LG_BRICK_WIDTH+LG_CORNER_SPACE
       }
       box {
        <0, 0, LG_E>,
        <6.2*LG_BRICK_WIDTH/cos(lg_angle2), 4*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
        rotate <0, 0, -lg_angle2*180/pi>
        translate <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
       }
      }
     }
     cylinder {
      <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
     }
     box {
      <0, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     cylinder {
      <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <6*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <6.2*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     box {
      <0, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <6.2*LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <0, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     torus {
      LG_BRICK_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
     }
     difference {
      box {
       <6*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT>,
       <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>
      }
      box {
       <0, 0.1, 0>,
       <1, -0.1, -0.5>
       rotate <0, 45, 0>
       translate <4*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
      }
     }
     matrix <1, 0, 0-0.4, 0, 1, 0, 0, 0, 1, -2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, 2*LG_BRICK_HEIGHT>
    }
    union {
     box {
      <3*LG_BRICK_WIDTH-LG_KNOB_RADIUS, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <4*LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_E>
     }
     box {
      <2*LG_BRICK_WIDTH-LG_KNOB_RADIUS, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <4*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
     }
     box {
      <3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <4*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <4.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <-4.5*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-4.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT>,
  <-4.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT>,
  <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 #declare CYL_X = -5;
 #while (CYL_X < 6)
  object {
   lg_plate_cylinder_clear
   translate <-3.5*LG_BRICK_WIDTH, CYL_X*LG_BRICK_WIDTH, 5*LG_PLATE_HEIGHT>
  }
  #declare CYL_X = CYL_X + 1;
 #end
 difference {
  box {
   <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT>,
   <-4.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 6*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_X = -5.5;
   #while (KNOB_X < 6)
    object {
     lg_knob_inner_space_clear
     translate <-3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space_clear
     translate <-4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
  }
 }
 #declare KNOB_X = -5.5;
 #while (KNOB_X < 6)
  object {
   lg_knob_clear
   translate <-3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT>
  }
  object {
   lg_knob_clear
   translate <-4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 6*LG_PLATE_HEIGHT>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
 object {
  lg_plate_cylinder_clear
  translate <3.5*LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_X = -1.5;
   #while (KNOB_X < 2)
    object {
     lg_knob_inner_space_clear
     translate <3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space_clear
     translate <4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
  }
 }
 #declare KNOB_X = -1.5;
 #while (KNOB_X < 2)
  object {
   lg_knob_clear
   translate <3*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob_clear
   translate <4*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
}

#end
