/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20001113 Lutz Uhlmann                                                       */
/* 20080127 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30072: Brick 12 x 24                                                     */
/*                                                                             */
/*******************************************************************************/
#ifdef(lg_30072)
#else
#declare LENGTH = 24;
#declare WIDTH = 12;
#declare lg_30072 =
union {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   #declare KS_X = 0;
   #while (KS_X < LENGTH)
    #declare KS_Y = 0;
    #while (KS_Y < WIDTH)
     object {
      lg_knob_inner_space
      translate <(KS_X+0.5)*LG_BRICK_WIDTH, (KS_Y+0.5)*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
     }
     #declare KS_Y = KS_Y + 1;
     #end
    #declare KS_X = KS_X + 1;
   #end
  }
 }
 #declare CYL_X = 1;
 #while (CYL_X < LENGTH)
  #declare CYL_Y = 1;
  #while (CYL_Y < WIDTH)
   object {
    lg_brick_cylinder
    translate <CYL_X*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, 0>
   }
   #if (CYL_Y = 1 & CYL_X < (LENGTH - 1))
    union {
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_HEIGHT-LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH+LG_E,LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y-1)*LG_BRICK_WIDTH+0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y-1)*LG_BRICK_WIDTH+0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     torus {
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
      LG_CYLINDER_WALL_WIDTH/2
      rotate <0, 0, 90>
      translate <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH-LG_E,LG_BRICK_HEIGHT/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.2*LG_BRICK_WIDTH+LG_E,LG_BRICK_HEIGHT-LG_E>
     }
    }
   #end
   #if (CYL_Y = (WIDTH - 1) & CYL_X < (LENGTH - 1))
    union {
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, (CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     torus {
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
      LG_CYLINDER_WALL_WIDTH/2
      rotate <0, 0, 90>
      translate <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,LG_BRICK_HEIGHT/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.2*LG_BRICK_WIDTH+LG_E,LG_BRICK_HEIGHT-LG_E>
     }
    }
   #end
   #if (CYL_Y < (WIDTH - 1) & CYL_X <(LENGTH - 1))
    #if (CYL_X > 2)
     union {
      box {
       <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
       <(CYL_X-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT+LG_E>
      }
      cylinder {
       <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       <(CYL_X-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       LG_CYLINDER_WALL_WIDTH/2
      }
     }
    #end
    #if (CYL_Y > 2)
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      LG_CYLINDER_WALL_WIDTH/2
     }
    #end
    object {
     lg_brick_cylinder
     translate <(1+CYL_X)*LG_BRICK_WIDTH, (1+CYL_Y)*LG_BRICK_WIDTH, 0>
    }
    #if (CYL_X = 1)
     union {
      box {
       <2*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT>
      }
      cylinder {
       <2*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <0.8*LG_BRICK_WIDTH+LG_E,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>
      }
      cylinder {
       <0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
       <0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_BRICK_INNER_HEIGHT+LG_E>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      torus {
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
       LG_CYLINDER_WALL_WIDTH/2
       translate <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>
      }
      cylinder {
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <0.8*LG_BRICK_WIDTH+LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT/2>,
       <0.2*LG_BRICK_WIDTH-LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT-LG_E>
      }
     }
     union {
      box {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
       <(LENGTH-2)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT>
      }
      cylinder {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       <(LENGTH-2)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <LENGTH*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>
      }
      cylinder {
       <LENGTH*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
       <LENGTH*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_BRICK_INNER_HEIGHT+LG_E>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      torus {
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
       LG_CYLINDER_WALL_WIDTH/2
       translate <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>
      }
      cylinder {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT/2>,
       <LENGTH*LG_BRICK_WIDTH-0.2*LG_BRICK_WIDTH+LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT-LG_E>
      }
     }
    #end
   #end
   #declare CYL_Y = CYL_Y + 2;
  #end
  #declare CYL_X = CYL_X + 2;
 #end
 #declare KNOB_X = 0;
 #while (KNOB_X < LENGTH)
  #declare KNOB_Y = 0;
  #while (KNOB_Y < WIDTH)
   object {
    lg_knob
    rotate <0, 0, 90>
    translate <(0.5+KNOB_X)*LG_BRICK_WIDTH, (0.5+KNOB_Y)*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
   }
   #declare KNOB_Y = KNOB_Y + 1;
  #end
  #declare KNOB_X = KNOB_X + 1;
 #end
 translate <-12*LG_BRICK_WIDTH, -6*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0, 0, 90>
}

#declare lg_30072_clear =
merge {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   #declare KS_X = 0;
   #while (KS_X < LENGTH)
    #declare KS_Y = 0;
    #while (KS_Y < WIDTH)
     object {
      lg_knob_inner_space_clear
      translate <(KS_X+0.5)*LG_BRICK_WIDTH, (KS_Y+0.5)*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
     }
     #declare KS_Y = KS_Y + 1;
     #end
    #declare KS_X = KS_X + 1;
   #end
  }
 }
 #declare CYL_X = 1;
 #while (CYL_X < LENGTH)
  #declare CYL_Y = 1;
  #while (CYL_Y < WIDTH)
   object {
    lg_brick_cylinder_clear
    translate <CYL_X*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, 0>
   }
   #if (CYL_Y = 1 & CYL_X < (LENGTH - 1))
    merge {
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_HEIGHT-LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH+LG_E,LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y-1)*LG_BRICK_WIDTH+0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y-1)*LG_BRICK_WIDTH+0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     torus {
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
      LG_CYLINDER_WALL_WIDTH/2
      rotate <0, 0, 90>
      translate <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.8*LG_BRICK_WIDTH-LG_E,LG_BRICK_HEIGHT/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y-1)*LG_BRICK_WIDTH+0.2*LG_BRICK_WIDTH+LG_E,LG_BRICK_HEIGHT-LG_E>
     }
    }
   #end
   #if (CYL_Y = (WIDTH - 1) & CYL_X < (LENGTH - 1))
    merge {
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, (CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>,
      LG_CYLINDER_WALL_WIDTH/2
     }
     torus {
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
      LG_CYLINDER_WALL_WIDTH/2
      rotate <0, 0, 90>
      translate <(CYL_X+1)*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
      LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
     }
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,LG_BRICK_HEIGHT/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-0.2*LG_BRICK_WIDTH+LG_E,LG_BRICK_HEIGHT-LG_E>
     }
    }
   #end
   #if (CYL_Y < (WIDTH - 1) & CYL_X <(LENGTH - 1))
    #if (CYL_X > 2)
     merge {
      box {
       <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
       <(CYL_X-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT+LG_E>
      }
      cylinder {
       <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       <(CYL_X-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       LG_CYLINDER_WALL_WIDTH/2
      }
     }
    #end
    #if (CYL_Y > 2)
     box {
      <(CYL_X+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT+LG_E>
     }
     cylinder {
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y-1)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      <(CYL_X+1)*LG_BRICK_WIDTH, (CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
      LG_CYLINDER_WALL_WIDTH/2
     }
    #end
    object {
     lg_brick_cylinder_clear
     translate <(1+CYL_X)*LG_BRICK_WIDTH, (1+CYL_Y)*LG_BRICK_WIDTH, 0>
    }
    #if (CYL_X = 1)
     merge {
      box {
       <2*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT>
      }
      cylinder {
       <2*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <0.8*LG_BRICK_WIDTH+LG_E,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>
      }
      cylinder {
       <0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
       <0.6*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_BRICK_INNER_HEIGHT+LG_E>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      torus {
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
       LG_CYLINDER_WALL_WIDTH/2
       translate <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>
      }
      cylinder {
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <0.8*LG_BRICK_WIDTH+LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT/2>,
       <0.2*LG_BRICK_WIDTH-LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT-LG_E>
      }
     }
     merge {
      box {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_CYLINDER_WALL_WIDTH/2>,
       <(LENGTH-2)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_INNER_HEIGHT>
      }
      cylinder {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       <(LENGTH-2)*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH, LG_CYLINDER_WALL_WIDTH/2>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <LENGTH*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_INNER_HEIGHT+LG_E>
      }
      cylinder {
       <LENGTH*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>,
       <LENGTH*LG_BRICK_WIDTH-0.6*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,(CYL_Y+1)*LG_BRICK_WIDTH,LG_BRICK_INNER_HEIGHT+LG_E>,
       LG_CYLINDER_WALL_WIDTH/2
      }
      torus {
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2,
       LG_CYLINDER_WALL_WIDTH/2
       translate <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH,LG_WALL_WIDTH>
      }
      cylinder {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH,(CYL_Y+1)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2,LG_WALL_WIDTH>,
       LG_WALL_WIDTH-LG_CYLINDER_WALL_WIDTH/2
      }
      box {
       <LENGTH*LG_BRICK_WIDTH-0.8*LG_BRICK_WIDTH-LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT/2>,
       <LENGTH*LG_BRICK_WIDTH-0.2*LG_BRICK_WIDTH+LG_E,(CYL_Y+1)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2,LG_BRICK_HEIGHT-LG_E>
      }
     }
    #end
  #end
  #declare CYL_Y = CYL_Y + 2;
  #end
  #declare CYL_X = CYL_X + 2;
 #end
 #declare KNOB_X = 0;
 #while (KNOB_X < LENGTH)
  #declare KNOB_Y = 0;
  #while (KNOB_Y < WIDTH)
   object {
    lg_knob_clear
    rotate <0, 0, 90>
    translate <(0.5+KNOB_X)*LG_BRICK_WIDTH, (0.5+KNOB_Y)*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
   }
   #declare KNOB_Y = KNOB_Y + 1;
  #end
  #declare KNOB_X = KNOB_X + 1;
 #end
 translate <-12*LG_BRICK_WIDTH, -6*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0, 0, 90>
}

#end
