/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19981125 Lutz Uhlmann                                                       */
/* 20080127 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30079:  Panel 3 x 3 x3 Sloped                                            */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_30079)
#else
#declare lg_angle1=atan2(1.6,2*LG_BRICK_WIDTH);
#declare lg_angle2=atan2(1.6,(LG_BRICK_WIDTH-LG_CORNER_SPACE)*sqrt(2));
#declare lg_30079 =
union {
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.96-LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  cylinder {
   <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
   <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_WALL_WIDTH-LG_CORNER_SPACE
  }
  union {
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_E>,
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 0>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <-0.5*LG_BRICK_WIDTH+LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 0>
   }
  }
 }
 difference {
  cylinder {
   <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
   <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_WALL_WIDTH-LG_CORNER_SPACE
  }
  union {
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
   }
   box {
    <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_E, 0>
   }
  }
 }
 difference {
  union {
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0, 0, -LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH/cos(pi/4), -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
    rotate <0, 0, -45>
    translate <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH/cos(pi/4), -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
  }
  union {
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -LG_TOP_HEIGHT>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -LG_PLATE_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <0, 2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -LG_TOP_HEIGHT>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -LG_PLATE_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, LG_BRICK_WIDTH-0.04, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, 2*LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-0.06, LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>
 }
 box {
  <-0.06, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   box {
    <-LG_WALL_WIDTH, 0, LG_E>,
    <2*LG_BRICK_WIDTH/cos(pi/4)+LG_E, 2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT-LG_E>
    rotate <0, 0, -45>
    translate <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_E>,
    <-1.5*LG_BRICK_WIDTH, 0, -LG_TOP_HEIGHT-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_E>,
    <-1.5*LG_BRICK_WIDTH, 0, -LG_TOP_HEIGHT-LG_E>
   }
  }
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE>
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_TOP_HEIGHT>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE-LG_E>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 box {
  <-1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2.24-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, 2.24-LG_TOP_HEIGHT>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0, 2.24-LG_TOP_HEIGHT>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2.24>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE-LG_E>
 }
 difference {
  union {
   box {
    <0, 0, 0>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 0, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 difference {
  union {
   box {
    <0, 0, 0>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 0, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 box {
  <-LG_BRICK_WIDTH/2, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_E, 2.24-LG_TOP_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_E, 2.24-LG_TOP_HEIGHT>
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
   <0, 1.4*LG_BRICK_WIDTH, 2.24-LG_TOP_HEIGHT>
  }
  union {
   box {
    <0, -LG_E, 0>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2>
    rotate <0, lg_angle1*180/pi, 0>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
   }
   box {
    <0, -LG_BRICK_WIDTH/2, 0>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH>
    rotate <0, lg_angle2*180/pi, 45>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
   }
  }
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
   <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_TOP_HEIGHT>
  }
  box {
   <0, -LG_E, 0>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2>
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <0, -1.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
   <(2*LG_BRICK_WIDTH-4*LG_CORNER_SPACE)/sqrt(2)/cos(lg_angle2), 1.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle2*180/pi, 45>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <0, LG_CORNER_SPACE/sqrt(2), 2.56>,
    <2.2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <0, LG_CORNER_SPACE/sqrt(2), 2.56>,
    <2.2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 object {
  lg_tech_knob_logo
  translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 2.24>
 }
 matrix <1, 0, 0, 0, 1, 0, 0, 0, 1, 0.1*LG_BRICK_WIDTH, -1.35*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT> 
}

#declare lg_30079_clear =
merge {
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.96-LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, 0.96-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  cylinder {
   <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
   <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_WALL_WIDTH-LG_CORNER_SPACE
  }
  union {
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_E>,
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 0>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <-0.5*LG_BRICK_WIDTH+LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 0>
   }
  }
 }
 difference {
  cylinder {
   <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
   <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_WALL_WIDTH-LG_CORNER_SPACE
  }
  union {
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
   }
   box {
    <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_E, 0>
   }
  }
 }
 difference {
  merge {
   cylinder {
    <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0, 0, -LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH/cos(pi/4), -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
    rotate <0, 0, -45>
    translate <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH/cos(pi/4), -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
  }
  union {
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -LG_TOP_HEIGHT>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -LG_PLATE_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <0, 2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -LG_TOP_HEIGHT>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -LG_PLATE_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, LG_BRICK_WIDTH-0.04, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH-0.04, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, 2*LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>
 }
 box {
  <0.5*LG_BRICK_WIDTH+0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-0.06, LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>
 }
 box {
  <-0.06, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <0.06, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   box {
    <-LG_WALL_WIDTH, 0, LG_E>,
    <2*LG_BRICK_WIDTH/cos(pi/4)+LG_E, 2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT-LG_E>
    rotate <0, 0, -45>
    translate <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_E>,
    <-1.5*LG_BRICK_WIDTH, 0, -LG_TOP_HEIGHT-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_E>,
    <-1.5*LG_BRICK_WIDTH, 0, -LG_TOP_HEIGHT-LG_E>
   }
  }
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.96-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE>
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_TOP_HEIGHT>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE-LG_E>,
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH, 2.24>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 box {
  <-1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2.24-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, 2.24-LG_TOP_HEIGHT>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0, 2.24-LG_TOP_HEIGHT>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2.24>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, 2.24-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_CORNER_SPACE, 2.24-LG_CORNER_SPACE-LG_E>
 }
 difference {
  merge {
   box {
    <0, 0, 0>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 0, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 difference {
  merge {
   box {
    <0, 0, 0>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 0, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <(2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)/cos(lg_angle1), LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E, 2.56>,
    <-LG_BRICK_WIDTH, 1.2*LG_BRICK_WIDTH, 2.56-LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, 2.56>,
    <2*LG_BRICK_WIDTH, LG_WALL_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 box {
  <-LG_BRICK_WIDTH/2, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_E, 2.24-LG_TOP_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2, LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_E, 2.24-LG_TOP_HEIGHT>
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
   <0, 1.4*LG_BRICK_WIDTH, 2.24-LG_TOP_HEIGHT>
  }
  union {
   box {
    <0, -LG_E, 0>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2>
    rotate <0, lg_angle1*180/pi, 0>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
   }
   box {
    <0, -LG_BRICK_WIDTH/2, 0>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH>
    rotate <0, lg_angle2*180/pi, 45>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
   }
  }
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>,
   <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.24-LG_TOP_HEIGHT>
  }
  box {
   <0, -LG_E, 0>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2>
   rotate <0, lg_angle1*180/pi, 0>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <0, -1.5*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
   <(2*LG_BRICK_WIDTH-4*LG_CORNER_SPACE)/sqrt(2)/cos(lg_angle2), 1.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle2*180/pi, 45>
   translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.56-LG_CORNER_SPACE-2*LG_CORNER_SPACE/cos(lg_angle1)*sin(lg_angle1)>
  }
  union {
   box {
    <0, LG_CORNER_SPACE/sqrt(2), 2.56>,
    <2.2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    matrix <0, 1, 0, 1, 0, 0, 0, 0, 1, -1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <0, LG_CORNER_SPACE/sqrt(2), 2.56>,
    <2.2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
    rotate <0, 0, -atan2(2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE)*180/pi>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
 }
 object {
  lg_tech_knob_logo_clear
  translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 2.24>
 }
 matrix <1, 0, 0, 0, 1, 0, 0, 0, 1, 0.1*LG_BRICK_WIDTH, -1.35*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT> 
}

#end
