/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19990822 Lutz Uhlmann                                                       */
/* 20080128 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30150: Box 3 x 4 x 1 & 2/3                                               */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_30150)
#else
#declare lg_30150 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_plate_cylinder
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    scale <1-2*MIR, 1, 1>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   object {
    lg_knob
    scale <1-2*MIR, 1, 1>
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, 0>
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
     <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     box {
      <2*LG_BRICK_WIDTH+LG_E, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <1.8*LG_BRICK_WIDTH-LG_E, 0.6*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>,
      <2*LG_BRICK_WIDTH, -0.6*LG_BRICK_WIDTH, 3*LG_PLATE_HEIGHT>
     }
    }
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>
   }
   #declare MIR2 = 0;
   #while (MIR2 < 2)
    union {
     sphere {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT>
     }
     box {
      <1.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_E, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_E, 1.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT>
     }
     box {
      <0.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_E, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     #if (MIR2 = 1)
      matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
     #end
    }
    #declare MIR2 = MIR2 + 1;
   #end
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 difference {
  box {
   <1.8*LG_BRICK_WIDTH+LG_E, 1.3*LG_BRICK_WIDTH+LG_E, 0>,
   <-1.8*LG_BRICK_WIDTH-LG_E, -1.3*LG_BRICK_WIDTH-LG_E, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.45*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.45*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.45*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.45*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_cylinder
  translate <0, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder
  translate <0, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.45*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.45*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
}
#declare lg_30150_clear=
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_plate_cylinder_clear
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder_clear
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    scale <1-2*MIR, 1, 1>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   object {
    lg_knob_clear
    scale <1-2*MIR, 1, 1>
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, 0>
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
     <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     box {
      <2*LG_BRICK_WIDTH+LG_E, 0.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <1.8*LG_BRICK_WIDTH-LG_E, 0.6*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>,
      <2*LG_BRICK_WIDTH, -0.6*LG_BRICK_WIDTH, 3*LG_PLATE_HEIGHT>
     }
    }
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>
   }
   #declare MIR2 = 0;
   #while (MIR2 < 2)
    merge {
     sphere {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT>
     }
     box {
      <1.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_E, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_E, 1.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     cylinder {
      <1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <1.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT>
     }
     box {
      <0.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH, 4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_E, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
     }
     cylinder {
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     #if (MIR2 = 1)
      matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
     #end
    }
    #declare MIR2 = MIR2 + 1;
   #end
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 difference {
  box {
   <1.8*LG_BRICK_WIDTH+LG_E, 1.3*LG_BRICK_WIDTH+LG_E, 0>,
   <-1.8*LG_BRICK_WIDTH-LG_E, -1.3*LG_BRICK_WIDTH-LG_E, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.45*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.45*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.45*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.45*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_cylinder_clear
  translate <0, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob_clear
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.45*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.45*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_PLATE_HEIGHT/3-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
}

#declare lg_30150_slope =
union {
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.425*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.425*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.425*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.425*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.45*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 2.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.45*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT/3>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.45*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.45*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT/3>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 1.475*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 7*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.475*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -1.475*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 7*LG_PLATE_HEIGHT/3>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.475*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
}

#end
