/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20001119 Lutz Uhlmann                                                       */
/* 20080128 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30156: Panel  4 x 6 x 6 Sloped                                           */
/*                                                                             */
/*******************************************************************************/
#ifdef(lg_30156)
#else
#declare lg_angle1=atan2(3*LG_BRICK_WIDTH, 5*LG_BRICK_HEIGHT-2*LG_CORNER_SPACE);
#declare lg_angle2=atan2(1, 2);
#declare lg_30156 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     torus {
      0.08-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>
     }
     torus {
      0.08-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -3*LG_BRICK_HEIGHT+0.08>,
      0.08-LG_CORNER_SPACE
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
      0.08
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_HEIGHT+0.08>,
      0.08-LG_CORNER_SPACE
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
      0.08
     }
    }
    union {
     box {
      <-2*LG_BRICK_WIDTH+0.08+LG_E, 3*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_HEIGHT-LG_E>,
      <-2*LG_BRICK_WIDTH+0.16+LG_E, 2*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_HEIGHT+0.16+LG_E>
     }
     box {
      <-2*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+0.08+LG_E>,
      <-2*LG_BRICK_WIDTH+0.16+LG_E, 2*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_HEIGHT+0.16+LG_E>
     }
    }
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -5*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_E, 1.5*LG_BRICK_WIDTH-0.06, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -5*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_E, 0.5*LG_BRICK_WIDTH-0.06, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH+0.06, -5*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_E, 2.5*LG_BRICK_WIDTH-0.06, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08+LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08+LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     difference {
      box {
       <0, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3.5*LG_BRICK_HEIGHT>
      }
      box {
       <0, -LG_E, LG_E>,
       <-0.4, 0.4, -0.5>
       rotate <0, -30, 0>
       translate <0, 2*LG_BRICK_WIDTH, -10*LG_PLATE_HEIGHT>
      }
     }
     box {
      <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
      <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
     }
     box {
      <-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH-0.04, -3*LG_BRICK_HEIGHT+LG_E>,
      <LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH+0.04, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
    }
    box {
     <0, 2.5, -LG_E>,
     <2, 1.5, 6>
     rotate <0, -lg_angle1*180/pi,0>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
   }
   object {
    lg_tech_knob_logo
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
 }
 box {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
 }
 box {
  <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_column
  translate <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <1.5*LG_BRICK_WIDTH, 0, -5*LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
  box {
   <0, 2.4, -0.3>,
   <-0.3, -2.4, 0.1>
   rotate <0, 45, 0>
   translate <LG_BRICK_WIDTH-LG_E, 0, -5*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
 }
 difference {
  union {
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
   }
  }
  box {
   <0, 2.5, -LG_E>,
   <0.4, -2.5, 0.5>
   rotate <0, -lg_angle1*180/pi,0>
   translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_TOP_HEIGHT+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -(5*LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/cos(lg_angle1)>
   rotate <0, -lg_angle1*180/pi,0>
   translate <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  union {
   box {
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_WIDTH+2*LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -3*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT>
   }
  }
 }
}

#declare lg_30156_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     torus {
      0.08-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>
     }
     torus {
      0.08-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -3*LG_BRICK_HEIGHT+0.08>,
      0.08-LG_CORNER_SPACE
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
      0.08
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_HEIGHT+0.08>,
      0.08-LG_CORNER_SPACE
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
      0.08
     }
    }
    union {
     box {
      <-2*LG_BRICK_WIDTH+0.08+LG_E, 3*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_HEIGHT-LG_E>,
      <-2*LG_BRICK_WIDTH+0.16+LG_E, 2*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_HEIGHT+0.16+LG_E>
     }
     box {
      <-2*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+0.08+LG_E>,
      <-2*LG_BRICK_WIDTH+0.16+LG_E, 2*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_HEIGHT+0.16+LG_E>
     }
    }
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column_clear
    translate <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column_clear
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column_clear
    translate <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column_clear
    translate <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -5*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_E, 1.5*LG_BRICK_WIDTH-0.06, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -5*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_E, 0.5*LG_BRICK_WIDTH-0.06, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH+0.06, -5*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_E, 2.5*LG_BRICK_WIDTH-0.06, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08+LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+0.08+LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+0.08>
   }
   difference {
    merge {
     box {
      <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     cylinder {
      <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     difference {
      box {
       <0, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3.5*LG_BRICK_HEIGHT>
      }
      box {
       <0, -LG_E, LG_E>,
       <-0.4, 0.4, -0.5>
       rotate <0, -30, 0>
       translate <0, 2*LG_BRICK_WIDTH, -10*LG_PLATE_HEIGHT>
      }
     }
     box {
      <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
      <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
     }
     box {
      <-LG_WALL_WIDTH, 2.5*LG_BRICK_WIDTH-0.04, -3*LG_BRICK_HEIGHT+LG_E>,
      <LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH+0.04, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
    }
    box {
     <0, 2.5, -LG_E>,
     <2, 1.5, 6>
     rotate <0, -lg_angle1*180/pi,0>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
   }
   object {
    lg_tech_knob_logo_clear
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
 }
 box {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
 }
 box {
  <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <1.5*LG_BRICK_WIDTH, 0, -5*LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
  box {
   <0, 2.4, -0.3>,
   <-0.3, -2.4, 0.1>
   rotate <0, 45, 0>
   translate <LG_BRICK_WIDTH-LG_E, 0, -5*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
 }
 difference {
  merge {
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
   }
  }
  box {
   <0, 2.5, -LG_E>,
   <0.4, -2.5, 0.5>
   rotate <0, -lg_angle1*180/pi,0>
   translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_TOP_HEIGHT+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -(5*LG_BRICK_HEIGHT-2*LG_CORNER_SPACE)/cos(lg_angle1)>
   rotate <0, -lg_angle1*180/pi,0>
   translate <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  union {
   box {
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_WIDTH+2*LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -3*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT>
   }
  }
 }
}

#end
