/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19990707 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30359a: Brick 1 x 2 Round Top with Rod 1 x 8 and Stud                    */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_30359a)
#else
#declare lg_angle1=atan2(0.16, LG_BRICK_WIDTH);
#declare lg_angle2=atan2(LG_WALL_WIDTH, LG_BRICK_WIDTH);
#declare lg_30359a =
union {
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH*0.75, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH*0.75, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH*0.75, -LG_BRICK_WIDTH/2>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH*0.75, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 cylinder {
  <LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH/2>,
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   cylinder {
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
  }
  union {
   cylinder {
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 intersection {
  union {
   difference {
    union {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_BRICK_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     box {
      <0.04, LG_BRICK_WIDTH/2, 0>,
      <-0.04, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
     }
    }
    cylinder {
     <0, 0, 0>,
     <0, 0, -LG_BRICK_HEIGHT-LG_E>,
     0.06
    }
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
  }
  union {
   cylinder {
    <LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>
   }
  }
 }
 difference {
  union {
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 0, 0>,
    <LG_BRICK_WIDTH/2, 0, -2*LG_TOP_HEIGHT>,
    LG_KNOB_RADIUS
   }
   object {
    lg_tech_knob
    translate <LG_BRICK_WIDTH/2, 0, 0>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2, 0, 0>,
    <-LG_BRICK_WIDTH/2, 0, -2*LG_TOP_HEIGHT>,
    LG_KNOB_RADIUS
   }
   object {
    lg_tech_knob
    translate <-LG_BRICK_WIDTH/2, 0, 0>
   }
  }
  union {
   cylinder {
    <LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2-LG_WALL_WIDTH*0.75
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_E>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>
   }
  }
 }
 difference {
  cone {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>, 0.36,
   <2*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_CORNER_SPACE*sin(lg_angle1), 0, -LG_BRICK_WIDTH/2>, 0.2
  }
  difference {
   box {
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_KNOB_RADIUS, -LG_BRICK_WIDTH/2>
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_BRICK_HEIGHT>
   }
   union {
    box {
     <0.2, 0, 0>,
     <-1.5*LG_BRICK_WIDTH, -0.5, -LG_BRICK_HEIGHT>
     rotate <0, 0, lg_angle2*180/pi>
     translate <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH/2, 0>
    }
    box {
     <0.2, 0, 0>,
     <-1.5*LG_BRICK_WIDTH, 0.5, -LG_BRICK_HEIGHT>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, 0>
    }
   }
  }
 }
 torus {
  0.2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 cylinder {
  <2*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0, -LG_BRICK_WIDTH/2>,
  0.2-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>,
  <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
  LG_WALL_WIDTH
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 difference {
  union {
   cylinder {
    <6*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    0.4-LG_CORNER_SPACE
   }
   cylinder {
    <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    0.4
   }
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, 0>,
    <6.5*LG_BRICK_WIDTH, 0, -2*LG_TOP_HEIGHT>,
    LG_KNOB_RADIUS
   }
   object {
    lg_tech_knob
    translate <6.5*LG_BRICK_WIDTH, 0, 0>
   }
  }
  union {
   cylinder {
    <6*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    0.24
   }
   cylinder {
    <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>,
    0.24+LG_CORNER_SPACE
   }
  }
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  union {
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT/2>,
    LG_CYLINDER_RADIUS
   }
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>,
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE
   }
  }
  union {
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT-LG_E>,
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>,
    0.24+LG_CORNER_SPACE
   }
  }
 }
}

#declare lg_30359a_clear =
merge {
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH*0.75, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH*0.75, -LG_BRICK_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH*0.75, -LG_BRICK_WIDTH/2>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH*0.75, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 cylinder {
  <LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH/2>,
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   cylinder {
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
  }
  union {
   cylinder {
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 intersection {
  merge {
   difference {
    merge {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_BRICK_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     box {
      <0.04, LG_BRICK_WIDTH/2, 0>,
      <-0.04, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
     }
    }
    cylinder {
     <0, 0, 0>,
     <0, 0, -LG_BRICK_HEIGHT-LG_E>,
     0.06
    }
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
   }
  }
  union {
   cylinder {
    <LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>
   }
  }
 }
 difference {
  merge {
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 0, 0>,
    <LG_BRICK_WIDTH/2, 0, -2*LG_TOP_HEIGHT>,
    LG_KNOB_RADIUS
   }
   object {
    lg_tech_knob_clear
    translate <LG_BRICK_WIDTH/2, 0, 0>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2, 0, 0>,
    <-LG_BRICK_WIDTH/2, 0, -2*LG_TOP_HEIGHT>,
    LG_KNOB_RADIUS
   }
   object {
    lg_tech_knob_clear
    translate <-LG_BRICK_WIDTH/2, 0, 0>
   }
  }
  union {
   cylinder {
    <LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    LG_BRICK_WIDTH/2-LG_WALL_WIDTH*0.75
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_E>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>
   }
  }
 }
 difference {
  cone {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>, 0.36,
   <2*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_CORNER_SPACE*sin(lg_angle1), 0, -LG_BRICK_WIDTH/2>, 0.2
  }
  difference {
   box {
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_KNOB_RADIUS, -LG_BRICK_WIDTH/2>
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_BRICK_HEIGHT>
   }
   union {
    box {
     <0.2, 0, 0>,
     <-1.5*LG_BRICK_WIDTH, -0.5, -LG_BRICK_HEIGHT>
     rotate <0, 0, lg_angle2*180/pi>
     translate <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH/2, 0>
    }
    box {
     <0.2, 0, 0>,
     <-1.5*LG_BRICK_WIDTH, 0.5, -LG_BRICK_HEIGHT>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, 0>
    }
   }
  }
 }
 torus {
  0.2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 cylinder {
  <2*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0, -LG_BRICK_WIDTH/2>,
  0.2-LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>,
  <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
  LG_WALL_WIDTH
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 difference {
  merge {
   cylinder {
    <6*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    0.4-LG_CORNER_SPACE
   }
   cylinder {
    <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    0.4
   }
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, 0>,
    <6.5*LG_BRICK_WIDTH, 0, -2*LG_TOP_HEIGHT>,
    LG_KNOB_RADIUS
   }
   object {
    lg_tech_knob_clear
    translate <6.5*LG_BRICK_WIDTH, 0, 0>
   }
  }
  union {
   cylinder {
    <6*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH/2>,
    0.24
   }
   cylinder {
    <7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>,
    0.24+LG_CORNER_SPACE
   }
  }
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  merge {
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT/2>,
    LG_CYLINDER_RADIUS
   }
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>,
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE
   }
  }
  union {
   cylinder {
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT-LG_E>,
    <6.5*LG_BRICK_WIDTH, 0, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <7*LG_BRICK_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>,
    0.24+LG_CORNER_SPACE
   }
  }
 }
}

#end
