/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20071227 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3049a: Slope Brick 45  1 x 2 Double / Inverted with center tube          */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3049a)
#else
#declare LENGTH = 1;
#declare WIDTH = 2;
#declare lg_angle1=atan2(LG_BRICK_WIDTH+LG_CORNER_SPACE-LG_WALL_WIDTH*(1-sin(pi/4)), LG_BRICK_HEIGHT-LG_WALL_WIDTH*(1+sin(pi/4)))*180/pi;
#declare lg_angle2=90-lg_angle1;
#declare lg_3049a = 
union {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE+LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)), (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE+LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)), (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE*(1+1/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1), WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE*(1+1/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 box {
  <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*LG_BRICK_WIDTH), LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
   <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE+LG_E>
  }
  box {
   <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_E>,
   <LENGTH*LG_BRICK_WIDTH+LG_E, (WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_CORNER_SPACE+2*LG_E>
  }
 }
 difference {
  union {
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, (WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, 0.4>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.4>
   }
  }
  union {
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <-lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  object {
   lg_brick_cylinder
   translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0 >
  }
  union {
   box {
    <LENGTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <-lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_HEIGHT>,
     <0, -LG_CORNER_SPACE,  -2*LG_BRICK_HEIGHT>
     rotate <0, lg_angle1, 0>
     translate <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1)-LG_CORNER_SPACE*sin(lg_angle1*pi/180)*sin(lg_angle1*pi/180)/cos(pi*lg_angle1/180), 0, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>
    }
    box {
     <0, 0, 0>,
     <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
    }
   } 
  }
 }
 difference {
  union {
   box {
    <LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE/sin(pi*lg_angle1/180)>,
    <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE/sin(pi*lg_angle1/180)>,
    <LG_CORNER_SPACE, (LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
    rotate <-lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  difference {
   box {
    <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_HEIGHT>,
    <0, LG_CORNER_SPACE,  -2*LG_BRICK_HEIGHT>
    rotate <0, lg_angle1, 0>
    translate <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1)-0*LG_CORNER_SPACE*sin(lg_angle1*pi/180)*sin(lg_angle1*pi/180)/cos(pi*lg_angle1/180), 0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>
   }
   box {
    <0, 0, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
   }
  }
 }
 translate <-0.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0,0,180>
}

#declare lg_3049a_clear = 
merge {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
 <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE+LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)), (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE+LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)), (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  <LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_CORNER_SPACE/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE*(1+1/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1), WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>,
  <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))-LG_CORNER_SPACE, (WIDTH/2*LG_BRICK_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE*(1+1/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 box {
  <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*LG_BRICK_WIDTH), LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
   <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, (WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE+LG_E>
  }
  box {
   <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_E>,
   <LENGTH*LG_BRICK_WIDTH+LG_E, (WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_CORNER_SPACE+2*LG_E>
  }
 }
 difference {
  union {
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, (WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, 0.4>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH, WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.4>
   }
  }
  union {
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <-lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  object {
   lg_brick_cylinder_clear
   translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0 >
  }
  union {
   box {
    <LENGTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <-lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_HEIGHT>,
     <0, -LG_CORNER_SPACE,  -2*LG_BRICK_HEIGHT>
     rotate <0, lg_angle1, 0>
     translate <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1)-LG_CORNER_SPACE*sin(lg_angle1*pi/180)*sin(lg_angle1*pi/180)/cos(pi*lg_angle1/180), 0, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>
    }
    box {
     <0, 0, 0>,
     <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
    }
   } 
  }
 }
 difference {
  merge {
   box {
    <LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE/sin(pi*lg_angle1/180)>,
    <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE/sin(pi*lg_angle1/180)>,
    <LG_CORNER_SPACE, (LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
    rotate <-lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  difference {
   box {
    <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_HEIGHT>,
    <0, LG_CORNER_SPACE,  -2*LG_BRICK_HEIGHT>
    rotate <0, lg_angle1, 0>
    translate <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1)-0*LG_CORNER_SPACE*sin(lg_angle1*pi/180)*sin(lg_angle1*pi/180)/cos(pi*lg_angle1/180), 0, (LG_BRICK_HEIGHT-2*LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>
   }
   box {
    <0, 0, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
   }
  }
 }
 translate <-0.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0,0,180>
}

#declare lg_3049a_slope =
difference {
 union {
  box {
   <LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_CORNER_SPACE/sin(pi*lg_angle1/180)>,
   <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
   rotate <lg_angle1, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
  box {
   <LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE/sin(pi*lg_angle1/180)>,
   <LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
   rotate <-lg_angle1, 0, 0>
   translate <0, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_HEIGHT>,
   <0, -LG_CORNER_SPACE,  -2*LG_BRICK_HEIGHT>
   rotate <0, lg_angle1, 0>
   translate <LG_BRICK_WIDTH*(LENGTH+1/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-1)-LG_CORNER_SPACE*sin(lg_angle1*pi/180)*sin(lg_angle1*pi/180)/cos(pi*lg_angle1/180), 0, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180))>
  }
  box {
   <0, 0, 0>,
   <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
  }
 }
 translate <-0.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0,0,180>
}

#end
