/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19971124 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3307: Arch 1 x 6 x 2                                                     */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3307)
#else
#declare lg_angle=atan2(0.1+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE);
#declare lg_3307 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    torus {
     2*LG_BRICK_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -0.42-2*LG_BRICK_WIDTH>
    }
    union {
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <lg_angle*180/pi, 0, 0>
      translate <0, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <-lg_angle*180/pi, 0, 0>
      translate <0, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2.2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>,
      <LG_WALL_WIDTH, -2.2*LG_BRICK_WIDTH, -0.42-4*LG_BRICK_WIDTH-2*LG_CORNER_SPACE>
     }
    }
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_HEIGHT>
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2, 0, -0.42-2*LG_BRICK_WIDTH>
      <LG_WALL_WIDTH, 0, -0.42-2*LG_BRICK_WIDTH>,
      2*LG_BRICK_WIDTH
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_E, 0, -0.42-2*LG_BRICK_WIDTH>
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -0.42-2*LG_BRICK_WIDTH>,
      2*LG_BRICK_WIDTH+LG_CORNER_SPACE
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.42-2*LG_BRICK_WIDTH>,
      <LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*2*LG_BRICK_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <lg_angle*180/pi, 0, 0>
      translate <0, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <-lg_angle*180/pi, 0, 0>
      translate <0, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
    }
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <0, -2.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, -1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, 2.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_knob
  translate <0, -2.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <0, -1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <0, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <0, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <0, 1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <0, 2.5*LG_BRICK_WIDTH, 0>
 }
 box {
  <2*LG_WALL_WIDTH, 0.06, -LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH, -0.06, -0.4>
 }
}

#declare lg_3307_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    torus {
     2*LG_BRICK_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -0.42-2*LG_BRICK_WIDTH>
    }
    union {
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <lg_angle*180/pi, 0, 0>
      translate <0, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <-lg_angle*180/pi, 0, 0>
      translate <0, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2.2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>,
      <LG_WALL_WIDTH, -2.2*LG_BRICK_WIDTH, -0.42-4*LG_BRICK_WIDTH-2*LG_CORNER_SPACE>
     }
    }
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_HEIGHT>
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2, 0, -0.42-2*LG_BRICK_WIDTH>
      <LG_WALL_WIDTH, 0, -0.42-2*LG_BRICK_WIDTH>,
      2*LG_BRICK_WIDTH
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_E, 0, -0.42-2*LG_BRICK_WIDTH>
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -0.42-2*LG_BRICK_WIDTH>,
      2*LG_BRICK_WIDTH+LG_CORNER_SPACE
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.42-2*LG_BRICK_WIDTH>,
      <LG_WALL_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*2*LG_BRICK_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <lg_angle*180/pi, 0, 0>
      translate <0, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_E, 0.2, 0>,
      <LG_WALL_WIDTH, -0.2, -2*LG_CORNER_SPACE>
      rotate <-lg_angle*180/pi, 0, 0>
      translate <0, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     }
    }
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, (2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH+LG_CORNER_SPACE)*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH*cos(lg_angle), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space_clear
    translate <0, -2.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 2.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_knob_clear
  translate <0, -2.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <0, -1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <0, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <0, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <0, 1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <0, 2.5*LG_BRICK_WIDTH, 0>
 }
 box {
  <2*LG_WALL_WIDTH, 0.06, -LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH, -0.06, -0.4>
 }
}

#end
