/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980824 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3350: Roadsign Round                                                     */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3350)
#else
#declare lg_angle=atan2(0.08, LG_BRICK_WIDTH/2);
#declare lg_3350 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -LG_PLATE_HEIGHT>,
  LG_WALL_WIDTH
 }
 difference {
  intersection {
   box {
    <-LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_CORNER_SPACE>
    rotate <lg_angle*180/pi, 0, 0>
    translate <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, LG_CORNER_SPACE>
    rotate <-lg_angle*180/pi, 0, 0>
    translate <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, LG_CORNER_SPACE>
    rotate <0, -lg_angle*180/pi, 0>
    translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, LG_CORNER_SPACE>
    rotate <0, lg_angle*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+LG_E, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2-LG_E, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE*cos(lg_angle), LG_BRICK_WIDTH/2, 0>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE*cos(lg_angle), LG_BRICK_WIDTH/2, 0>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
  }
 } 
 cylinder {
  <0, 0, LG_BRICK_WIDTH/2>,
  <0, 0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E>,
  LG_KNOB_RADIUS-LG_CORNER_SPACE
 }
 cylinder {
  <0, 0, -LG_E>,
  <0, 0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  LG_KNOB_RADIUS
 }
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>
 }
 difference {
  union {
   cylinder {
    <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   box {
    <0.155-LG_CORNER_SPACE, 0.06, LG_KNOB_HEIGHT-LG_E>,
    <-0.155+LG_CORNER_SPACE, -0.06, 2.8>
   }
   box {
    <0.155, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <-0.155, -0.06+LG_CORNER_SPACE, 2.8>
   }
  }
  union {
   box {
    <0, -0.1, 0.1>,
    <0.2, 0.1, -0.4>
    rotate <0, -20, 0>
    translate <0.06, 0, 2.72>
   }
   box {
    <0, -0.1, 0.1>,
    <-0.2, 0.1, -0.4>
    rotate <0, 20, 0>
    translate <-0.06, 0, 2.72>
   }
  }
 }
 union {
  cylinder {
   <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  cylinder {
   <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  box {
   <0.155-LG_CORNER_SPACE, 0.06, LG_KNOB_HEIGHT-LG_E>,
   <-0.155+LG_CORNER_SPACE, -0.06, 2.8>
  }
  box {
   <0.155, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <-0.155, -0.06+LG_CORNER_SPACE, 2.8>
  }
  rotate <0, 0, 90>
 }
 torus {
  LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <0.06-LG_CORNER_SPACE, 0, 3.52>
 }
 torus {
  LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-0.06+LG_CORNER_SPACE, 0, 3.52>
 }
 cylinder {
  <0.06-LG_CORNER_SPACE, 0, 3.52>,
  <-0.06+LG_CORNER_SPACE, 0, 3.52>,
  LG_BRICK_WIDTH
 }
 cylinder {
  <0.06, 0, 3.52>,
  <-0.06, 0, 3.52>,
  LG_BRICK_WIDTH-LG_CORNER_SPACE
 }
}

#declare lg_3350_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -LG_PLATE_HEIGHT>,
  LG_WALL_WIDTH
 }
 difference {
  intersection {
   box {
    <-LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_CORNER_SPACE>
    rotate <lg_angle*180/pi, 0, 0>
    translate <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, LG_CORNER_SPACE>
    rotate <-lg_angle*180/pi, 0, 0>
    translate <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, LG_CORNER_SPACE>
    rotate <0, -lg_angle*180/pi, 0>
    translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, LG_CORNER_SPACE>
    rotate <0, lg_angle*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+LG_E, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2-LG_E, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE*cos(lg_angle), LG_BRICK_WIDTH/2, 0>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE*cos(lg_angle), LG_BRICK_WIDTH/2, 0>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
   }
  }
 } 
 cylinder {
  <0, 0, LG_BRICK_WIDTH/2>,
  <0, 0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E>,
  LG_KNOB_RADIUS-LG_CORNER_SPACE
 }
 cylinder {
  <0, 0, -LG_E>,
  <0, 0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  LG_KNOB_RADIUS
 }
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>
 }
 difference {
  merge {
   cylinder {
    <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
    LG_CORNER_SPACE
   }
   box {
    <0.155-LG_CORNER_SPACE, 0.06, LG_KNOB_HEIGHT-LG_E>,
    <-0.155+LG_CORNER_SPACE, -0.06, 2.8>
   }
   box {
    <0.155, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
    <-0.155, -0.06+LG_CORNER_SPACE, 2.8>
   }
  }
  union {
   box {
    <0, -0.1, 0.1>,
    <0.2, 0.1, -0.4>
    rotate <0, -20, 0>
    translate <0.06, 0, 2.72>
   }
   box {
    <0, -0.1, 0.1>,
    <-0.2, 0.1, -0.4>
    rotate <0, 20, 0>
    translate <-0.06, 0, 2.72>
   }
  }
 }
 merge {
  cylinder {
   <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <0.155-LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <-0.155+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  cylinder {
   <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <0.155-LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <-0.155+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, 2.8>,
   LG_CORNER_SPACE
  }
  box {
   <0.155-LG_CORNER_SPACE, 0.06, LG_KNOB_HEIGHT-LG_E>,
   <-0.155+LG_CORNER_SPACE, -0.06, 2.8>
  }
  box {
   <0.155, 0.06-LG_CORNER_SPACE, LG_KNOB_HEIGHT-LG_E>,
   <-0.155, -0.06+LG_CORNER_SPACE, 2.8>
  }
  rotate <0, 0, 90>
 }
 torus {
  LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <0.06-LG_CORNER_SPACE, 0, 3.52>
 }
 torus {
  LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-0.06+LG_CORNER_SPACE, 0, 3.52>
 }
 cylinder {
  <0.06-LG_CORNER_SPACE, 0, 3.52>,
  <-0.06+LG_CORNER_SPACE, 0, 3.52>,
  LG_BRICK_WIDTH
 }
 cylinder {
  <0.06, 0, 3.52>,
  <-0.06, 0, 3.52>,
  LG_BRICK_WIDTH-LG_CORNER_SPACE
 }
}

#end
