/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980315 Lutz Uhlmann                                                       */
/* 20071202 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3479: Tail 4 x 2 x 2                                                     */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3479)
#else
#declare lg_angle1=atan2(5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH);
#declare lg_angle2=atan2(5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE, LG_BRICK_WIDTH);
#declare lg_angle3=atan2(LG_WALL_WIDTH/2, 0.3*LG_BRICK_WIDTH);
#declare lg_3479 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
   }
   cylinder {
    <LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_CORNER_SPACE, LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0, -LG_E, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.3*LG_BRICK_WIDTH, LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   box {
    <0, -LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <-0.3*LG_BRICK_WIDTH, 0, -6*LG_PLATE_HEIGHT>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   intersection {
    intersection {
     union {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -30>
     }
     union {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -150>
      translate <LG_BRICK_WIDTH, 0, 0>
     }
     union {
      cylinder {
       <0, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0, 0, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <0, -LG_BRICK_WIDTH/2, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT-LG_E>
      }
     }
    }
    box {
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_E, -5.5*LG_PLATE_HEIGHT>,
     <0, LG_E, -6*LG_PLATE_HEIGHT>
    }
    translate <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   intersection {
    intersection {
     union {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -30>
     }
     union {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -150>
      translate <LG_BRICK_WIDTH, 0, 0>
     }
     union {
      cylinder {
       <0, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0, 0, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <0, -LG_BRICK_WIDTH/2, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT-LG_E>
      }
     }
    }
    box {
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_E, -5.5*LG_PLATE_HEIGHT>,
     <0, LG_E, -6*LG_PLATE_HEIGHT>
    }
    translate <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   intersection {
    intersection {
     union {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -30>
     }
     union {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -150>
      translate <LG_BRICK_WIDTH, 0, 0>
     }
     union {
      cylinder {
       <0, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0, 0, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <0, -LG_BRICK_WIDTH/2, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT-LG_E>
      }
     }
    }
    box {
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_E, -5.5*LG_PLATE_HEIGHT>,
     <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_E, -6*LG_PLATE_HEIGHT>
    }
    translate <-0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <0, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_E>,
  <2*LG_BRICK_WIDTH/cos(lg_angle1), -LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_CORNER_SPACE>
  rotate <0, lg_angle1*180/pi, 0>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <0, LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_E>,
  <LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>
  rotate <0, lg_angle2*180/pi, 0>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
  }
  union {
   box {
    <0, LG_WALL_WIDTH/2+LG_E, 0>,
    <2*LG_BRICK_WIDTH/cos(lg_angle1), -LG_WALL_WIDTH/2-LG_E, 3*LG_BRICK_WIDTH>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, LG_WALL_WIDTH/2+LG_E, 0>,
    <LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH/2-LG_E, -LG_BRICK_WIDTH-LG_E>
    rotate <0, lg_angle2*180/pi, 0>
    translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
 }
 box {
  <LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
  <2.7*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <3*LG_BRICK_WIDTH, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
}

#declare lg_3479_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
   }
   cylinder {
    <LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_CORNER_SPACE, LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0, -LG_E, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.3*LG_BRICK_WIDTH, LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   box {
    <0, -LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <-0.3*LG_BRICK_WIDTH, 0, -6*LG_PLATE_HEIGHT>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   intersection {
    intersection {
     merge {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -30>
     }
     merge {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -150>
      translate <LG_BRICK_WIDTH, 0, 0>
     }
     merge {
      cylinder {
       <0, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0, 0, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <0, -LG_BRICK_WIDTH/2, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT-LG_E>
      }
     }
    }
    box {
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_E, -5.5*LG_PLATE_HEIGHT>,
     <0, LG_E, -6*LG_PLATE_HEIGHT>
    }
    translate <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   intersection {
    intersection {
     merge {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -30>
     }
     merge {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -150>
      translate <LG_BRICK_WIDTH, 0, 0>
     }
     merge {
      cylinder {
       <0, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0, 0, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <0, -LG_BRICK_WIDTH/2, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT-LG_E>
      }
     }
    }
    box {
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_E, -5.5*LG_PLATE_HEIGHT>,
     <0, LG_E, -6*LG_PLATE_HEIGHT>
    }
    translate <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   intersection {
    intersection {
     merge {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -30>
     }
     merge {
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE+LG_E, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_KNOB_RADIUS, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <LG_KNOB_RADIUS+LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, 2*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
      }
      rotate <0, 0, -150>
      translate <LG_BRICK_WIDTH, 0, 0>
     }
     merge {
      cylinder {
       <0, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <0, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      box {
       <0, 0, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
      box {
       <0, -LG_BRICK_WIDTH/2, -5.5*LG_PLATE_HEIGHT+LG_E>,
       <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT-LG_E>
      }
     }
    }
    box {
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_E, -5.5*LG_PLATE_HEIGHT>,
     <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_E, -6*LG_PLATE_HEIGHT>
    }
    translate <-0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <0, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_E>,
  <2*LG_BRICK_WIDTH/cos(lg_angle1), -LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_CORNER_SPACE>
  rotate <0, lg_angle1*180/pi, 0>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <0, LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_E>,
  <LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>
  rotate <0, lg_angle2*180/pi, 0>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
  }
  union {
   box {
    <0, LG_WALL_WIDTH/2+LG_E, 0>,
    <2*LG_BRICK_WIDTH/cos(lg_angle1), -LG_WALL_WIDTH/2-LG_E, 3*LG_BRICK_WIDTH>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, LG_WALL_WIDTH/2+LG_E, 0>,
    <LG_BRICK_WIDTH/cos(lg_angle2), -LG_WALL_WIDTH/2-LG_E, -LG_BRICK_WIDTH-LG_E>
    rotate <0, lg_angle2*180/pi, 0>
    translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
 }
 box {
  <LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
  <2.7*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <3*LG_BRICK_WIDTH, LG_WALL_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
}

#end
