/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980315 Lutz Uhlmann                                                       */
/* 19980413 Lutz Uhlmann moved from lg_0022 to lg_3581                         */
/* 20071020 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3581: Brick 1 x 1 x2 with Shutter Holder                                 */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3581)
#else
#declare lg_3581 = 
union {
 #declare ROT = 0;
 #while (ROT < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space
    translate <0, 0, -LG_TOP_HEIGHT>
   }
  }
 }
 difference {
  union {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LG_BRICK_WIDTH/2+0.08, -0.18-LG_E, LG_E>,
   <LG_BRICK_WIDTH/2-0.2, +0.18+LG_E, -LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   difference {
    union {
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+0.08, 0, -LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH/2+0.08, 0, 0>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LG_BRICK_WIDTH/2+0.08, 0.18-LG_E, LG_E>,
     <LG_BRICK_WIDTH/2-0.2, 0.18+LG_E, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LG_BRICK_WIDTH/2+0.1, 0, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  union {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
  }
  box {
   <LG_BRICK_WIDTH/2+0.08, -0.18-LG_E, -2*LG_BRICK_HEIGHT-LG_E>,
   <LG_BRICK_WIDTH/2-0.2, +0.18+LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_E>
  }
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   difference {
    union {
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LG_BRICK_WIDTH/2+0.08, 0.18-LG_E, -2*LG_BRICK_HEIGHT-LG_E>,
     <LG_BRICK_WIDTH/2-0.2, 0.18+LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_E>
    }
   }
  }
  sphere {
   <LG_BRICK_WIDTH/2+0.1, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.12-0.12*sin(25*pi/180)>, 0.12
  }
 }
 object {
  lg_knob
  rotate <0, 0, 180>
 }
}

#declare lg_3581_clear = 
merge {
 #declare ROT = 0;
 #while (ROT < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+0.08, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
  }
  merge {
   box {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space
    translate <0, 0, -LG_TOP_HEIGHT>
   }
  }
 }
 difference {
  merge {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LG_BRICK_WIDTH/2+0.08, -0.18-LG_E, LG_E>,
   <LG_BRICK_WIDTH/2-0.2, +0.18+LG_E, -LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   difference {
    merge {
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+0.08, 0, -LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH/2+0.08, 0, 0>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LG_BRICK_WIDTH/2+0.08, 0.18-LG_E, LG_E>,
     <LG_BRICK_WIDTH/2-0.2, 0.18+LG_E, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LG_BRICK_WIDTH/2+0.1, 0, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  merge {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
  }
  box {
   <LG_BRICK_WIDTH/2+0.08, -0.18-LG_E, -2*LG_BRICK_HEIGHT-LG_E>,
   <LG_BRICK_WIDTH/2-0.2, +0.18+LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_E>
  }
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+0.08, -0.18+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.18-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   difference {
    merge {
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <LG_BRICK_WIDTH/2+0.08, 0, -2*LG_BRICK_HEIGHT>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LG_BRICK_WIDTH/2+0.08, 0.18-LG_E, -2*LG_BRICK_HEIGHT-LG_E>,
     <LG_BRICK_WIDTH/2-0.2, 0.18+LG_E, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+LG_E>
    }
   }
  }
  sphere {
   <LG_BRICK_WIDTH/2+0.1, 0, -2*LG_BRICK_HEIGHT+LG_WALL_WIDTH+0.12-0.12*sin(25*pi/180)>, 0.12
  }
 }
 object {
  lg_knob_clear
  rotate <0, 0, 180>
 }
}

#end





