/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980802 Lutz Uhlmann                                                       */
/* 20071231 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3640: Plate 2 x 4 with Articulated Joint                                 */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3640)
#else
#declare lg_angle1=asin(1.5/3.5);
#declare lg_angle2=atan2(2*LG_WALL_WIDTH,4*LG_WALL_WIDTH);
#declare lg_3640 = 
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 1.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 1.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH, 3*LG_WALL_WIDTH, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <3*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (MIR=1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end 
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 4*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -4*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 cylinder {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>,
  <2.8*LG_BRICK_WIDTH, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -2.5*LG_PLATE_HEIGHT>
 }
 cylinder {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT>,
  <2.8*LG_BRICK_WIDTH, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.5*LG_PLATE_HEIGHT>
 }
 box {
  <-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT/cos(lg_angle2)>
  rotate <0, lg_angle2*180/pi, 0>
  translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/cos(lg_angle2)>
  rotate <0, -lg_angle2*180/pi, 0>
  translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  union {
   box {
    <2*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH/2, 1.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH, -LG_WALL_WIDTH/2, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_E, 3*LG_WALL_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_E, -3*LG_WALL_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-3*LG_WALL_WIDTH, -4*LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT/cos(lg_angle2)>
    rotate <0, lg_angle2*180/pi, 0>
    translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-3*LG_WALL_WIDTH, -4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/cos(lg_angle2)>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
 }
 box {
  <2.2*LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+0.06>,
  <2*LG_BRICK_WIDTH-LG_E, -3.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-0.06>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <3*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <3*LG_BRICK_WIDTH, 0, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 cylinder {
  <3*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH/2>,
  <3*LG_BRICK_WIDTH, 0, -3*LG_WALL_WIDTH/2>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH, 0, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  LG_WALL_WIDTH
 }
 box {
  <3*LG_BRICK_WIDTH, LG_WALL_WIDTH, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 box {
  <3*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
  <2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH/2>
 }
 difference {
  union {
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
   }
   #declare KNOB_X = -1.5;
   #while (KNOB_X < 2)
    object {
     lg_knob_inner_space
     translate <KNOB_X*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space
     translate <KNOB_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
  }
 }
 #declare KNOB_X = -1.5;
 #while (KNOB_X < 2)
  object {
   lg_knob
   rotate <0, 0, 90>
   translate <KNOB_X*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
  }
  object {
   lg_knob
   rotate <0, 0, 90>
   translate <KNOB_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, 0>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
 object {
  lg_plate_cylinder
  translate <LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder
  translate <-LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <7*LG_WALL_WIDTH, LG_WALL_WIDTH/2, -2*LG_WALL_WIDTH>,
   <10*LG_WALL_WIDTH, -LG_WALL_WIDTH/2, -LG_WALL_WIDTH/2>
  }
  cylinder {
   <LG_BRICK_WIDTH, 0, 0>,
   <LG_BRICK_WIDTH, 0, -0.4>,
   LG_KNOB_RADIUS+LG_CYLINDER_WALL_WIDTH/2
  }
 }
 #declare MIR = -1;
 #while (MIR < 2)
  union {
   difference {
    union {
     torus {
      4*LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     torus {
      4*LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
     }
     cylinder {
      <0, LG_BRICK_WIDTH, 0>,
      <0, 4*LG_WALL_WIDTH, 0>,
      4*LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
      4*LG_WALL_WIDTH
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE-LG_E>,
      <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH>
     }
     cylinder {
      <0, LG_BRICK_WIDTH, LG_WALL_WIDTH>,
      <0, 4*LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
     cylinder {
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
      <0, LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <0, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
      <0, 0.8*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     box {
      <0, LG_BRICK_WIDTH+LG_E, 0>,
      <2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH-LG_E, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <0, LG_BRICK_WIDTH+LG_E, 0>,
      <-2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <-LG_WALL_WIDTH/2, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <-1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH-LG_E, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <-1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <-1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   difference {
    union {
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
    cylinder {
     <0, LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
     <0, 4*LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH>,
     LG_WALL_WIDTH+LG_CORNER_SPACE
    }
   }
   intersection {
    union {
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
    union {
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
    }
   }
   difference {
    union {
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
    }
    union {
     box {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <-1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
   }
   rotate <0, 90, 0>
   rotate <90, 0, 0>
   matrix <1, 0, 0, 0, 1, 0, 0, 0, MIR, 14*LG_WALL_WIDTH, 0, -LG_WALL_WIDTH>
  }
  #declare MIR = MIR + 2;
 #end
} 

#declare lg_3640_clear = 
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 1.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 1.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH, 3*LG_WALL_WIDTH, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <3*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (MIR=1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end 
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 4*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -4*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 cylinder {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>,
  <2.8*LG_BRICK_WIDTH, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -2.5*LG_PLATE_HEIGHT>
 }
 cylinder {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT>,
  <2.8*LG_BRICK_WIDTH, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.5*LG_PLATE_HEIGHT>
 }
 box {
  <-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT/cos(lg_angle2)>
  rotate <0, lg_angle2*180/pi, 0>
  translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/cos(lg_angle2)>
  rotate <0, -lg_angle2*180/pi, 0>
  translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  merge {
   box {
    <2*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH/2, 1.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.7*LG_BRICK_WIDTH, -LG_WALL_WIDTH/2, -2.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_E, 3*LG_WALL_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_E, -3*LG_WALL_WIDTH, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-3*LG_WALL_WIDTH, -4*LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT/cos(lg_angle2)>
    rotate <0, lg_angle2*180/pi, 0>
    translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-3*LG_WALL_WIDTH, -4*LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT/cos(lg_angle2)>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <2.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
 }
 box {
  <2.2*LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+0.06>,
  <2*LG_BRICK_WIDTH-LG_E, -3.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-0.06>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <3*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <3*LG_BRICK_WIDTH, 0, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 cylinder {
  <3*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH/2>,
  <3*LG_BRICK_WIDTH, 0, -3*LG_WALL_WIDTH/2>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH, 0, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  LG_WALL_WIDTH
 }
 box {
  <3*LG_BRICK_WIDTH, LG_WALL_WIDTH, -LG_WALL_WIDTH/2-LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH, -3*LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 box {
  <3*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
  <2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH/2>
 }
 difference {
  merge {
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
   }
   #declare KNOB_X = -1.5;
   #while (KNOB_X < 2)
    object {
     lg_knob_inner_space_clear
     translate <KNOB_X*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
    }
    object {
     lg_knob_inner_space_clear
     translate <KNOB_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
  }
 }
 #declare KNOB_X = -1.5;
 #while (KNOB_X < 2)
  object {
   lg_knob_clear
   rotate <0, 0, 90>
   translate <KNOB_X*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>
  }
  object {
   lg_knob_clear
   rotate <0, 0, 90>
   translate <KNOB_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, 0>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
 object {
  lg_plate_cylinder_clear
  translate <LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <-LG_BRICK_WIDTH, 0, -LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <7*LG_WALL_WIDTH, LG_WALL_WIDTH/2, -2*LG_WALL_WIDTH>,
   <10*LG_WALL_WIDTH, -LG_WALL_WIDTH/2, -LG_WALL_WIDTH/2>
  }
  cylinder {
   <LG_BRICK_WIDTH, 0, 0>,
   <LG_BRICK_WIDTH, 0, -0.4>,
   LG_KNOB_RADIUS+LG_CYLINDER_WALL_WIDTH/2
  }
 }
 #declare MIR = -1;
 #while (MIR < 2)
  merge {
   difference {
    merge {
     torus {
      4*LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     torus {
      4*LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
     }
     cylinder {
      <0, LG_BRICK_WIDTH, 0>,
      <0, 4*LG_WALL_WIDTH, 0>,
      4*LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <0, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
      4*LG_WALL_WIDTH
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE-LG_E>,
      <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH>
     }
     cylinder {
      <0, LG_BRICK_WIDTH, LG_WALL_WIDTH>,
      <0, 4*LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
     cylinder {
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
      <0, LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <0, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
      <0, 0.8*LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     box {
      <0, LG_BRICK_WIDTH+LG_E, 0>,
      <2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH-LG_E, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <0, LG_BRICK_WIDTH+LG_E, 0>,
      <-2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <-LG_WALL_WIDTH/2, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <-1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH-LG_E, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <-1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <-1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    <1.5*LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   difference {
    merge {
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
    cylinder {
     <0, LG_BRICK_WIDTH+LG_E, LG_WALL_WIDTH>,
     <0, 4*LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH>,
     LG_WALL_WIDTH+LG_CORNER_SPACE
    }
   }
   intersection {
    merge {
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     cylinder {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_WALL_WIDTH>,
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
    merge {
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
    }
   }
   difference {
    merge {
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, 0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
    }
    union {
     box {
      <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <-1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, lg_angle1*180/pi-15, 0>
      translate <1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -3*LG_WALL_WIDTH>,
      <1.7*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle1*180/pi+15, 0>
      translate <-1.5*LG_WALL_WIDTH, 0, 3.5*LG_WALL_WIDTH*cos(lg_angle1)>
     }
    }
   }
   rotate <0, 90, 0>
   rotate <90, 0, 0>
   matrix <1, 0, 0, 0, 1, 0, 0, 0, MIR, 14*LG_WALL_WIDTH, 0, -LG_WALL_WIDTH>
  }
  #declare MIR = MIR + 2;
 #end
} 


#end
