/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980315 Lutz Uhlmann                                                       */
/* 20071202 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3684: Slope Brick 75  2 x 2 x 3                                          */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3684)
#else
#declare LENGTH = 2;
#declare WIDTH = 1;
#declare HEIGHT = 3;
#declare lg_3684 = 
union {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_E>
   }
   difference {
    box {
     <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
     rotate <17, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
     <LENGTH*LG_BRICK_WIDTH+LG_E, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  union {
   difference {
    cylinder {
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_E>,
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, (LG_CYLINDER_WALL_WIDTH/2)>,
     (LG_CYLINDER_RADIUS) 
    }
    cylinder {
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0>,
     (LG_KNOB_RADIUS)
    }
   }
   torus {
    (LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2),
    (LG_CYLINDER_WALL_WIDTH/2)
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, (LG_CYLINDER_WALL_WIDTH/2)>
   }
   box {
    <LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_E, 0.225>,
    <LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_E, HEIGHT*LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_E>
   } 
   box {
    <LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (WIDTH+1)*LG_BRICK_WIDTH-LG_E, 0.225>,
    <LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_E, HEIGHT*LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_E>
   } 
  }
  box {
   <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
   <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
   rotate <17, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT>
 }
 translate <-LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#declare lg_3684_clear = 
merge {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_E>
   }
   difference {
    box {
     <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
     rotate <17, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
     <LENGTH*LG_BRICK_WIDTH+LG_E, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  merge {
   difference {
    cylinder {
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_E>,
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, (LG_CYLINDER_WALL_WIDTH/2)>,
     (LG_CYLINDER_RADIUS) 
    }
    cylinder {
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0>,
     (LG_KNOB_RADIUS)
    }
   }
   torus {
    (LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2),
    (LG_CYLINDER_WALL_WIDTH/2)
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, (LG_CYLINDER_WALL_WIDTH/2)>
   }
   box {
    <LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, LG_E, 0.225>,
    <LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_E, HEIGHT*LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_E>
   } 
   box {
    <LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH/2, (WIDTH+1)*LG_BRICK_WIDTH-LG_E, 0.225>,
    <LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH/2, LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_E, HEIGHT*LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_E>
   } 
  }
  box {
   <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
   <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
   rotate <17, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT>
 }
 translate <-LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#declare lg_3684_slope =
box {
 <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
 <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*17/180)>
 rotate <17, 0, 0>
 translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
 translate <-LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#end
