/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19970623 Lutz Uhlmann                                                       */
/* 20080105 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3853: Window 1 x 4 x 3                                                  */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3853)
#else
#declare LENGTH = 1;
#declare WIDTH = 4;
#declare HEIGHT = 3;
#declare lg_3853 = 
union {
 #declare ROT = 0;
 #while (ROT < 2)
  union {
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT=1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end 
 sphere {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.06-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  <0.06-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.06+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  <-0.06+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.06-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1>,
  <-0.06+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
 }
 box {
  <0.06, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  <-0.06, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
 }
 #declare BOX_X = -1.5;
 #while (BOX_X < 2)
  box {
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, BOX_X*LG_BRICK_WIDTH+0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <LENGTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT+LG_E, BOX_X*LG_BRICK_WIDTH-0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
  }
  box {
   <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, BOX_X*LG_BRICK_WIDTH+0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LENGTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT-LG_E, BOX_X*LG_BRICK_WIDTH-0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
  }
  #declare BOX_X = BOX_X + 1;
 #end
 box {
  <0.03, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-0.03, WIDTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
 }
 box {
  <0.03, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-0.03, -WIDTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   union {
    cylinder {
     <0, 0, LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS)
    }
    cylinder {
     <0, 0, LG_KNOB_HEIGHT>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE)
    }
    torus {
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE),
     (LG_KNOB_CORNER_SPACE)
     rotate <90, 0, 0>
     translate <0, 0, (LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE)>
    }
    #if (lg_quality > 2)
     object { lego_logo_text scale 0.75 rotate <0, 0, 90> translate <0,0,LG_KNOB_HEIGHT> }
    #end
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 90>
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 90>
    translate <0, -0.5*LG_BRICK_WIDTH, 0>
   }
   union {
    cylinder {
     <0, 0, LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS)
    }
    cylinder {
     <0, 0, LG_KNOB_HEIGHT>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE)
    }
    torus {
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE),
     (LG_KNOB_CORNER_SPACE)
     rotate <90, 0, 0>
     translate <0, 0, (LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE)>
    }
    #if (lg_quality > 2)
     object { lego_logo_text scale 0.75 rotate <0, 0, 90> translate <0,0,LG_KNOB_HEIGHT> }
    #end
    translate <0, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
  union {
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -LG_WALL_WIDTH-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -LG_WALL_WIDTH-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -LG_WALL_WIDTH-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -LG_WALL_WIDTH-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
  }
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT, WIDTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT, -WIDTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT, -HEIGHT*LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
  }
 } 
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   box {
    <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  }
  cylinder {
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+0.04, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   0.09
  }
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   box {
    <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  }
  cylinder {
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-0.04, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   0.09
  }
 }
 object {
  lg_plate_column
  translate <0, -LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <0, LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -LG_WALL_WIDTH-LG_E>
  }
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -LG_WALL_WIDTH-LG_E>
  }
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
  }
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   difference {
    union {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, 0>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   difference {
    union {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, 0>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   difference {
    union {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.12-0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   difference {
    union {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.12-0.12*sin(25*pi/180)>, 0.12
  }
 }
}

#declare lg_3853_clear = 
merge {
 #declare ROT = 0;
 #while (ROT < 2)
  merge {
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT=1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end 
 sphere {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.06-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  <0.06-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.06+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  <-0.06+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.06-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1>,
  <-0.06+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1>
 }
 box {
  <0.06, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>,
  <-0.06, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 #declare BOX_X = -1.5;
 #while (BOX_X < 2)
  box {
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, BOX_X*LG_BRICK_WIDTH+0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <LENGTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT+LG_E, BOX_X*LG_BRICK_WIDTH-0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
  }
  box {
   <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, BOX_X*LG_BRICK_WIDTH+0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LENGTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT-LG_E, BOX_X*LG_BRICK_WIDTH-0.03, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
  }
  #declare BOX_X = BOX_X + 1;
 #end
 box {
  <0.03, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-0.03, WIDTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
 }
 box {
  <0.03, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-0.03, -WIDTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   merge {
    cylinder {
     <0, 0, LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS)
    }
    cylinder {
     <0, 0, LG_KNOB_HEIGHT>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE)
    }
    torus {
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE),
     (LG_KNOB_CORNER_SPACE)
     rotate <90, 0, 0>
     translate <0, 0, (LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE)>
    }
    #if (lg_quality > 2)
     object { lego_logo_text scale 0.75 rotate <0, 0, 90> translate <0,0,LG_KNOB_HEIGHT> }
    #end
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 90>
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 90>
    translate <0, -0.5*LG_BRICK_WIDTH, 0>
   }
   merge {
    cylinder {
     <0, 0, LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS)
    }
    cylinder {
     <0, 0, LG_KNOB_HEIGHT>,
     <0, 0, -LG_E>,
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE)
    }
    torus {
     (LG_KNOB_RADIUS-LG_KNOB_CORNER_SPACE),
     (LG_KNOB_CORNER_SPACE)
     rotate <90, 0, 0>
     translate <0, 0, (LG_KNOB_HEIGHT-LG_KNOB_CORNER_SPACE)>
    }
    #if (lg_quality > 2)
     object { lego_logo_text scale 0.75 rotate <0, 0, 90> translate <0,0,LG_KNOB_HEIGHT> }
    #end
    translate <0, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
  merge {
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -LG_WALL_WIDTH-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -LG_WALL_WIDTH-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -LG_WALL_WIDTH-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -LG_WALL_WIDTH-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, LG_KNOB_HEIGHT+LG_E>,
    0.08
   }
  }
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT, WIDTH/2*LG_BRICK_WIDTH-LG_TOP_HEIGHT, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT, -WIDTH/2*LG_BRICK_WIDTH+LG_TOP_HEIGHT, -HEIGHT*LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT-LG_E>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
    0.08
   }
  }
 } 
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   box {
    <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  }
  cylinder {
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH+0.04, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   0.09
  }
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   box {
    <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  }
  cylinder {
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH-0.04, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH-(8*LG_PLATE_HEIGHT-LG_WALL_WIDTH)/2>,
   0.09
  }
 }
 object {
  lg_plate_column_clear
  translate <0, -LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <0, LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -LG_WALL_WIDTH-LG_E>
  }
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -LG_WALL_WIDTH-LG_E>
  }
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
  }
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    0.18-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90,0,0>
    translate <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
   <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
  }
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   difference {
    merge {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, 0>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18, -LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -LG_WALL_WIDTH> 
   }
   difference {
    merge {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, 0>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, -WIDTH/2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   difference {
    merge {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.12-0.12*sin(25*pi/180)>, 0.12
  }
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH-0.18+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE> 
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
    <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH> 
   }
   difference {
    merge {
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      0.18
     }
     cylinder {
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
      <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
      0.18-LG_CORNER_SPACE
     }
    }
    box {
     <LENGTH/2*LG_BRICK_WIDTH+0.08, -WIDTH/2*LG_BRICK_WIDTH+0.18+LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
     <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH-0.18-LG_E, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
   }
  }
  sphere {
   <LENGTH/2*LG_BRICK_WIDTH+0.1, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+0.12-0.12*sin(25*pi/180)>, 0.12
  }
 }
}

#end
