/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980315 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3856: Window 1 x 2 x 3 Shutter                                           */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3856)
#else
#declare HEIGHT = 8*LG_PLATE_HEIGHT+LG_WALL_WIDTH;
#declare lg_3856 = 
union {
 cylinder {
  <0, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  0.1
 }
 intersection {
  sphere {
   <0, 0, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
  cylinder {
   <0, 0, 0>,
   <0, 0, -0.5>,
   0.1
  }
 }
 intersection {
  sphere {
   <0, 0, -HEIGHT+LG_WALL_WIDTH+0.12-0.12*sin(25*pi/180)>, 0.12
  }
  cylinder {
   <0, 0, -HEIGHT>,
   <0, 0, -HEIGHT+0.5>,
   0.1
  }
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.5, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05, -1.5, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55, -HEIGHT+0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05, -1.55+LG_CORNER_SPACE, -HEIGHT+0.1>,
  <-0.05, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55, -0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2, -0.05-LG_CORNER_SPACE>
 }
 box {
  <0.05, -1.55+LG_CORNER_SPACE, -0.1>,
  <-0.05, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.35, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1, -1.35, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5, -HEIGHT+0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1, -1.5+LG_CORNER_SPACE, -HEIGHT+0.25>,
  <-0.1, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5, -0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2, -0.1-LG_CORNER_SPACE>
 }
 box {
  <0.1, -1.5+LG_CORNER_SPACE, -0.25>,
  <-0.1, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>
 }
 box {
  <0.1, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1, -0.15, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH>,
  <-0.1+LG_CORNER_SPACE, -0.25, -0.25>
 }
 box {
  <0.1, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1, -0.25, -0.25>
 }
 box {
  <0.1-LG_CORNER_SPACE, 0, -HEIGHT+LG_WALL_WIDTH>,
  <-0.1+LG_CORNER_SPACE, -0.25, -HEIGHT+0.25>
 }
 box {
  <0.1, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.1, -0.25, -HEIGHT+0.25>
 }
 difference {
  box {
   <-0.1, -0.15, -0.25>,
   <0.1, -1.35, -HEIGHT+0.25> 
  }
  union {
  #declare BOX_Z = 1;
  #while (BOX_Z < 32)
   box {
    <0.035, -0.15, 0.035>,
    <-0.035, -1.35, -0.035>
    rotate <0, 45, 0>
    translate <-0.1, 0, -0.25-BOX_Z*2.22/32>
   }
   box {
    <0.035, -0.15, 0.035>,
    <-0.035, -1.35, -0.035>
    rotate <0, 45, 0>
    translate <0.1, 0, -0.25-BOX_Z*2.22/32>
   }
   #declare BOX_Z = BOX_Z + 2;
  #end
  }
 }
 rotate <0, 0, 90>
}

#declare lg_3856_clear = 
merge {
 cylinder {
  <0, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  0.1
 }
 intersection {
  sphere {
   <0, 0, -LG_WALL_WIDTH-0.12+0.12*sin(25*pi/180)>, 0.12
  }
  cylinder {
   <0, 0, 0>,
   <0, 0, -0.5>,
   0.1
  }
 }
 intersection {
  sphere {
   <0, 0, -HEIGHT+LG_WALL_WIDTH+0.12-0.12*sin(25*pi/180)>, 0.12
  }
  cylinder {
   <0, 0, -HEIGHT>,
   <0, 0, -HEIGHT+0.5>,
   0.1
  }
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <0.05-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.1-LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <0.1-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55, -0.05-LG_CORNER_SPACE>,
  <-0.05+LG_CORNER_SPACE, -1.5, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05, -1.55+LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>,
  <-0.05, -1.5, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -HEIGHT+0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55, -HEIGHT+0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05, -1.55+LG_CORNER_SPACE, -HEIGHT+0.1>,
  <-0.05, -0.2-LG_CORNER_SPACE, -HEIGHT+0.05+LG_CORNER_SPACE>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55+LG_CORNER_SPACE, -0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.05>
 }
 box {
  <0.05-LG_CORNER_SPACE, -1.55, -0.1>,
  <-0.05+LG_CORNER_SPACE, -0.2, -0.05-LG_CORNER_SPACE>
 }
 box {
  <0.05, -1.55+LG_CORNER_SPACE, -0.1>,
  <-0.05, -0.2-LG_CORNER_SPACE, -0.05-LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5, -0.1-LG_CORNER_SPACE>,
  <-0.1+LG_CORNER_SPACE, -1.35, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1, -1.5+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>,
  <-0.1, -1.35, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -HEIGHT+0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5, -HEIGHT+0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1, -1.5+LG_CORNER_SPACE, -HEIGHT+0.25>,
  <-0.1, -0.2-LG_CORNER_SPACE, -HEIGHT+0.1+LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5+LG_CORNER_SPACE, -0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2-LG_CORNER_SPACE, -0.1>
 }
 box {
  <0.1-LG_CORNER_SPACE, -1.5, -0.25>,
  <-0.1+LG_CORNER_SPACE, -0.2, -0.1-LG_CORNER_SPACE>
 }
 box {
  <0.1, -1.5+LG_CORNER_SPACE, -0.25>,
  <-0.1, -0.2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE>
 }
 box {
  <0.1, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1, -0.15, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <0.1-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH>,
  <-0.1+LG_CORNER_SPACE, -0.25, -0.25>
 }
 box {
  <0.1, 0, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-0.1, -0.25, -0.25>
 }
 box {
  <0.1-LG_CORNER_SPACE, 0, -HEIGHT+LG_WALL_WIDTH>,
  <-0.1+LG_CORNER_SPACE, -0.25, -HEIGHT+0.25>
 }
 box {
  <0.1, 0, -HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.1, -0.25, -HEIGHT+0.25>
 }
 difference {
  box {
   <-0.1, -0.15, -0.25>,
   <0.1, -1.35, -HEIGHT+0.25> 
  }
  merge {
  #declare BOX_Z = 1;
  #while (BOX_Z < 32)
   box {
    <0.035, -0.15, 0.035>,
    <-0.035, -1.35, -0.035>
    rotate <0, 45, 0>
    translate <-0.1, 0, -0.25-BOX_Z*2.22/32>
   }
   box {
    <0.035, -0.15, 0.035>,
    <-0.035, -1.35, -0.035>
    rotate <0, 45, 0>
    translate <0.1, 0, -0.25-BOX_Z*2.22/32>
   }
   #declare BOX_Z = BOX_Z + 2;
  #end
  }
 }
 rotate <0, 0, 90>
}

#end
