/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19970623 Lutz Uhlmann                                                       */
/* 20080105 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3861: Door 1 x 4 x 5                                                     */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3861)
#else
#declare LENGTH = 4;
#declare WIDTH = 1;
#declare HEIGHT = 5;
#declare lg_3861 = 
union {
 difference {
  cylinder {
   <0, 0, -LG_CORNER_SPACE>,
   <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_BRICK_WIDTH/2
  }
  union {
   cylinder {
    <0, 0, -LG_TOP_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   box {
    <0, -LG_E, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2+LG_E, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, -HEIGHT*LG_BRICK_HEIGHT>
   }
  }
 }
 difference {
  union {
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_BRICK_WIDTH/2
   }
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
  }
  union {
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 object {
  lg_tech_knob_logo
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -LG_TOP_HEIGHT>,
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE
 }
 box {
  <0, 0, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, 0, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <0, 0, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, 0, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, 0, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2-LG_E, -2.55>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.73>
   }
  }
  union {
   cylinder {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.08, -2.64>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -2.64>,
    0.09
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.45, LG_BRICK_WIDTH/2-0.04, -0.42>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.62, LG_BRICK_WIDTH/2+LG_E, -2.42>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.55, LG_BRICK_WIDTH/2-0.2, -0.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.435, LG_BRICK_WIDTH/2+LG_E, -1.32>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.55, LG_BRICK_WIDTH/2-0.2, -1.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.435, LG_BRICK_WIDTH/2+LG_E, -2.32>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.635, LG_BRICK_WIDTH/2-0.2, -0.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.52, LG_BRICK_WIDTH/2+LG_E, -1.32>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.635, LG_BRICK_WIDTH/2-0.2, -1.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.52, LG_BRICK_WIDTH/2+LG_E, -2.32>
   }
   difference {
    box {
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.45, LG_BRICK_WIDTH/2-0.06, -2.83>,
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.62, LG_BRICK_WIDTH/2+LG_E, -4.11>
    }
    box {
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.65, LG_BRICK_WIDTH/2-0.08, -3.03>,
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.42, LG_BRICK_WIDTH/2+LG_E, -3.91>
    }
   }
  }
 }
 box {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2-LG_E, -2.55-LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2, -2.73+LG_CORNER_SPACE>
 }
 torus {
  0.09-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>
 }
 torus {
  0.09-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2-LG_E, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>,
  0.09
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2-LG_E, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2, -2.64>,
  0.09-LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.08, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>,
  0.09
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.08, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2, -2.64>,
  0.09-LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.55-LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.55-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.73+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.73+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
}

#declare lg_3861_clear = 
merge {
 difference {
  cylinder {
   <0, 0, -LG_CORNER_SPACE>,
   <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_BRICK_WIDTH/2
  }
  merge {
   cylinder {
    <0, 0, -LG_TOP_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   box {
    <0, -LG_E, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2+LG_E, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, -HEIGHT*LG_BRICK_HEIGHT>
   }
  }
 }
 difference {
  merge {
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_BRICK_WIDTH/2
   }
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
  }
  merge {
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 object {
  lg_tech_knob_logo_clear
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -LG_TOP_HEIGHT>,
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE
 }
 box {
  <0, 0, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, 0, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <0, 0, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, 0, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <0, 0, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2-LG_E, -2.55>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.73>
   }
  }
  merge {
   cylinder {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.08, -2.64>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -2.64>,
    0.09
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.45, LG_BRICK_WIDTH/2-0.04, -0.42>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.62, LG_BRICK_WIDTH/2+LG_E, -2.42>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.55, LG_BRICK_WIDTH/2-0.2, -0.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.435, LG_BRICK_WIDTH/2+LG_E, -1.32>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.55, LG_BRICK_WIDTH/2-0.2, -1.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.435, LG_BRICK_WIDTH/2+LG_E, -2.32>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.635, LG_BRICK_WIDTH/2-0.2, -0.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.52, LG_BRICK_WIDTH/2+LG_E, -1.32>
   }
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+1.635, LG_BRICK_WIDTH/2-0.2, -1.52>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.52, LG_BRICK_WIDTH/2+LG_E, -2.32>
   }
   difference {
    box {
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.45, LG_BRICK_WIDTH/2-0.06, -2.83>,
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.62, LG_BRICK_WIDTH/2+LG_E, -4.11>
    }
    box {
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.65, LG_BRICK_WIDTH/2-0.08, -3.03>,
     <-(LENGTH-0.5)*LG_BRICK_WIDTH+2.42, LG_BRICK_WIDTH/2+LG_E, -3.91>
    }
   }
  }
 }
 box {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2-LG_E, -2.55-LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2, -2.73+LG_CORNER_SPACE>
 }
 torus {
  0.09-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>
 }
 torus {
  0.09-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2-LG_E, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>,
  0.09
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2-LG_E, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2, -2.64>,
  0.09-LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.08, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.64>,
  0.09
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.08, -2.64>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2, -2.64>,
  0.09-LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.55-LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.55-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+2*LG_KNOB_RADIUS-0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.73+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+0.24+0.09, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -2.73+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
}

#end
