/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19970911 Lutz Uhlmann                                                       */
/* 20080105 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3938: Hinge 1 x 2 Top                                                    */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3938)
#else
#declare lg_3938 =
union {
 #declare MIR = 0;
 #while (MIR < 2 )
  union {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   torus {
    1.5*LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    1.5*LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_E, -0.6+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_E, -0.6+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     cylinder {
      <0, LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>,
      <0, 4*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      <0, 4*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH
     }
    }
    union {
     cylinder {
      <0, LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH/2>,
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH/2+LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>,
      <0, 4*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH/2
     }
    }
   }
   box {
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH, -LG_WALL_WIDTH/2+LG_E>
   }
   box {
    <1.5*LG_WALL_WIDTH, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    <-1.5*LG_WALL_WIDTH, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>
   }
   cylinder {
    <0, 4*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
    <0, 3.5*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
    1.5*LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    <0, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    1.5*LG_WALL_WIDTH
   }
   box {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_E, -0.6>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE+LG_E>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 90>
    scale <1, -1, 1>
    translate <0, LG_BRICK_WIDTH/2, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_WALL_WIDTH/2, 3.5*LG_WALL_WIDTH+LG_E, -0.6+LG_CORNER_SPACE>,
   <-LG_WALL_WIDTH/2, -3.5*LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH/2+LG_E>
  }
  union {
   box {
    <LG_WALL_WIDTH/2, 0.1, -0.3>,
    <-LG_WALL_WIDTH/2, -0.1, -0.6>
   }
   box {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_E, -0.1-LG_CORNER_SPACE, -0.6>
   }
   box {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2-LG_E, -0.1-LG_CORNER_SPACE, -0.6>
   }
  }
 }
}

#declare lg_3938_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2 )
  merge {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    LG_CORNER_SPACE
   }
   torus {
    1.5*LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    1.5*LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_E, -0.6+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_E, -0.6+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     cylinder {
      <0, LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>,
      <0, 4*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      <0, 4*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH
     }
    }
    union {
     cylinder {
      <0, LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH/2>,
      <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH/2+LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>,
      <0, 4*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
      LG_WALL_WIDTH/2
     }
    }
   }
   box {
    <1.5*LG_WALL_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH, -LG_WALL_WIDTH/2+LG_E>
   }
   box {
    <1.5*LG_WALL_WIDTH, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    <-1.5*LG_WALL_WIDTH, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_E>
   }
   cylinder {
    <0, 4*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
    <0, 3.5*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2>,
    1.5*LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, 4*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    <0, 3.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
    1.5*LG_WALL_WIDTH
   }
   box {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 3.5*LG_WALL_WIDTH+LG_E, -0.6>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.6+LG_CORNER_SPACE+LG_E>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 90>
    scale <1, -1, 1>
    translate <0, LG_BRICK_WIDTH/2, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -0.1-LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_WALL_WIDTH/2+LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_WALL_WIDTH/2, 3.5*LG_WALL_WIDTH+LG_E, -0.6+LG_CORNER_SPACE>,
   <-LG_WALL_WIDTH/2, -3.5*LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH/2+LG_E>
  }
  union {
   box {
    <LG_WALL_WIDTH/2, 0.1, -0.3>,
    <-LG_WALL_WIDTH/2, -0.1, -0.6>
   }
   box {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_E, -0.1-LG_CORNER_SPACE, -0.6>
   }
   box {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0.1+LG_CORNER_SPACE, -0.3+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2-LG_E, -0.1-LG_CORNER_SPACE, -0.6>
   }
  }
 }
}

#end
