/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20081212 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_40344: Technic Brick 4 x 6 with 2 x 4 Cutout                             */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_40344)
#else
#declare WIDTH = 4;
#declare LENGTH = 6;
#declare lg_40344 =
union {
 #declare ROT = 0;
 #while (ROT < 2)
  union {
   sphere {
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -(LENGTH/2-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -(LENGTH/2-1.5)*LG_BRICK_WIDTH,-LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH,-LG_BRICK_HEIGHT>
   }
   #declare MIR = 0;
   #while (MIR < 2)
    difference {
     union {
      torus {
       LG_BRICK_WIDTH/2-0.04-LG_CORNER_SPACE,
       LG_CORNER_SPACE
       rotate <90, 0, 0>
       translate <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
      }
      cylinder {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
       LG_BRICK_WIDTH/2-0.04-LG_CORNER_SPACE
      }
      cylinder {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
       LG_BRICK_WIDTH/2-0.04
      }
     }
     union {
      box {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       <WIDTH/2*LG_BRICK_WIDTH, (LENGTH/2-2)*LG_BRICK_WIDTH, LG_E>
      }
      box {
       <(WIDTH/2-1)*LG_BRICK_WIDTH, (LENGTH/2-2)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       <WIDTH/2*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>
      }
      cylinder {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, 0>,
       LG_KNOB_RADIUS
      }
     }
     scale <1-2*MIR, 1, 1>
    }
    union {
     sphere {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE+LG_E, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     scale <1-2*MIR, 1, 1>
    }
    #declare MIR = MIR + 1;
   #end
   #declare HOLE_X = -(WIDTH/2-1);
   #while (HOLE_X < (WIDTH/2))
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
    }
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     translate <HOLE_X*LG_BRICK_WIDTH, LENGTH/2*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
    }
    torus {
     0.3+LG_CORNER_SPACE
     LG_CORNER_SPACE
     translate <HOLE_X*LG_BRICK_WIDTH, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
    }
    difference {
     torus {
      0.3+LG_CORNER_SPACE
      LG_CORNER_SPACE
      translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
     }
     box {
      <HOLE_X*LG_BRICK_WIDTH+0.4, (LENGTH/2-1)*LG_BRICK_WIDTH+2*LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH/2>,
      <HOLE_X*LG_BRICK_WIDTH-0.4, (LENGTH/2-1)*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH>
     }
    }
    cylinder {
     <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    difference {
     union {
      box {
       <LG_WALL_WIDTH, -0.06, -LG_BRICK_HEIGHT>,
       <-LG_WALL_WIDTH, 0.06, -LG_BRICK_HEIGHT/2>
      }
      box {
       <-0.06, LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
       <0.06, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT/2>
      }
      cylinder {
       <0, 1.5*LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH/2>
       <0, -1.5*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>
       0.32
      }
      box {
       <-0.32, 1.5*LG_WALL_WIDTH+LG_E, -LG_CORNER_SPACE-LG_E>
       <0.32, -1.5*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>
      }
     }
     cylinder {
      <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
      <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
      LG_KNOB_RADIUS
     }
     translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
    }
    #if (HOLE_X < (WIDTH/2-1))
     sphere {
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH++LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      LG_CORNER_SPACE
     }
    #end
    #if (HOLE_X > -(WIDTH/2-1))
     sphere {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      LG_CORNER_SPACE
     }
     box {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <HOLE_X*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
     }
    #end
    #declare HOLE_X = HOLE_X + 1;
   #end
   difference {
    union {
     box {
      <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(WIDTH/2)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(WIDTH/2)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(WIDTH/2)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
      <-(WIDTH/2)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
     }
    }
    union {
     #declare HOLE_X = -(WIDTH/2-1);
     #while (HOLE_X < (WIDTH/2))
      union {
       cylinder{
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2-0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2+0.08+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       box {
        <0.3, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>,
        <-0.3, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
       }
       box {
        <0.3+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_HEIGHT>,
        <-0.3-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
       }
       translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
      }
      #declare HOLE_X = HOLE_X + 1;
     #end
    }
   }
   #declare HOLE_Y = -(LENGTH/2-2);
   #while (HOLE_Y < (LENGTH/2-1))
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
    }
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <WIDTH/2*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
    }
    torus {
     0.3+LG_CORNER_SPACE
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
    }
    difference {
     torus {
      0.3+LG_CORNER_SPACE
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+2*LG_CORNER_SPACE+LG_E, HOLE_Y*LG_BRICK_WIDTH+0.4, -LG_BRICK_WIDTH/2>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH-LG_E, HOLE_Y*LG_BRICK_WIDTH-0.4, -LG_BRICK_WIDTH>
     }
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    difference {
     union {
      box {
       <LG_WALL_WIDTH, -0.06, -LG_BRICK_HEIGHT>,
       <-LG_WALL_WIDTH, 0.06, -LG_BRICK_HEIGHT/2>
      }
      box {
       <-0.06, LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
       <0.06, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT/2>
      }
      cylinder {
       <1.5*LG_WALL_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>
       <-1.5*LG_WALL_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>
       0.32
      }
      box {
       <-0.32, 1.5*LG_WALL_WIDTH+LG_E, -LG_CORNER_SPACE-LG_E>
       <0.32, -1.5*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>
      }
     }
     cylinder {
      <LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>
      <-LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>
      LG_KNOB_RADIUS
     }
     translate <(WIDTH/2-0.5)*LG_BRICK_WIDTH, HOLE_Y*LG_BRICK_WIDTH, 0>
    }
    sphere {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE,-LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE,-LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH++LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
     LG_CORNER_SPACE
    }
    sphere {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
     LG_CORNER_SPACE
     }
    #if (HOLE_Y > -(LENGTH/2-2))
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE+LG_E, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
     }
    #end
    #declare HOLE_Y = HOLE_Y + 1;
   #end
   difference {
    union {
     box {
      <(LENGTH/2-1.5)*LG_BRICK_WIDTH, (WIDTH/2-1)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(LENGTH/2-1.5)*LG_BRICK_WIDTH, (WIDTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(LENGTH/2)*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(LENGTH/2)*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
      <-(LENGTH/2-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, (WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
     }
    }
    union {
     #declare HOLE_Y = -(LENGTH/2-2);
     #while (HOLE_Y < (LENGTH/2-1))
      union {
       cylinder{
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2-0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2+0.08+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       box {
        <0.3, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>,
        <-0.3, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
       }
       box {
        <0.3+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_HEIGHT>,
        <-0.3-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
       }
       translate <HOLE_Y*LG_BRICK_WIDTH, (WIDTH/2-0.5)*LG_BRICK_WIDTH, 0>
      }
      #declare HOLE_Y = HOLE_Y + 1;
     #end
    }
    rotate <0, 0, 90>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 #declare KNOB_Y = -(WIDTH/2-0.5);
 #while (KNOB_Y < (WIDTH/2))
  object {
   lg_tech_knob_logo
   translate <KNOB_Y*LG_BRICK_WIDTH, (LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_tech_knob_logo
   translate <KNOB_Y*LG_BRICK_WIDTH, -(LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_Y = KNOB_Y + 1;
 #end
 #declare KNOB_X = -(LENGTH/2-0.5);
 #while (KNOB_X < (LENGTH/2))
  object {
   lg_tech_knob_logo
   translate <(WIDTH/2-0.5)*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_tech_knob_logo
   translate <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
}

#declare lg_40344_clear =
merge {
 #declare ROT = 0;
 #while (ROT < 2)
  merge {
   sphere {
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -(LENGTH/2-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <-(WIDTH/2-1)*LG_BRICK_WIDTH-0.3, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.3, (LENGTH/2-1)*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -(LENGTH/2-1.5)*LG_BRICK_WIDTH,-LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH,-LG_BRICK_HEIGHT>
   }
   #declare MIR = 0;
   #while (MIR < 2)
    difference {
     merge {
      torus {
       LG_BRICK_WIDTH/2-0.04-LG_CORNER_SPACE,
       LG_CORNER_SPACE
       rotate <90, 0, 0>
       translate <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
      }
      cylinder {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
       LG_BRICK_WIDTH/2-0.04-LG_CORNER_SPACE
      }
      cylinder {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
       LG_BRICK_WIDTH/2-0.04
      }
     }
     union {
      box {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       <WIDTH/2*LG_BRICK_WIDTH, (LENGTH/2-2)*LG_BRICK_WIDTH, LG_E>
      }
      box {
       <(WIDTH/2-1)*LG_BRICK_WIDTH, (LENGTH/2-2)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       <WIDTH/2*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>
      }
      cylinder {
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH, 0>,
       LG_KNOB_RADIUS
      }
     }
     scale <1-2*MIR, 1, 1>
    }
    merge {
     sphere {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE+LG_E, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1.5)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH, (LENGTH/2-1.5)*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
     }
     scale <1-2*MIR, 1, 1>
    }
    #declare MIR = MIR + 1;
   #end
   #declare HOLE_X = -(WIDTH/2-1);
   #while (HOLE_X < (WIDTH/2))
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
    }
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     translate <HOLE_X*LG_BRICK_WIDTH, LENGTH/2*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
    }
    torus {
     0.3+LG_CORNER_SPACE
     LG_CORNER_SPACE
     translate <HOLE_X*LG_BRICK_WIDTH, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
    }
    difference {
     torus {
      0.3+LG_CORNER_SPACE
      LG_CORNER_SPACE
      translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
     }
     box {
      <HOLE_X*LG_BRICK_WIDTH+0.4, (LENGTH/2-1)*LG_BRICK_WIDTH+2*LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH/2>,
      <HOLE_X*LG_BRICK_WIDTH-0.4, (LENGTH/2-1)*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH>
     }
    }
    cylinder {
     <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    difference {
     merge {
      box {
       <LG_WALL_WIDTH, -0.06, -LG_BRICK_HEIGHT>,
       <-LG_WALL_WIDTH, 0.06, -LG_BRICK_HEIGHT/2>
      }
      box {
       <-0.06, LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
       <0.06, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT/2>
      }
      cylinder {
       <0, 1.5*LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH/2>
       <0, -1.5*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>
       0.32
      }
      box {
       <-0.32, 1.5*LG_WALL_WIDTH+LG_E, -LG_CORNER_SPACE-LG_E>
       <0.32, -1.5*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>
      }
     }
     cylinder {
      <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
      <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
      LG_KNOB_RADIUS
     }
     translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
    }
    #if (HOLE_X < (WIDTH/2-1))
     sphere {
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH++LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      LG_CORNER_SPACE
     }
    #end
    #if (HOLE_X > -(WIDTH/2-1))
     sphere {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      LG_CORNER_SPACE
     }
     box {
      <HOLE_X*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <HOLE_X*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
     }
    #end
    #declare HOLE_X = HOLE_X + 1;
   #end
   difference {
    merge {
     box {
      <(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(WIDTH/2)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(WIDTH/2)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(WIDTH/2)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
      <-(WIDTH/2)*LG_BRICK_WIDTH+LG_CORNER_SPACE, (LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
     }
    }
    union {
     #declare HOLE_X = -(WIDTH/2-1);
     #while (HOLE_X < (WIDTH/2))
      union {
       cylinder{
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2-0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2+0.08+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       box {
        <0.3, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>,
        <-0.3, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
       }
       box {
        <0.3+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_HEIGHT>,
        <-0.3-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
       }
       translate <HOLE_X*LG_BRICK_WIDTH, (LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
      }
      #declare HOLE_X = HOLE_X + 1;
     #end
    }
   }
   #declare HOLE_Y = -(LENGTH/2-2);
   #while (HOLE_Y < (LENGTH/2-1))
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
    }
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <WIDTH/2*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
    }
    torus {
     0.3+LG_CORNER_SPACE
     LG_CORNER_SPACE
     rotate <0, 0, 90>
     translate <WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
    }
    difference {
     torus {
      0.3+LG_CORNER_SPACE
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2>
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+2*LG_CORNER_SPACE+LG_E, HOLE_Y*LG_BRICK_WIDTH+0.4, -LG_BRICK_WIDTH/2>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH-LG_E, HOLE_Y*LG_BRICK_WIDTH-0.4, -LG_BRICK_WIDTH>
     }
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    difference {
     merge {
      box {
       <LG_WALL_WIDTH, -0.06, -LG_BRICK_HEIGHT>,
       <-LG_WALL_WIDTH, 0.06, -LG_BRICK_HEIGHT/2>
      }
      box {
       <-0.06, LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
       <0.06, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT/2>
      }
      cylinder {
       <1.5*LG_WALL_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>
       <-1.5*LG_WALL_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>
       0.32
      }
      box {
       <-0.32, 1.5*LG_WALL_WIDTH+LG_E, -LG_CORNER_SPACE-LG_E>
       <0.32, -1.5*LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2>
      }
     }
     cylinder {
      <LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>
      <-LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>
      LG_KNOB_RADIUS
     }
     translate <(WIDTH/2-0.5)*LG_BRICK_WIDTH, HOLE_Y*LG_BRICK_WIDTH, 0>
    }
    sphere {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE,-LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE,-LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH++LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH+0.3+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
     LG_CORNER_SPACE
    }
    sphere {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
     LG_CORNER_SPACE
     }
    #if (HOLE_Y > -(LENGTH/2-2))
     cylinder {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <(WIDTH/2-1)*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE+LG_E, HOLE_Y*LG_BRICK_WIDTH-0.3-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <(WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, HOLE_Y*LG_BRICK_WIDTH-0.5+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
     }
    #end
    #declare HOLE_Y = HOLE_Y + 1;
   #end
   difference {
    merge {
     box {
      <(LENGTH/2-1.5)*LG_BRICK_WIDTH, (WIDTH/2-1)*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(LENGTH/2-1.5)*LG_BRICK_WIDTH, (WIDTH/2-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(LENGTH/2)*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-(LENGTH/2)*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <(LENGTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
      <-(LENGTH/2-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, (WIDTH/2-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
     }
    }
    union {
     #declare HOLE_Y = -(LENGTH/2-2);
     #while (HOLE_Y < (LENGTH/2-1))
      union {
       cylinder{
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2-0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
        0.3
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2+0.08+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
        <0, LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>
        0.3+LG_CORNER_SPACE
       }
       box {
        <0.3, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>,
        <-0.3, -LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2>
       }
       box {
        <0.3+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_HEIGHT>,
        <-0.3-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
       }
       translate <HOLE_Y*LG_BRICK_WIDTH, (WIDTH/2-0.5)*LG_BRICK_WIDTH, 0>
      }
      #declare HOLE_Y = HOLE_Y + 1;
     #end
    }
    rotate <0, 0, 90>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 #declare KNOB_Y = -(WIDTH/2-0.5);
 #while (KNOB_Y < (WIDTH/2))
  object {
   lg_tech_knob_logo_clear
   translate <KNOB_Y*LG_BRICK_WIDTH, (LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_tech_knob_logo_clear
   translate <KNOB_Y*LG_BRICK_WIDTH, -(LENGTH/2-0.5)*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_Y = KNOB_Y + 1;
 #end
 #declare KNOB_X = -(LENGTH/2-0.5);
 #while (KNOB_X < (LENGTH/2))
  object {
   lg_tech_knob_logo_clear
   translate <(WIDTH/2-0.5)*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_tech_knob_logo_clear
   translate <-(WIDTH/2-0.5)*LG_BRICK_WIDTH, KNOB_X*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_X = KNOB_X + 1;
 #end
}

#end
