/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20080205 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_41678: Technic Axle Joiner Perpendicular Double Split                    */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_41678)
#else
#declare lg_41678 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   difference {
    union {
     torus {
      LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>
     }
     torus {
      LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>
     }
     torus {
      LG_KNOB_RADIUS+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>
     }
     torus {
      LG_KNOB_RADIUS+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>
     }
     difference {
      union {
       cylinder {
        <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>,
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>,
        LG_BRICK_WIDTH/2-0.02
       }
       cylinder {
        <0, LG_BRICK_WIDTH-0.02, 0>,
        <0, LG_BRICK_WIDTH/2, 0>,
        LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE
       }
      }
      union {
       cylinder {
        <0, LG_BRICK_WIDTH-0.02, 0>,
        <0, LG_BRICK_WIDTH/2, 0>,
        LG_KNOB_RADIUS
       }
       cylinder {
        <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>,
        <0, LG_BRICK_WIDTH-0.02+LG_E, 0>,
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>,
        <0, LG_BRICK_WIDTH/2-LG_E, 0>,
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
      }
     }
     #declare ROT = 0;
     #while (ROT < 4)
      union {
       torus {
        0.08-LG_CORNER_SPACE,
        LG_CORNER_SPACE
        translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>
       }
       torus {
        0.08-LG_CORNER_SPACE,
        LG_CORNER_SPACE
        translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        0.08
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02, LG_CROSSAXLE_WIDTH/2+0.08>,
        0.08-LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02, LG_CROSSAXLE_WIDTH/2+0.1>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+0.1, LG_BRICK_WIDTH-0.02, LG_KNOB_RADIUS+LG_CORNER_SPACE>
       }
       rotate <0, 90*ROT, 0>
      }
      #declare ROT = ROT + 1;
     #end
    }
    box {
     <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>
    }
   }
   #declare MIR2 = 0;
   #while (MIR2 < 2)
    union {
     cylinder {
      <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+0.1, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
     box {
      <LG_KNOB_RADIUS/2, LG_BRICK_WIDTH-0.02, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>
     }
     box {
      <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE-LG_E>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02>
     }
     scale <1, 1, 1-2*MIR2>
    }
    #declare MIR2 = MIR2 + 1;
   #end
   cylinder {
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     box {
      <LG_KNOB_RADIUS+0.08, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-0.02, -LG_BRICK_WIDTH/2+0.02+LG_CORNER_SPACE>
     }
     box {
      <LG_KNOB_RADIUS+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.02>
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
      LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2-0.02
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-0.08>,
      0.3
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
      0.3+LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+0.08>,
      0.3
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2-LG_E>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>,
      0.3+LG_CORNER_SPACE
     }
    }
   }
   torus {
    LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>
   }
   torus {
    0.3+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>
   }
   torus {
    LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>
   }
   torus {
    0.3+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -0.08>,
    <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH+0.02, LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.02, -LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS
   }
  }
 }
}

#declare lg_41678_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   difference {
    merge {
     torus {
      LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>
     }
     torus {
      LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>
     }
     torus {
      LG_KNOB_RADIUS+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>
     }
     torus {
      LG_KNOB_RADIUS+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>
     }
     difference {
      merge {
       cylinder {
        <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>,
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>,
        LG_BRICK_WIDTH/2-0.02
       }
       cylinder {
        <0, LG_BRICK_WIDTH-0.02, 0>,
        <0, LG_BRICK_WIDTH/2, 0>,
        LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE
       }
      }
      union {
       cylinder {
        <0, LG_BRICK_WIDTH-0.02, 0>,
        <0, LG_BRICK_WIDTH/2, 0>,
        LG_KNOB_RADIUS
       }
       cylinder {
        <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, 0>,
        <0, LG_BRICK_WIDTH-0.02+LG_E, 0>,
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
       cylinder {
        <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0>,
        <0, LG_BRICK_WIDTH/2-LG_E, 0>,
        LG_KNOB_RADIUS+LG_CORNER_SPACE
       }
      }
     }
     #declare ROT = 0;
     #while (ROT < 4)
      merge {
       torus {
        0.08-LG_CORNER_SPACE,
        LG_CORNER_SPACE
        translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>
       }
       torus {
        0.08-LG_CORNER_SPACE,
        LG_CORNER_SPACE
        translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        0.08
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02, LG_CROSSAXLE_WIDTH/2+0.08>,
        0.08-LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       cylinder {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        LG_CORNER_SPACE
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+0.08, LG_BRICK_WIDTH/2, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02, LG_CROSSAXLE_WIDTH/2+0.1>
       }
       box {
        <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08>,
        <LG_CROSSAXLE_WIDTH/2+0.1, LG_BRICK_WIDTH-0.02, LG_KNOB_RADIUS+LG_CORNER_SPACE>
       }
       rotate <0, 90*ROT, 0>
      }
      #declare ROT = ROT + 1;
     #end
    }
    box {
     <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH/2, 0, -LG_BRICK_WIDTH/2>
    }
   }
   #declare MIR2 = 0;
   #while (MIR2 < 2)
    merge {
     cylinder {
      <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+0.1, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     sphere {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE>
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH>
     }
     box {
      <LG_KNOB_RADIUS/2, LG_BRICK_WIDTH-0.02, LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>
     }
     box {
      <0, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE-LG_E>,
      <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02>
     }
     scale <1, 1, 1-2*MIR2>
    }
    #declare MIR2 = MIR2 + 1;
   #end
   cylinder {
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_KNOB_RADIUS+0.08+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     box {
      <LG_KNOB_RADIUS+0.08, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-0.02, -LG_BRICK_WIDTH/2+0.02+LG_CORNER_SPACE>
     }
     box {
      <LG_KNOB_RADIUS+0.08, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.02>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.02>
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
      LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2-0.02
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-0.08>,
      0.3
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
      0.3+LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+0.08>,
      0.3
     }
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2-LG_E>,
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>,
      0.3+LG_CORNER_SPACE
     }
    }
   }
   torus {
    LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>
   }
   torus {
    0.3+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>
   }
   torus {
    LG_BRICK_WIDTH/2-0.02-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>
   }
   torus {
    0.3+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <0.5*LG_BRICK_WIDTH+0.02+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -0.08>,
    <1.5*LG_BRICK_WIDTH-0.02-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0.08>
   }
   box {
    <0.5*LG_BRICK_WIDTH+0.02, LG_BRICK_WIDTH/2, -0.08+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-0.02, -LG_BRICK_WIDTH/2, 0.08-LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>,
    LG_KNOB_RADIUS
   }
  }
 }
}

#end
