/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19990610 Lutz Uhlmann                                                       */
/* 20080106 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4169: Train Signal Stand                                                 */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4169)
#else
#declare lg_4169 = 
union {
 #declare ROT = 0;
 #while (ROT < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 difference {
  union {
   box {
    <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <3*LG_WALL_WIDTH, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, -LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_E>
   }
   box {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS, -LG_E>
   }
   box {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_E>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_WALL_WIDTH, LG_WALL_WIDTH, LG_E>,
    <2.5*LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
  }
 }
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_E>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_E>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_E>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_E>,
    LG_CORNER_SPACE
   }
   box {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-3*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_E>
   }
   box {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_E>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH>
 }
 box {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH>
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_E, 0, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  <-3*LG_WALL_WIDTH, 0, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_E, 0, LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  <-3*LG_WALL_WIDTH, 0, LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 difference {
  box {
   <-LG_WALL_WIDTH-LG_TOP_HEIGHT, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E>
  }
  union {
   object {
    lg_knob_inner_space
    rotate <0, 90, 0>
    translate <-LG_WALL_WIDTH-LG_TOP_HEIGHT, 0, 2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
   }
   object {
    lg_knob_inner_space
    rotate <0, 90, 0>
    translate <-LG_WALL_WIDTH-LG_TOP_HEIGHT, 0, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
   }
   object {
    lg_knob_inner_space
    rotate <0, 90, 0>
    translate <-LG_WALL_WIDTH-LG_TOP_HEIGHT, 0, 0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
   }
   box {
    <-LG_WALL_WIDTH+LG_E, 0.3*LG_BRICK_WIDTH, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, -0.3*LG_BRICK_WIDTH, -2*LG_E>
   }
  }
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <-LG_WALL_WIDTH, 0, 2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <-LG_WALL_WIDTH, 0, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <-LG_WALL_WIDTH, 0, 0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
 }
 object {
  lg_plate_cylinder
  translate <0, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder
  translate <0, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
}

#declare lg_4169_clear = 
merge {
 #declare ROT = 0;
 #while (ROT < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <3*LG_WALL_WIDTH, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, -LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_E>
   }
   box {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS, -LG_E>
   }
   box {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_E>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_WALL_WIDTH, LG_WALL_WIDTH, LG_E>,
    <2.5*LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
  }
 }
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_E>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_E>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_E>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_E>,
    LG_CORNER_SPACE
   }
   box {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-3*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_E>
   }
   box {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_E>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH>
 }
 box {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH>
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_E, 0, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  <-3*LG_WALL_WIDTH, 0, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_E, 0, LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  <-3*LG_WALL_WIDTH, 0, LG_BRICK_WIDTH+LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 difference {
  box {
   <-LG_WALL_WIDTH-LG_TOP_HEIGHT, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_E>
  }
  union {
   object {
    lg_knob_inner_space_clear
    rotate <0, 90, 0>
    translate <-LG_WALL_WIDTH-LG_TOP_HEIGHT, 0, 2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
   }
   object {
    lg_knob_inner_space_clear
    rotate <0, 90, 0>
    translate <-LG_WALL_WIDTH-LG_TOP_HEIGHT, 0, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
   }
   object {
    lg_knob_inner_space_clear
    rotate <0, 90, 0>
    translate <-LG_WALL_WIDTH-LG_TOP_HEIGHT, 0, 0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
   }
   box {
    <-LG_WALL_WIDTH+LG_E, 0.3*LG_BRICK_WIDTH, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, -0.3*LG_BRICK_WIDTH, -2*LG_E>
   }
  }
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <-LG_WALL_WIDTH, 0, 2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <-LG_WALL_WIDTH, 0, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <-LG_WALL_WIDTH, 0, 0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT>
 }
}

#end

