/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20001110 Lutz Uhlmann                                                       */
/* 20080106 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4178: Train Base 6 x 16                                                  */
/*                                                                             */
/*******************************************************************************/
#ifdef(lg_4178)
#else
#declare lg_angle1=atan2(LG_PLATE_HEIGHT,1.4*LG_BRICK_WIDTH);
#declare lg_angle2=atan2(0.33,0.8*LG_BRICK_WIDTH);
#declare lg_radius=(0.56+0.04*sin(35/180*pi))/sin(35/180*pi);
#declare lg_4178 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.29-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2.2*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.29-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.2*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #declare COL_X = -2.5;
   #while (COL_X < 3)
    box {
     <0.06, 7*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE>,
     <-0.06, 6.8*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     translate <COL_X*LG_BRICK_WIDTH, 0, 0>
    }
    #declare COL_X = COL_X + 1;
   #end
   box {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0*(LG_CORNER_SPACE+LG_E)>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
   }
   box {
    <-0.8*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_E>
    rotate <0, -lg_angle1*180/pi, 0>
    translate <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_PLATE_HEIGHT>
    rotate <0, -lg_angle1*180/pi, 0>
    translate <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_E>
    rotate <0, lg_angle1*180/pi, 0>
    translate <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <-1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_PLATE_HEIGHT>
    rotate <0, lg_angle1*180/pi, 0>
    translate <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT>
   }
   #declare MIR2 = 0;
   #while (MIR2<2)
    union {
     union {
      difference {
       union {
        box {
         <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
        }
        box {
         <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
        }
        cylinder {
         <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         <2*LG_BRICK_WIDTH+0.32+LG_E, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         0.32
        }
        box {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+0.08, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
         <2*LG_BRICK_WIDTH+0.32+LG_E, 3*LG_BRICK_WIDTH-0.08, -2*LG_PLATE_HEIGHT>
        }
        box {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
         <2*LG_BRICK_WIDTH+0.32+LG_E, 3*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
        }
       }
       union {
        box {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT-LG_E>,
         <2*LG_BRICK_WIDTH+0.32+2*LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT>
        }
        cylinder {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         <2*LG_BRICK_WIDTH+0.32+2*LG_E, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         0.24
        }
       }
      }
      cylinder {
       <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <2*LG_BRICK_WIDTH+0.32+LG_E, 2*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <2*LG_BRICK_WIDTH+0.32+LG_E, 3*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      torus {
       0.56,
       0.04
       rotate <0, 0, 90>
       translate <2*LG_BRICK_WIDTH+0.36, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
      }
      cylinder {
       <2*LG_BRICK_WIDTH+0.32, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
       <2*LG_BRICK_WIDTH+0.4, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
       0.56
      }
      intersection {
       sphere {
        <2*LG_BRICK_WIDTH+0.36+0.04*cos(35/180*pi)-lg_radius*cos(35/180*pi), 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
        lg_radius
       }
       box {
        <3*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>,
        <2*LG_BRICK_WIDTH+0.36+0.04*cos(35/180*pi), 3.5*LG_BRICK_WIDTH, -4.5*LG_PLATE_HEIGHT>
       }
      }
      rotate <0, 0, 90>
      translate <0, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
     }
     box {
      <0.8*LG_BRICK_WIDTH+LG_WALL_WIDTH, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE+LG_E>,
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89>
     }
     difference {
      box {
       <0.8*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE>,
       <0.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
      }
      union {
       box {
        <0.8*LG_BRICK_WIDTH-LG_E, 0, LG_CORNER_SPACE>,
        <LG_BRICK_WIDTH, -1.5, 1>
        rotate <-lg_angle2*180/pi, 0, 0>
        translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>
       }
       box {
        <0.8*LG_BRICK_WIDTH-LG_E, 0, 0>,
        <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5, 1>
        rotate <-lg_angle2*180/pi, 0, 0>
        translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>
       }
       box {
        <1.2*LG_BRICK_WIDTH+LG_E, 1, 0>,
        <LG_BRICK_WIDTH, -1.5, -1>
        rotate <-lg_angle2*180/pi, 0, 0>
        translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.8>
       }
      }
     }
     box {
      <LG_BRICK_WIDTH+LG_E, 0, 0>,
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, LG_CORNER_SPACE>
      rotate <-lg_angle2*180/pi, 0, 0>
      translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>
     }
     box {
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH, -0.89+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -0.62-LG_CORNER_SPACE>
     }
     box {
      <1.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.8>
     }
     box {
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.89>
     }
     box {
      <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH, -0.89+LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
      <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
     }
     box {
      <3*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     #if (MIR2=1)
      scale <-1, 1, 1>
     #end
    }
    #declare MIR2 = MIR2 + 1 ;
   #end
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   object {
    lg_plate_cylinder
    translate <2*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder
    translate <LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder
    translate <0, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder
    translate <-LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder
    translate <-2*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder
    translate <2*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder
    translate <-2*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    box {
     <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     box {
      <0.8*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH, LG_E>,
      <-0.8*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_E>
     }
     object {
      lg_knob_inner_space
      translate <0.5*LG_BRICK_WIDTH, 5.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <0.5*LG_BRICK_WIDTH, 6.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <-0.5*LG_BRICK_WIDTH, 5.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <-0.5*LG_BRICK_WIDTH, 6.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
    }
   }
   difference {
    box {
     <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     #declare KNOB_Y = 4.5;
     #while (KNOB_Y < 8)
      object {
       lg_knob_inner_space
       translate <2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      object {
       lg_knob_inner_space
       translate <1.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      #declare KNOB_Y = KNOB_Y + 1;
     #end
    }
   }
   difference {
    box {
     <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     #declare KNOB_Y = 4.5;
     #while (KNOB_Y < 8)
      object {
       lg_knob_inner_space
       translate <-2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      object {
       lg_knob_inner_space
       translate <-1.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      #declare KNOB_Y = KNOB_Y + 1;
     #end
    }
   }
   #declare KNOB_X = -2.5;
   #while (KNOB_X < 3)
    #if (abs(KNOB_X) > 1)
     object {
      lg_knob
      scale <1, 1-2*MIR, 1>
      translate <KNOB_X*LG_BRICK_WIDTH, 7.5*LG_BRICK_WIDTH, 0>
     }
    #end
    object {
     lg_knob
     scale <1, 1-2*MIR, 1>
     translate <KNOB_X*LG_BRICK_WIDTH, 6.5*LG_BRICK_WIDTH, 0>
    }
    object {
     lg_knob
     scale <1, 1-2*MIR, 1>
     translate <KNOB_X*LG_BRICK_WIDTH, 5.5*LG_BRICK_WIDTH, 0>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
   object {
    lg_knob
    scale <1, 1-2*MIR, 1>
    translate <-2.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    scale <1, 1-2*MIR, 1>
    translate <1.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    scale <1, 1-2*MIR, 1>
    translate <2.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   union {
    difference {
     union {
      cylinder {
       <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       0.64
      }
      cylinder {
       <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT>,
       <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT>,
       0.64-LG_CORNER_SPACE
      }
      torus {
       0.64-LG_CORNER_SPACE,
       LG_CORNER_SPACE
       rotate <90, 0, 0>
       translate <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
      }
      torus {
       0.64-LG_CORNER_SPACE,
       LG_CORNER_SPACE
       rotate <90, 0, 0>
       translate <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
     }
     union {
      box {
       <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_E>,
       <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
      }
      cylinder {
       <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
       <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT-LG_E>,
       0.56
      }
      cylinder {
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT>,
       <1.5*LG_BRICK_WIDTH, 0, -4*LG_PLATE_HEIGHT>,
       LG_KNOB_RADIUS
      }
      cylinder {
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT+LG_E>,
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_KNOB_RADIUS+LG_CORNER_SPACE
      }
     }
    }
    difference {
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
      <1.5*LG_BRICK_WIDTH, 0, -4*LG_PLATE_HEIGHT>,
      0.4
     }
     union {
      box {
       <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_E>,
       <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
      }
      cylinder {
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT>,
       <1.5*LG_BRICK_WIDTH, 0, -4*LG_PLATE_HEIGHT-LG_E>,
       LG_KNOB_RADIUS
      }
     }
    }
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
     translate <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    }
    rotate <0, 0, 90>
    translate <0, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
  <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <3*LG_BRICK_WIDTH, 7.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-3*LG_BRICK_WIDTH, 7.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 #declare COL_Y=-4;
 #while (COL_Y<5)
  object {
   lg_plate_column
   translate <2.5*LG_BRICK_WIDTH, COL_Y*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  object {
   lg_plate_column
   translate <-2.5*LG_BRICK_WIDTH, COL_Y*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  #declare COL_Y=COL_Y+1;
 #end
 difference {
  box {
   <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0>,
   <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_Y=-3.5;
   #while (KNOB_Y<4)
    object {
     lg_knob_inner_space
     translate <2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB_Y=KNOB_Y+1;
   #end
  }
 }
 difference {
  box {
   <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0>,
   <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_Y=-3.5;
   #while (KNOB_Y<4)
    object {
     lg_knob_inner_space
     translate <-2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB_Y=KNOB_Y+1;
   #end
  }
 }
 #declare KNOB_Y=-3.5;
 #while (KNOB_Y<4)
  object {
   lg_knob
   translate <-2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob
   translate <2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_Y=KNOB_Y+1;
 #end
}

#declare lg_4178_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.29-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2.2*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE>,
    <-0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.29-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.2*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #declare COL_X = -2.5;
   #while (COL_X < 3)
    box {
     <0.06, 7*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE>,
     <-0.06, 6.8*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     translate <COL_X*LG_BRICK_WIDTH, 0, 0>
    }
    #declare COL_X = COL_X + 1;
   #end
   box {
    <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0*(LG_CORNER_SPACE+LG_E)>,
    <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>
   }
   box {
    <-0.8*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.8*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_E>
    rotate <0, -lg_angle1*180/pi, 0>
    translate <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_PLATE_HEIGHT>
    rotate <0, -lg_angle1*180/pi, 0>
    translate <0.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_E>
    rotate <0, lg_angle1*180/pi, 0>
    translate <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <-1.4*LG_BRICK_WIDTH/cos(lg_angle1), LG_WALL_WIDTH, LG_PLATE_HEIGHT>
    rotate <0, lg_angle1*180/pi, 0>
    translate <-0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2.2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 7*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT>
   }
   #declare MIR2 = 0;
   #while (MIR2<2)
    merge {
     merge {
      difference {
       merge {
        box {
         <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
        }
        box {
         <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
        }
        cylinder {
         <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         <2*LG_BRICK_WIDTH+0.32+LG_E, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         0.32
        }
        box {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+0.08, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
         <2*LG_BRICK_WIDTH+0.32+LG_E, 3*LG_BRICK_WIDTH-0.08, -2*LG_PLATE_HEIGHT>
        }
        box {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
         <2*LG_BRICK_WIDTH+0.32+LG_E, 3*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT>
        }
       }
       union {
        box {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT-LG_E>,
         <2*LG_BRICK_WIDTH+0.32+2*LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT>
        }
        cylinder {
         <2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         <2*LG_BRICK_WIDTH+0.32+2*LG_E, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
         0.24
        }
       }
      }
      cylinder {
       <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <2*LG_BRICK_WIDTH+0.32+LG_E, 2*LG_BRICK_WIDTH+0.08+LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      cylinder {
       <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       <2*LG_BRICK_WIDTH+0.32+LG_E, 3*LG_BRICK_WIDTH-0.08-LG_CORNER_SPACE, -3*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       LG_CORNER_SPACE
      }
      torus {
       0.56,
       0.04
       rotate <0, 0, 90>
       translate <2*LG_BRICK_WIDTH+0.36, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
      }
      cylinder {
       <2*LG_BRICK_WIDTH+0.32, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
       <2*LG_BRICK_WIDTH+0.4, 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
       0.56
      }
      intersection {
       sphere {
        <2*LG_BRICK_WIDTH+0.36+0.04*cos(35/180*pi)-lg_radius*cos(35/180*pi), 2.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>,
        lg_radius
       }
       box {
        <3*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>,
        <2*LG_BRICK_WIDTH+0.36+0.04*cos(35/180*pi), 3.5*LG_BRICK_WIDTH, -4.5*LG_PLATE_HEIGHT>
       }
      }
      rotate <0, 0, 90>
      translate <0, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
     }
     box {
      <0.8*LG_BRICK_WIDTH+LG_WALL_WIDTH, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE+LG_E>,
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89>
     }
     difference {
      box {
       <0.8*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 7.2*LG_BRICK_WIDTH-LG_E, -0.89+LG_CORNER_SPACE>,
       <0.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
      }
      union {
       box {
        <0.8*LG_BRICK_WIDTH-LG_E, 0, LG_CORNER_SPACE>,
        <LG_BRICK_WIDTH, -1.5, 1>
        rotate <-lg_angle2*180/pi, 0, 0>
        translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>
       }
       box {
        <0.8*LG_BRICK_WIDTH-LG_E, 0, 0>,
        <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5, 1>
        rotate <-lg_angle2*180/pi, 0, 0>
        translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>
       }
       box {
        <1.2*LG_BRICK_WIDTH+LG_E, 1, 0>,
        <LG_BRICK_WIDTH, -1.5, -1>
        rotate <-lg_angle2*180/pi, 0, 0>
        translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.8>
       }
      }
     }
     box {
      <LG_BRICK_WIDTH+LG_E, 0, 0>,
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, LG_CORNER_SPACE>
      rotate <-lg_angle2*180/pi, 0, 0>
      translate <0, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.62-LG_CORNER_SPACE>
     }
     box {
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH, -0.89+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -0.62-LG_CORNER_SPACE>
     }
     box {
      <1.8*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.8>
     }
     box {
      <0.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.89+LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.89>
     }
     box {
      <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH, -0.89+LG_CORNER_SPACE>,
      <1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 8*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
     }
     box {
      <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
      <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
     }
     box {
      <3*LG_BRICK_WIDTH, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     #if (MIR2=1)
      scale <-1, 1, 1>
     #end
    }
    #declare MIR2 = MIR2 + 1 ;
   #end
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH, 5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   object {
    lg_plate_cylinder_clear
    translate <2*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder_clear
    translate <LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder_clear
    translate <0, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder_clear
    translate <-LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder_clear
    translate <-2*LG_BRICK_WIDTH, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder_clear
    translate <2*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   object {
    lg_plate_cylinder_clear
    translate <-2*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    box {
     <-LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 7.2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     box {
      <0.8*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7.2*LG_BRICK_WIDTH, LG_E>,
      <-0.8*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_E>
     }
     object {
      lg_knob_inner_space_clear
      translate <0.5*LG_BRICK_WIDTH, 5.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <0.5*LG_BRICK_WIDTH, 6.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <-0.5*LG_BRICK_WIDTH, 5.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <-0.5*LG_BRICK_WIDTH, 6.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
    }
   }
   difference {
    box {
     <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     #declare KNOB_Y = 4.5;
     #while (KNOB_Y < 8)
      object {
       lg_knob_inner_space_clear
       translate <2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      object {
       lg_knob_inner_space_clear
       translate <1.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      #declare KNOB_Y = KNOB_Y + 1;
     #end
    }
   }
   difference {
    box {
     <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
     <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
    }
    union {
     #declare KNOB_Y = 4.5;
     #while (KNOB_Y < 8)
      object {
       lg_knob_inner_space_clear
       translate <-2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      object {
       lg_knob_inner_space_clear
       translate <-1.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
      }
      #declare KNOB_Y = KNOB_Y + 1;
     #end
    }
   }
   #declare KNOB_X = -2.5;
   #while (KNOB_X < 3)
    #if (abs(KNOB_X) > 1)
     object {
      lg_knob_clear
      scale <1, 1-2*MIR, 1>
      translate <KNOB_X*LG_BRICK_WIDTH, 7.5*LG_BRICK_WIDTH, 0>
     }
    #end
    object {
     lg_knob_clear
     scale <1, 1-2*MIR, 1>
     translate <KNOB_X*LG_BRICK_WIDTH, 6.5*LG_BRICK_WIDTH, 0>
    }
    object {
     lg_knob_clear
     scale <1, 1-2*MIR, 1>
     translate <KNOB_X*LG_BRICK_WIDTH, 5.5*LG_BRICK_WIDTH, 0>
    }
    #declare KNOB_X = KNOB_X + 1;
   #end
   object {
    lg_knob_clear
    scale <1, 1-2*MIR, 1>
    translate <-2.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    scale <1, 1-2*MIR, 1>
    translate <-1.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    scale <1, 1-2*MIR, 1>
    translate <1.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    scale <1, 1-2*MIR, 1>
    translate <2.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   merge {
    difference {
     merge {
      cylinder {
       <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
       0.64
      }
      cylinder {
       <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT>,
       <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT>,
       0.64-LG_CORNER_SPACE
      }
      torus {
       0.64-LG_CORNER_SPACE,
       LG_CORNER_SPACE
       rotate <90, 0, 0>
       translate <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
      }
      torus {
       0.64-LG_CORNER_SPACE,
       LG_CORNER_SPACE
       rotate <90, 0, 0>
       translate <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
      }
     }
     union {
      box {
       <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_E>,
       <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
      }
      cylinder {
       <LG_BRICK_WIDTH+0.2, 0, -3*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
       <LG_BRICK_WIDTH+0.2, 0, -4*LG_PLATE_HEIGHT-LG_E>,
       0.56
      }
      cylinder {
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT>,
       <1.5*LG_BRICK_WIDTH, 0, -4*LG_PLATE_HEIGHT>,
       LG_KNOB_RADIUS
      }
      cylinder {
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT+LG_E>,
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       LG_KNOB_RADIUS+LG_CORNER_SPACE
      }
     }
    }
    difference {
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
      <1.5*LG_BRICK_WIDTH, 0, -4*LG_PLATE_HEIGHT>,
      0.4
     }
     union {
      box {
       <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT+LG_E>,
       <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
      }
      cylinder {
       <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT>,
       <1.5*LG_BRICK_WIDTH, 0, -4*LG_PLATE_HEIGHT-LG_E>,
       LG_KNOB_RADIUS
      }
     }
    }
    torus {
     LG_KNOB_RADIUS+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
     translate <1.5*LG_BRICK_WIDTH, 0, -3*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
    }
    rotate <0, 0, 90>
    translate <0, 6*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
  <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
  <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
  <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <3*LG_BRICK_WIDTH, 7.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-3*LG_BRICK_WIDTH, 7.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -7.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-2*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 #declare COL_Y=-4;
 #while (COL_Y<5)
  object {
   lg_plate_column_clear
   translate <2.5*LG_BRICK_WIDTH, COL_Y*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  object {
   lg_plate_column_clear
   translate <-2.5*LG_BRICK_WIDTH, COL_Y*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
  #declare COL_Y=COL_Y+1;
 #end
 difference {
  box {
   <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0>,
   <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_Y=-3.5;
   #while (KNOB_Y<4)
    object {
     lg_knob_inner_space_clear
     translate <2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB_Y=KNOB_Y+1;
   #end
  }
 }
 difference {
  box {
   <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0>,
   <-3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_Y=-3.5;
   #while (KNOB_Y<4)
    object {
     lg_knob_inner_space_clear
     translate <-2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
    #declare KNOB_Y=KNOB_Y+1;
   #end
  }
 }
 #declare KNOB_Y=-3.5;
 #while (KNOB_Y<4)
  object {
   lg_knob_clear
   translate <-2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_knob_clear
   translate <2.5*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, 0>
  }
  #declare KNOB_Y=KNOB_Y+1;
 #end
}

#end
