/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980401 Lutz Uhlmann                                                       */
/* 20080112 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4217: Brick 1 x 14 with Groove                                           */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4217)
#else
#declare lg_4217 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   union {
    difference {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <LG_WALL_WIDTH/2, -2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
     }
     union {
      cylinder {
       <0.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, 0>,
       <0.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       LG_WALL_WIDTH
      }
      cylinder {
       <0.5*LG_WALL_WIDTH, -2*LG_WALL_WIDTH, 0>,
       <0.5*LG_WALL_WIDTH, -2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       LG_WALL_WIDTH
      }
      box {
       <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
       <LG_BRICK_WIDTH/2, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
      }
      box {
       <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH/2, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>
      }
      difference {
       union {
        cylinder {
         <LG_BRICK_WIDTH/2, -2*LG_WALL_WIDTH, -0.6>,
         <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -2*LG_WALL_WIDTH, -0.6>,
         0.48
        }
        cylinder {
         <LG_BRICK_WIDTH/2+LG_E, -2*LG_WALL_WIDTH, -0.6>,
         <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -0.6>,
         0.48+LG_CORNER_SPACE
        }
       }
       box {
        <LG_BRICK_WIDTH/2+2*LG_E, 1.5*LG_WALL_WIDTH, -0.6>,
        <LG_WALL_WIDTH, -LG_BRICK_WIDTH, -1.2>
       }
      }
     }
    }
    box {
     <LG_WALL_WIDTH/2+LG_E, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
     <0, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
    }
    cylinder {
     <0, 0, -LG_CORNER_SPACE>,
     <0, 0, -LG_BRICK_HEIGHT>,
     LG_WALL_WIDTH
    }
    translate <0, 6*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -0.6>,
     <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      0.48
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      0.48+LG_CORNER_SPACE
     }
    }
   }
   box {
    <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH-LG_E, -0.6>
   }
   intersection {
    torus {
     0.48+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <0, 0, 90>
    }
    box {
     <LG_CORNER_SPACE+LG_E, 0.6, 0.6>,
     <-LG_CORNER_SPACE-LG_E, 0, 0>
    }
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>
   }
   torus {
    0.16-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    0.16
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    0.16-LG_CORNER_SPACE
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH/2, 6*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -6*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 #declare CYL_Y = -5;
 #while (CYL_Y < 6)
  object {
   lg_brick_column
   translate <0, CYL_Y*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
  }
  #if (CYL_Y/2=int(CYL_Y/2))
   box {
    <LG_WALL_WIDTH, CYL_Y*LG_BRICK_WIDTH-0.04, -LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH, CYL_Y*LG_BRICK_WIDTH+0.04, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  #end
  #declare CYL_Y = CYL_Y + 1;
 #end
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 #declare CYL_Y = -6.5;
 #while (CYL_Y < 7)
  object {
   lg_tech_knob_logo
   translate <0, CYL_Y*LG_BRICK_WIDTH, 0>
  }
  #declare CYL_Y = CYL_Y + 1;
 #end
}

#declare lg_4217_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   merge {
    difference {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <LG_WALL_WIDTH/2, -2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
     }
     union {
      cylinder {
       <0.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, 0>,
       <0.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       LG_WALL_WIDTH
      }
      cylinder {
       <0.5*LG_WALL_WIDTH, -2*LG_WALL_WIDTH, 0>,
       <0.5*LG_WALL_WIDTH, -2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
       LG_WALL_WIDTH
      }
      box {
       <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
       <LG_BRICK_WIDTH/2, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
      }
      box {
       <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH/2, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>
      }
      difference {
       merge {
        cylinder {
         <LG_BRICK_WIDTH/2, -2*LG_WALL_WIDTH, -0.6>,
         <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -2*LG_WALL_WIDTH, -0.6>,
         0.48
        }
        cylinder {
         <LG_BRICK_WIDTH/2+LG_E, -2*LG_WALL_WIDTH, -0.6>,
         <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_WALL_WIDTH, -0.6>,
         0.48+LG_CORNER_SPACE
        }
       }
       box {
        <LG_BRICK_WIDTH/2+2*LG_E, 1.5*LG_WALL_WIDTH, -0.6>,
        <LG_WALL_WIDTH, -LG_BRICK_WIDTH, -1.2>
       }
      }
     }
    }
    box {
     <LG_WALL_WIDTH/2+LG_E, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
     <0, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
    }
    cylinder {
     <0, 0, -LG_CORNER_SPACE>,
     <0, 0, -LG_BRICK_HEIGHT>,
     LG_WALL_WIDTH
    }
    translate <0, 6*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    box {
     <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -0.6>,
     <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      0.48
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
      0.48+LG_CORNER_SPACE
     }
    }
   }
   box {
    <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH-LG_E, -0.6>
   }
   intersection {
    torus {
     0.48+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <0, 0, 90>
    }
    box {
     <LG_CORNER_SPACE+LG_E, 0.6, 0.6>,
     <-LG_CORNER_SPACE-LG_E, 0, 0>
    }
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>
   }
   torus {
    0.16-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    0.16
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -0.6>,
    0.16-LG_CORNER_SPACE
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-2*LG_WALL_WIDTH-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 6*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2, -6*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH/2, 6*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -6*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -6*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 6*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 #declare CYL_Y = -5;
 #while (CYL_Y < 6)
  object {
   lg_brick_column_clear
   translate <0, CYL_Y*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
  }
  #if (CYL_Y/2=int(CYL_Y/2))
   box {
    <LG_WALL_WIDTH, CYL_Y*LG_BRICK_WIDTH-0.04, -LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH, CYL_Y*LG_BRICK_WIDTH+0.04, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  #end
  #declare CYL_Y = CYL_Y + 1;
 #end
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 7*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 #declare CYL_Y = -6.5;
 #while (CYL_Y < 7)
  object {
   lg_tech_knob_logo_clear
   translate <0, CYL_Y*LG_BRICK_WIDTH, 0>
  }
  #declare CYL_Y = CYL_Y + 1;
 #end
}

#end

