/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980315 Lutz Uhlmann                                                       */
/* 20071202 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4228: Slope, Inverted 33 5 x 6 x 2                                       */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4228)
#else
#declare lg_angle = atan2(2*LG_BRICK_HEIGHT-0.2, 4*LG_BRICK_WIDTH);
#declare lg_4228 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.65*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_plate_column
    translate <0, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <0, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -LG_CORNER_SPACE-LG_E>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <0, 1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <0, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <0, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <2*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <3*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_column
  translate <0, 0, -2*LG_BRICK_HEIGHT>
 }
 box {
  <-0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
 }
 box {
  <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
  <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 box {
  <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 difference {
  union {
   box {
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <1.65*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.65*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <1.65*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.65*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <1.65*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_E, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   difference {
    union {
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   #declare CYL_Y = -2.5;
   #while ( CYL_Y<3 )
    difference {
     union {
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>,
       LG_KNOB_RADIUS
      }
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, 0>,
       LG_KNOB_RADIUS-LG_CORNER_SPACE
      }
     }
     union {
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-2*LG_E>,
       LG_KNOB_INNER_RADIUS
      }
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
       LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
      }
     }
    }
    #declare CYL_Y = CYL_Y + 1;
   #end
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
  union {
   box {
    <0, 3*LG_BRICK_WIDTH+LG_E, 0>,
    <4*LG_BRICK_WIDTH/cos(lg_angle), -3*LG_BRICK_WIDTH-LG_E, -2*LG_BRICK_HEIGHT>
    rotate <0, -lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   #declare CYL_Y = -2.5;
   #while ( CYL_Y<3)
    cylinder {
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>,
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
     LG_KNOB_RADIUS+LG_E
    }
    #declare CYL_Y = CYL_Y + 1;
   #end 
  }
 }
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 #declare CYL_Y = -2.5;
 #while (CYL_Y<3 )
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  } 
  torus {
   LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  }
  #declare CYL_Y = CYL_Y + 1;
 #end
 difference {
  box {
   <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <4*LG_BRICK_WIDTH/cos(lg_angle), -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
   rotate <0, -lg_angle*180/pi, 0>
   translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   #declare CYL_Y = -2.5;
   #while ( CYL_Y<3)
    cylinder {
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>,
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
     LG_KNOB_RADIUS+LG_E
    }
    #declare CYL_Y = CYL_Y + 1;
   #end 
  }
 }
}

#declare lg_4228_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <1.65*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_plate_column_clear
    translate <0, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column_clear
    translate <0, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
   }
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -LG_CORNER_SPACE-LG_E>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <0, 1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <0, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <0, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <2*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <3*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -2*LG_BRICK_HEIGHT>
 }
 box {
  <-0.5*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <-0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
 }
 box {
  <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
  <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 box {
  <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
  <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 difference {
  merge {
   box {
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <1.65*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.75*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.65*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <1.65*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.65*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <1.65*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <4.5*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.2+LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH*0.75, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH*0.75, -LG_CORNER_SPACE>,
    <4.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_E, 2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   difference {
    merge {
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-2*LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
      <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   #declare CYL_Y = -2.5;
   #while ( CYL_Y<3 )
    difference {
     merge {
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>,
       LG_KNOB_RADIUS
      }
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, 0>,
       LG_KNOB_RADIUS-LG_CORNER_SPACE
      }
     }
     union {
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-2*LG_E>,
       LG_KNOB_INNER_RADIUS
      }
      cylinder {
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
       <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
       LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
      }
     }
    }
    #declare CYL_Y = CYL_Y + 1;
   #end
   box {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
  union {
   box {
    <0, 3*LG_BRICK_WIDTH+LG_E, 0>,
    <4*LG_BRICK_WIDTH/cos(lg_angle), -3*LG_BRICK_WIDTH-LG_E, -2*LG_BRICK_HEIGHT>
    rotate <0, -lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   #declare CYL_Y = -2.5;
   #while ( CYL_Y<3)
    cylinder {
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>,
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
     LG_KNOB_RADIUS+LG_E
    }
    #declare CYL_Y = CYL_Y + 1;
   #end 
  }
 }
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 } 
 #declare CYL_Y = -2.5;
 #while (CYL_Y<3 )
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  } 
  torus {
   LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  }
  #declare CYL_Y = CYL_Y + 1;
 #end
 difference {
  box {
   <0, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <4*LG_BRICK_WIDTH/cos(lg_angle), -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
   rotate <0, -lg_angle*180/pi, 0>
   translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   #declare CYL_Y = -2.5;
   #while ( CYL_Y<3)
    cylinder {
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>,
     <LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
     LG_KNOB_RADIUS+LG_E
    }
    #declare CYL_Y = CYL_Y + 1;
   #end 
  }
 }
}

#end
