/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19971110 Lutz Uhlmann                                                       */
/* 20080113 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4276b: Plate 1 x 2 with Hinge open studs                                 */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4276b)
#else
#declare lg_4276b =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2, 0, 0>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH/2, 0, 0>
 }
 difference {
  union {
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  box {
   <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
   <LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
  }
 }
 object {
  lg_plate_column
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH-LG_E, 0.06, -LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.06, -LG_E>
 }
 rotate <0, 0, -90>
}

#declare lg_4276b_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2, 0, 0>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH/2, 0, 0>
 }
 difference {
  merge {
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  box {
   <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
   <LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
  }
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH-LG_E, 0.06, -LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.06, -LG_E>
 }
 rotate <0, 0, -90>
}

#end











