/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980311 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4346: Mailbox 2 x 2 x 2 Door                                             */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4346)
#else
#declare lg_4346 =
union {
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
  }
  union {
   box {
    <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -3*LG_WALL_WIDTH>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 4*LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH, -4*LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, -4*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
  }
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 3*LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    box {
     <LG_BRICK_WIDTH+2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2+0.12, -3*LG_WALL_WIDTH>
    }
    box {
     <0, LG_BRICK_WIDTH/2-LG_E, 0>,
     <-2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_WALL_WIDTH>
     rotate <0, -10, 0>
     translate <LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH>
    }
   }
   #if (MIR=1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 difference {
  union {
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -3*LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -3*LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
   }
  }
  box {
   <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH+LG_E, 2.5*LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-0.08>,
   <LG_BRICK_WIDTH, -2.5*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+0.08>
  }
 }
}

#declare lg_4346_clear =
merge {
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
  }
  union {
   box {
    <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_WIDTH/2, -3*LG_WALL_WIDTH>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 4*LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, 3*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH, -4*LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, -4*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT-LG_E>
   }
  }
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4*LG_WALL_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 3*LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    box {
     <LG_BRICK_WIDTH+2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2+0.12, -3*LG_WALL_WIDTH>
    }
    box {
     <0, LG_BRICK_WIDTH/2-LG_E, 0>,
     <-2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_WALL_WIDTH>
     rotate <0, -10, 0>
     translate <LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH>
    }
   }
   #if (MIR=1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 difference {
  merge {
   cylinder {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -3*LG_WALL_WIDTH+LG_CORNER_SPACE, -5.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   box {
    <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 3*LG_WALL_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -3*LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
   }
  }
  box {
   <LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH+LG_E, 2.5*LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-0.08>,
   <LG_BRICK_WIDTH, -2.5*LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+0.08>
  }
 }
}

#end
