/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20081102 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_44572: Panel 2 x 4 x 3 & 1/3 locking                                     */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_44572)
#else
#declare lg_angle1=atan2(0.16, 0.06);
#declare lg_angle2=atan2(0.6, 0.08);
#declare lg_angle4=atan2(LG_BRICK_WIDTH+LG_CORNER_SPACE-LG_WALL_WIDTH*(1-sin(pi/4)), LG_BRICK_HEIGHT-LG_WALL_WIDTH*(1+sin(pi/4)))*180/pi;
#declare lg_angle2=90-lg_angle4;
#declare lg_44572 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  #declare MIR2 = 0;
  #while (MIR2 < 2)
   difference {
    // hinge double finger locking
    union {
     torus {
      LG_KNOB_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>
     }
     torus {
      LG_KNOB_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>
     }
     cylinder {
      <LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, 0>,
      <0.36, -LG_BRICK_WIDTH/2, 0>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>,
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 0, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      <0.36-LG_CORNER_SPACE, 0, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      <0.36-LG_CORNER_SPACE, -LG_WALL_WIDTH, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_E, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <0.36-LG_CORNER_SPACE, LG_E, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0.36, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_WALL_WIDTH, LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE>
     }
     box {
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS>,
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_KNOB_RADIUS>
     }
     cone {
      <0.13, -LG_BRICK_WIDTH/2, 0>, 0.13
      <LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH/2, 0>, LG_WALL_WIDTH+LG_E
     }
    }
    union {
     #declare ROT = -5;
     #while (ROT < 5)
      union {
       cylinder {
        <LG_WALL_WIDTH-LG_E, -LG_KNOB_RADIUS, 0>,
        <0.36+LG_E, -LG_KNOB_RADIUS, 0>,
        0.04
       }
       difference {
        cylinder {
         <0.36-LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
         <0.36+LG_E, -LG_KNOB_RADIUS, 0>,
         0.04+LG_CORNER_SPACE
        }
        torus {
         0.04+LG_CORNER_SPACE,
         LG_CORNER_SPACE
         rotate <0, 0, 90>
         translate <0.36-LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
        }
       }
       difference {
        cylinder {
         <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
         <LG_WALL_WIDTH-LG_E, -LG_KNOB_RADIUS, 0>,
         0.04+LG_CORNER_SPACE
        }
        torus {
         0.04+LG_CORNER_SPACE,
         LG_CORNER_SPACE
         rotate <0, 0, 90>
         translate <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
        }
       }
       rotate <(ROT+0.5)*90/4, 0, 0>
       translate <0, -LG_BRICK_WIDTH/2, 0>
      }
      #declare ROT = ROT + 1;
     #end
    }
    #if (MIR = 1)
     matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
    #end
    rotate <0, 0, 90>
    rotate <0, 90, 0>
    translate <LG_BRICK_WIDTH, (1-MIR2*2)*LG_BRICK_WIDTH, -2.8*LG_BRICK_WIDTH>
   }
   #declare MIR2 = MIR2 + 1;
  #end
  union {
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>
   }
   difference {
    union {
     box {
      <2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <1.6*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
     }
     box {
      <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
      <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH >
     }
     cylinder {
      <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
      <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <1.6*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
      <2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    box {
     <2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -0.7, -LG_PLATE_HEIGHT-LG_E>,
     <1.6*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -1.6*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <0.3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH-2*LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE*(1-cos(pi/4))>
    }
    union {
     box {
      <0.3*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E, -LG_PLATE_HEIGHT>
     }
     box {
      <2*LG_BRICK_WIDTH+LG_E, 0, -LG_CORNER_SPACE>,
      <0, 0.3, -0.3>
      rotate <45, 0, 0>
      translate <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
    }
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
   rotate <0, 0, 90>
   rotate <0, 90, 0>
   translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0, -1.8*LG_BRICK_WIDTH>
  }
  union {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-4*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.5*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6.6*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, -LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, -0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_PLATE_HEIGHT+0.08>,
     <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH+LG_E, -LG_PLATE_HEIGHT>
    }
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+0.08>,
    0.08-LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, 2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   box {
    <-0.1, 2*LG_BRICK_WIDTH, 0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180)+0.1, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, 0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
    }
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0.8>
     rotate <0, lg_angle2, 0>
     translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_E>,
    <2*LG_WALL_WIDTH/cos(pi/4), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_CORNER_SPACE>
    rotate <0, -45, 0>
    translate <1.5*LG_BRICK_WIDTH-4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   difference {
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <2*LG_WALL_WIDTH/cos(pi/4), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <1.5*LG_BRICK_WIDTH-4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
     <1.5*LG_BRICK_WIDTH, 0, -7*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
   }
   difference {
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <-1.25*LG_WALL_WIDTH/cos(pi/4), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
     <1.5*LG_BRICK_WIDTH, 0, -7*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
   }
   #if (MIR = 1)
    matrix <1,0,0,0,-1,0,0,0,1,0,0,0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
  <LG_WALL_WIDTH/cos(pi/4), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
  rotate <0, -45, 0>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT>,
   <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_TOP_HEIGHT, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
  }
  union {
   box {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, 0>,
    <LG_WALL_WIDTH/cos(pi/4), -2*LG_BRICK_WIDTH-LG_E, -0.3>
    rotate <0, -45, 0>
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
 }
 difference {
  union {
   box {
    <0.4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
    <-0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH >
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
    <0.4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
  }
  box {
   <0.4*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -0.7, -LG_PLATE_HEIGHT-LG_E>,
   <-0.4*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -1.6*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
  }
   rotate <0, 0, 90>
   rotate <0, 90, 0>
   translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0, -1.8*LG_BRICK_WIDTH>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
 }
 box {
  <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_E>,
  <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>
  rotate <0, lg_angle2, 0>
  translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_TOP_HEIGHT, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -2*LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
  }
 }
}

#declare lg_44572_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  #declare MIR2 = 0;
  #while (MIR2 < 2)
   difference {
    // hinge double finger locking
    union {
     torus {
      LG_KNOB_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>
     }
     torus {
      LG_KNOB_RADIUS-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>
     }
     cylinder {
      <LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, 0>,
      <0.36, -LG_BRICK_WIDTH/2, 0>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>,
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, 0>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 0, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      <0.36-LG_CORNER_SPACE, 0, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      <0.36-LG_CORNER_SPACE, -LG_WALL_WIDTH, LG_KNOB_RADIUS-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_E, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <0.36-LG_CORNER_SPACE, LG_E, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <0.36, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS+LG_CORNER_SPACE>,
      <LG_WALL_WIDTH, LG_CORNER_SPACE, LG_KNOB_RADIUS-LG_CORNER_SPACE>
     }
     box {
      <0.36-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS>,
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_KNOB_RADIUS>
     }
     cone {
      <0.13, -LG_BRICK_WIDTH/2, 0>, 0.13
      <LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH/2, 0>, LG_WALL_WIDTH+LG_E
     }
    }
    union {
     #declare ROT = -5;
     #while (ROT < 5)
      union {
       cylinder {
        <LG_WALL_WIDTH-LG_E, -LG_KNOB_RADIUS, 0>,
        <0.36+LG_E, -LG_KNOB_RADIUS, 0>,
        0.04
       }
       difference {
        cylinder {
         <0.36-LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
         <0.36+LG_E, -LG_KNOB_RADIUS, 0>,
         0.04+LG_CORNER_SPACE
        }
        torus {
         0.04+LG_CORNER_SPACE,
         LG_CORNER_SPACE
         rotate <0, 0, 90>
         translate <0.36-LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
        }
       }
       difference {
        cylinder {
         <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
         <LG_WALL_WIDTH-LG_E, -LG_KNOB_RADIUS, 0>,
         0.04+LG_CORNER_SPACE
        }
        torus {
         0.04+LG_CORNER_SPACE,
         LG_CORNER_SPACE
         rotate <0, 0, 90>
         translate <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_KNOB_RADIUS, 0>
        }
       }
       rotate <(ROT+0.5)*90/4, 0, 0>
       translate <0, -LG_BRICK_WIDTH/2, 0>
      }
      #declare ROT = ROT + 1;
     #end
    }
    #if (MIR = 1)
     matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
    #end
    rotate <0, 0, 90>
    rotate <0, 90, 0>
    translate <LG_BRICK_WIDTH, (1-MIR2*2)*LG_BRICK_WIDTH, -2.8*LG_BRICK_WIDTH>
   }
   #declare MIR2 = MIR2 + 1;
  #end
  union {
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>
   }
   difference {
    union {
     box {
      <2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <1.6*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
     }
     box {
      <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
      <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH >
     }
     cylinder {
      <1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
      <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <1.6*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
      <2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    box {
     <2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -0.7, -LG_PLATE_HEIGHT-LG_E>,
     <1.6*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -1.6*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
    }
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <0.3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH-2*LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE*(1-cos(pi/4))>
    }
    union {
     box {
      <0.3*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E, -LG_PLATE_HEIGHT>
     }
     box {
      <2*LG_BRICK_WIDTH+LG_E, 0, -LG_CORNER_SPACE>,
      <0, 0.3, -0.3>
      rotate <45, 0, 0>
      translate <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
    }
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
   rotate <0, 0, 90>
   rotate <0, 90, 0>
   translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0, -1.8*LG_BRICK_WIDTH>
  }
  union {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-4*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.5*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6.6*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, -LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, -0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_PLATE_HEIGHT+0.08>,
     <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH+LG_E, -LG_PLATE_HEIGHT>
    }
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+0.08>,
    0.08-LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, 2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   box {
    <-0.1, 2*LG_BRICK_WIDTH, 0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180)+0.1, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, 0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
    }
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0.8>
     rotate <0, lg_angle2, 0>
     translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, -90>
    scale <1, 1-2*MIR, 1>
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_E>,
    <2*LG_WALL_WIDTH/cos(pi/4), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_CORNER_SPACE>
    rotate <0, -45, 0>
    translate <1.5*LG_BRICK_WIDTH-4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   difference {
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <2*LG_WALL_WIDTH/cos(pi/4), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <1.5*LG_BRICK_WIDTH-4*LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -6.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
     <1.5*LG_BRICK_WIDTH, 0, -7*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
   }
   difference {
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <-1.25*LG_WALL_WIDTH/cos(pi/4), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
     <1.5*LG_BRICK_WIDTH, 0, -7*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
    }
   }
   #if (MIR = 1)
    matrix <1,0,0,0,-1,0,0,0,1,0,0,0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
  <LG_WALL_WIDTH/cos(pi/4), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
  rotate <0, -45, 0>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT>,
   <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_TOP_HEIGHT, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
  }
  union {
   box {
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, 0>,
    <LG_WALL_WIDTH/cos(pi/4), -2*LG_BRICK_WIDTH-LG_E, -0.3>
    rotate <0, -45, 0>
    translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0, -6.6*LG_PLATE_HEIGHT-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
 }
 difference {
  union {
   box {
    <0.4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.4*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   box {
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>,
    <-0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH >
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
    <0.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -0.08>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <-0.4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
    <0.4*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, -0.08>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
  }
  box {
   <0.4*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -0.7, -LG_PLATE_HEIGHT-LG_E>,
   <-0.4*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -1.6*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
  }
   rotate <0, 0, 90>
   rotate <0, 90, 0>
   translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0, -1.8*LG_BRICK_WIDTH>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6.6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
 }
 box {
  <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_E>,
  <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>
  rotate <0, lg_angle2, 0>
  translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_TOP_HEIGHT, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -2*LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
  }
 }
}

#end

