/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980319 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4460: Slope Brick 75  2 x 1 x 3                                          */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4460)
#else
#declare LENGTH = 1;
#declare WIDTH = 1;
#declare HEIGHT = 3;
#declare lg_4460 = 
union {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_E>
   }
   difference {
    box {
     <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
     rotate <17, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
     <LENGTH*LG_BRICK_WIDTH+LG_E, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_E>,
    LG_KNOB_INNER_RADIUS
   }
  }
 }
 difference {
  union {
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3, 0> 
   }
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3*2, 0> 
   }
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3, 0> 
   }
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3*2, 0> 
   }
  }
  box {
   <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
   <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
   rotate <17, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 object {
  lg_tech_knob
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT>
 }
 translate <-LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#declare lg_4460_clear = 
merge {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE+LG_E, WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_E>
   }
   difference {
    box {
     <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
     rotate <17, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*73/180)*sin(73*pi/180)>,
     <LENGTH*LG_BRICK_WIDTH+LG_E, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, (HEIGHT-1)*LG_BRICK_HEIGHT+LG_BRICK_INNER_HEIGHT-LG_E>,
    <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT+LG_E>,
    LG_KNOB_INNER_RADIUS
   }
  }
 }
 difference {
  merge {
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3, 0> 
   }
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3*2, 0> 
   }
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3, 0> 
   }
   box {
    <sqrt(2)/20, sqrt(2)/20, LG_CORNER_SPACE>,
    <-sqrt(2)/20, -sqrt(2)/20, HEIGHT*LG_BRICK_HEIGHT-LG_E>
    rotate <0,0,45>
    translate <LG_WALL_WIDTH, LG_WALL_WIDTH+1.28/3*2, 0> 
   }
  }
  box {
   <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
   <-LG_CORNER_SPACE, 0, -3*LG_BRICK_HEIGHT>  
   rotate <17, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, HEIGHT*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 object {
  lg_tech_knob_clear
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, HEIGHT*LG_BRICK_HEIGHT>
 }
 translate <-LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#declare lg_4460_slope =
box {
 <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
 <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*17/180)>
 rotate <17, 0, 0>
 translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_HEIGHT-LG_CORNER_SPACE>
 translate <-LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#end
