/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20080218 Lutz Uhlmann                                                       */
/* 20081025 Lutz Uhlmann fixed syntax error (reported by John Winning)         */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_44728: Bracket 1 x 2 - 2 x 2                                             */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_44728)
#else
#declare lg_44728 = 
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     torus {
      LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>
     }
     torus {
      LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>
     }
     cylinder {
      <LG_BRICK_WIDTH/2, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      LG_WALL_WIDTH
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -1.8*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH>
     }
     box {
      <LG_BRICK_WIDTH, 0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_E>,
      <LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <LG_KNOB_RADIUS, LG_BRICK_WIDTH/2+0.06, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2-0.06, -LG_TOP_HEIGHT+LG_E>
   }
   scale <1, 1-2*MIR, 1>
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 box {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH+LG_E>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH/2, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH+LG_E>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>
 }
 object {
  lg_plate_column
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH/2>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH/2>
 }
}

#declare lg_44728_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     torus {
      LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>
     }
     torus {
      LG_WALL_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <0, 0, 90>
      translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>
     }
     cylinder {
      <LG_BRICK_WIDTH/2, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>,
      LG_WALL_WIDTH
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -1.8*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH>
     }
     box {
      <LG_BRICK_WIDTH, 0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_E>,
      <LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <LG_KNOB_RADIUS, LG_BRICK_WIDTH/2+0.06, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2-0.06, -LG_TOP_HEIGHT+LG_E>
   }
   scale <1, 1-2*MIR, 1>
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 box {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH+LG_E>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH/2, 0.8*LG_BRICK_WIDTH, -1.8*LG_BRICK_WIDTH+LG_E>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -0.8*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE>
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH/2>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  rotate <0, 90, 0>
  translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH/2>
 }
}

#end
