/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980425 Lutz Uhlmann                                                       */
/* 20080115 Lutz Uhlmann fixed handle and missing edge cylinders               */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4533: Cupboard 2 x 3 x 2 Door                                            */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4533)
#else
#declare lg_4533 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0, 0.06-LG_CORNER_SPACE, 0>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE+LG_E, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT>,
  0.06
 }
 sphere {
  <0, 0, 0>, 0.06
  scale <1, 1, 0.5>
 }
 sphere {
  <0, 0, 0>, 0.06
  scale <1, 1, 0.5>
  translate <0, 0, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT>
 }
 difference {
  union {
   box {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>
    <0, -0.06, -LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_WALL_WIDTH, -0.06+LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+2*LG_WALL_WIDTH, -0.12-LG_E/2, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2+LG_WALL_WIDTH>
   }
  }
  union {
   cylinder {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, 0.06+LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2+LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, -0.12-LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2+LG_WALL_WIDTH>,
    0.08
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, 0.06+LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, -0.12-LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2-LG_WALL_WIDTH>,
    0.08
   }
  }
 }
 union {
  torus {
   0.08-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <0, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>
  }
  torus {
   0.08-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <0, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>
  }
  cylinder {
   <0, 0, LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>,
   0.08
  }
  cylinder {
   <0, -0.08, LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE+LG_E, LG_WALL_WIDTH>,
   0.08-LG_CORNER_SPACE
  }
  cylinder {
   <0, 0, -LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
   0.08
  }
  cylinder {
   <0, -0.08, -LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH>,
   0.08-LG_CORNER_SPACE
  }
  cylinder {
   <0.08-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <0.08-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-0.08+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <-0.08+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
   LG_CORNER_SPACE
  }
  box {
   <0.08-LG_CORNER_SPACE, -0.08, LG_WALL_WIDTH>,
   <-0.08+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH>
  }
  box {
   <0.08, 0, LG_WALL_WIDTH>,
   <-0.08, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>
  }
  translate <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, -0.12, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2>
 }
}

#declare lg_4533_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <0, 0.06-LG_CORNER_SPACE, 0>,
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE+LG_E, 0.06-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>
  <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT, -0.06+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT>,
  0.06
 }
 sphere {
  <0, 0, 0>, 0.06
  scale <1, 1, 0.5>
 }
 sphere {
  <0, 0, 0>, 0.06
  scale <1, 1, 0.5>
  translate <0, 0, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT>
 }
 difference {
  merge {
   box {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_CORNER_SPACE, 0.06, -5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT+LG_CORNER_SPACE>
    <0, -0.06, -LG_CORNER_SPACE>
   }
   box {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+LG_WALL_WIDTH, -0.06+LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+2*LG_WALL_WIDTH, -0.12-LG_E/2, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2+LG_WALL_WIDTH>
   }
  }
  union {
   cylinder {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, 0.06+LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2+LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, -0.12-LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2+LG_WALL_WIDTH>,
    0.08
   }
   cylinder {
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, 0.06+LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, -0.12-LG_E, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2-LG_WALL_WIDTH>,
    0.08
   }
  }
 }
 merge {
  torus {
   0.08-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <0, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>
  }
  torus {
   0.08-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <0, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>
  }
  cylinder {
   <0, 0, LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>,
   0.08
  }
  cylinder {
   <0, -0.08, LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE+LG_E, LG_WALL_WIDTH>,
   0.08-LG_CORNER_SPACE
  }
  cylinder {
   <0, 0, -LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
   0.08
  }
  cylinder {
   <0, -0.08, -LG_WALL_WIDTH>,
   <0, -0.08+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH>,
   0.08-LG_CORNER_SPACE
  }
  cylinder {
   <0.08-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <0.08-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-0.08+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, LG_WALL_WIDTH>,
   <-0.08+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
   LG_CORNER_SPACE
  }
  box {
   <0.08-LG_CORNER_SPACE, -0.08, LG_WALL_WIDTH>,
   <-0.08+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH>
  }
  box {
   <0.08, 0, LG_WALL_WIDTH>,
   <-0.08, -0.08+LG_CORNER_SPACE, -LG_WALL_WIDTH>
  }
  translate <-3*LG_BRICK_WIDTH+2.5*LG_TOP_HEIGHT+1.5*LG_WALL_WIDTH, -0.12, -2.5*LG_PLATE_HEIGHT+LG_TOP_HEIGHT/2>
 }
}

#end




