/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980810 Lutz Uhlmann                                                       */
/* 20080115 Lutz Uhlmann fixed stud orientation                                */
/* 20080115 Lutz Uhlmann fixed hinge                                           */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4587: Horse Hitching with Hinge                                          */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4587)
#else
#declare lg_4587 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH>
   }
   box {
    <3*LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <5*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <3*LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2, 0>,
    <LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, LG_WALL_WIDTH>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH/2, 0, LG_WALL_WIDTH-+LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   object {
    lg_knob
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH/2, -4.9*LG_BRICK_WIDTH, 0.84>
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }

   cylinder {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.12, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE-LG_E, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>
   }
   box {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52>,
    <1.04-LG_CORNER_SPACE-LG_E, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76>
   }
   box {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE-LG_E, -5.4*LG_BRICK_WIDTH, 0.76-LG_CORNER_SPACE>
   }
   box {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44>,
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84>
   }
   box {
    <1.04, -4.4*LG_BRICK_WIDTH, 0.44+LG_CORNER_SPACE>,
    <0.8, -5.4*LG_BRICK_WIDTH, 0.84-LG_CORNER_SPACE>
   }
   box {
    <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.44+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH, 0.84-LG_CORNER_SPACE>
   }

   cylinder {
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1-LG_E, 0, 0.08-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E, -0.16+LG_CORNER_SPACE>
   }
   box {
    <1-LG_E, 0, 0.16-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E, -0.24+LG_CORNER_SPACE>
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   union {
    cylinder {
     <1.12-LG_CORNER_SPACE, 0, 0.08-LG_CORNER_SPACE>,
     <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.08-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <1.12-LG_CORNER_SPACE, 0, -0.16+LG_CORNER_SPACE>,
     <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.16+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <1.04-LG_CORNER_SPACE, 0, 0.16-LG_CORNER_SPACE>,
     <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.16-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <1.04-LG_CORNER_SPACE, 0, -0.24+LG_CORNER_SPACE>,
     <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.24+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <0.8+LG_CORNER_SPACE, 0, 0.16-LG_CORNER_SPACE>,
     <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.16-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <0.8+LG_CORNER_SPACE, 0, -0.24+LG_CORNER_SPACE>,
     <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.24+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <0.8, 0, 0.16-LG_CORNER_SPACE>,
     <1.04, -4.4*LG_BRICK_WIDTH, -0.24+LG_CORNER_SPACE>
    }
    box {
     <0.8+LG_CORNER_SPACE, 0, 0.16>,
     <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.24>
    }
    box {
     <1.12, 0, 0.08-LG_CORNER_SPACE>,
     <1.12-LG_CORNER_SPACE-LG_E, -4.4*LG_BRICK_WIDTH, -0.16+LG_CORNER_SPACE>
    }
    box {
     <1.12-LG_CORNER_SPACE, 0, 0.08>,
     <1.04-LG_CORNER_SPACE-LG_E, -4.4*LG_BRICK_WIDTH, -0.16>
    }
    matrix <1, 0, 0,
            0, 1, -0.68/3.52,
            0, 0, 1,
            0, -LG_CORNER_SPACE, 0>
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <5*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, 0>,
  <-5*LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, 0>,
  LG_WALL_WIDTH
 }
 cylinder {
  <5*LG_WALL_WIDTH/2, 0, 0>,
  <-5*LG_WALL_WIDTH/2, 0, 0>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 object {
  lg_plate_column
  translate <0, -4.9*LG_BRICK_WIDTH, 0.52>
 }
 cylinder {
  <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
  <-1.04+LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <1, 0, 0.16-LG_CORNER_SPACE>,
  <-1, -LG_CORNER_SPACE-LG_E, -0.24+LG_CORNER_SPACE>
 }
 union {
  cylinder {
   <1.04-LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
   <-1.04+LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <1.04-LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
   <-1.04+LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  box {
   <1, -0.32+2*LG_CORNER_SPACE, 0.16>,
   <-1, -0, -0.24>
  }
  box {
   <1, -0.32+LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
   <-1, -0.32+2*LG_CORNER_SPACE+LG_E, -0.24+LG_CORNER_SPACE>
  }
  matrix <1, 0, 0,
          0, 1, -0.68/3.52,
          0, 0, 1,
          0, -LG_CORNER_SPACE, 0>
 }
 cylinder {
  <-0.8-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.8-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.04+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.04+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <-1.04+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH, 0.84-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.52+LG_CORNER_SPACE>
   }
   box {
    <-1.04+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52>
   }
  }
  union {
   box {
    <-1.04, -5.4*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.72>,
    <1.04, -4.4*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH/2, -4.9*LG_BRICK_WIDTH, 0.72>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH/2, -4.9*LG_BRICK_WIDTH, 0.72>
   }
  }
 }
 rotate <0, 0, 180>
}

#declare lg_4587_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, LG_WALL_WIDTH>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH>
   }
   box {
    <3*LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <5*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH
   }
   cylinder {
    <3*LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2, 0>,
    <LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, LG_WALL_WIDTH>,
    <3*LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH/2, 0, LG_WALL_WIDTH-+LG_CORNER_SPACE>,
    <3*LG_WALL_WIDTH/2, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   object {
    lg_knob_clear
    rotate <0, 0, 180>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH/2, -4.9*LG_BRICK_WIDTH, 0.84>
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }

   cylinder {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.12, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE-LG_E, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76-LG_CORNER_SPACE>
   }
   box {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52>,
    <1.04-LG_CORNER_SPACE-LG_E, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.76>
   }
   box {
    <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.52+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE-LG_E, -5.4*LG_BRICK_WIDTH, 0.76-LG_CORNER_SPACE>
   }
   box {
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.44>,
    <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84>
   }
   box {
    <1.04, -4.4*LG_BRICK_WIDTH, 0.44+LG_CORNER_SPACE>,
    <0.8, -5.4*LG_BRICK_WIDTH, 0.84-LG_CORNER_SPACE>
   }
   box {
    <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.44+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH, 0.84-LG_CORNER_SPACE>
   }

   cylinder {
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1-LG_E, 0, 0.08-LG_CORNER_SPACE>,
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E, -0.16+LG_CORNER_SPACE>
   }
   box {
    <1-LG_E, 0, 0.16-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E, -0.24+LG_CORNER_SPACE>
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.16+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.12-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.08-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   merge {
    cylinder {
     <1.12-LG_CORNER_SPACE, 0, 0.08-LG_CORNER_SPACE>,
     <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.08-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <1.12-LG_CORNER_SPACE, 0, -0.16+LG_CORNER_SPACE>,
     <1.12-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.16+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <1.04-LG_CORNER_SPACE, 0, 0.16-LG_CORNER_SPACE>,
     <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.16-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <1.04-LG_CORNER_SPACE, 0, -0.24+LG_CORNER_SPACE>,
     <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.24+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <0.8+LG_CORNER_SPACE, 0, 0.16-LG_CORNER_SPACE>,
     <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.16-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <0.8+LG_CORNER_SPACE, 0, -0.24+LG_CORNER_SPACE>,
     <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.24+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <0.8, 0, 0.16-LG_CORNER_SPACE>,
     <1.04, -4.4*LG_BRICK_WIDTH, -0.24+LG_CORNER_SPACE>
    }
    box {
     <0.8+LG_CORNER_SPACE, 0, 0.16>,
     <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, -0.24>
    }
    box {
     <1.12, 0, 0.08-LG_CORNER_SPACE>,
     <1.12-LG_CORNER_SPACE-LG_E, -4.4*LG_BRICK_WIDTH, -0.16+LG_CORNER_SPACE>
    }
    box {
     <1.12-LG_CORNER_SPACE, 0, 0.08>,
     <1.04-LG_CORNER_SPACE-LG_E, -4.4*LG_BRICK_WIDTH, -0.16>
    }
    matrix <1, 0, 0,
            0, 1, -0.68/3.52,
            0, 0, 1,
            0, -LG_CORNER_SPACE, 0>
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 object {
  lg_plate_column_clear
  translate <0, -4.9*LG_BRICK_WIDTH, 0.52>
 }
 cylinder {
  <1.04-LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
  <-1.04+LG_CORNER_SPACE, -LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <1, 0, 0.16-LG_CORNER_SPACE>,
  <-1, -LG_CORNER_SPACE-LG_E, -0.24+LG_CORNER_SPACE>
 }
 merge {
  cylinder {
   <1.04-LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
   <-1.04+LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <1.04-LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
   <-1.04+LG_CORNER_SPACE, -0.32+2*LG_CORNER_SPACE, -0.24+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  box {
   <1, -0.32+2*LG_CORNER_SPACE, 0.16>,
   <-1, -0, -0.24>
  }
  box {
   <1, -0.32+LG_CORNER_SPACE, 0.16-LG_CORNER_SPACE>,
   <-1, -0.32+2*LG_CORNER_SPACE+LG_E, -0.24+LG_CORNER_SPACE>
  }
  matrix <1, 0, 0,
          0, 1, -0.68/3.52,
          0, 0, 1,
          0, -LG_CORNER_SPACE, 0>
 }
 cylinder {
  <-0.8-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  <0.8+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.8-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  <0.8+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.04+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  <1.04-LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.04+LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.84-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <-1.04+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH, 0.84-LG_CORNER_SPACE>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH, 0.52+LG_CORNER_SPACE>
   }
   box {
    <-1.04+LG_CORNER_SPACE, -5.4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.84>,
    <1.04-LG_CORNER_SPACE, -4.4*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.52>
   }
  }
  union {
   box {
    <-1.04, -5.4*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.72>,
    <1.04, -4.4*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.5>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH/2, -4.9*LG_BRICK_WIDTH, 0.72>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH/2, -4.9*LG_BRICK_WIDTH, 0.72>
   }
  }
 }
 rotate <0, 0, 180>
}

#end
