/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980423 Lutz Uhlmann                                                       */
/* 20071029 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4590: Plate 1 x4 Offset                                                  */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4590)
#else
#declare lg_4590 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
    <LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
    <LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_CORNER_SPACE-LG_E>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    union {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_PLATE_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, -LG_PLATE_HEIGHT>,
      <0, 0, -2*LG_PLATE_HEIGHT>,
      LG_CYLINDER_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CYLINDER_RADIUS
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, 0>,
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <-LG_KNOB_RADIUS+LG_WALL_WIDTH, -1.5*LG_KNOB_RADIUS, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <LG_KNOB_RADIUS-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
     }
     box {
      <-LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_KNOB_RADIUS+LG_WALL_WIDTH, -1.5*LG_KNOB_RADIUS, -LG_CORNER_SPACE>
     }
     box {
      <LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>
     }
     intersection {
      union {
       box {
        <-LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
        <-LG_KNOB_RADIUS+LG_WALL_WIDTH, -2*LG_KNOB_RADIUS, -LG_CORNER_SPACE>
       }
       box {
        <LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>
       }
      }
      cylinder {
       <0, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
       <0, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
       LG_CYLINDER_RADIUS
      }
     }
     rotate <0, 0, 40>
     translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
    }
    union {
     cylinder {
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>,
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS
     }
     box {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_E, LG_E>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 0, -LG_PLATE_HEIGHT-LG_E>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_plate_column
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  rotate <0, 0, -90>
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob
  rotate <0, 0, -90>
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
}

#declare lg_4590_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
    <LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
    <LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_CORNER_SPACE-LG_E>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    merge {
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_PLATE_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, -LG_PLATE_HEIGHT>,
      <0, 0, -2*LG_PLATE_HEIGHT>,
      LG_CYLINDER_RADIUS-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <0, 0, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CYLINDER_RADIUS
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, 0>,
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <-LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <-LG_KNOB_RADIUS+LG_WALL_WIDTH, -1.5*LG_KNOB_RADIUS, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_KNOB_RADIUS-LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <LG_KNOB_RADIUS-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
     }
     box {
      <-LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_KNOB_RADIUS+LG_WALL_WIDTH, -1.5*LG_KNOB_RADIUS, -LG_CORNER_SPACE>
     }
     box {
      <LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>
     }
     intersection {
      union {
       box {
        <-LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
        <-LG_KNOB_RADIUS+LG_WALL_WIDTH, -2*LG_KNOB_RADIUS, -LG_CORNER_SPACE>
       }
       box {
        <LG_KNOB_RADIUS, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
        <LG_KNOB_RADIUS-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_CORNER_SPACE>
       }
      }
      cylinder {
       <0, 0, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
       <0, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
       LG_CYLINDER_RADIUS
      }
     }
     rotate <0, 0, 40>
     translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
    }
    union {
     cylinder {
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>,
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS
     }
     box {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_E, LG_E>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 0, -LG_PLATE_HEIGHT-LG_E>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space_clear
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  rotate <0, 0, -90>
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob_clear
  rotate <0, 0, -90>
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
}

#end
