/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980319 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4595: Brick 1 x 2 x 2/3 with Studs on Sides                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4595)
#else
#declare lg_4595 = 
union {
 #declare ROT = 0;
 #while (ROT < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob
    translate <-LG_BRICK_WIDTH/2, 0, 0>
   }
   difference {
    union {
     cylinder {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      (LG_KNOB_RADIUS)
     }
     difference {
      cylinder {
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT, -LG_BRICK_WIDTH/2>,
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_RADIUS-LG_CORNER_SPACE)
      }
      cylinder {
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE)
      }
     }
    }
    cylinder {
     <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_INNER_RADIUS) 
    }
   }
   torus {
    (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    (LG_KNOB_RADIUS-LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   difference {
    union {
     cylinder {
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      (LG_KNOB_RADIUS)
     }
     difference {
      cylinder {
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT, -LG_BRICK_WIDTH/2>,
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_RADIUS-LG_CORNER_SPACE)
      }
      cylinder {
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE)
      }
     }
    }
    cylinder {
     <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_BRICK_WIDTH/2>,
     <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_INNER_RADIUS) 
    }
   }
   torus {
    (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    (LG_KNOB_RADIUS-LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 difference {
  union {
   cylinder {
    <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    (LG_KNOB_RADIUS)
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT, 0, -LG_BRICK_WIDTH/2>,
     <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_RADIUS-LG_CORNER_SPACE)
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT-LG_E, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE)
    }
   }
  }
  cylinder {
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0, -LG_BRICK_WIDTH/2>,
   <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT-LG_E, 0, -LG_BRICK_WIDTH/2>,
   (LG_KNOB_INNER_RADIUS) 
  }
 }
 torus {
  (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  (LG_KNOB_RADIUS-LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 box {
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_KNOB_RADIUS, -LG_BRICK_WIDTH/2+0.05>
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH-0.07, LG_KNOB_RADIUS, -LG_BRICK_WIDTH/2-0.05>
 }
 difference {
  union {
   cylinder {
    <LG_BRICK_WIDTH+0.44, 0, -LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    (LG_KNOB_RADIUS)
   }
   difference {
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS, 0, -LG_BRICK_WIDTH/2>,
     (LG_CYLINDER_RADIUS-LG_CORNER_SPACE)
    }
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+0.12, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS+LG_E, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_RADIUS+LG_CORNER_SPACE)
    }
   }
   difference {
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     (LG_CYLINDER_RADIUS)
    }
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+0.12, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE+LG_E, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_RADIUS)
    }
   }
  }
  cylinder {
   <LG_BRICK_WIDTH+0.44+LG_E, 0, -LG_BRICK_WIDTH/2>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0, -LG_BRICK_WIDTH/2>,
   (LG_KNOB_INNER_RADIUS)
  }
 }
 torus {
  (LG_KNOB_RADIUS+LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  (LG_CYLINDER_RADIUS-LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  (LG_CYLINDER_RADIUS-LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2, 0, LG_E>,
    <-LG_BRICK_WIDTH/2, 0, -LG_TOP_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <LG_BRICK_WIDTH/2, 0, LG_E>,
    <LG_BRICK_WIDTH/2, 0, -LG_TOP_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <-LG_BRICK_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>,
    LG_KNOB_INNER_RADIUS
   } 
  }
 }
 intersection {
  object {
   lg_brick_column
   translate <0, 0, -2*LG_PLATE_HEIGHT>
  }
  box {
   <-LG_KNOB_RADIUS, -LG_KNOB_RADIUS, -LG_BRICK_HEIGHT>,
   <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -LG_TOP_HEIGHT+LG_E>
  }
 }
}

#declare lg_4595_clear = 
merge {
 #declare ROT = 0;
 #while (ROT < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob
    translate <-LG_BRICK_WIDTH/2, 0, 0>
   }
   difference {
    merge {
     cylinder {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      (LG_KNOB_RADIUS)
     }
     difference {
      cylinder {
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT, -LG_BRICK_WIDTH/2>,
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_RADIUS-LG_CORNER_SPACE)
      }
      cylinder {
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE)
      }
     }
    }
    cylinder {
     <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_INNER_RADIUS) 
    }
   }
   torus {
    (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    (LG_KNOB_RADIUS-LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   difference {
    merge {
     cylinder {
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
      (LG_KNOB_RADIUS)
     }
     difference {
      cylinder {
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT, -LG_BRICK_WIDTH/2>,
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_RADIUS-LG_CORNER_SPACE)
      }
      cylinder {
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>,
       <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
       (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE)
      }
     }
    }
    cylinder {
     <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_BRICK_WIDTH/2>,
     <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT+LG_E, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_INNER_RADIUS) 
    }
   }
   torus {
    (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   torus {
    (LG_KNOB_RADIUS-LG_CORNER_SPACE),
    (LG_CORNER_SPACE)
    translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1;
 #end
 difference {
  merge {
   cylinder {
    <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    (LG_KNOB_RADIUS)
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT, 0, -LG_BRICK_WIDTH/2>,
     <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_RADIUS-LG_CORNER_SPACE)
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT-LG_E, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE)
    }
   }
  }
  cylinder {
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0, -LG_BRICK_WIDTH/2>,
   <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT-LG_E, 0, -LG_BRICK_WIDTH/2>,
   (LG_KNOB_INNER_RADIUS) 
  }
 }
 torus {
  (LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  (LG_KNOB_RADIUS-LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH-LG_KNOB_HEIGHT+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 box {
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_KNOB_RADIUS, -LG_BRICK_WIDTH/2+0.05>
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH-0.07, LG_KNOB_RADIUS, -LG_BRICK_WIDTH/2-0.05>
 }
 difference {
  merge {
   cylinder {
    <LG_BRICK_WIDTH+0.44, 0, -LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
    (LG_KNOB_RADIUS)
   }
   difference {
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS, 0, -LG_BRICK_WIDTH/2>,
     (LG_CYLINDER_RADIUS-LG_CORNER_SPACE)
    }
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+0.12, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS+LG_E, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_RADIUS+LG_CORNER_SPACE)
    }
   }
   difference {
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>,
     (LG_CYLINDER_RADIUS)
    }
    cylinder {
     <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+0.12, 0, -LG_BRICK_WIDTH/2>,
     <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE+LG_E, 0, -LG_BRICK_WIDTH/2>,
     (LG_KNOB_RADIUS)
    }
   }
  }
  cylinder {
   <LG_BRICK_WIDTH+0.44+LG_E, 0, -LG_BRICK_WIDTH/2>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0, -LG_BRICK_WIDTH/2>,
   (LG_KNOB_INNER_RADIUS)
  }
 }
 torus {
  (LG_KNOB_RADIUS+LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  (LG_CYLINDER_RADIUS-LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH+4*LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 torus {
  (LG_CYLINDER_RADIUS-LG_CORNER_SPACE),
  (LG_CORNER_SPACE)
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH+2*LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/2>
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
  }
  merge {
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2, 0, LG_E>,
    <-LG_BRICK_WIDTH/2, 0, -LG_TOP_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <LG_BRICK_WIDTH/2, 0, LG_E>,
    <LG_BRICK_WIDTH/2, 0, -LG_TOP_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>,
    <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, -LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2>,
    LG_KNOB_INNER_RADIUS
   } 
   cylinder {
    <-LG_BRICK_WIDTH-LG_E, 0, -LG_BRICK_WIDTH/2>,
    <LG_BRICK_WIDTH+LG_E, 0, -LG_BRICK_WIDTH/2>,
    LG_KNOB_INNER_RADIUS
   } 
  }
 }
 intersection {
  object {
   lg_brick_column
   translate <0, 0, -2*LG_PLATE_HEIGHT>
  }
  box {
   <-LG_KNOB_RADIUS, -LG_KNOB_RADIUS, -LG_BRICK_HEIGHT>,
   <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -LG_TOP_HEIGHT+LG_E>
  }
 }
}

#end





