/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19971029 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4862: Window 1 x 2 x 2 Plane Glass                                       */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4862)
#else
#declare lg_4862 =
union {
 difference {
  union {
   sphere {
    <0, LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    LG_WALL_WIDTH/2
   }  
   sphere {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH/2
   }  
   sphere {
    <-LG_WALL_WIDTH, LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH/2
   }  
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   box {
    <LG_BRICK_WIDTH/2, LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2, LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
  }
  intersection {
   union {
    box {
     <LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     <-LG_BRICK_WIDTH/2, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
    }
    box {
     <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
     <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
    }
    cylinder {
     <2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     <2*LG_WALL_WIDTH, 0, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
    cylinder {
     <2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     <2*LG_WALL_WIDTH, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
    cylinder {
     <-2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     <-2*LG_WALL_WIDTH, 0, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
    cylinder {
     <-2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     <-2*LG_WALL_WIDTH, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
   }
   box {
    <LG_BRICK_WIDTH, -LG_E, 0>,
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>
   }
  }
 }
 cylinder {
  <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
 }
 rotate <0, 0, -90>
}

#declare lg_4862_clear =
merge {
 difference {
  merge {
   sphere {
    <0, LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    LG_WALL_WIDTH/2
   }  
   sphere {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH/2
   }  
   sphere {
    <-LG_WALL_WIDTH, LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH/2
   }  
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH/2, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_WALL_WIDTH-LG_E, -5*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   box {
    <LG_BRICK_WIDTH/2, LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2, LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2
   }
   cylinder {
    <-2.5*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    <-2.5*LG_WALL_WIDTH, 2.5*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
    LG_WALL_WIDTH/2-LG_CORNER_SPACE
   }
  }
  intersection {
   union {
    box {
     <LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     <-LG_BRICK_WIDTH/2, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
    }
    box {
     <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
     <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
    }
    cylinder {
     <2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     <2*LG_WALL_WIDTH, 0, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
    cylinder {
     <2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     <2*LG_WALL_WIDTH, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
    cylinder {
     <-2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     <-2*LG_WALL_WIDTH, 0, -LG_TOP_HEIGHT-LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
    cylinder {
     <-2*LG_WALL_WIDTH, 2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     <-2*LG_WALL_WIDTH, 0, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH/2
    }
   }
   box {
    <LG_BRICK_WIDTH, -LG_E, 0>,
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>
   }
  }
 }
 cylinder {
  <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <3*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>
   }
   torus {
    LG_WALL_WIDTH/2-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2.5*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -LG_TOP_HEIGHT-LG_WALL_WIDTH/2>,
    <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, -4*LG_PLATE_HEIGHT+LG_WALL_WIDTH/2>
   }
  }
 }
 rotate <0, 0, -90>
}

#end
