/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20080801 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_58181: Slope Brick 33  3 x 6 without inner walls                         */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_58181)
#else
#declare LENGTH = 6;
#declare WIDTH = 1;
#declare lg_angle1=65.32484819;
#declare lg_angle2=90-lg_angle1;
#declare lg_58181 = 
union {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_INNER_HEIGHT+LG_CORNER_SPACE)>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_INNER_HEIGHT+LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }

 cylinder {
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <(LENGTH)*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <LG_BRICK_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  union {
   box {
    <(LENGTH*LG_BRICK_WIDTH), LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E>,
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH+LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, LG_CORNER_SPACE>,
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <((LENGTH-1)*LG_BRICK_WIDTH)-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <(LENGTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <(LENGTH*LG_BRICK_WIDTH)+LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <(LENGTH*LG_BRICK_WIDTH)+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  union {
   box {
    <5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_BRICK_HEIGHT>,
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
  }
  union {
   box {
    <5*LG_BRICK_WIDTH+LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH)+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <5*LG_BRICK_WIDTH-LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <6*LG_BRICK_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
   box {
    <0, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
  }
  union {
   box {
    <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH)+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <-LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <LG_BRICK_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE 0, LG_BRICK_INNER_HEIGHT+LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   } 
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_BRICK_INNER_HEIGHT>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
  }
  union {
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <5.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
  }
 } 
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
  <5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 } 
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE,0>,
  <5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_HEIGHT-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 } 
 box {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
  <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -2*LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
  rotate <lg_angle1, 0, 0>
  translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
 }
 object {
  lg_knob
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
 }
 object {
  lg_knob
  translate <5.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
 }
 translate <-3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#declare lg_58181_clear = 
merge {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_INNER_HEIGHT+LG_CORNER_SPACE)>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_INNER_HEIGHT+LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <(LENGTH)*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_WALL_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*3*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <LG_BRICK_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  merge {
   box {
    <(LENGTH*LG_BRICK_WIDTH), LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E>,
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH+LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, LG_CORNER_SPACE>,
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <(LENGTH*LG_BRICK_WIDTH)-LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <((LENGTH-1)*LG_BRICK_WIDTH)-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <(LENGTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <(LENGTH*LG_BRICK_WIDTH)+LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <(LENGTH*LG_BRICK_WIDTH)+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  merge {
   box {
    <5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <5*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_BRICK_HEIGHT>,
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
  }
  merge {
   box {
    <5*LG_BRICK_WIDTH+LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH)+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <6*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <5*LG_BRICK_WIDTH-LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <6*LG_BRICK_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
   box {
    <0, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
  }
  merge {
   box {
    <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH)+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   difference {
    box {
     <-LG_CORNER_SPACE, LG_BRICK_WIDTH, 0>,
     <LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -(2*LG_BRICK_WIDTH-LG_CORNER_SPACE)/sin(pi*lg_angle2/180)>
     rotate <lg_angle1, 0, 0>
     translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    }
    box {
     <-LG_E, WIDTH*LG_BRICK_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
     <LG_BRICK_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
  }
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE 0, LG_BRICK_INNER_HEIGHT+LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   } 
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_BRICK_INNER_HEIGHT>,
    <6*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
   }
  }
  union {
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <5.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
   }
  }
 } 
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, WIDTH*3*LG_BRICK_WIDTH, LG_CORNER_SPACE>,
  <5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 } 
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_CORNER_SPACE,0>,
  <5*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, WIDTH*3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_HEIGHT-2*LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 } 
 box {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
  <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -2*LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
  rotate <lg_angle1, 0, 0>
  translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
 }
 object {
  lg_knob_clear
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
 }
 object {
  lg_knob_clear
  translate <5.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
 }
 translate <-3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#end
