/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20071202 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6002 Panel 6 x 6 x 9 Corner Curved Top                                   */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6002)
#else
#declare lg_6002 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     torus {
      4*LG_BRICK_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>
     }
     torus {
      4*LG_BRICK_WIDTH-LG_PLATE_HEIGHT+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>
     }
     difference {
      cylinder {
       <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
       <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_BRICK_WIDTH>,
       4*LG_BRICK_WIDTH-LG_CORNER_SPACE
      }
      union {
       cylinder {
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -4*LG_BRICK_WIDTH>,
        4*LG_BRICK_WIDTH-LG_PLATE_HEIGHT
       }
       cylinder {
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH>,
        4*LG_BRICK_WIDTH-LG_PLATE_HEIGHT+LG_CORNER_SPACE
       }
      }
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, LG_E>,
      <-3*LG_BRICK_WIDTH-LG_E, 0.5*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH-LG_E>
     }
     box {
      <-3*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_E, -8*LG_BRICK_WIDTH-LG_E>,
      <5*LG_BRICK_WIDTH+LG_E, 0.5*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_BRICK_WIDTH>
   }
   box {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_BRICK_WIDTH>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   box {
    <4*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   object {
    lg_plate_column
    translate <4.5*LG_BRICK_WIDTH, 0, -9*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <4.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   difference {
    cylinder {
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
     4*LG_BRICK_WIDTH
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH>,
      4*LG_BRICK_WIDTH-LG_WALL_WIDTH
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_E>,
      <-3*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E>
     }
     box {
      <-3*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH, -8*LG_BRICK_WIDTH-LG_E>,
      <5*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_cylinder
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 difference {
  union {
   torus {
    4*LG_BRICK_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -4*LG_BRICK_WIDTH >,
    4*LG_BRICK_WIDTH
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0, 0, -9*LG_BRICK_HEIGHT>,
    4*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
  union {
   box {
    <0, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH +LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <0, 0, -4*LG_BRICK_WIDTH +LG_E>,
    <0, 0, -9*LG_BRICK_HEIGHT-LG_E>,
    4*LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(3.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(3.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <3.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  union {
   torus {
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <0, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_HEIGHT+LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0, -4*LG_BRICK_HEIGHT+LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH+LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <2.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  union {
   cylinder {
    <0, 0, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0, 0, -9*LG_BRICK_HEIGHT>,
    3*LG_BRICK_WIDTH+LG_WALL_WIDTH
   }
   cylinder {
    <0, 0, -26*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <0, 0, -26*LG_PLATE_HEIGHT>,
    4*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
  union {
   box {
    <0, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_HEIGHT+LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0, -4*LG_BRICK_HEIGHT+LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH+LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <2.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -9*LG_BRICK_HEIGHT-LG_E>,
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0, 0, -26*LG_PLATE_HEIGHT+LG_E>,
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT>,
    <0, 0, -26*LG_PLATE_HEIGHT+LG_E>,
    3*LG_BRICK_WIDTH
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  sphere {
   <0, 0, -4*LG_BRICK_WIDTH>,
   4*LG_BRICK_WIDTH
  }
  union {
   sphere {
    <0, 0, -4*LG_BRICK_WIDTH>,
    4*LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
   box {
    <0, 4*LG_BRICK_WIDTH+LG_E, -8*LG_BRICK_WIDTH-LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0, -8*LG_BRICK_WIDTH-LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH+LG_E, LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH-LG_E, -8*LG_BRICK_WIDTH-LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH>
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_knob
  rotate <0, 0, -90>
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  rotate <0, 0, -90>
  translate <-0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  rotate <0, 0, -90>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  rotate <0, 0, -90>
  translate <-0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
 }
}

#declare lg_6002_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     torus {
      4*LG_BRICK_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>
     }
     torus {
      4*LG_BRICK_WIDTH-LG_PLATE_HEIGHT+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>
     }
     difference {
      cylinder {
       <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
       <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_BRICK_WIDTH>,
       4*LG_BRICK_WIDTH-LG_CORNER_SPACE
      }
      union {
       cylinder {
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -4*LG_BRICK_WIDTH>,
        4*LG_BRICK_WIDTH-LG_PLATE_HEIGHT
       }
       cylinder {
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH>,
        4*LG_BRICK_WIDTH-LG_PLATE_HEIGHT+LG_CORNER_SPACE
       }
      }
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, LG_E>,
      <-3*LG_BRICK_WIDTH-LG_E, 0.5*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH-LG_E>
     }
     box {
      <-3*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_E, -8*LG_BRICK_WIDTH-LG_E>,
      <5*LG_BRICK_WIDTH+LG_E, 0.5*LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_BRICK_WIDTH>
   }
   box {
    <5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_BRICK_WIDTH>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   box {
    <4*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -26*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   object {
    lg_plate_column
    translate <4.5*LG_BRICK_WIDTH, 0, -9*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <4.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT>
   }
   difference {
    cylinder {
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
     4*LG_BRICK_WIDTH
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -4*LG_BRICK_WIDTH>,
      <LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH>,
      4*LG_BRICK_WIDTH-LG_WALL_WIDTH
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_E>,
      <-3*LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E>
     }
     box {
      <-3*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH, -8*LG_BRICK_WIDTH-LG_E>,
      <5*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_cylinder_clear
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 difference {
  merge {
   torus {
    4*LG_BRICK_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -4*LG_BRICK_WIDTH >,
    4*LG_BRICK_WIDTH
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <0, 0, -9*LG_BRICK_HEIGHT>,
    4*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
  merge {
   box {
    <-0.00000001, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <0, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0.00000001, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH +LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH +LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <0, 0, -4*LG_BRICK_WIDTH +LG_E>,
    <0, 0, -9*LG_BRICK_HEIGHT-LG_E>,
    4*LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -26*LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(3.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -3.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(3.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <3.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  union {
   torus {
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <0, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_HEIGHT+LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0, -4*LG_BRICK_HEIGHT+LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH+LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <2.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  merge {
   cylinder {
    <0, 0, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0, 0, -9*LG_BRICK_HEIGHT>,
    3*LG_BRICK_WIDTH+LG_WALL_WIDTH
   }
   cylinder {
    <0, 0, -26*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <0, 0, -26*LG_PLATE_HEIGHT>,
    4*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
  merge {
   box {
    <-0.00000001, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <0, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0.00000001, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH +LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0, -4*LG_BRICK_WIDTH +LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH +LG_E, -9*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -9*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -9*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <2.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -9*LG_BRICK_HEIGHT-LG_E>,
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -26*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0, 0, -26*LG_PLATE_HEIGHT+LG_E>,
    3*LG_BRICK_WIDTH+LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -9*LG_BRICK_HEIGHT>,
    <0, 0, -26*LG_PLATE_HEIGHT+LG_E>,
    3*LG_BRICK_WIDTH
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  sphere {
   <0, 0, -4*LG_BRICK_WIDTH>,
   4*LG_BRICK_WIDTH
  }
  merge {
   sphere {
    <0, 0, -4*LG_BRICK_WIDTH>,
    4*LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
   cylinder {
    <0, 0, -4*LG_BRICK_WIDTH>,
    <0, 1, -4*LG_BRICK_WIDTH>,
    4*LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
   cylinder {
    <-1, 0, -4*LG_BRICK_WIDTH>,
    <0, 0, -4*LG_BRICK_WIDTH>,
    4*LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
   cylinder {
    <0, 0, -4*LG_BRICK_WIDTH>,
    <0, 0, -4*LG_BRICK_WIDTH-2*LG_E>,
    4*LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
   box {
    <-0.00000001, 4*LG_BRICK_WIDTH+LG_E, -8*LG_BRICK_WIDTH-LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E, LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, 0.0000001, -8*LG_BRICK_WIDTH-LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH+LG_E, LG_E>
   }
   box {
    <4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH-LG_E, -8*LG_BRICK_WIDTH-LG_E>,
    <-4*LG_BRICK_WIDTH-LG_E, 4*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH-0.00000001>
   }
  }
  translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, 0>
 }
 difference {
  box {
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_knob_clear
  rotate <0, 0, -90>
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  rotate <0, 0, -90>
  translate <-0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  rotate <0, 0, -90>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  rotate <0, 0, -90>
  translate <-0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
 }
}

#end
