/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19970827 Lutz Uhlmann                                                       */
/* 20080118 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6044: Slope Brick 53 3 x 1 x 4 with Studs on Slope                       */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6044)
#else
#declare lg_angle=atan2(2.8*LG_BRICK_WIDTH, 10*LG_PLATE_HEIGHT-0.64/3);
#declare lg_6044 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -10*LG_PLATE_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -7*LG_PLATE_HEIGHT>
   }

   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  <0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE-LG_E>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3>
 }
 box {
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <2.8*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT>
 }
 box {
  <2.9*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.8*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT>
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3.5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_E, 0.06, -7*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.06, -3*LG_PLATE_HEIGHT>
   }
   cylinder {
    <2*LG_BRICK_WIDTH, 0, -10*LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH, 0, -6*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   box {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -0.32/3-LG_CORNER_SPACE>
   }
   box {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -0.32/3-LG_CORNER_SPACE>
   }
  }
  box {
   <2*LG_BRICK_HEIGHT, 0.5, 0>,
   <0, -0.5, -5*LG_BRICK_WIDTH>
   rotate <0, -lg_angle*180/pi, 0>
   translate <0.08-LG_CORNER_SPACE, 0, -0.32/3-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2.8*LG_BRICK_WIDTH/sin(lg_angle)>
   rotate <0, -lg_angle*180/pi, 0>
   translate <0.08-LG_CORNER_SPACE, 0, -0.32/3-LG_CORNER_SPACE>
  }
  union {
   box {
    <LG_CORNER_SPACE, 0.5, 0>,
    <-LG_WALL_WIDTH, -0.5, -2*LG_WALL_WIDTH>
   }
   box {
    <2.8*LG_BRICK_WIDTH+LG_E, 0.5, -10*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_E>,
    <2.5*LG_BRICK_WIDTH, -0.5, -10.5*LG_PLATE_HEIGHT>
   }
  }
 }
 union {
  object {
   lg_tech_knob_logo
   rotate <0, 0, 90>
   translate <0.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo
   rotate <0, 0, 90>
   translate <1.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo
   rotate <0, 0, 90>
   translate <2.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo
   rotate <0, 0, 90>
   translate <3.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo
   rotate <0, 0, 90>
   translate <4.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  rotate <0, 90-lg_angle*180/pi, 0>
  translate <0.08-LG_CORNER_SPACE, 0, -0.32/3-LG_CORNER_SPACE>
 }
}

#declare lg_6044_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -10*LG_PLATE_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -7*LG_PLATE_HEIGHT>
   }

   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  <0.08-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.08-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE-LG_E>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3>
 }
 box {
  <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <2.8*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT>
 }
 box {
  <2.9*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.8*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+0.32/3-LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT>
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3.5*LG_PLATE_HEIGHT>
   }
   box {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -0.32/3-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH+LG_E, 0.06, -7*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.06, -3*LG_PLATE_HEIGHT>
   }
   cylinder {
    <2*LG_BRICK_WIDTH, 0, -10*LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH, 0, -6*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   box {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -0.32/3-LG_CORNER_SPACE>
   }
   box {
    <2.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -10*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -7*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -0.32/3-LG_CORNER_SPACE>
   }
  }
  box {
   <2*LG_BRICK_HEIGHT, 0.5, 0>,
   <0, -0.5, -5*LG_BRICK_WIDTH>
   rotate <0, -lg_angle*180/pi, 0>
   translate <0.08-LG_CORNER_SPACE, 0, -0.32/3-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2.8*LG_BRICK_WIDTH/sin(lg_angle)>
   rotate <0, -lg_angle*180/pi, 0>
   translate <0.08-LG_CORNER_SPACE, 0, -0.32/3-LG_CORNER_SPACE>
  }
  union {
   box {
    <LG_CORNER_SPACE, 0.5, 0>,
    <-LG_WALL_WIDTH, -0.5, -2*LG_WALL_WIDTH>
   }
   box {
    <2.8*LG_BRICK_WIDTH+LG_E, 0.5, -10*LG_PLATE_HEIGHT+LG_WALL_WIDTH+LG_E>,
    <2.5*LG_BRICK_WIDTH, -0.5, -10.5*LG_PLATE_HEIGHT>
   }
  }
 }
 union {
  object {
   lg_tech_knob_logo_clear
   rotate <0, 0, 90>
   translate <0.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo_clear
   rotate <0, 0, 90>
   translate <1.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo_clear
   rotate <0, 0, 90>
   translate <2.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo_clear
   rotate <0, 0, 90>
   translate <3.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  object {
   lg_tech_knob_logo_clear
   rotate <0, 0, 90>
   translate <4.5*LG_BRICK_WIDTH-0.08/sin(lg_angle), 0, LG_CORNER_SPACE>
  }
  rotate <0, 90-lg_angle*180/pi, 0>
  translate <0.08-LG_CORNER_SPACE, 0, -0.32/3-LG_CORNER_SPACE>
 }
}

#end
