/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20080523 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6055: Castle Wall Corner 6 x 6 x 6                                       */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6055)
#else
#declare lg_6055 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -15*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -15*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
    0.08-LG_CORNER_SPACE
   }
   cylinder{
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder{
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder{
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder{
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box{
    <LG_BRICK_WIDTH+0.08, -0.08, 0>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box{
    <LG_BRICK_WIDTH+0.08, -0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box{
    <LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE-LG_E>
   }
   box{
    <LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>
   }
   box{
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.08, 0>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box{
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -15*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-3*LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -15*LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <0, -LG_E, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <LG_CORNER_SPACE, -0.5, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <0.4, -0.5, -14*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -14*LG_PLATE_HEIGHT>
     }
     cylinder {
      <0, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <-0.08+LG_CORNER_SPACE, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     rotate <0, 0, 45>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     rotate <0, 0, -45>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   difference {
    union {
     box {
      <0, -0.5, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, 0>
     }
     box {
      <LG_CORNER_SPACE, -0.5, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     box {
      <0, LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
      <-0.08+LG_CORNER_SPACE, -LG_E, -LG_CORNER_SPACE>
     }
     box {
      <0.4, -0.5, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -LG_BRICK_HEIGHT>
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, -0.5, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
      <-0.08+LG_CORNER_SPACE, 0, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     rotate <0, 0, 45>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     rotate <0, 0, -45>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2.5*LG_BRICK_WIDTH+0.06, LG_BRICK_WIDTH+LG_WALL_WIDTH, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH-0.06, LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -15*LG_PLATE_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
     <2*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
    }
    box {
     <3*LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <0, -2*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     rotate <0, 0, -45>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   box {
    <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
    <2*LG_BRICK_WIDTH+0.08+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_E>
   }
   union {
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
    }
    translate <0, -LG_CORNER_SPACE,0>
    rotate <0, 0, 45>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 90>
    #if (MIR = 1)
     matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
    #end
    translate <2.5*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 90>
    #if (MIR = 1)
     matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
    #end
    translate <2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 90>
    #if (MIR = 1)
     matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
    #end
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    union {
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   object {
    lg_plate_cylinder 
    translate <LG_BRICK_WIDTH, 0, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column
    translate <2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   #if (lg_quality > 3)
    object {
     lego_logo_text
     scale <3/4, 3/4, 3/4>
     #if (MIR = 1)
      matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
      rotate <0, 0, 180>
     #end
     rotate <0, 0, 90>
     translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
    }
   #end
   #if (MIR = 1)
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+3*LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH/sin(pi/4)+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  0.08-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  0.08-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 sphere {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_cylinder 
  translate <0, 0, -6*LG_BRICK_HEIGHT>
 }
 cylinder {
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  0.08
 }
 cylinder {
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
  0.08-LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
  union {
   box {
    <0, 0, -LG_CORNER_SPACE>,
    <3, -4*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
   box {
    <1, -0.6, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>,
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_E>
    rotate <0, 0, 45>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <1, -0.6, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>,
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_E>
    rotate <0, 0, 45>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT+LG_E>,
    <-LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_E, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>
   }
  }
 }
 difference {
  union {
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+3*LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH/sin(pi/4)+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0, 0, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE/sin(pi/4), -4*LG_BRICK_WIDTH/sin(pi/4), -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE+LG_E>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
   box {
    <0, 0, 0>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE/sin(pi/4), -4*LG_BRICK_WIDTH/sin(pi/4), -LG_CORNER_SPACE-LG_E>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
   box {
    <LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE/sin(pi/4)-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH/sin(pi/4), -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
  union {
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_E>,
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT-LG_E>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, LG_E>,
    <-2*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH/sin(pi/4)+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_CORNER_SPACE>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
  }
 }
 union {
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  box {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
  }
  translate <0, -LG_CORNER_SPACE,0>
  rotate <0, 0, 45>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <-0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  union {
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
  }
  union {
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 #if (lg_quality > 3)
  object {
   lego_logo_text
   scale <3/4, 3/4, 3/4>
   rotate <0, 0, 90>
   translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
 #end
}

#declare lg_6055_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_E>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -15*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -15*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
    0.08-LG_CORNER_SPACE
   }
   cylinder{
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder{
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder{
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder{
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box{
    <LG_BRICK_WIDTH+0.08, -0.08, 0>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box{
    <LG_BRICK_WIDTH+0.08, -0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box{
    <LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE-LG_E>
   }
   box{
    <LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>
   }
   box{
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.08, 0>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box{
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -15*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-3*LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -15*LG_PLATE_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    merge {
     box {
      <0, -LG_E, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <LG_CORNER_SPACE, -0.5, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <0.4, -0.5, -14*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -14*LG_PLATE_HEIGHT>
     }
     cylinder {
      <0, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      <-0.08+LG_CORNER_SPACE, 0, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     rotate <0, 0, 45>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     rotate <0, 0, -45>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   difference {
    merge {
     box {
      <0, -0.5, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, 0>
     }
     box {
      <LG_CORNER_SPACE, -0.5, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     box {
      <0, LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
      <-0.08+LG_CORNER_SPACE, -LG_E, -LG_CORNER_SPACE>
     }
     box {
      <0.4, -0.5, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
      <-0.08+LG_CORNER_SPACE, 0, -LG_BRICK_HEIGHT>
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, -0.5, -LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
      <-0.08+LG_CORNER_SPACE, 0, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     rotate <0, 0, 45>
     translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <-LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     rotate <0, 0, -45>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2.5*LG_BRICK_WIDTH+0.06, LG_BRICK_WIDTH+LG_WALL_WIDTH, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH-0.06, LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -15*LG_PLATE_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+0.08, 3*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    box {
     <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
     <2*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
    }
    box {
     <3*LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
     <0, -2*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
     rotate <0, 0, -45>
     translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
    }
   }
   box {
    <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-0.08, -LG_BRICK_HEIGHT-LG_TOP_HEIGHT>,
    <2*LG_BRICK_WIDTH+0.08+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -14*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_BRICK_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, 3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -14*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_E>
   }
   merge {
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    sphere {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
     <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
    }
    translate <0, -LG_CORNER_SPACE,0>
    rotate <0, 0, 45>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 90>
    #if (MIR = 1)
     matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
    #end
    translate <2.5*LG_BRICK_WIDTH, 2.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 90>
    #if (MIR = 1)
     matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
    #end
    translate <2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 90>
    #if (MIR = 1)
     matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
    #end
    translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   difference {
    union {
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
      <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   object {
    lg_plate_cylinder_clear
    translate <LG_BRICK_WIDTH, 0, -6*LG_BRICK_HEIGHT>
   }
   object {
    lg_plate_column_clear
    translate <2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT>
   }
   #if (lg_quality > 3)
    object {
     lego_logo_text
     scale <3/4, 3/4, 3/4>
     #if (MIR = 1)
      matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
      rotate <0, 0, 180>
     #end
     rotate <0, 0, 90>
     translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
    }
   #end
   #if (MIR = 1)
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+3*LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH/sin(pi/4)+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  0.08-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  0.08-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 sphere {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 object {
  lg_plate_cylinder_clear
  translate <0, 0, -6*LG_BRICK_HEIGHT>
 }
 cylinder {
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  0.08
 }
 cylinder {
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
  0.08-LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
  union {
   box {
    <0, 0, -LG_CORNER_SPACE>,
    <3, -4*LG_BRICK_WIDTH/sin(pi/4), -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
   box {
    <1, -0.6, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>,
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_E>
    rotate <0, 0, 45>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <1, -0.6, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>,
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_E>
    rotate <0, 0, 45>
    translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <-LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-0.08, -LG_PLATE_HEIGHT+LG_E>,
    <-LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_E, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_E>
   }
  }
 }
 difference {
  merge {
   cylinder {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+3*LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH/sin(pi/4)+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0, 0, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE/sin(pi/4), -4*LG_BRICK_WIDTH/sin(pi/4), -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE+LG_E>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
   box {
    <0, 0, 0>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE/sin(pi/4), -4*LG_BRICK_WIDTH/sin(pi/4), -LG_CORNER_SPACE-LG_E>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
   box {
    <LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE/sin(pi/4)-LG_CORNER_SPACE, -4*LG_BRICK_WIDTH/sin(pi/4), -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
   }
  }
  union {
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_E>,
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT-LG_E>,
    <-LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -5*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH, LG_E>,
    <-2*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH+LG_WALL_WIDTH/sin(pi/4)+LG_CORNER_SPACE, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <0, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-LG_WALL_WIDTH/sin(pi/4)-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), LG_E>
    <-0.1, 0, -LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <0.1, 3*LG_CORNER_SPACE/sin(pi/4), -LG_E>
    <-0.1, 0, LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -45>
    translate <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT-LG_CORNER_SPACE>
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   }
  }
 }
 merge {
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  sphere {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  box {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, 0, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS, LG_WALL_WIDTH-LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2/sin(pi/4)-LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
   <-LG_BRICK_WIDTH/2/sin(pi/4)+LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
  }
  translate <0, -LG_CORNER_SPACE,0>
  rotate <0, 0, 45>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  translate <-0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  merge {
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
  }
  union {
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT+LG_E>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 #if (lg_quality > 3)
  object {
   lego_logo_text_clear
   scale <3/4, 3/4, 3/4>
   rotate <0, 0, 90>
   translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
  }
 #end
}

#end
