/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20080725 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6056: Brick 2 x 2 x 6 with Groove                                        */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6056)
#else
#declare lg_6056 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    LG_CORNER_SPACE
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH/2, -LG_E, -6*LG_BRICK_HEIGHT>,
      <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
     }
     box {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT-LG_E>,
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT-LG_E>,
      <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+2*LG_E>,
      LG_WALL_WIDTH/2
     }
    }
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  cylinder {
   <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT>,
   <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>,
   LG_WALL_WIDTH
  }
  union {
   box {
    <LG_BRICK_WIDTH/2+LG_E, LG_WALL_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>,
    <LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT-LG_E>,
    <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+2*LG_E>,
    LG_WALL_WIDTH/2
   }
  }
 }
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
 }
 box {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
 }
 box {
  <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
   <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
  }
 }
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_E, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
  <LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
  }
  union {
   box {
    <LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E, -2*LG_PLATE_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
  }
 }
 difference {
  box {
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
  }
  union {
   box {
    <LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_WALL_WIDTH, LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
  }
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2, 0>
 }
}

#declare lg_6056_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    LG_CORNER_SPACE
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
    <LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    merge {
     box {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH/2, -LG_E, -6*LG_BRICK_HEIGHT>,
      <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
     }
     box {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT-LG_E>,
      <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT-LG_E>,
      <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+2*LG_E>,
      LG_WALL_WIDTH/2
     }
    }
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  cylinder {
   <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT>,
   <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>,
   LG_WALL_WIDTH
  }
  union {
   box {
    <LG_BRICK_WIDTH/2+LG_E, LG_WALL_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>,
    <LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT-LG_E>,
    <LG_BRICK_WIDTH/2, 0, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+2*LG_E>,
    LG_WALL_WIDTH/2
   }
  }
 }
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT+LG_E>
 }
 box {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
 }
 box {
  <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
 }
 difference {
  box {
   <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT+LG_E>,
   <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>
  }
 }
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH+LG_E, -6*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
  <LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E, -LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
  }
  union {
   box {
    <LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E, -2*LG_PLATE_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH-LG_E, LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
  }
 }
 difference {
  box {
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
  }
  union {
   box {
    <LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, LG_E>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE, LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH, LG_WALL_WIDTH, LG_E>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
  }
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_tech_knob_logo_clear
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2, 0>
 }
}

#end
