/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20080728 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6059 Panel 3 x 3 x 6 Corner Curved Top                                   */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6059)
#else
#declare lg_6059 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     torus {
      2*LG_BRICK_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
     }
     torus {
      2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
     }
     difference {
      union {
       cylinder {
        <LG_BRICK_WIDTH, 0, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-LG_CORNER_SPACE
       }
       cylinder {
        <LG_BRICK_WIDTH, -LG_WALL_WIDTH, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-3*LG_CORNER_SPACE
       }
      }
      union {
       cylinder {
        <LG_BRICK_WIDTH, 0, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-LG_WALL_WIDTH
       }
       cylinder {
        <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, LG_E, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE
       }
      }
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_E, LG_E>,
      <-LG_BRICK_WIDTH-LG_E, -0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_E>
     }
     box {
      <-LG_BRICK_WIDTH-LG_E, LG_E, -4*LG_BRICK_WIDTH-LG_E>,
      <3*LG_BRICK_WIDTH+LG_E, -0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -2*LG_BRICK_WIDTH>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -2*LG_BRICK_WIDTH>
   }
   box {
    <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, -LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   box {
    <LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 sphere {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   torus {
    3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH >,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
    3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE
   }
  }
  union {
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_E>,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_WALL_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_E>,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE-0.12
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -17*LG_PLATE_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -17*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <2.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 difference {
  union {
   torus {
    2*LG_BRICK_WIDTH,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    2*LG_BRICK_WIDTH,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <1.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 difference {
  union {
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
    2*LG_BRICK_WIDTH+LG_WALL_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT>,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
  union {
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <1.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_E>,
    2*LG_BRICK_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_E>,
    2*LG_BRICK_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_E>,
    2*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
 }
 difference {
  torus {
   LG_BRICK_WIDTH-LG_CORNER_SPACE,
   2*LG_BRICK_WIDTH
   rotate <90, 0, 0>
   translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
  }
  union {
   torus {
    LG_BRICK_WIDTH-LG_CORNER_SPACE,
    2*LG_BRICK_WIDTH-0.12
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
   }
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH-LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH-LG_E>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE-0.12
   }
  }
 }
 difference {
  cylinder {
   <LG_CORNER_SPACE, -LG_CORNER_SPACE, 0>,
   <LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.12>,
   LG_BRICK_WIDTH-LG_CORNER_SPACE
  }
  union {
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_E>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -0.12-LG_E>,
    0.15
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E>,
    <-LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH-LG_E, LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_E>,
    <-LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_E, LG_E>
   }
  }
 }
 object {
  lg_knob
  rotate <0, 0, 180>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
 }
}

#declare lg_6059_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     torus {
      2*LG_BRICK_WIDTH-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
     }
     torus {
      2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      translate <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
     }
     difference {
      merge {
       cylinder {
        <LG_BRICK_WIDTH, 0, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-LG_CORNER_SPACE
       }
       cylinder {
        <LG_BRICK_WIDTH, -LG_WALL_WIDTH, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-3*LG_CORNER_SPACE
       }
      }
      union {
       cylinder {
        <LG_BRICK_WIDTH, 0, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-LG_WALL_WIDTH
       }
       cylinder {
        <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
        <LG_BRICK_WIDTH, LG_E, -2*LG_BRICK_WIDTH>,
        2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE
       }
      }
     }
    }
    union {
     box {
      <LG_BRICK_WIDTH, LG_E, LG_E>,
      <-LG_BRICK_WIDTH-LG_E, -0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH-LG_E>
     }
     box {
      <-LG_BRICK_WIDTH-LG_E, LG_E, -4*LG_BRICK_WIDTH-LG_E>,
      <3*LG_BRICK_WIDTH+LG_E, -0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH>
     }
    }
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH, -6*LG_BRICK_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH-3*LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -2*LG_BRICK_WIDTH>
   }
   box {
    <3*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -2*LG_BRICK_WIDTH>
   }
   box {
    <LG_BRICK_WIDTH, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, -LG_WALL_WIDTH, -LG_WALL_WIDTH>
   }
   box {
    <LG_BRICK_WIDTH, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_WALL_WIDTH, -LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <0, -1, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 sphere {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   torus {
    3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
    3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE
   }
  }
  union {
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_E>,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_WALL_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_E>,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE-0.12
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -17*LG_PLATE_HEIGHT>,
    <0.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -17*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -6*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_E
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, -atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <1.5*LG_BRICK_WIDTH, -2.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, atan2(2.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH)*180/pi>
    translate <2.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 difference {
  merge {
   torus {
    2*LG_BRICK_WIDTH,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    2*LG_BRICK_WIDTH,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <1.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
  }
 }
 difference {
  merge {
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
    2*LG_BRICK_WIDTH+LG_WALL_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <LG_CORNER_SPACE, LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT>,
    3*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
  union {
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -6*LG_BRICK_HEIGHT-LG_E>
   }
   box {
    <LG_KNOB_RADIUS+LG_E, LG_KNOB_RADIUS+LG_E, -6*LG_BRICK_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
    <-LG_KNOB_RADIUS-LG_E, -LG_KNOB_RADIUS-LG_E, -6*LG_BRICK_HEIGHT-LG_E>
    rotate <0, 0, 45>
    translate <1.5*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT-LG_E>,
    2*LG_BRICK_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_E>,
    2*LG_BRICK_WIDTH
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -6*LG_BRICK_HEIGHT>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -17*LG_PLATE_HEIGHT+LG_E>,
    2*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
  }
 }
 difference {
  torus {
   LG_BRICK_WIDTH-LG_CORNER_SPACE,
   2*LG_BRICK_WIDTH
   rotate <90, 0, 0>
   translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
  }
  union {
   torus {
    LG_BRICK_WIDTH-LG_CORNER_SPACE,
    2*LG_BRICK_WIDTH-0.12
    rotate <90, 0, 0>
    translate <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>
   }
   box {
    <LG_CORNER_SPACE, 3*LG_BRICK_WIDTH+LG_E, -4*LG_BRICK_WIDTH-LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, -3*LG_BRICK_WIDTH-LG_E, LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, LG_E>
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_WIDTH-LG_E, -4*LG_BRICK_WIDTH-LG_E>,
    <-3*LG_BRICK_WIDTH-LG_E, 3*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH-LG_E>
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, LG_E>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_TOP_HEIGHT>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -2*LG_BRICK_WIDTH>,
    <LG_CORNER_SPACE, -LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_E>,
    3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE-0.12
   }
  }
 }
 difference {
  cylinder {
   <LG_CORNER_SPACE, -LG_CORNER_SPACE, 0>,
   <LG_CORNER_SPACE, -LG_CORNER_SPACE, -0.12>,
   LG_BRICK_WIDTH-LG_CORNER_SPACE
  }
  union {
   cylinder {
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, LG_E>,
    <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -0.12-LG_E>,
    0.15
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E>,
    <-LG_BRICK_WIDTH-LG_E, -LG_BRICK_WIDTH-LG_E, LG_E>
   }
   box {
    <LG_BRICK_WIDTH+LG_E, -LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_E>,
    <-LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_E, LG_E>
   }
  }
 }
 object {
  lg_knob_clear
  rotate <0, 0, 180>
  translate <0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
 }
}

#end
