/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19970806 Lutz Uhlmann                                                       */
/* 20020114 Lars C. Hassing   Fixed #declare lg_6081_clear (was lg_6081)       */
/* 20080119 Lutz Uhlmann fixed stud orientation                                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6081: Brick 2 x 4 x 1 & 1/3 with Curved Top                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6081)
#else
#declare lg_6081 =
union {
 #declare lg_angle = asin(LG_CORNER_SPACE/LG_BRICK_WIDTH)*180/pi ;
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  LG_CORNER_SPACE
 }
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  LG_CORNER_SPACE
 }
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 intersection {
  box {
   <3*LG_BRICK_WIDTH/2+LG_E, -2*LG_BRICK_WIDTH-LG_E, LG_E>,
   <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH>
  }
  union {
   torus {
    LG_BRICK_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>
   }
   torus {
    LG_BRICK_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>
   }
  }
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space
    translate <0, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
 intersection {
  box {
   <3*LG_BRICK_WIDTH/2+LG_E, -2*LG_BRICK_WIDTH-LG_E, LG_E>,
   <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E>
  }
  difference {
   union {
    cylinder {
     <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_BRICK_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
     LG_BRICK_WIDTH
    }
   }
   cylinder {
    <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH>,
    LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
  }
 }   
 difference {
  union {
   box {
    <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  box {
   <3*LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>
  }
  box {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH, 0>,
   <LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
  }
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, -1.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, -0.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, 0.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, 1.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 intersection {
  union {
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
    LG_BRICK_WIDTH-2*LG_CORNER_SPACE
   }
   box {
    <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_E>
   }
  }
  union {
   #declare CYL_X = -1;
   #while (CYL_X < 2)
    cylinder {
     <LG_BRICK_WIDTH, CYL_X*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
     <LG_BRICK_WIDTH, CYL_X*LG_BRICK_WIDTH, 0>,
     LG_KNOB_INNER_RADIUS
    }
    box {
     <3*LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH-0.04, -4*LG_PLATE_HEIGHT>,
     <LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH+0.04, 0>
    }
    #declare CYL_X = CYL_X + 1;
   #end
  }
 }
 object {
  lg_plate_column
  translate <0, -LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_column
  translate <0, 0, -2*LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_column
  translate <0, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <0, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <0, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <0, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  rotate <0, 0, 90>
  translate <0, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
}

#declare lg_6081_clear =
union {
 #declare lg_angle = asin(LG_CORNER_SPACE/LG_BRICK_WIDTH)*180/pi ;
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  LG_CORNER_SPACE
 }
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  LG_CORNER_SPACE
 }
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_BRICK_WIDTH*(1-cos(lg_angle*pi/180))>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder { 
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 intersection {
  box {
   <3*LG_BRICK_WIDTH/2+LG_E, -2*LG_BRICK_WIDTH-LG_E, LG_E>,
   <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH>
  }
  union {
   torus {
    LG_BRICK_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>
   }
   torus {
    LG_BRICK_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>
   }
  }
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
 intersection {
  box {
   <3*LG_BRICK_WIDTH/2+LG_E, -2*LG_BRICK_WIDTH-LG_E, LG_E>,
   <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH-LG_E>
  }
  difference {
   union {
    cylinder {
     <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_BRICK_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
     LG_BRICK_WIDTH
    }
   }
   cylinder {
    <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH>,
    LG_BRICK_WIDTH-LG_WALL_WIDTH
   }
  }
 }   
 difference {
  union {
   box {
    <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
   }
   box {
    <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <3*LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  box {
   <3*LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH>
  }
  box {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH, 0>,
   <LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
  }
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, -1.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -0.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, -0.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, 0.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-0.05, -LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH/2+LG_E, 1.5*LG_BRICK_WIDTH+0.05, -2*LG_PLATE_HEIGHT>
 }
 intersection {
  union {
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
    LG_BRICK_WIDTH-2*LG_CORNER_SPACE
   }
   box {
    <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_E>
   }
  }
  union {
   #declare CYL_X = -1;
   #while (CYL_X < 2)
    cylinder {
     <LG_BRICK_WIDTH, CYL_X*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
     <LG_BRICK_WIDTH, CYL_X*LG_BRICK_WIDTH, 0>,
     LG_KNOB_INNER_RADIUS
    }
    box {
     <3*LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH-0.04, -4*LG_PLATE_HEIGHT>,
     <LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH+0.04, 0>
    }
    #declare CYL_X = CYL_X + 1;
   #end
  }
 }
 object {
  lg_plate_column_clear
  translate <0, -LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -2*LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <0, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <0, -1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <0, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <0, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  rotate <0, 0, 90>
  translate <0, 1.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
}

#end
