/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19980421 Lutz Uhlmann                                                       */
/* 20071104 Lutz Uhlmanx fixed end cutoff                                      */
/* 20071202 Lutz Uhlmann fixed hollow stud logo and orientation                */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6152: Windscreen 4 x 6 x 1 1/3                                           */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6152)
#else
#declare lg_angle1=atan2(4*LG_PLATE_HEIGHT-0.2, 3*LG_BRICK_WIDTH);
#declare lg_angle2=atan2(1,3);
#declare lg_angle3=atan2(4*LG_PLATE_HEIGHT-0.2, LG_BRICK_WIDTH*cos(lg_angle2));
#declare lg_6152 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    union {
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
     }
    }
    box {
     <LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT>,
     <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
    }
   }
   intersection {
    union {
     torus {
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     torus {
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
     }
    }
    box {
     <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_E, -3*LG_PLATE_HEIGHT>,
     <-LG_E, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
    }
   }
   cylinder {
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH*(1.5+sin(lg_angle2))/cos(lg_angle2), 0, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, 0, -lg_angle2*180/pi>
    translate <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   difference {
    torus {
     LG_BRICK_WIDTH/2+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    union {
     box {
      <-LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, 0, LG_CORNER_SPACE+LG_E>,
      <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <-LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, 0, LG_CORNER_SPACE+LG_E>,
      <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
      rotate <0, 0, -90-lg_angle2*180/pi>
     }
    }
    translate <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>
     }
     box {
      <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -4*LG_PLATE_HEIGHT>,
      <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+2*LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>
     }
     box {
      <0.5*LG_BRICK_WIDTH-LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2>,
      LG_WALL_WIDTH
     }
     cylinder {
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2+LG_E>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     box {
      <0, 0, -4*LG_PLATE_HEIGHT-LG_E>,
      <-3*LG_BRICK_WIDTH/cos(lg_angle2), LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS+LG_CORNER_SPACE
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2+LG_E>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   box {
    <0, LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_E, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -lg_angle2*180/pi>
    translate <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <-LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.08>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.08>
     }
    }
    box {
     <3*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH+LG_E, 0>,
     <0, 1.5*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT>
     rotate <0, lg_angle1*180/pi, 0>
     translate <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>
    }
    box {
     <-2*LG_BRICK_WIDTH-LG_E, 0, 0>,
     <-2*LG_BRICK_WIDTH+2*LG_CORNER_SPACE, LG_WALL_WIDTH, LG_WALL_WIDTH>
     rotate <atan2(2*LG_CORNER_SPACE*sin(lg_angle1), 2*LG_CORNER_SPACE*sin(lg_angle2))*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE*sin(lg_angle2)-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
   }
   box {
    <0, LG_E, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH*(1.5+sin(lg_angle2))/cos(lg_angle2), -LG_CORNER_SPACE, -LG_WALL_WIDTH>
    rotate <0, 0, -lg_angle2*180/pi>
    translate <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, LG_WALL_WIDTH-2*LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle2), -LG_WALL_WIDTH>
    matrix <1, -1/3, 0,
            0, 1, 0,
            0, 0, 1,
            -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
   }
   difference {
    box {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, 0>,
     <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_WALL_WIDTH>
    }
    union {
     box {
      <0, 0, LG_E>,
      <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), 0>,
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_WALL_WIDTH-LG_E>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), LG_E>,
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2
     }
     box {
      <-LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, 0, LG_E>,
      <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>
      rotate <0, 0, -90-lg_angle2*180/pi>
      translate <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), 0>
     }
    }
   }
   intersection {
    box {
     <-2.5, 0, LG_CORNER_SPACE>,
     <2.5, LG_BRICK_WIDTH*cos(lg_angle2)/cos(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE>
     rotate <-lg_angle3*180/pi, 0, 0>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    box {
     <4*LG_BRICK_WIDTH-LG_CORNER_SPACE*cos(lg_angle1), LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-sin(lg_angle3)), -LG_CORNER_SPACE*(1-cos(lg_angle3))>,
     <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE*(1+sin(lg_angle1)), 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>
    }
   }
   object {
    lg_tech_knob_logo
    rotate <0, 0, 90>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2)), -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH, -LG_WALL_WIDTH>
 }
 box {
  <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <4*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>,
   <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
  }
  union {
   cylinder {
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -3*LG_PLATE_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -3*LG_PLATE_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 difference {
  union {
   box {
    <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_E>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <0, -LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH, 0>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
  }
  box {
   <4*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
   <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_E, -4*LG_PLATE_HEIGHT>
  }
 }
}

#declare lg_6152_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-2*LG_CORNER_SPACE/3, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    merge {
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     torus {
      LG_WALL_WIDTH+LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
     }
    }
    box {
     <LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH, -3*LG_PLATE_HEIGHT>,
     <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
    }
   }
   intersection {
    merge {
     torus {
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     torus {
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
      LG_CORNER_SPACE
      rotate <90, 0, 0>
      translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
     }
    }
    box {
     <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_E, -3*LG_PLATE_HEIGHT>,
     <-LG_E, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>
    }
   }
   cylinder {
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH*(1.5+sin(lg_angle2))/cos(lg_angle2), 0, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, 0, -lg_angle2*180/pi>
    translate <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   difference {
    torus {
     LG_BRICK_WIDTH/2+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    union {
     box {
      <-LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, 0, LG_CORNER_SPACE+LG_E>,
      <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
     }
     box {
      <-LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, 0, LG_CORNER_SPACE+LG_E>,
      <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
      rotate <0, 0, -90-lg_angle2*180/pi>
     }
    }
    translate <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
   }
   difference {
    merge {
     box {
      <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>
     }
     box {
      <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -4*LG_PLATE_HEIGHT>,
      <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+2*LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>
     }
     box {
      <0.5*LG_BRICK_WIDTH-LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2>,
      LG_WALL_WIDTH
     }
     cylinder {
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2+LG_E>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     box {
      <0, 0, -4*LG_PLATE_HEIGHT-LG_E>,
      <-3*LG_BRICK_WIDTH/cos(lg_angle2), LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_E>,
      LG_KNOB_RADIUS+LG_CORNER_SPACE
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2+LG_E>,
      <0.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS+LG_CORNER_SPACE
     }
    }
   }
   box {
    <0, LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH/cos(lg_angle2), -LG_E, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    rotate <0, 0, -lg_angle2*180/pi>
    translate <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <-LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.08>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   box {
    <3*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>
   }
   difference {
    merge {
     box {
      <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
     }
     box {
      <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
      <-2*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4*LG_PLATE_HEIGHT+0.08>
     }
    }
    box {
     <3*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH+LG_E, 0>,
     <0, 1.5*LG_BRICK_WIDTH, 4*LG_PLATE_HEIGHT>
     rotate <0, lg_angle1*180/pi, 0>
     translate <-2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.08>
    }
    box {
     <-2*LG_BRICK_WIDTH-LG_E, 0, 0>,
     <-2*LG_BRICK_WIDTH+2*LG_CORNER_SPACE, LG_WALL_WIDTH, LG_WALL_WIDTH>
     rotate <atan2(2*LG_CORNER_SPACE*sin(lg_angle1), 2*LG_CORNER_SPACE*sin(lg_angle2))*180/pi, 0, 0>
     translate <0, 2*LG_BRICK_WIDTH-2*LG_CORNER_SPACE*sin(lg_angle2)-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
   }
   box {
    <0, LG_E, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH*(1.5+sin(lg_angle2))/cos(lg_angle2), -LG_CORNER_SPACE, -LG_WALL_WIDTH>
    rotate <0, 0, -lg_angle2*180/pi>
    translate <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <3*LG_BRICK_WIDTH-2*LG_CORNER_SPACE, LG_WALL_WIDTH-2*LG_CORNER_SPACE-2*LG_CORNER_SPACE*sin(lg_angle2), -LG_WALL_WIDTH>
    matrix <1, -1/3, 0,
            0, 1, 0,
            0, 0, 1,
            -2*LG_BRICK_WIDTH+LG_CORNER_SPACE,2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
   }
   difference {
    box {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, 0>,
     <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_WALL_WIDTH>
    }
    union {
     box {
      <0, 0, LG_E>,
      <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
      rotate <0, 0, -lg_angle2*180/pi>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), 0>,
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_WALL_WIDTH-LG_E>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), LG_E>,
      <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2
     }
     box {
      <-LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, 0, LG_E>,
      <LG_BRICK_WIDTH/2+2*LG_CORNER_SPACE, -LG_BRICK_WIDTH/2-2*LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>
      rotate <0, 0, -90-lg_angle2*180/pi>
      translate <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), 0>
     }
    }
   }
   intersection {
    box {
     <-2.5, 0, LG_CORNER_SPACE>,
     <2.5, LG_BRICK_WIDTH*cos(lg_angle2)/cos(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE>
     rotate <-lg_angle3*180/pi, 0, 0>
     rotate <0, 0, -lg_angle2*180/pi>
     translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
    }
    box {
     <4*LG_BRICK_WIDTH-LG_CORNER_SPACE*cos(lg_angle1), LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-sin(lg_angle3)), -LG_CORNER_SPACE*(1-cos(lg_angle3))>,
     <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE*(1+sin(lg_angle1)), 2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>
    }
   }
   object {
    lg_tech_knob_logo_clear
    rotate <0, 0, 90>
    scale <1, 1-2*MIR, 1>
    translate <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2), -LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, -(2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE-(LG_BRICK_WIDTH*(1.5+sin(lg_angle2))-LG_CORNER_SPACE)*sin(lg_angle2)-LG_BRICK_WIDTH/2*cos(lg_angle2)), -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <0, -LG_BRICK_WIDTH, -LG_WALL_WIDTH>
 }
 box {
  <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <4*LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2-LG_CORNER_SPACE>,
  <4*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT+0.2>,
   <3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT>
  }
  union {
   cylinder {
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -3*LG_PLATE_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT>,
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -3*LG_PLATE_HEIGHT>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
  }
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 difference {
  merge {
   box {
    <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_E>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <0, -LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3*LG_BRICK_WIDTH/cos(lg_angle1), LG_BRICK_WIDTH, 0>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
  }
  box {
   <4*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_E, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT+LG_E>,
   <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_E, -4*LG_PLATE_HEIGHT>
  }
 }
}

#end
