/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 19970827 Lutz Uhlmann                                                       */
/* 20080120 Lutz Uhlmann fixed orientation                                     */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6155: Door 1 x 4 x 4                                                     */
/*                                                                             */
/*******************************************************************************/
#ifdef(lg_6155)
#else
#declare lg_6155 =
union {
 #declare MIR = 0;
 #while (MIR < 2)
  union {
   sphere {
    <0, 0, 0>,
    0.08
    scale <1, 0.25, 1>
    translate <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>,
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-0.08>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>,
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH-0.08>,
    0.08-LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 0>
    translate <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-0.08>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_WALL_WIDTH>
   }
   box {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   sphere {
    <0, 0, 0>,
    0.08
    scale <1, 0.25, 1>
    translate <-LG_BRICK_WIDTH/2+0.16, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.16, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>,
    <-LG_BRICK_WIDTH/2+0.16, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH-0.08>,
    0.08
   }
   sphere {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.24>
   }
   cylinder {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 0.16, -3.24>,
    <-3*LG_WALL_WIDTH, 0.16, -3.24>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.24>,
    <-2.5*LG_WALL_WIDTH, 0.16, -3.24>,
    0.08
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   #declare RIM = 0;
   #while (RIM < 17)
    union {
     sphere {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     sphere {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>,
      LG_CORNER_SPACE
     }
     box {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), -1.8*LG_BRICK_WIDTH, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     box {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     box {
      <LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     box {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     rotate <0, 45, 0>
     rotate <0, 0, 180>
     translate <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -3.16+(2.93/17)*RIM>
    }
    #declare RIM = RIM + 1;
   #end
   box {
    <-2.5*LG_WALL_WIDTH-LG_E, 0.16, -3.16>,
    <-1.5*LG_WALL_WIDTH, -0.16, -3.32>
   }
  }
  union {
   box {
    <0, -1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <-1.5*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT>
   }
   cylinder {
    <-LG_WALL_WIDTH, -0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, -0.16, -3.24>,
    0.08
   }
   cylinder {
    <-LG_WALL_WIDTH, 0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, 0.16, -3.24>,
    0.08
   }
  }
 }
 box {
  <-LG_WALL_WIDTH, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>,
  <-1.5*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.24>,
  <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH, -11*LG_PLATE_HEIGHT+0.36>
 }
 difference {
  union {
   box {
    <-LG_WALL_WIDTH, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>
   }
   box {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH, -11*LG_PLATE_HEIGHT+0.36>
   }
  }
  union {
   cylinder {
    <-LG_WALL_WIDTH+LG_E, -0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, -0.16, -3.24>,
    0.08
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_E, 0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, 0.16, -3.24>,
    0.08
   }
  }
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT>
 }
 box {
  <-LG_WALL_WIDTH, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.24>
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <-2.5*LG_WALL_WIDTH, 0.16, -3.16>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -0.16, -3.32>
 }
 box {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 0.16, -3.16-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH, -0.16, -3.32+LG_CORNER_SPACE>
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.16-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -0.16, -3.16-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.32+LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -0.16, -3.32+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 rotate <0, 0, 180>
 translate <LG_BRICK_WIDTH/2-0.32, 0, LG_WALL_WIDTH+0.08>
}

#declare lg_6155_clear =
merge {
 #declare MIR = 0;
 #while (MIR < 2)
  merge {
   sphere {
    <0, 0, 0>,
    0.08
    scale <1, 0.25, 1>
    translate <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>,
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-0.08>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>,
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH-0.08>,
    0.08-LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 0>
    translate <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-0.08>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_WALL_WIDTH>
   }
   box {
    <-LG_BRICK_WIDTH/2+0.32, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   sphere {
    <0, 0, 0>,
    0.08
    scale <1, 0.25, 1>
    translate <-LG_BRICK_WIDTH/2+0.16, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.16, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH-0.08>,
    <-LG_BRICK_WIDTH/2+0.16, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_WALL_WIDTH-0.08>,
    0.08
   }
   sphere {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>,
    <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.24>
   }
   cylinder {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 0.16, -3.24>,
    <-3*LG_WALL_WIDTH, 0.16, -3.24>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.24>,
    <-2.5*LG_WALL_WIDTH, 0.16, -3.24>,
    0.08
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1;
 #end
 cylinder {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   #declare RIM = 0;
   #while (RIM < 17)
    merge {
     sphere {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     sphere {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      LG_CORNER_SPACE
     }
     cylinder {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>,
      LG_CORNER_SPACE
     }
     box {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), -1.8*LG_BRICK_WIDTH, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     box {
      <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     box {
      <LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     box {
      <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
      <-0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2), 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.10*sqrt(2)+LG_CORNER_SPACE*sqrt(2)>
     }
     rotate <0, 45, 0>
     rotate <0, 0, 180>
     translate <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 0, -3.16+(2.93/17)*RIM>
    }
    #declare RIM = RIM + 1;
   #end
   box {
    <-2.5*LG_WALL_WIDTH-LG_E, 0.16, -3.16>,
    <-1.5*LG_WALL_WIDTH, -0.16, -3.32>
   }
  }
  union {
   box {
    <0, -1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <-1.5*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT>
   }
   cylinder {
    <-LG_WALL_WIDTH, -0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, -0.16, -3.24>,
    0.08
   }
   cylinder {
    <-LG_WALL_WIDTH, 0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, 0.16, -3.24>,
    0.08
   }
  }
 }
 box {
  <-LG_WALL_WIDTH, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>,
  <-1.5*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.24>,
  <-1.5*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH, -11*LG_PLATE_HEIGHT+0.36>
 }
 difference {
  merge {
   box {
    <-LG_WALL_WIDTH, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+0.36>
   }
   box {
    <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH, -11*LG_PLATE_HEIGHT+0.36>
   }
  }
  union {
   cylinder {
    <-LG_WALL_WIDTH+LG_E, -0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, -0.16, -3.24>,
    0.08
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_E, 0.16, -3.24>,
    <-3*LG_WALL_WIDTH-LG_E, 0.16, -3.24>,
    0.08
   }
  }
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -11*LG_PLATE_HEIGHT>
 }
 box {
  <-LG_WALL_WIDTH, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-0.24>
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH, -LG_WALL_WIDTH-0.24>
 }
 box {
  <-LG_WALL_WIDTH-LG_CORNER_SPACE, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>,
  <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <-2.5*LG_WALL_WIDTH, 0.16, -3.16>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -0.16, -3.32>
 }
 box {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E, 0.16, -3.16-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH, -0.16, -3.32+LG_CORNER_SPACE>
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.16-LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -0.16, -3.16-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, 0.16, -3.32+LG_CORNER_SPACE>,
  <-3*LG_WALL_WIDTH+LG_CORNER_SPACE, -0.16, -3.32+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 rotate <0, 0, 180>
 translate <LG_BRICK_WIDTH/2-0.32, 0, LG_WALL_WIDTH+0.08>
}

#end
