/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) lgeo@digitalbricks.org (Lutz Uhlmann)      */
/*                                                                             */
/* 20081127 Lutz Uhlmann                                                       */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_62113: Bar 1 x 4 x 3 Window with end protrusions                         */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_62113)
#else
#declare lg_62113 =
union {
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, -1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, -1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>,
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>,
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0, 1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, 0.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT>,
  <0, 0.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, -0.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT>,
  <0, -0.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, -1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0, -1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 intersection {
  sphere {
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.12*sin(pi/4),13/4*LG_PLATE_HEIGHT+0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, 2*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>,
   <0.1, 1.8*LG_BRICK_WIDTH-LG_E, 13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>
  }
 }
 intersection {
  sphere {
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.12*sin(pi/4),13/4*LG_PLATE_HEIGHT+0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, -2*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>,
   <0.1, -1.8*LG_BRICK_WIDTH+LG_E, 13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>
  }
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 intersection {
  sphere {
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.12*sin(pi/4),13/4*LG_PLATE_HEIGHT+0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, 2*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>,
   <0.1, 1.8*LG_BRICK_WIDTH-LG_E, -13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>
  }
 }
 intersection {
  sphere {
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.12*sin(pi/4), -13/4*LG_PLATE_HEIGHT-0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, -2*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>,
   <0.1, -1.8*LG_BRICK_WIDTH+LG_E, -13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>
  }
 }
}

#declare lg_62113_clear =
merge {
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, -1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>
 }
 torus {
  LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, -1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>,
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>,
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0, 1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, 0.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT>,
  <0, 0.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, -0.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT>,
  <0, -0.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
 cylinder {
  <0, -1.5*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0, -1.5*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT-0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 intersection {
  sphere {
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.12*sin(pi/4),13/4*LG_PLATE_HEIGHT+0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, 2*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>,
   <0.1, 1.8*LG_BRICK_WIDTH-LG_E, 13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>
  }
 }
 intersection {
  sphere {
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.12*sin(pi/4),13/4*LG_PLATE_HEIGHT+0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, -2*LG_BRICK_WIDTH, 13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>,
   <0.1, -1.8*LG_BRICK_WIDTH+LG_E, 13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>
  }
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>
 }
 cylinder {
  <0, 1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, 1.8*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, 1.8*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-0.5*LG_CORNER_SPACE
 }
 cylinder {
  <0, -1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  <0, -1.8*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT+0.5*LG_CORNER_SPACE>,
  LG_KNOB_INNER_RADIUS-1.5*LG_CORNER_SPACE
 }
 intersection {
  sphere {
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.12*sin(pi/4),13/4*LG_PLATE_HEIGHT+0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, 2*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>,
   <0.1, 1.8*LG_BRICK_WIDTH-LG_E, -13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>
  }
 }
 intersection {
  sphere {
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+0.12*sin(pi/4), -13/4*LG_PLATE_HEIGHT-0.06*sin(pi/4)>,
   0.12
  }
  box {
   <-0.1, -2*LG_BRICK_WIDTH, -13/4*LG_PLATE_HEIGHT-LG_KNOB_INNER_RADIUS>,
   <0.1, -1.8*LG_BRICK_WIDTH+LG_E, -13/4*LG_PLATE_HEIGHT+LG_KNOB_INNER_RADIUS>
  }
 }
}

#end
