/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_0033: Door 1 x 2 x 3 Right                                               */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_0033)
#else
#declare LENGTH = 1
#declare WIDTH = 2
#declare HEIGHT = 3
#declare lg_0033 = 
union {
 #declare ROT = 0
 #while (ROT < 2)
  union {
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT=1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end 
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24>,
  <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08>
 }
 torus {
  0.16-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2-0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>
 }
 cylinder {
  <LG_BRICK_WIDTH/2-0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  <LG_BRICK_WIDTH/2-0.2, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  0.16
 }
 cylinder {
  <LG_BRICK_WIDTH/2-0.1-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  <LG_BRICK_WIDTH/2-0.1, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  0.16-LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34>
   }
  }
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -WIDTH/2*LG_BRICK_WIDTH+0.2, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>
   }
  }
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.22>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.22>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26>
 }
 difference {
  union {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1, -LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT+0.2>
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, 0, -HEIGHT*LG_BRICK_HEIGHT>
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, 0, -HEIGHT*LG_BRICK_HEIGHT+0.2>
    LG_KNOB_INNER_RADIUS
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH-0.2, -0.05, -HEIGHT*LG_BRICK_HEIGHT+0.15>,
   <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.05, -HEIGHT*LG_BRICK_HEIGHT+0.25>
  }
 } 
 #declare CYL_X = -0.5
 #while (CYL_X < 1)
  object {
   lg_tech_knob
   translate <0, CYL_X*LG_BRICK_WIDTH, 0>
  } 
  #declare CYL_X = CYL_X + 1
 #end
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_E, -0.08-LG_E>,
  <LENGTH/2*LG_BRICK_WIDTH-0.3, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_E, -HEIGHT*LG_BRICK_HEIGHT+0.28+LG_E>
  texture { lg_clear }
 }  
} 

#declare lg_0033_clear = 
merge {
 #declare ROT = 0
 #while (ROT < 2)
  merge {
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   sphere {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT=1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end 
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34-LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24>,
  <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.24+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.34-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.08>
 }
 torus {
  0.16-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH/2-0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>
 }
 cylinder {
  <LG_BRICK_WIDTH/2-0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  <LG_BRICK_WIDTH/2-0.2, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  0.16
 }
 cylinder {
  <LG_BRICK_WIDTH/2-0.1-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  <LG_BRICK_WIDTH/2-0.1, LG_BRICK_WIDTH/2, -(HEIGHT-1)*LG_BRICK_HEIGHT+0.29>,
  0.16-LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08+LG_E>,
    <LENGTH/2*LG_BRICK_WIDTH-0.2, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1, -0.18-LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.34+LG_CORNER_SPACE>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -0.18>,
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.34>
   }
  }
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.2, -0.28>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -WIDTH/2*LG_BRICK_WIDTH+0.2, -HEIGHT*LG_BRICK_HEIGHT+0.44>
   }
   box {
    <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.2+LG_CORNER_SPACE, -0.28+LG_CORNER_SPACE>,
    <LENGTH/2*LG_BRICK_WIDTH+LG_E, -WIDTH/2*LG_BRICK_WIDTH+0.2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.44-LG_CORNER_SPACE>
   }
  }
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.1-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.22>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+0.22>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH, WIDTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH, -0.08+LG_CORNER_SPACE>,
  <-LENGTH/2*LG_BRICK_WIDTH+LG_CORNER_SPACE, WIDTH/2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1, -HEIGHT*LG_BRICK_HEIGHT+0.18+LG_CORNER_SPACE>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1, -HEIGHT*LG_BRICK_HEIGHT+0.26-LG_CORNER_SPACE>
 }
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.18>,
  <LENGTH/2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+0.26>
 }
 difference {
  merge {
   box {
    <LENGTH/2*LG_BRICK_WIDTH-0.1, -LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT>,
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, LG_KNOB_INNER_RADIUS, -HEIGHT*LG_BRICK_HEIGHT+0.2>
   }
   cylinder {
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, 0, -HEIGHT*LG_BRICK_HEIGHT>
    <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_KNOB_INNER_RADIUS, 0, -HEIGHT*LG_BRICK_HEIGHT+0.2>
    LG_KNOB_INNER_RADIUS
   }
  }
  box {
   <LENGTH/2*LG_BRICK_WIDTH-0.2, -0.05, -HEIGHT*LG_BRICK_HEIGHT+0.15>,
   <-LENGTH/2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0.05, -HEIGHT*LG_BRICK_HEIGHT+0.25>
  }
 } 
 #declare CYL_X = -0.5
 #while (CYL_X < 1)
  object {
   lg_tech_knob
   translate <0, CYL_X*LG_BRICK_WIDTH, 0>
  } 
  #declare CYL_X = CYL_X + 1
 #end
 box {
  <LENGTH/2*LG_BRICK_WIDTH-0.2-LG_E, WIDTH/2*LG_BRICK_WIDTH-0.1-LG_E, -0.08-LG_E>,
  <LENGTH/2*LG_BRICK_WIDTH-0.3, -WIDTH/2*LG_BRICK_WIDTH+0.1+LG_E, -HEIGHT*LG_BRICK_HEIGHT+0.28+LG_E>
  texture { lg_clear }
 }  
} 

#end
