/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_0034: Brick 2 x 4 with Wheels Holder                                     */
/*                                                                             */
/*******************************************************************************/
#ifdef(lg_0034)
#else
#declare lg_0034a =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0.28, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.34, 0.3, -2*LG_PLATE_HEIGHT+LG_E>
   }
   box {
    <-0.28, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.34, 0.3, -2*LG_PLATE_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.28, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.34, -2*LG_PLATE_HEIGHT+LG_E>
   }
   object {
    lg_knob
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    translate <LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    translate <-LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.4>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.4>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -0.4>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -0.4>
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH+LG_E, -0.4>,
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH, -0.4>,
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH-LG_E, -0.4>,
    <0, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH, -0.4>,
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_E, 0, -0.4>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH, 0, -0.4>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 0, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_E, 0, -0.4>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH, 0, -0.4>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, 0, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
  }
 }
}

#declare lg_0034b=
merge {
 box {
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-0.08>,
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, 0, -LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 }
 texture { lg_clear }
}

#declare lg_0034c=
difference {
 cylinder {
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, 0, -0.4>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 0, -0.4>,
  LG_KNOB_INNER_RADIUS+0.12
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_WALL_WIDTH, 0, -0.4>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, 0, -0.4>,
  LG_KNOB_INNER_RADIUS
 }
 texture { lg_red }
}

#declare lg_0034d=
difference {
 cylinder {
  <0, 0.34+LG_E, -0.4>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -0.4>,
  LG_KNOB_INNER_RADIUS+0.12
 }
 cylinder {
  <0, 0.34, -0.4>,
  <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.4>,
  LG_KNOB_INNER_RADIUS
 }
 texture { lg_red }
}

#declare lg_0034a_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <0.28, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0.34, 0.3, -2*LG_PLATE_HEIGHT+LG_E>
   }
   box {
    <-0.28, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.34, 0.3, -2*LG_PLATE_HEIGHT+LG_E>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.28, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0.34, -2*LG_PLATE_HEIGHT+LG_E>
   }
   object {
    lg_knob_clear
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    translate <LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    translate <-LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.4>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <0, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.4>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -0.4>
 }
 torus {
  LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <0, 0, 90>
  translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -0.4>
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH+LG_E, -0.4>,
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH, -0.4>,
    <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH-LG_E, -0.4>,
    <0, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <0, -2*LG_BRICK_WIDTH, -0.4>,
    <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_E, 0, -0.4>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH, 0, -0.4>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 0, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_E, 0, -0.4>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -0.4>,
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH, 0, -0.4>,
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, 0, -0.4>,
    LG_KNOB_INNER_RADIUS
   }
  }
 }
}

#declare lg_0034=
union {
 object {
  lg_0034a
 }
 object {
  lg_0034b
 }
 object {
  lg_0034c
 }
 object {
  lg_0034d
 }
 object {
  lg_0034d
  matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
 }
}


#declare lg_0034_clear=
union {
 object {
  lg_0034a_clear
 }
 object {
  lg_0034b
 }
 object {
  lg_0034c
 }
 object {
  lg_0034d
 }
 object {
  lg_0034d
  matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
 }
}

#end
