/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_0251: Turntable 2 x 2 Plate Base with Hinge                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_0251)
#else
#declare lg_0251 =
union {
 #declare ROT = 0
 #while (ROT < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH-0.04, LG_BRICK_WIDTH-0.04, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+0.04, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-0.04, LG_BRICK_WIDTH-0.04, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.1>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.1>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end
 #declare MIR = 0
 #while (MIR < 2)
  union {
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 2.25*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2.25*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH, -0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH, -0.1*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 box {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 difference {
  union {
   cylinder {
    <0, 0, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>,
    <0, 0, -0.1>,
    LG_CYLINDER_RADIUS
   }
   #declare ROT = 0
   #while (ROT < 2)
    union {
     cylinder {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE+LG_E>
     }
     box {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH, -0.1>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>
     }
     #if (ROT = 1)
      rotate <0, 0, 90>
     #end
    }
    #declare ROT = ROT + 1
   #end
  }
  union {
   cylinder {
    <0, 0, -LG_PLATE_HEIGHT>,
    <0, 0, -0.18>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>,
    <0, 0, -0.1+LG_E>,
    LG_KNOB_INNER_RADIUS
   }
  }
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,
  LG_CYLINDER_WALL_WIDTH/2
  rotate <90, 0, 0>
  translate <0, 0, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>
 }
 difference {
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.1-LG_E>
  }
  union {
   cylinder {
    <0, 0, 0>,
    <0, 0, -0.1-2*LG_E>,
    LG_BRICK_WIDTH-0.08
   }
   cylinder {
    <0, 0, LG_E>,
    <0, 0, -LG_CORNER_SPACE>,
    LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE
   }
  }
 }
 torus {
  LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
}

#declare lg_0251_clear =
merge {
 #declare ROT = 0
 #while (ROT < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH-0.04, LG_BRICK_WIDTH-0.04, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+0.04, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-0.04, LG_BRICK_WIDTH-0.04, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -0.1>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04>,
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.1>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.04+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.3*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH, 0.3*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 2.25*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2.25*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH, -0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH, -0.1*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
 box {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.1*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 0.1*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.1*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 difference {
  merge {
   cylinder {
    <0, 0, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>,
    <0, 0, -0.1>,
    LG_CYLINDER_RADIUS
   }
   #declare ROT = 0
   #while (ROT < 2)
    merge {
     cylinder {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     cylinder {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
     }
     box {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE+LG_E>
     }
     box {
      <LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH, -0.1>,
      <-LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2+LG_CORNER_SPACE>
     }
     #if (ROT = 1)
      rotate <0, 0, 90>
     #end
    }
    #declare ROT = ROT + 1
   #end
  }
  union {
   cylinder {
    <0, 0, -LG_PLATE_HEIGHT>,
    <0, 0, -0.18>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>,
    <0, 0, -0.1+LG_E>,
    LG_KNOB_INNER_RADIUS
   }
  }
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2,
  LG_CYLINDER_WALL_WIDTH/2
  rotate <90, 0, 0>
  translate <0, 0, -LG_PLATE_HEIGHT+LG_CYLINDER_WALL_WIDTH/2>
 }
 difference {
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.1-LG_E>
  }
  union {
   cylinder {
    <0, 0, 0>,
    <0, 0, -0.1-2*LG_E>,
    LG_BRICK_WIDTH-0.08
   }
   cylinder {
    <0, 0, LG_E>,
    <0, 0, -LG_CORNER_SPACE>,
    LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE
   }
  }
 }
 torus {
  LG_BRICK_WIDTH-0.08+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
}

#end
