/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_0700: Brick 10 x 20                                                      */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_0700)
#else
#declare lg_0700 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   #declare CYL_X = -4
   #while (CYL_X<5)
    object {
     lg_brick_cylinder
     translate <CYL_X*LG_BRICK_WIDTH, 9*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    }
    #declare CYL_X = CYL_X + 1
   #end
   #declare CYL_Y = -9
   #while (CYL_Y<9)
    object {
     lg_brick_cylinder
     translate <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    }
    #declare CYL_Y = CYL_Y + 1
   #end
   box {
    <4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH-0.04, -LG_BRICK_HEIGHT+0.04>,
    <-4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH+0.04, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    <-4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   box {
    <4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH-0.04, -LG_BRICK_HEIGHT+0.04>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+0.04, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   box {
    <-4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH-0.04, -LG_BRICK_HEIGHT+0.04>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+0.04, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <-4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   box {
    <0.04, 9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
    <-0.04, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <0, 9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
    <0, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 box {
  <0.04, 9*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
  <-0.04, -9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_TOP_HEIGHT+LG_E>
 }
 cylinder {
  <0, 9*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
  <0, -9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
  0.04
 }
 difference {
  box {
   <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_X = -4.5
   #while (KNOB_X<5)
    #declare KNOB_Y = -9.5
    #while (KNOB_Y<10)
     object {
      lg_knob_inner_space
      translate <KNOB_X*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     #declare KNOB_Y = KNOB_Y + 1
    #end
    #declare KNOB_X = KNOB_X + 1
   #end
  }
 }
 #declare KNOB_X = -4.5
 #while (KNOB_X<5)
  #declare KNOB_Y = -9.5
  #while (KNOB_Y<10)
   object {
    lg_knob
    translate <KNOB_X*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, 0>
   }
   #declare KNOB_Y = KNOB_Y + 1
  #end
  #declare KNOB_X = KNOB_X + 1
 #end
}

#declare lg_0700_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 10*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <5*LG_BRICK_WIDTH, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   #declare CYL_X = -4
   #while (CYL_X<5)
    object {
     lg_brick_cylinder_clear
     translate <CYL_X*LG_BRICK_WIDTH, 9*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    }
    #declare CYL_X = CYL_X + 1
   #end
   #declare CYL_Y = -9
   #while (CYL_Y<9)
    object {
     lg_brick_cylinder_clear
     translate <4*LG_BRICK_WIDTH, CYL_Y*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
    }
    #declare CYL_Y = CYL_Y + 1
   #end
   box {
    <4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH-0.04, -LG_BRICK_HEIGHT+0.04>,
    <-4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH+0.04, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    <-4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   box {
    <4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH-0.04, -LG_BRICK_HEIGHT+0.04>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+0.04, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <4*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   box {
    <-4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH-0.04, -LG_BRICK_HEIGHT+0.04>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH+0.04, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <-4*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   box {
    <0.04, 9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
    <-0.04, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT+LG_E>
   }
   cylinder {
    <0, 9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
    <0, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+0.04>,
    0.04
   }
   #if (MIR = 1)
    matrix <-1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 box {
  <0.04, 9*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
  <-0.04, -9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_TOP_HEIGHT+LG_E>
 }
 cylinder {
  <0, 9*LG_BRICK_WIDTH-LG_CYLINDER_RADIUS+LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
  <0, -9*LG_BRICK_WIDTH+LG_CYLINDER_RADIUS-LG_CYLINDER_WALL_WIDTH/2, -LG_BRICK_HEIGHT+0.04>,
  0.04
 }
 difference {
  box {
   <5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 10*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -10*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   #declare KNOB_X = -4.5
   #while (KNOB_X<5)
    #declare KNOB_Y = -9.5
    #while (KNOB_Y<10)
     object {
      lg_knob_inner_space_clear
      translate <KNOB_X*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
     }
     #declare KNOB_Y = KNOB_Y + 1
    #end
    #declare KNOB_X = KNOB_X + 1
   #end
  }
 }
 #declare KNOB_X = -4.5
 #while (KNOB_X<5)
  #declare KNOB_Y = -9.5
  #while (KNOB_Y<10)
   object {
    lg_knob_clear
    translate <KNOB_X*LG_BRICK_WIDTH, KNOB_Y*LG_BRICK_WIDTH, 0>
   }
   #declare KNOB_Y = KNOB_Y + 1
  #end
  #declare KNOB_X = KNOB_X + 1
 #end
}

#end
