/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2342: Space Control Panel                                                */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2342)
#else
#declare lg_angle1=21.565185/180*pi
#declare lg_angle2=atan2((0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1)+0.4-LG_CORNER_SPACE, (0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)+LG_CORNER_SPACE)
#declare lg_2342 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE-LG_E>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.6>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 5*LG_PLATE_HEIGHT>
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.42>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, 0.42>,
      0.46
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.42>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, 0.42>,
      0.46+LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>,
      <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     box {
      <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, 0.88+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, 0.59>
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT>
      rotate <0, lg_angle1*180/pi, 0>
      translate <0, 0, LG_BRICK_HEIGHT>
     }
     box {
      <0, LG_BRICK_WIDTH/2+LG_E, 0>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT>
      rotate <0, lg_angle2*180/pi, 0>
      translate <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
     }
    }
   }
   difference {
    torus {
     0.46+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.42>
    }
    union {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, -LG_PLATE_HEIGHT>,
      <LG_BRICK_WIDTH+2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_HEIGHT/2>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>,
      <LG_BRICK_WIDTH+2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_HEIGHT/2-LG_E>
     }
    }
   }
   object {
    lg_tech_knob
    rotate <-90, 0, 0>
    translate <0, LG_BRICK_WIDTH/2, LG_BRICK_HEIGHT>
   }
   sphere {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.88>
   }
   sphere {
    <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)
    -(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.88+LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE-LG_E>
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
   <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2-LG_E, -LG_KNOB_RADIUS-LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH+LG_E, LG_KNOB_RADIUS, LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS, 2.5*LG_PLATE_HEIGHT>
   }
  }
 }
 cylinder {
  <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
  <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 difference {
  box {
   <-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
   <LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT>
   rotate <0, lg_angle2*++180/pi, 0>
   translate <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>
   rotate <0, lg_angle1*180/pi, 0>
   translate <0, 0, LG_BRICK_HEIGHT>
  }
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E, LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_E, 4*LG_PLATE_HEIGHT>,
   <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E, LG_BRICK_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>
   rotate <0, lg_angle1*180/pi, 0>
   translate <0, 0, LG_BRICK_HEIGHT>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2>,
   <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_TOP_HEIGHT>
   rotate <0, lg_angle1*180/pi, 0>
   translate <0, 0, LG_BRICK_HEIGHT>
  }
  union {
   box {
    <0, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH>,
    <LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH, LG_BRICK_HEIGHT+LG_E>
   }
  }
 }
 union {
  object {
   lg_tech_knob
   translate <LG_WALL_WIDTH/2, 0, LG_BRICK_WIDTH/2>
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2-LG_E>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
   0.12
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
   0.12-LG_CORNER_SPACE
  }
  torus {
   0.12-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2-LG_E>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
   0.12
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
   0.12-LG_CORNER_SPACE
  }
  torus {
   0.12-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  }
  rotate <0, lg_angle1*180/pi, 0>
  translate <0, 0, LG_BRICK_HEIGHT>
 }
}

#declare lg_2342_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_TOP_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE-LG_E>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.6>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 5*LG_PLATE_HEIGHT>
     }
    }
    union {
     cylinder {
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, 0.42>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, 0.42>,
      0.46
     }
     cylinder {
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.42>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, 0.42>,
      0.46+LG_CORNER_SPACE
     }
     cylinder {
      <0, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>,
      <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     box {
      <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, 0.88+LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, 0.59>
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT>
      rotate <0, lg_angle1*180/pi, 0>
      translate <0, 0, LG_BRICK_HEIGHT>
     }
     box {
      <0, LG_BRICK_WIDTH/2+LG_E, 0>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT>
      rotate <0, lg_angle2*180/pi, 0>
      translate <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
     }
    }
   }
   difference {
    torus {
     0.46+LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.42>
    }
    union {
     box {
      <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, -LG_PLATE_HEIGHT>,
      <LG_BRICK_WIDTH+2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_HEIGHT/2>
     }
     box {
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>,
      <LG_BRICK_WIDTH+2*LG_WALL_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_HEIGHT/2-LG_E>
     }
    }
   }
   object {
    lg_tech_knob_clear
    rotate <-90, 0, 0>
    translate <0, LG_BRICK_WIDTH/2, LG_BRICK_HEIGHT>
   }
   sphere {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE+LG_E>,
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.88>
   }
   sphere {
    <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)
    -(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.88+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE-LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 0.88+LG_CORNER_SPACE>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -LG_CORNER_SPACE-LG_E>
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_KNOB_RADIUS-LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
   <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
  union {
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2-LG_E, -LG_KNOB_RADIUS-LG_CORNER_SPACE, 2.5*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH+LG_E, LG_KNOB_RADIUS, LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2, -LG_KNOB_RADIUS, 2.5*LG_PLATE_HEIGHT>
   }
  }
 }
 cylinder {
  <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
  <(0.4-LG_CORNER_SPACE)*sin(lg_angle1)-(0.32-LG_CORNER_SPACE)*cos(lg_angle1), -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)+(0.32-LG_CORNER_SPACE)*sin(lg_angle1)>,
  LG_CORNER_SPACE
 }
 difference {
  box {
   <-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
   <LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT>
   rotate <0, lg_angle2*++180/pi, 0>
   translate <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>
   rotate <0, lg_angle1*180/pi, 0>
   translate <0, 0, LG_BRICK_HEIGHT>
  }
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E, LG_BRICK_HEIGHT>
 }
 difference {
  box {
   <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_WALL_WIDTH-LG_E, 4*LG_PLATE_HEIGHT>,
   <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E, LG_BRICK_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2+LG_E, LG_BRICK_HEIGHT>
   rotate <0, lg_angle1*180/pi, 0>
   translate <0, 0, LG_BRICK_HEIGHT>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2>,
   <-2*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_TOP_HEIGHT>
   rotate <0, lg_angle1*180/pi, 0>
   translate <0, 0, LG_BRICK_HEIGHT>
  }
  union {
   box {
    <0, LG_BRICK_WIDTH/2, -LG_WALL_WIDTH>,
    <LG_WALL_WIDTH, -LG_BRICK_WIDTH/2, LG_WALL_WIDTH>
    rotate <0, lg_angle1*180/pi, 0>
    translate <LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT+(0.4-LG_CORNER_SPACE)*cos(lg_angle1)-(0.88-LG_CORNER_SPACE-(0.4-LG_CORNER_SPACE)*sin(lg_angle1))*tan(lg_angle1)>
   }
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH>,
    <LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH, LG_BRICK_HEIGHT+LG_E>
   }
  }
 }
 merge {
  object {
   lg_tech_knob_clear
   translate <LG_WALL_WIDTH/2, 0, LG_BRICK_WIDTH/2>
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2-LG_E>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
   0.12
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
   0.12-LG_CORNER_SPACE
  }
  torus {
   0.12-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, 0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2-LG_E>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
   0.12
  }
  cylinder {
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT>,
   <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
   0.12-LG_CORNER_SPACE
  }
  torus {
   0.12-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <90, 0, 0>
   translate <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2+0.12, -0.2, LG_BRICK_WIDTH/2+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
  }
  rotate <0, lg_angle1*180/pi, 0>
  translate <0, 0, LG_BRICK_HEIGHT>
 }
}

#end
