/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2433: Lever Control                                                      */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2433)
#else
#declare lg_2433 =
union {
 #declare HIN = -1
 #while (HIN < 2)
  union {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2, 0, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2, 0, -4.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
  #declare HIN = HIN + 1
 #end
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH, -3.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  cylinder {
   <2*LG_WALL_WIDTH, 0, -3.5*LG_PLATE_HEIGHT>,
   <-2*LG_WALL_WIDTH, 0, -3.5*LG_PLATE_HEIGHT>,
   LG_WALL_WIDTH
  }
  box {
   <LG_BRICK_WIDTH/2, LG_WALL_WIDTH, -3.3*LG_PLATE_HEIGHT>,
   <-LG_BRICK_WIDTH/2, -LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
  }
 }
 cylinder {
  <0, 0, -LG_CORNER_SPACE>,
  <0, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CYLINDER_RADIUS
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -LG_TOP_HEIGHT>,
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 object {
  lg_tech_knob
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.4>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.48>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.56>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.64>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.72>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.8>
 }
 cylinder {
  <0, 0, -LG_TOP_HEIGHT+LG_E>,
  <0, 0, -0.4>,
  LG_WALL_WIDTH
 }
 cylinder {
  <0, 0, -3.5*LG_PLATE_HEIGHT>,
  <0, 0, -0.8>,
  LG_WALL_WIDTH
 }
 cylinder {
  <0, 0, -0.8-LG_E>,
  <0, 0, -0.4+LG_E>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
}

#declare lg_2433_clear =
merge {
 #declare HIN = -1
 #while (HIN < 2)
  merge {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <0, 0, 90>
    translate <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0, -4.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2, 0, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2, 0, -4.5*LG_PLATE_HEIGHT>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <2*HIN*LG_WALL_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH, -4.5*LG_PLATE_HEIGHT>,
    <2*HIN*LG_WALL_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
  #declare HIN = HIN + 1
 #end
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2, LG_WALL_WIDTH-LG_CORNER_SPACE, -3.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH, -3.5*LG_PLATE_HEIGHT>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH, -3.25*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 difference {
  cylinder {
   <2*LG_WALL_WIDTH, 0, -3.5*LG_PLATE_HEIGHT>,
   <-2*LG_WALL_WIDTH, 0, -3.5*LG_PLATE_HEIGHT>,
   LG_WALL_WIDTH
  }
  box {
   <LG_BRICK_WIDTH/2, LG_WALL_WIDTH, -3.3*LG_PLATE_HEIGHT>,
   <-LG_BRICK_WIDTH/2, -LG_WALL_WIDTH, -3*LG_PLATE_HEIGHT>
  }
 }
 cylinder {
  <0, 0, -LG_CORNER_SPACE>,
  <0, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>,
  LG_CYLINDER_RADIUS
 }
 cylinder {
  <0, 0, 0>,
  <0, 0, -LG_TOP_HEIGHT>,
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
 torus {
  LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_TOP_HEIGHT+LG_CORNER_SPACE>
 }
 object {
  lg_tech_knob_clear
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.4>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.48>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.56>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.64>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.72>
 }
 torus {
  LG_WALL_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.8>
 }
 cylinder {
  <0, 0, -LG_TOP_HEIGHT+LG_E>,
  <0, 0, -0.4>,
  LG_WALL_WIDTH
 }
 cylinder {
  <0, 0, -3.5*LG_PLATE_HEIGHT>,
  <0, 0, -0.8>,
  LG_WALL_WIDTH
 }
 cylinder {
  <0, 0, -0.8-LG_E>,
  <0, 0, -0.4+LG_E>,
  LG_WALL_WIDTH-LG_CORNER_SPACE
 }
}

#end
