/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2582: Panel 2 x 4 x 3 & 1/3                                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2582)
#else
#declare lg_angle1=atan2(LG_BRICK_WIDTH+LG_CORNER_SPACE-LG_WALL_WIDTH*(1-sin(pi/4)), LG_BRICK_HEIGHT-LG_WALL_WIDTH*(1+sin(pi/4)))*180/pi
#declare lg_angle2=90-lg_angle1
#declare lg_2582 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, -LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, -0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_PLATE_HEIGHT+0.08>,
     <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH+LG_E, -LG_PLATE_HEIGHT>
    }
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+0.08>,
    0.08-LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, 2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   box {
    <-0.1, 2*LG_BRICK_WIDTH, 0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180)+0.1, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, 0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
    }
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0.8>
     rotate <0, lg_angle2, 0>
     translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
   object {
    lg_knob
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1,0,0,0,-1,0,0,0,1,0,0,0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_TOP_HEIGHT, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -2*LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
  }
 }
 union {
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  difference {
   union {
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
    }
    cylinder {
     <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
     <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
     <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
     <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
     <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
     <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
     <0, LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
     <0, -LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
     <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
   }
   box {
    <0, 2*LG_BRICK_WIDTH, LG_E>,
    <LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
  }
  difference {
   union {
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, 0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, -0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, -0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
   }
   union {
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 0>,
     <-LG_E, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 0>,
     <-LG_E, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0>,
     <-LG_E, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
     <-LG_E, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  rotate <0, -90, 0>
  rotate <0, 0, 180>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0, -8*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
}

#declare lg_2582_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE,0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)+0.1>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, -LG_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, -0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
     <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_PLATE_HEIGHT+0.08>,
     <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH+LG_E, -LG_PLATE_HEIGHT>
    }
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+0.08>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_PLATE_HEIGHT+0.08>,
    0.08-LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+0.08>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <0, 2*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   box {
    <-0.1, 2*LG_BRICK_WIDTH, 0>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180)+0.1, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0.13>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_E>,
    <(LG_BRICK_WIDTH-2*LG_WALL_WIDTH)/cos(pi*lg_angle2/180), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    merge {
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH+0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, LG_WALL_WIDTH, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, 0.06, -LG_PLATE_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 1.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH+0.06, -LG_CORNER_SPACE>,
      <LG_KNOB_RADIUS, 0.5*LG_BRICK_WIDTH-0.06, -2*LG_TOP_HEIGHT>
     }
    }
    box {
     <0, 2*LG_BRICK_WIDTH, 0>,
     <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), 0, 0.8>
     rotate <0, lg_angle2, 0>
     translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   box {
    <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT>,
    <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
   object {
    lg_knob_clear
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_knob_clear
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1,0,0,0,-1,0,0,0,1,0,0,0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -1.5*LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_TOP_HEIGHT, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -2*LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
  }
 }
 merge {
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  difference {
   merge {
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
    }
    torus {
     LG_WALL_WIDTH-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     translate <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>
    }
    cylinder {
     <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
     <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
     <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
     <0, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
     <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
     LG_WALL_WIDTH
    }
    cylinder {
     <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
     <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
     <0, LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <0, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
     <0, -LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
    cylinder {
     <0, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>,
     <0, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
     LG_WALL_WIDTH-LG_CORNER_SPACE
    }
   }
   box {
    <0, 2*LG_BRICK_WIDTH, LG_E>,
    <LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>
   }
  }
  difference {
   merge {
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, 0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, 0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, -0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH+0.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, -0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
     <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>,
     <0, -LG_BRICK_WIDTH-0.5*LG_WALL_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
   }
   union {
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH+2*LG_WALL_WIDTH, 0>,
     <-LG_E, -LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, -LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, 0>,
     <-LG_E, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, 0>,
     <-LG_E, 1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
    box {
     <LG_WALL_WIDTH+LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
     <-LG_E, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH-LG_E>
    }
   }
  }
  rotate <0, -90, 0>
  rotate <0, 0, 180>
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0, -8*LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
}

#declare lg_2582_slope =
 box {
  <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_E>,
  <LG_BRICK_WIDTH/cos(pi*lg_angle2/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>
  rotate <0, lg_angle2, 0>
  translate <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
#end
