/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2694: Windscreen 3 x 10 x 3                                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2694)
#else
#declare lg_angle=atan2(LG_BRICK_WIDTH, 8*LG_PLATE_HEIGHT)*180/pi
#declare lg_2694 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   cylinder {
    <0, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2+LG_E, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    difference {
     cylinder {
      <0, 0, 0>,
      <0, 0, -8*LG_PLATE_HEIGHT>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <0, 0, LG_CORNER_SPACE+LG_E>,
      <0, 0, -3*LG_BRICK_HEIGHT>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH
     }
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -3*LG_BRICK_HEIGHT>
    }
    matrix <1, 0, 2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
            0, 1, 0,
            -.8/2.56, 0, 1,
            LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <0, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, 1*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 1*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <-LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <-LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   intersection {
    difference {
     union {
      cylinder {
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
       LG_BRICK_WIDTH/2
      }
      cylinder {
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT>,
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
       LG_BRICK_WIDTH/2-LG_CORNER_SPACE
      }
     }
     cylinder {
      <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT-LG_E>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH
     }
    }
    box {
     <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH+LG_E, 5*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_HEIGHT-LG_E>
    }
   }
   box {
    <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH-LG_E, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   difference {
    union {
     box {
      <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
    }
    box {
     <LG_BRICK_WIDTH+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -3*LG_BRICK_HEIGHT>
     matrix <1, 0, 2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
             0, 1, 0,
             -.8/2.56, 0, 1,
             LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    }
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    union {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE-LG_E>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2
     }
    } 
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -4*LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   intersection {
    union {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE-LG_E>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2
     }
    } 
    box {
     <LG_BRICK_WIDTH/2-LG_E, 4*LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <0, 4.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <0, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, 4*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <0, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0, 4.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
   }
   object {
    lg_tech_knob
    translate <0, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 3.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <-LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <-LG_BRICK_WIDTH/2, -4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, 0>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT>
  matrix <1, 0, 2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
          0, 1, 0,
          -.8/2.56, 0, 1,
          LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 0, -LG_CORNER_SPACE>
 }
 cylinder {
  <LG_BRICK_WIDTH, 0, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH, 0, -3*LG_BRICK_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
}

#declare lg_2694_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   cylinder {
    <0, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2+LG_E, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    difference {
     cylinder {
      <0, 0, 0>,
      <0, 0, -8*LG_PLATE_HEIGHT>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <0, 0, LG_CORNER_SPACE+LG_E>,
      <0, 0, -3*LG_BRICK_HEIGHT>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH
     }
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -3*LG_BRICK_HEIGHT>
    }
    matrix <1, 0, 2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
            0, 1, 0,
            -.8/2.56, 0, 1,
            LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <0, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   cylinder {
    <LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 4*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH, 1*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH, 1*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <-LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
    <-LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
    LG_KNOB_INNER_RADIUS
   }
   intersection {
    difference {
     merge {
      cylinder {
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
       LG_BRICK_WIDTH/2
      }
      cylinder {
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT>,
       <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
       LG_BRICK_WIDTH/2-LG_CORNER_SPACE
      }
     }
     cylinder {
      <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
      <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT-LG_E>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH
     }
    }
    box {
     <LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
     <1.5*LG_BRICK_WIDTH+LG_E, 5*LG_BRICK_WIDTH+LG_E, -3*LG_BRICK_HEIGHT-LG_E>
    }
   }
   box {
    <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH-LG_E, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   difference {
    merge {
     box {
      <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
    }
    box {
     <LG_BRICK_WIDTH+LG_E, 4*LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -3*LG_BRICK_HEIGHT>
     matrix <1, 0, 2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
             0, 1, 0,
             -.8/2.56, 0, 1,
             LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    }
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    merge {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE-LG_E>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2
     }
    } 
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -4*LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   intersection {
    merge {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE-LG_E>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2
     }
    } 
    box {
     <LG_BRICK_WIDTH/2-LG_E, 4*LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <0, 4.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <0, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, 4*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <0, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0, 4.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>
   }
   object {
    lg_tech_knob_clear
    translate <0, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 3.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 2.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <-LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2, 4*LG_BRICK_WIDTH+LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -4*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 4.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <-LG_BRICK_WIDTH/2, -4.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 box {
  <LG_BRICK_WIDTH/2, 4.5*LG_BRICK_WIDTH, 0>,
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -4.5*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT>
  matrix <1, 0, 2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
          0, 1, 0,
          -.8/2.56, 0, 1,
          LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 0, -LG_CORNER_SPACE>
 }
 cylinder {
  <LG_BRICK_WIDTH, 0, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT+LG_E>,
  <LG_BRICK_WIDTH, 0, -3*LG_BRICK_HEIGHT>,
  LG_KNOB_INNER_RADIUS
 }
}

#end
