/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2875: Slope Brick 45  2 x 6 x 2/3                                        */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2875)
#else
#declare LENGTH = 6
#declare WIDTH = 1
#declare lg_angle1=atan2(LG_BRICK_WIDTH+LG_CORNER_SPACE-LG_WALL_WIDTH*(1-sin(pi/4)), LG_BRICK_HEIGHT-LG_WALL_WIDTH*(1+sin(pi/4)))*180/pi
#declare lg_angle2=90-lg_angle1
#declare lg_2875 = 
union {
 sphere {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_PLATE_HEIGHT+LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), WIDTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <-LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, (LG_PLATE_HEIGHT+LG_CORNER_SPACE)>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, (LG_PLATE_HEIGHT+LG_CORNER_SPACE)>
   }
  }
 }
 box {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH), LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), 0>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
  <(LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <(LENGTH-0.5)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH+LG_E, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH+LG_E, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2-LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2+LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2-LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH/2+LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
   <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
  }
 }
 difference {
  box {
   <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
   <(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
   <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
  }
 }
 difference {
  box {
   <(LENGTH-1)*LG_BRICK_WIDTH, LG_CORNER_SPACE, 0>,
   <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
  }
  box {
   <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH, LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH+LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>
  }
 }
 difference {
  union {
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  union {
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-LG_CORNER_SPACE, 0, 0>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <(LENGTH*LG_BRICK_WIDTH), LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <(LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  union {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_HEIGHT>
   }
  }
  union {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  union {
   box {
    <(LENGTH-1)*LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, 0>,
    <(LENGTH-1)*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_HEIGHT>
   }
  }
  union {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT>,
   <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH+LG_WALL_WIDTH), LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
  }
  union {
   #declare KS_X = 0
   #while (KS_X < LENGTH)
    object {
     lg_knob_inner_space
     translate <(KS_X+0.5)*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 2*LG_PLATE_INNER_HEIGHT>
    }
    #declare KS_X = KS_X + 1
   #end
  }
 }
 difference {
  union{
   #declare COL_X = 2
   #while (COL_X < LENGTH-1)
    object {
     lg_brick_cylinder
     translate <COL_X*LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0 >
    }
    #declare COL_X = COL_X + 1
   #end
  }
  union {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  }
 }
 #declare KNOB_X = 0
 #while (KNOB_X < LENGTH)
  object {
   lg_knob
   translate <(0.5+KNOB_X)*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
  }
  #declare KNOB_X = KNOB_X + 1
 #end
 translate <-3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
 rotate <0,0,-90>
}

#declare lg_2875_clear = 
merge {
 sphere {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_PLATE_HEIGHT+LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), WIDTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH-1)*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)+LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
    <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, (2*LG_PLATE_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
    <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_CORNER_SPACE>
   }
  }
  merge {
   box {
    <-LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, (LG_PLATE_HEIGHT+LG_CORNER_SPACE)>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE, (LG_PLATE_HEIGHT+LG_CORNER_SPACE)>
   }
  }
 }
 box {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH), LG_CORNER_SPACE>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), 0>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
  <(LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <(LENGTH-0.5)*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH+LG_E, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_WIDTH+LG_E, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <(LENGTH-1)*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2-LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <(LENGTH-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH/2+LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 box {
  <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2-LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT>,
  <LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH/2+LG_CYLINDER_WALL_WIDTH, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
   <LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
  }
 }
 difference {
  box {
   <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
   <(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_WALL_WIDTH, 0>,
   <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT>
  }
 }
 difference {
  box {
   <(LENGTH-1)*LG_BRICK_WIDTH, LG_CORNER_SPACE, 0>,
   <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
  }
  box {
   <(LENGTH-1)*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH, LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH+LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_CORNER_SPACE>
  }
 }
 difference {
  merge {
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)-2*LG_CORNER_SPACE/cos(lg_angle2*pi/180)*sin(lg_angle2*pi/180)>
   }
   box {
    <LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, 0>
   }
  }
  merge {
   box {
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  merge {
   box {
    <2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-LG_CORNER_SPACE, 0, 0>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <(LENGTH*LG_BRICK_WIDTH), LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <(LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH), (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  merge {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, 0>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <LENGTH*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <LG_BRICK_WIDTH-LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, 0>,
    <LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_HEIGHT>
   }
  }
  merge {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  merge {
   box {
    <(LENGTH-1)*LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
   }
   box {
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.5*LG_BRICK_WIDTH-LG_CYLINDER_WALL_WIDTH, 0>,
    <(LENGTH-1)*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+LG_CYLINDER_WALL_WIDTH, LG_BRICK_HEIGHT>
   }
  }
  merge {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, 0, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <(LENGTH-1)*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT>,
    <(LENGTH-1)*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, 2*LG_PLATE_HEIGHT>,
   <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH+LG_WALL_WIDTH), LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
  }
  merge {
   #declare KS_X = 0
   #while (KS_X < LENGTH)
    object {
     lg_knob_inner_space_clear
     translate <(KS_X+0.5)*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 2*LG_PLATE_INNER_HEIGHT>
    }
    #declare KS_X = KS_X + 1
   #end
  }
 }
 difference {
  merge{
   #declare COL_X = 2
   #while (COL_X < LENGTH-1)
    object {
     lg_brick_cylinder_clear
     translate <COL_X*LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0 >
    }
    #declare COL_X = COL_X + 1
   #end
  }
  merge {
   box {
    <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LENGTH*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_E, LG_BRICK_HEIGHT>,
    <0, 0, LG_PLATE_HEIGHT+LG_PLATE_INNER_HEIGHT>
   }
  }
 }
 #declare KNOB_X = 0
 #while (KNOB_X < LENGTH)
  object {
   lg_knob_clear
   translate <(0.5+KNOB_X)*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 2*LG_PLATE_HEIGHT>
  }
  #declare KNOB_X = KNOB_X + 1
 #end
 translate <-3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
 rotate <0,0,-90>
}

#declare lg_2875_slope =
difference {
 box {
  <LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, -2*LG_CORNER_SPACE/sin(lg_angle1*pi/180)>,
  <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
  rotate <lg_angle1, 0, 0>
  translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <0, 0, 0>,
  <LENGTH*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT-2*LG_CORNER_SPACE>
 }
 translate <-3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_BRICK_HEIGHT>
 rotate <0,0,-90>
}

#end
