/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_2958: Disc 3 x3 with Axlehole                                            */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_2958)
#else
#declare lg_2958 =
union {
 torus {
  1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.12-LG_CORNER_SPACE>
 }
 torus {
  1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.28+LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.12-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.28+LG_CORNER_SPACE>
 }
 difference {
  union {
   cylinder {
    <0, 0, -0.12>,
    <0, 0, -0.28>,
    1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -0.12-LG_CORNER_SPACE>,
    <0, 0, -0.28+LG_CORNER_SPACE>,
    1.5*LG_BRICK_WIDTH
   }
  }
  cylinder {
   <0, 0, -0.12>,
   <0, 0, -0.28>,
   LG_KNOB_RADIUS
  }
 }
 object {
  lg_plate_cylinder
  translate <0, 0, -0.4>
 }
 object {
  lg_plate_cylinder
  rotate <180, 0, 0>
 }
 union {
  #declare ROT = 0
  #while (ROT < 4)
   union {
    cylinder { 
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     0.08
    }
    cylinder { 
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, 0>,
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH>,
     0.08-LG_CORNER_SPACE
    }
    torus {
     0.08-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, >
     translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>
    }
    torus {
     0.08-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, >
     translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, 0>,
     <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -LG_WALL_WIDTH>
    }
    box {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2, -LG_CORNER_SPACE>,
     <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, 0>,
     <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -LG_WALL_WIDTH>
    }
    box {
     <LG_CROSSAXLE_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_KNOB_RADIUS, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    rotate <0, 0, 90*ROT>
   }
   #declare ROT = ROT + 1
  #end
  translate <0, 0, -0.12>
 }
}

#declare lg_2958_clear =
merge {
 torus {
  1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.12-LG_CORNER_SPACE>
 }
 torus {
  1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.28+LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.12-LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -0.28+LG_CORNER_SPACE>
 }
 difference {
  merge {
   cylinder {
    <0, 0, -0.12>,
    <0, 0, -0.28>,
    1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -0.12-LG_CORNER_SPACE>,
    <0, 0, -0.28+LG_CORNER_SPACE>,
    1.5*LG_BRICK_WIDTH
   }
  }
  cylinder {
   <0, 0, -0.12>,
   <0, 0, -0.28>,
   LG_KNOB_RADIUS
  }
 }
 object {
  lg_plate_cylinder_clear
  translate <0, 0, -0.4>
 }
 object {
  lg_plate_cylinder_clear
  rotate <180, 0, 0>
 }
 merge {
  #declare ROT = 0
  #while (ROT < 4)
   merge {
    cylinder { 
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     0.08
    }
    cylinder { 
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, 0>,
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH>,
     0.08-LG_CORNER_SPACE
    }
    torus {
     0.08-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, >
     translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>
    }
    torus {
     0.08-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, >
     translate <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, 0>,
     <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -LG_WALL_WIDTH>
    }
    box {
     <LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2, -LG_CORNER_SPACE>,
     <LG_KNOB_RADIUS, LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_KNOB_RADIUS, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE, LG_CROSSAXLE_WIDTH/2+0.08, 0>,
     <LG_KNOB_RADIUS, LG_KNOB_RADIUS, -LG_WALL_WIDTH>
    }
    box {
     <LG_CROSSAXLE_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08, -LG_CORNER_SPACE>,
     <LG_CROSSAXLE_WIDTH/2+LG_CORNER_SPACE+LG_E, LG_KNOB_RADIUS, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
    rotate <0, 0, 90*ROT>
   }
   #declare ROT = ROT + 1
  #end
  translate <0, 0, -0.12>
 }
}

#end
