/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30055: Fence 1 x 4 x 2 Spindled                                          */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_30055)
#else
#declare lg_30055 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_plate_column
    translate <0, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
   cylinder {
    <0, -1.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_E>,
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <0, -0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_E>,
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, 0>,
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, 0>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space
    translate <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, 1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_plate_column
  translate <0, 0, -2*LG_BRICK_HEIGHT>
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, LG_E>,
    <LG_BRICK_WIDTH/2+LG_E, 2*LG_BRICK_WIDTH+LG_E, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2-0.08, -2*LG_BRICK_WIDTH+0.08, LG_E>,
    <LG_BRICK_WIDTH/2+LG_E, -2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, LG_E>,
    <-LG_BRICK_WIDTH/2-LG_E, 2*LG_BRICK_WIDTH+LG_E, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH/2+0.08, -2*LG_BRICK_WIDTH+0.08, LG_E>,
    <-LG_BRICK_WIDTH/2-LG_E, -2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH-LG_E>
   }
   sphere {
    <0, LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH
    scale <1, 1, 0.5>
   } 
   sphere {
    <0, -LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH
    scale <1, 1, 0.5>
   } 
  }
 }
}

#declare lg_30055_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_plate_column_clear
    translate <0, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   cylinder {
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT>,
    LG_KNOB_RADIUS-LG_CORNER_SPACE
   }
   cylinder {
    <0, -1.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_E>,
    <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   cylinder {
    <0, -0.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_E>,
    <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, 0>,
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, 0>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH>,
    0.08-LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob_clear
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 0.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 1.5*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
 object {
  lg_plate_column_clear
  translate <0, 0, -2*LG_BRICK_HEIGHT>
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.08, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.08, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2-0.08, 2*LG_BRICK_WIDTH-0.08, LG_E>,
    <LG_BRICK_WIDTH/2+LG_E, 2*LG_BRICK_WIDTH+LG_E, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <LG_BRICK_WIDTH/2-0.08, -2*LG_BRICK_WIDTH+0.08, LG_E>,
    <LG_BRICK_WIDTH/2+LG_E, -2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH/2+0.08, 2*LG_BRICK_WIDTH-0.08, LG_E>,
    <-LG_BRICK_WIDTH/2-LG_E, 2*LG_BRICK_WIDTH+LG_E, -LG_WALL_WIDTH-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH/2+0.08, -2*LG_BRICK_WIDTH+0.08, LG_E>,
    <-LG_BRICK_WIDTH/2-LG_E, -2*LG_BRICK_WIDTH-LG_E, -LG_WALL_WIDTH-LG_E>
   }
   sphere {
    <0, LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH
    scale <1, 1, 0.5>
   } 
   sphere {
    <0, -LG_BRICK_WIDTH/2, 0>,
    LG_WALL_WIDTH
    scale <1, 1, 0.5>
   } 
  }
 }
}

#end
