/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File  (C) uhlmann@informatik.uni-bonn.de (Lutz Uhlmann) */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30161: Windscreen 1 x 4 x 1.3 Flip-Down                                  */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_30161)
#else
#declare lg_30161 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     cylinder {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
      LG_WALL_WIDTH
     }
     cylinder {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     box {
      <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
      <-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+2*LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE-LG_E>
     }
    }
    union {
     box {
      <LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0.06>,
      <0, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -0.06>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>
     }
    }
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     cylinder {
      <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
      LG_WALL_WIDTH
     }
     cylinder {
      <0, LG_WALL_WIDTH/2, 0>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     box {
      <LG_WALL_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
      <-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2, 0>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+2*LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE-LG_E>
     }
    }
    union {
     box {
      <LG_WALL_WIDTH+LG_E, 1.5*LG_WALL_WIDTH, 0.06>,
      <0, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -0.06>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, LG_WALL_WIDTH/2, 0>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>
     }
    }
   }
   sphere {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
 }
}

#declare lg_30161_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     cylinder {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
      LG_WALL_WIDTH
     }
     cylinder {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     box {
      <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, 0>,
      <-LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+2*LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE-LG_E>
     }
    }
    union {
     box {
      <LG_WALL_WIDTH+LG_E, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0.06>,
      <0, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -0.06>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 0>
     }
    }
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     cylinder {
      <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0>,
      LG_WALL_WIDTH
     }
     cylinder {
      <0, LG_WALL_WIDTH/2, 0>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
      LG_WALL_WIDTH-LG_CORNER_SPACE
     }
     box {
      <LG_WALL_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE, 0>,
      <-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2, 0>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH+2*LG_CORNER_SPACE>,
      <-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE-LG_E>
     }
    }
    union {
     box {
      <LG_WALL_WIDTH+LG_E, 1.5*LG_WALL_WIDTH, 0.06>,
      <0, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -0.06>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, LG_WALL_WIDTH/2, 0>
     }
     sphere {
      <0, 0, 0>,
      0.12
      scale <1, 0.2, 1>
      translate <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>
     }
    }
   }
   sphere {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
  <-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>
 }
}

#end
