/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_30236: Brick 1 x 2 with Handle                                           */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_30236)
#else
#declare lg_30236 = 
union {
 #declare ROT = 0
 #while (ROT < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 union {
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.23-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.45+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.23-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.45+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.23+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.45-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.23+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.45-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -0.45+LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -0.45, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.23, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 0.45-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 0.45, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.23, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  cylinder {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -0.08>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -0.08>,
   LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08>,
   LG_KNOB_INNER_RADIUS
  }
  torus {
   LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08>
  }
  torus {
   LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>
  }
  cylinder {
   <LG_BRICK_WIDTH, -0.23, -0.08>,
   <LG_BRICK_WIDTH, -0.45, -0.08>,
   LG_KNOB_RADIUS-LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -0.08>,
   <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -0.08>,
   LG_KNOB_RADIUS
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -0.08>
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -0.08>
  }
  cylinder {
   <LG_BRICK_WIDTH, 0.23, -0.08>,
   <LG_BRICK_WIDTH, 0.45, -0.08>,
   LG_KNOB_RADIUS-LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -0.08>,
   <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -0.08>,
   LG_KNOB_RADIUS
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -0.08>
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -0.08>
  }
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_brick_column
  translate <0, 0, -LG_BRICK_HEIGHT>
 }
 box {
  <0.4*LG_BRICK_WIDTH, -0.04, -LG_BRICK_WIDTH>,
  <-0.4*LG_BRICK_WIDTH, 0.04, -LG_CORNER_SPACE>
 }
}

#declare lg_30236_clear = 
merge {
 #declare ROT = 0
 #while (ROT < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
  }
  union {
   box {
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_TOP_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <0, -LG_BRICK_WIDTH/2, -LG_TOP_HEIGHT>
   }
  }
 }
 merge {
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.23-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.45+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.23-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -0.45+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.23+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.45-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.23+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0.45-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -0.45+LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, -0.45, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, -0.23, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 0.45-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -LG_PLATE_HEIGHT>
  }
  box {
   <LG_BRICK_WIDTH/2-LG_CORNER_SPACE-LG_E, 0.45, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH, 0.23, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>
  }
  cylinder {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -0.08>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH, -0.08>,
   LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>,
   <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08>,
   LG_KNOB_INNER_RADIUS
  }
  torus {
   LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -0.08>
  }
  torus {
   LG_KNOB_INNER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -0.08>
  }
  cylinder {
   <LG_BRICK_WIDTH, -0.23, -0.08>,
   <LG_BRICK_WIDTH, -0.45, -0.08>,
   LG_KNOB_RADIUS-LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -0.08>,
   <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -0.08>,
   LG_KNOB_RADIUS
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, -0.23-LG_CORNER_SPACE, -0.08>
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, -0.45+LG_CORNER_SPACE, -0.08>
  }
  cylinder {
   <LG_BRICK_WIDTH, 0.23, -0.08>,
   <LG_BRICK_WIDTH, 0.45, -0.08>,
   LG_KNOB_RADIUS-LG_CORNER_SPACE
  }
  cylinder {
   <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -0.08>,
   <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -0.08>,
   LG_KNOB_RADIUS
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, 0.23+LG_CORNER_SPACE, -0.08>
  }
  torus {
   LG_KNOB_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   translate <LG_BRICK_WIDTH, 0.45-LG_CORNER_SPACE, -0.08>
  }
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  translate <0, LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_knob_clear
  translate <0, -LG_BRICK_WIDTH/2, 0>
 }
 object {
  lg_brick_column_clear
  translate <0, 0, -LG_BRICK_HEIGHT>
 }
 box {
  <0.4*LG_BRICK_WIDTH, -0.04, -LG_BRICK_WIDTH>,
  <-0.4*LG_BRICK_WIDTH, 0.04, -LG_CORNER_SPACE>
 }
}

#end





