/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3045: Slope Brick 45  2 x 2 Double Convex                                */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3045)
#else
#declare LENGTH = 1
#declare WIDTH = 1
#declare lg_angle1=atan2(LG_BRICK_WIDTH+LG_CORNER_SPACE-LG_WALL_WIDTH*(1-sin(pi/4)), LG_BRICK_HEIGHT-LG_WALL_WIDTH*(1+sin(pi/4)))*180/pi
#declare lg_angle2=90-lg_angle1
#declare lg_3045 = 
union {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 box {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH), LG_CORNER_SPACE>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), 0>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, 0>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <LENGTH*2*LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>
 }
 difference {
  box {
   <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  box {
   <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
   <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
   rotate <lg_angle1, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
   <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  box {
   <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT>,
   <0, -LG_CORNER_SPACE,  -(2*LG_BRICK_HEIGHT)>
   rotate <0, -lg_angle1, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_BRICK_HEIGHT>,
   <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_BRICK_INNER_HEIGHT>
  }
  object {
   lg_knob_inner_space
   translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
  }
 }
 difference {
  object {
   lg_brick_cylinder
   translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0 >
  }
  union {
   box {
    <LENGTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE,  -(2*LG_BRICK_HEIGHT)>
    rotate <0, -lg_angle1, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 object {
  lg_knob
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
 }
 translate <-0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#declare lg_3045_clear = 
merge {
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 sphere {
  <(LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE 
 }
 cylinder {
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE 
 }
 sphere {
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 sphere {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>, LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <LG_CORNER_SPACE, ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  <((LENGTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*LG_BRICK_WIDTH)-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <LG_CORNER_SPACE, ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), ((WIDTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  <((LENGTH*2*LG_BRICK_WIDTH)-LG_CORNER_SPACE), LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>,
  LG_CORNER_SPACE
 }
 box {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH), LG_CORNER_SPACE>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)>
 }
 box {
  <LG_CORNER_SPACE, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), 0>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), LG_CORNER_SPACE>
 }
 box {
  <LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
  <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, 0>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE>
 }
 box {
  <LENGTH*2*LG_BRICK_WIDTH, LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <(LENGTH*2*LG_BRICK_WIDTH-LG_WALL_WIDTH), WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, (LG_BRICK_HEIGHT-LG_CORNER_SPACE-LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(pi*lg_angle2/180))>
 }
 difference {
  box {
   <0, LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <LG_WALL_WIDTH, (WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  box {
   <LENGTH*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
   <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
   rotate <lg_angle1, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, 0, LG_CORNER_SPACE>,
   <(LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_WALL_WIDTH, (LG_BRICK_HEIGHT-LG_CORNER_SPACE)>
  }
  box {
   <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT>,
   <0, -LG_CORNER_SPACE,  -(2*LG_BRICK_HEIGHT)>
   rotate <0, -lg_angle1, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, LG_CORNER_SPACE, LG_BRICK_HEIGHT>,
   <(LENGTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), (WIDTH*LG_BRICK_WIDTH-LG_CORNER_SPACE), LG_BRICK_INNER_HEIGHT>
  }
  object {
   lg_knob_inner_space_clear
   translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_INNER_HEIGHT>
  }
 }
 difference {
  object {
   lg_brick_cylinder_clear
   translate <LG_BRICK_WIDTH, LG_BRICK_WIDTH, 0 >
  }
  merge {
   box {
    <LENGTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE, -(2*LG_BRICK_HEIGHT)>
    rotate <lg_angle1, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT>,
    <0, -LG_CORNER_SPACE,  -(2*LG_BRICK_HEIGHT)>
    rotate <0, -lg_angle1, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 object {
  lg_knob_clear
  translate <0.5*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_BRICK_HEIGHT>
 }
 translate <-0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#declare lg_3045_slope =
union {
 difference {
  box {
   <LENGTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE, 0>,
   <LG_CORNER_SPACE, -(LG_WALL_WIDTH-LG_CORNER_SPACE), -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
   rotate <lg_angle1, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
  box {
   <LG_BRICK_WIDTH, WIDTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_HEIGHT>,
   <0, -LG_CORNER_SPACE,  -(2*LG_BRICK_HEIGHT)>
   rotate <0, -lg_angle1, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE*sin(45/180), 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_CORNER_SPACE, WIDTH*2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-(LG_WALL_WIDTH-LG_CORNER_SPACE), LG_CORNER_SPACE, -LG_BRICK_WIDTH/sin(pi*lg_angle1/180)>
   rotate <0, -lg_angle1, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
  box {
   <LENGTH*2*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, LG_BRICK_HEIGHT>,
   <-LG_CORNER_SPACE, 0, -(2*LG_BRICK_HEIGHT)>
   rotate <lg_angle1, 0, 0>
   translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE*sin(45/180), LG_BRICK_HEIGHT-LG_CORNER_SPACE>
  }
 }
 translate <-0.5*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
 rotate <0, 0, -90>
}

#end
