/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_3192: Door 1 x 3 x 3 Right                                               */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_3192)
#else
#declare LENGTH = 3
#declare WIDTH = 1
#declare HEIGHT = 3
#declare lg_3192 = 
union {
 difference {
  union {
   cylinder {
    <0, 0, 0>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_BRICK_WIDTH/2
   }
   box {
    <0, 0, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
  }
  union {
   cylinder {
    <0, 0, -LG_TOP_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
   object {
    lg_knob_inner_space
    translate <0, 0, -LG_TOP_HEIGHT>
   }
  }
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.05, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.05, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT>
  }
  union {
   cylinder {
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, 0>,
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, LG_E>,
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -LG_CORNER_SPACE>,
    0.08+LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    0.08+LG_CORNER_SPACE
   }
  }
 }
 intersection {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT>
  }
  union {
   torus {
    0.08+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -LG_CORNER_SPACE>
   }
   torus {
    0.08+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
 }
 object {
  lg_knob
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  union {
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  difference {
   union {
    cylinder {
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
     0.1
    }
    cylinder {
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
     0.1
    }
    box {
     <-(LENGTH-1)*LG_BRICK_WIDTH-0.1, LG_BRICK_WIDTH/2+LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
     <-(LENGTH-1)*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
    }
   }
   box {
    <-(LENGTH-1)*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.1, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS>,
    <-(LENGTH-1)*LG_BRICK_WIDTH+0.025, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-2*LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS>
   }
  }   
 }
 difference {
  union {
   box {
    <-(LENGTH-1)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
   }
   box {
    <-(LENGTH-1)*LG_BRICK_WIDTH-0.1, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    0.1
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    0.1
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    0.1-LG_CORNER_SPACE
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    0.1-LG_CORNER_SPACE
   }
  }
  box {
   <-(LENGTH-1)*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.1, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS>,
   <-(LENGTH-1)*LG_BRICK_WIDTH+0.025, LG_BRICK_WIDTH/2-2*LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS>
  }
 }
 cylinder {
  <-(LENGTH-1)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
  <-(LENGTH-1)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-1)*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
  <-(LENGTH-1)*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
  LG_CORNER_SPACE
 }
 torus {
  0.1-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>
 }
 torus {
  0.1-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
 }
}

#declare lg_3192_clear = 
merge {
 difference {
  merge {
   cylinder {
    <0, 0, 0>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT>,
    LG_BRICK_WIDTH/2-LG_CORNER_SPACE
   }
   cylinder {
    <0, 0, -LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_BRICK_WIDTH/2
   }
   box {
    <0, 0, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
  }
  merge {
   cylinder {
    <0, 0, -LG_TOP_HEIGHT>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS
   }
   cylinder {
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <0, 0, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
   object {
    lg_knob_inner_space_clear
    translate <0, 0, -LG_TOP_HEIGHT>
   }
  }
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.05, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.05, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -LG_CORNER_SPACE>
 }
 torus {
  LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 torus {
  LG_KNOB_RADIUS+LG_CORNER_SPACE,
  LG_CORNER_SPACE
  rotate <90, 0, 0>
  translate <0, 0, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 difference {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT>
  }
  merge {
   cylinder {
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, 0>,
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT>,
    0.08
   }
   cylinder {
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, LG_E>,
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -LG_CORNER_SPACE>,
    0.08+LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT-LG_E>,
    <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    0.08+LG_CORNER_SPACE
   }
  }
 }
 intersection {
  box {
   <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT>
  }
  merge {
   torus {
    0.08+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -LG_CORNER_SPACE>
   }
   torus {
    0.08+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-0.08, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
 }
 object {
  lg_knob_clear
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 sphere {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>, LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2-0.08, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 difference {
  merge {
   box {
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_CORNER_SPACE, 0>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -HEIGHT*LG_BRICK_HEIGHT>
   }
   box {
    <0, LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <-(LENGTH-0.5)*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2, -HEIGHT*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  difference {
   merge {
    cylinder {
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
     0.1
    }
    cylinder {
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
     <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
     0.1
    }
    box {
     <-(LENGTH-1)*LG_BRICK_WIDTH-0.1, LG_BRICK_WIDTH/2+LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
     <-(LENGTH-1)*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
    }
   }
   box {
    <-(LENGTH-1)*LG_BRICK_WIDTH-0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.1, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS>,
    <-(LENGTH-1)*LG_BRICK_WIDTH+0.025, LG_BRICK_WIDTH/2-LG_WALL_WIDTH-2*LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS>
   }
  }   
 }
 difference {
  merge {
   box {
    <-(LENGTH-1)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
   }
   box {
    <-(LENGTH-1)*LG_BRICK_WIDTH-0.1, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    0.1
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    0.1
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
    0.1-LG_CORNER_SPACE
   }
   cylinder {
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2-LG_E, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
    0.1-LG_CORNER_SPACE
   }
  }
  box {
   <-(LENGTH-1)*LG_BRICK_WIDTH+0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.1, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS>,
   <-(LENGTH-1)*LG_BRICK_WIDTH+0.025, LG_BRICK_WIDTH/2-2*LG_E, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS>
  }
 }
 cylinder {
  <-(LENGTH-1)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
  <-(LENGTH-1)*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-(LENGTH-1)*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>,
  <-(LENGTH-1)*LG_BRICK_WIDTH+0.1-LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>,
  LG_CORNER_SPACE
 }
 torus {
  0.1-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT-LG_KNOB_RADIUS+0.1>
 }
 torus {
  0.1-LG_CORNER_SPACE,
  LG_CORNER_SPACE
  translate <-(LENGTH-1)*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2+0.2-LG_CORNER_SPACE, -HEIGHT/2*LG_BRICK_HEIGHT+LG_KNOB_RADIUS-0.1>
 }
}

#end
