/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4034: Train Window 1 x 4 x 3 Glass                                       */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4034)
#else
#declare lg_4034 =
union {
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH>
 }
 box {
  <1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 sphere {
  <-1.8*LG_BRICK_WIDTH, -0.16, -1.5*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
  0.08-LG_E
 }
 sphere {
  <1.8*LG_BRICK_WIDTH, -0.16, -1.5*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
  0.08-LG_E
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH/2-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.8*LG_BRICK_WIDTH, -0.08, -LG_WALL_WIDTH-LG_E>,
   <-1.8*LG_BRICK_WIDTH, -1.5*LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
  union {
   box {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH>
   }
   box {
    <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, +LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
   cylinder {
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, +LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
   cylinder {
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
  }
 }
 box {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 box {
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 rotate <0, 0, 90>
}

#declare lg_4034_clear =
merge {
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  torus {
   LG_WALL_WIDTH-LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  torus {
   0.25*LG_WALL_WIDTH+LG_CORNER_SPACE,
   LG_CORNER_SPACE
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH>
 }
 box {
  <1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 cylinder {
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_BRICK_WIDTH/4, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
  LG_WALL_WIDTH
 }
 sphere {
  <-1.8*LG_BRICK_WIDTH, -0.16, -1.5*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
  0.08-LG_E
 }
 sphere {
  <1.8*LG_BRICK_WIDTH, -0.16, -1.5*LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
  0.08-LG_E
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_WIDTH/2-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_WIDTH/2-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <1.8*LG_BRICK_WIDTH, -0.08, -LG_WALL_WIDTH-LG_E>,
   <-1.8*LG_BRICK_WIDTH, -1.5*LG_WALL_WIDTH+LG_E, -3*LG_BRICK_HEIGHT+LG_PLATE_HEIGHT>
  }
  union {
   box {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH>
   }
   box {
    <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, +LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
   cylinder {
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
   cylinder {
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, +LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_WALL_WIDTH, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
   cylinder {
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, +LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    <-3*LG_BRICK_WIDTH/2+LG_WALL_WIDTH, -LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>,
    0.25*LG_WALL_WIDTH
   }
  }
 }
 box {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -3*LG_BRICK_HEIGHT+2.75*LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_HEIGHT+2*LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_PLATE_HEIGHT-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 box {
  <1.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <1.5*LG_BRICK_WIDTH-0.75*LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 box {
  <-3*LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>,
  <-3*LG_BRICK_WIDTH/2+0.75*LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, 0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <-0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <-1.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 intersection {
  difference {
   cylinder {
    <0, -LG_CORNER_SPACE, 0>,
    <0, LG_E, 0>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <0, -0.1, 0>,
    <0, 0.1, 0>,
    0.25*LG_WALL_WIDTH+LG_CORNER_SPACE
   }
  }
  box {
   <0.2, -0.1, 0>,
   <0, 0.1, -0.2>
  }
  translate <1.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -3*LG_BRICK_HEIGHT+3*LG_WALL_WIDTH>
 }
 rotate <0, 0, 90>
}

#end
