/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4284: Windscreen 2 x 4 x 2 Inverse                                       */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4284)
#else
#declare lg_angle=atan2(LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 6*LG_PLATE_HEIGHT-2*LG_CORNER_SPACE)*180/pi
#declare lg_4284 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    difference {
     cylinder {
      <0, 0, 0>,
      <0, 0, -6*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <0, 0, LG_CORNER_SPACE+LG_E>,
      <0, 0, -6*LG_PLATE_HEIGHT>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH
     }
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -6*LG_PLATE_HEIGHT>
    }
    matrix <1, 0, -2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
            0, 1, 0,
            .72/(1.92-2*LG_CORNER_SPACE), 0, 1,
            -LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <0, 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <-LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 3*LG_BRICK_WIDTH/2, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    union {
     box {
      <0, 2*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
    }
    box {
     <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -6*LG_PLATE_HEIGHT>
     matrix <1, 0, -2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
             0, 1, 0,
             .72/(1.92-2*LG_CORNER_SPACE), 0, 1,
             -LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>
    }
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    union {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2
     }
    } 
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.12, 0>
   }
   intersection {
    union {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE-LG_E>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E
     }
    } 
    box {
     <LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     intersection {
      union {
       cylinder {
        <LG_WALL_WIDTH/2, 0, 0>,
        <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH>,
        LG_BRICK_WIDTH/2-LG_CORNER_SPACE
       }
       cylinder {
        <LG_WALL_WIDTH/2, 0, -LG_CORNER_SPACE>,
        <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
        LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E
       }
      } 
      box {
       <LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2-LG_E, LG_E>,
       <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH-LG_E>
      }
     }
     box {
      <LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH>
     }
     box {
      <LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, 0>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
    }
    union {
     cylinder {
      <0, 0, LG_E>,
      <0, 0, -LG_WALL_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_E>,
      <0, 0, -LG_CORNER_SPACE>,
      LG_KNOB_RADIUS+LG_CORNER_SPACE
     }
     box {
      <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_E>,
      <-LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2+0.08, -LG_WALL_WIDTH-LG_E>
     }
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT>,
    0.08-LG_CORNER_SPACE
   }
   box {
    <0, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <0, 1.5*LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0, 1.5*LG_BRICK_WIDTH+0.12, -LG_WALL_WIDTH>
   }
   object {
    lg_tech_knob
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH/2, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH-0.12-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <-LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE>
    matrix <1, 0, -2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
            0, 1, 0,
            .72/(1.92-2*LG_CORNER_SPACE), 0, 1,
            -LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 0, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
  }
  box {
   <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH+LG_E, -6*LG_PLATE_HEIGHT-LG_E>,
   <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH-LG_E, -6*LG_PLATE_HEIGHT+2*LG_WALL_WIDTH>
  }
 }
}

#declare lg_4284_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   cylinder {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE>
   }
   cylinder {
    <-LG_BRICK_WIDTH, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   torus {
    0.08-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   intersection {
    difference {
     cylinder {
      <0, 0, 0>,
      <0, 0, -6*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2
     }
     cylinder {
      <0, 0, LG_CORNER_SPACE+LG_E>,
      <0, 0, -6*LG_PLATE_HEIGHT>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH
     }
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -6*LG_PLATE_HEIGHT>
    }
    matrix <1, 0, -2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
            0, 1, 0,
            .72/(1.92-2*LG_CORNER_SPACE), 0, 1,
            -LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <0, 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>
   }
   intersection {
    torus {
     LG_BRICK_WIDTH/2-LG_CORNER_SPACE,
     LG_CORNER_SPACE
     rotate <90, 0, 0>
    }
    box {
     <LG_BRICK_WIDTH/2+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -LG_CORNER_SPACE-LG_E>
    }
    translate <-LG_BRICK_WIDTH+LG_WALL_WIDTH/2, 3*LG_BRICK_WIDTH/2, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   difference {
    merge {
     box {
      <0, 2*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT>,
      <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
     }
    }
    box {
     <LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+LG_E, LG_CORNER_SPACE+LG_E>,
     <0, 0, -6*LG_PLATE_HEIGHT>
     matrix <1, 0, -2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
             0, 1, 0,
             .72/(1.92-2*LG_CORNER_SPACE), 0, 1,
             -LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>
    }
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
   intersection {
    merge {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE+LG_E>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2
     }
    } 
    box {
     <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.12, 0>
   }
   intersection {
    merge {
     cylinder {
      <0, 0, 0>,
      <0, 0, -LG_CORNER_SPACE-LG_E>,
      LG_BRICK_WIDTH/2-LG_CORNER_SPACE
     }
     cylinder {
      <0, 0, -LG_CORNER_SPACE>,
      <0, 0, -LG_WALL_WIDTH>,
      LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E
     }
    } 
    box {
     <LG_BRICK_WIDTH/2-LG_E, LG_BRICK_WIDTH/2-LG_E, LG_E>,
     <0, 0, -LG_WALL_WIDTH-LG_E>
    }
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     intersection {
      merge {
       cylinder {
        <LG_WALL_WIDTH/2, 0, 0>,
        <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH>,
        LG_BRICK_WIDTH/2-LG_CORNER_SPACE
       }
       cylinder {
        <LG_WALL_WIDTH/2, 0, -LG_CORNER_SPACE>,
        <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
        LG_BRICK_WIDTH/2-LG_WALL_WIDTH+LG_E
       }
      } 
      box {
       <LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH/2-LG_E, LG_E>,
       <LG_WALL_WIDTH/2, 0, -LG_WALL_WIDTH-LG_E>
      }
     }
     box {
      <LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 0>,
      <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH>
     }
     box {
      <LG_WALL_WIDTH/2, LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH/2, -LG_BRICK_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, 0, 0>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH>
     }
     box {
      <LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
      <LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
    }
    union {
     cylinder {
      <0, 0, LG_E>,
      <0, 0, -LG_WALL_WIDTH-LG_E>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_E>,
      <0, 0, -LG_CORNER_SPACE>,
      LG_KNOB_RADIUS+LG_CORNER_SPACE
     }
     box {
      <-LG_BRICK_WIDTH/2-LG_E, -LG_BRICK_WIDTH/2-LG_E, LG_E>,
      <-LG_BRICK_WIDTH/2+0.08, -LG_BRICK_WIDTH/2+0.08, -LG_WALL_WIDTH-LG_E>
     }
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_KNOB_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    0.08
   }
   cylinder {
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH>,
    <-1.5*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+0.08, -6*LG_PLATE_HEIGHT>,
    0.08-LG_CORNER_SPACE
   }
   box {
    <0, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, 0>,
    <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <0, LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <0, 1.5*LG_BRICK_WIDTH+0.12, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <0, 1.5*LG_BRICK_WIDTH+0.12, -LG_WALL_WIDTH>
   }
   object {
    lg_tech_knob_clear
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH/2, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2, -6*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, -3*LG_BRICK_WIDTH/2, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, LG_BRICK_WIDTH+0.12+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_WIDTH-0.12-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, 0>,
  <-LG_BRICK_WIDTH/2+LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <LG_BRICK_WIDTH/2-LG_WALL_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_WALL_WIDTH>,
  <-LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>,
    <LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE>
    matrix <1, 0, -2/LG_BRICK_WIDTH*LG_CORNER_SPACE*sin(lg_angle*pi/180),
            0, 1, 0,
            .72/(1.92-2*LG_CORNER_SPACE), 0, 1,
            -LG_CORNER_SPACE*(cos(lg_angle*pi/180)-1), 0, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH/2-LG_CORNER_SPACE, 1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH/2+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -1.5*LG_BRICK_WIDTH, -6*LG_PLATE_HEIGHT+LG_WALL_WIDTH>
   }
  }
  box {
   <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH+LG_E, -6*LG_PLATE_HEIGHT-LG_E>,
   <-LG_BRICK_WIDTH/2-LG_WALL_WIDTH, -1.5*LG_BRICK_WIDTH-LG_E, -6*LG_PLATE_HEIGHT+2*LG_WALL_WIDTH>
  }
 }
}

#end
