/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4447: Window 4 x 4 x 3 Roof                                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4447)
#else
#declare lg_angle=atan2(8.5*LG_PLATE_HEIGHT,3*LG_BRICK_WIDTH)
#declare lg_4447 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <-3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH+LG_E, -4.25*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -4.25*LG_PLATE_HEIGHT>,
      LG_WALL_WIDTH/2
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -4.25*LG_PLATE_HEIGHT>,
      LG_WALL_WIDTH/2
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH+LG_E, -4.25*LG_PLATE_HEIGHT>,
      LG_WALL_WIDTH/2+LG_CORNER_SPACE
     }
    }
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+2*LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
  <0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -(LG_WALL_WIDTH-2*LG_CORNER_SPACE)/sin(lg_angle)>
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 object {
  lg_plate_column
  translate <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <3*LG_BRICK_WIDTH, 0, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 difference {
  union {
   box {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  box {
   <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
   <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -9*LG_PLATE_HEIGHT-LG_E>
  }
 }
}

#declare lg_4447_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob_clear
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <-3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH+LG_E, -4.25*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -4.25*LG_PLATE_HEIGHT>,
      LG_WALL_WIDTH/2
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -4.25*LG_PLATE_HEIGHT>,
      LG_WALL_WIDTH/2
     }
     cylinder {
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>,
      <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH+LG_E, -4.25*LG_PLATE_HEIGHT>,
      LG_WALL_WIDTH/2+LG_CORNER_SPACE
     }
    }
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>
   }
   torus {
    LG_WALL_WIDTH/2+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-3.75*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_WALL_WIDTH*(1/sin(lg_angle)+0.5), 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4.25*LG_PLATE_HEIGHT>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+2*LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-(7.5*LG_PLATE_HEIGHT+2*LG_CORNER_SPACE)/sin(lg_angle)*cos(lg_angle))-2*LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH/2>,
  <0.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 box {
  <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -(LG_WALL_WIDTH-2*LG_CORNER_SPACE)/sin(lg_angle)>
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <0.5*LG_BRICK_WIDTH+(3*LG_BRICK_WIDTH-8*LG_PLATE_HEIGHT/sin(lg_angle)*cos(lg_angle))-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 object {
  lg_plate_column_clear
  translate <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <3*LG_BRICK_WIDTH, 0, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 difference {
  merge {
   box {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  box {
   <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
   <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -9*LG_PLATE_HEIGHT-LG_E>
  }
 }
}

#end
