/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_4857: Slope Brick 45 4 x 4 Double with Hinge                             */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_4857)
#else
#declare lg_angle1=atan2(LG_BRICK_WIDTH+LG_CORNER_SPACE-LG_WALL_WIDTH*(1-sin(pi/4)), LG_BRICK_HEIGHT-LG_WALL_WIDTH*(1+sin(pi/4)))*180/pi
#declare lg_angle2=90-lg_angle1
#declare lg_4857 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    torus {
     LG_WALL_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    union {
     box {
      <2*LG_WALL_WIDTH, LG_CORNER_SPACE+LG_E, 0>,
      <-2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E, -2*LG_WALL_WIDTH>
     }
     box {
      <2*LG_WALL_WIDTH, LG_CORNER_SPACE+LG_E, 0>,
      <-2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E, 2*LG_WALL_WIDTH>
      rotate <0, -lg_angle2, 0>
     }
    }
    translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    union {
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
    box {
     <0, 0, 0>,
     <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 2*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
   }
   difference {
    union {
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
    box {
     <0, 0, 0>,
     <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -2*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, 0>,
     <-2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E, 2*LG_WALL_WIDTH>
     rotate <0, -lg_angle2, 0>
     translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
   }
   box {
    <0.8*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
   }
   box {
    <0.8*LG_BRICK_WIDTH, .5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH+LG_E, .5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
   }
   difference {
    union {
     box {
      <-0.8*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
      <-1.3*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
     }
     box {
      <-0.8*LG_BRICK_WIDTH, .5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
      <-1.3*LG_BRICK_WIDTH, .5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
     }
    }
    box {
     <0, 0, 0>,
     <-.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
     rotate <0, -lg_angle2, 0>
     translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    union {
     box {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 0>,
      <-1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH>
      rotate <0, -lg_angle2, 0>
      translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 0>,
      <1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH>
      rotate <0, lg_angle2, 0>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
     }
     box {
      <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
      <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT>,
      <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
     union {
      box {
       <LG_WALL_WIDTH+LG_CORNER_SPACE, 0, 0>,
       <0, LG_CORNER_SPACE+LG_E, 2*LG_WALL_WIDTH>
      }
      box {
       <LG_WALL_WIDTH, LG_E, 0>,
       <0, -LG_WALL_WIDTH, 2*LG_WALL_WIDTH>
      }
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   difference {
    cylinder {
     <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH
    }
    box {
     <-1.8*LG_BRICK_WIDTH, 1.5*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
     <-1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_BRICK_HEIGHT+2*LG_WALL_WIDTH>
    }
   }
   difference {
    cylinder {
     <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH
    }
    box {
     <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
     <-1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_BRICK_HEIGHT+2*LG_WALL_WIDTH>
    }
   }
   difference {
    box {
     <0, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
     rotate <0, -lg_angle2, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
    union {
     box {
      <-LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_E, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
      <-LG_BRICK_WIDTH-0.3, LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_BRICK_WIDTH>
     }
     box {
      <0, 0, 0>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 2*LG_WALL_WIDTH>
      rotate <0, -45, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
   }
   difference {
    box {
     <0, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE>
     rotate <0, -lg_angle2, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
    union {
     box {
      <-LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
      <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, LG_WALL_WIDTH>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_BRICK_WIDTH+0.1, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH-LG_E, 0>,
      <-LG_BRICK_WIDTH-0.3, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
     }
     box {
      <-1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
      <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
     box {
      <0, 0, 0>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 2*LG_WALL_WIDTH>
      rotate <0, -45, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR +1
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
  rotate <0, -lg_angle2, 0>
  translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 difference {
  box {
   <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <-0.1, -2*LG_BRICK_WIDTH, 0>,
   <.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT/2>,
   <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <0, -2*LG_BRICK_WIDTH, 0>,
   <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT/2>
   rotate <0, lg_angle2, 0>
   translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <0, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
   <LG_BRICK_WIDTH, 1.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
   rotate <0, -lg_angle2, 0>
   translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
  }
  union {
   box {
    <-LG_E, -LG_WALL_WIDTH/2, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, LG_WALL_WIDTH/2, LG_WALL_WIDTH>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_E, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, -LG_WALL_WIDTH/2+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_E, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, LG_WALL_WIDTH/2-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_BRICK_WIDTH+0.1, -2*LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH-0.3, 2*LG_WALL_WIDTH, -LG_BRICK_WIDTH>
   }
   box {
    <0, -LG_BRICK_WIDTH/2, 0>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH>
    rotate <0, -45, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
  }
 }
 difference {
  union {
   object {
    lg_brick_column
    translate <1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_column
    translate <1.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_column
    translate <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
  }
  box {
   <0, -2*LG_BRICK_WIDTH, 0>,
   <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT/2>
   rotate <0, lg_angle2, 0>
   translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, LG_E>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0, -2*LG_BRICK_WIDTH, 0>,
    <.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, LG_E>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0, -2*LG_BRICK_WIDTH, 0>,
    <-.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
    rotate <0, -lg_angle2, 0>
    translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/cos(lg_angle2*pi/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, -lg_angle2, 0>
   translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  union {
   box {
    <0, -2*LG_BRICK_WIDTH, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -45, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, -2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
  }
 }
 difference {
  box {
   <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH/cos(lg_angle2*pi/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
   <1.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
  }
 }
 object {
  lg_plate_cylinder
  translate <0, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder
  translate <0, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob
  translate <-LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <-LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <-LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob
  translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
 }
}

#declare lg_4857_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    torus {
     LG_WALL_WIDTH+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    union {
     box {
      <2*LG_WALL_WIDTH, LG_CORNER_SPACE+LG_E, 0>,
      <-2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E, -2*LG_WALL_WIDTH>
     }
     box {
      <2*LG_WALL_WIDTH, LG_CORNER_SPACE+LG_E, 0>,
      <-2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E, 2*LG_WALL_WIDTH>
      rotate <0, -lg_angle2, 0>
     }
    }
    translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   sphere {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   difference {
    merge {
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
    box {
     <0, 0, 0>,
     <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 2*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
   }
   difference {
    merge {
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
      LG_CORNER_SPACE
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
    box {
     <0, 0, 0>,
     <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -2*LG_WALL_WIDTH>
     rotate <0, -45, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
   }
   difference {
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
     LG_CORNER_SPACE
    }
    box {
     <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_CORNER_SPACE+LG_E, 0>,
     <-2*LG_WALL_WIDTH, -LG_CORNER_SPACE-LG_E, 2*LG_WALL_WIDTH>
     rotate <0, -lg_angle2, 0>
     translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
   }
   box {
    <0.8*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
   }
   box {
    <0.8*LG_BRICK_WIDTH, .5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
    <LG_BRICK_WIDTH+LG_E, .5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     box {
      <-0.8*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
      <-1.3*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
     }
     box {
      <-0.8*LG_BRICK_WIDTH, .5*LG_BRICK_WIDTH-0.08, -LG_TOP_HEIGHT+LG_E>,
      <-1.3*LG_BRICK_WIDTH, .5*LG_BRICK_WIDTH+0.08, -LG_PLATE_HEIGHT>
     }
    }
    box {
     <0, 0, 0>,
     <-.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
     rotate <0, -lg_angle2, 0>
     translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
    }
   }
   difference {
    box {
     <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-2*LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_CORNER_SPACE>
    }
    merge {
     box {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 0>,
      <-1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH>
      rotate <0, -lg_angle2, 0>
      translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 0>,
      <1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH>
      rotate <0, lg_angle2, 0>
      translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
     box {
      <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
      <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT>
     }
     box {
      <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_PLATE_HEIGHT>,
      <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
     }
     box {
      <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
      <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT>,
      <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      LG_WALL_WIDTH+LG_CORNER_SPACE
     }
     cylinder {
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
     union {
      box {
       <LG_WALL_WIDTH+LG_CORNER_SPACE, 0, 0>,
       <0, LG_CORNER_SPACE+LG_E, 2*LG_WALL_WIDTH>
      }
      box {
       <LG_WALL_WIDTH, LG_E, 0>,
       <0, -LG_WALL_WIDTH, 2*LG_WALL_WIDTH>
      }
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
   }
   box {
    <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   box {
    <-1.6*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   torus {
    LG_WALL_WIDTH-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    translate <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE+LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   cylinder {
    <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
    LG_WALL_WIDTH-LG_CORNER_SPACE
   }
   difference {
    cylinder {
     <-1.8*LG_BRICK_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH
    }
    box {
     <-1.8*LG_BRICK_WIDTH, 1.5*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
     <-1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_BRICK_HEIGHT+2*LG_WALL_WIDTH>
    }
   }
   difference {
    cylinder {
     <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     <-1.8*LG_BRICK_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
     LG_WALL_WIDTH
    }
    box {
     <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>,
     <-1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, -LG_BRICK_HEIGHT+2*LG_WALL_WIDTH>
    }
   }
   difference {
    box {
     <0, LG_BRICK_WIDTH-1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH, LG_BRICK_WIDTH+1.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
     rotate <0, -lg_angle2, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
    union {
     box {
      <-LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, LG_WALL_WIDTH>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_E, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_E, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH-2*LG_WALL_WIDTH, 0>,
      <-LG_BRICK_WIDTH-0.3, LG_BRICK_WIDTH+2*LG_WALL_WIDTH, -LG_BRICK_WIDTH>
     }
     box {
      <0, 0, 0>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 2*LG_WALL_WIDTH>
      rotate <0, -45, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
   }
   difference {
    box {
     <0, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
     <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, LG_WALL_WIDTH-LG_CORNER_SPACE>
     rotate <0, -lg_angle2, 0>
     translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
    }
    union {
     box {
      <-LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, 0>,
      <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, LG_WALL_WIDTH>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
      <LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
      rotate <0, -lg_angle2, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     box {
      <-LG_BRICK_WIDTH+0.1, 2*LG_BRICK_WIDTH-2*LG_WALL_WIDTH-LG_E, 0>,
      <-LG_BRICK_WIDTH-0.3, 2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
     }
     box {
      <-1.6*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>,
      <-2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
     cylinder {
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      <-1.8*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>,
      LG_WALL_WIDTH
     }
     box {
      <0, 0, 0>,
      <-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH+LG_E, 2*LG_WALL_WIDTH>
      rotate <0, -45, 0>
      translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR +1
 #end
 cylinder {
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH/2+LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
  rotate <0, -lg_angle2, 0>
  translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
 }
 box {
  <LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT>,
  <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 difference {
  box {
   <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
   <LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <-0.1, -2*LG_BRICK_WIDTH, 0>,
   <.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <2*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT/2>,
   <2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  box {
   <0, -2*LG_BRICK_WIDTH, 0>,
   <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT/2>
   rotate <0, lg_angle2, 0>
   translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <0, -1.5*LG_WALL_WIDTH, -LG_WALL_WIDTH>,
   <LG_BRICK_WIDTH, 1.5*LG_WALL_WIDTH, LG_WALL_WIDTH-LG_CORNER_SPACE>
   rotate <0, -lg_angle2, 0>
   translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
  }
  union {
   box {
    <-LG_E, -LG_WALL_WIDTH/2, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, LG_WALL_WIDTH/2, LG_WALL_WIDTH>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_E, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, -LG_WALL_WIDTH/2+LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_E, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH-LG_E>,
    <LG_WALL_WIDTH, LG_WALL_WIDTH/2-LG_E, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <-LG_BRICK_WIDTH+0.1, -2*LG_WALL_WIDTH, 0>,
    <-LG_BRICK_WIDTH-0.3, 2*LG_WALL_WIDTH, -LG_BRICK_WIDTH>
   }
   box {
    <0, -LG_BRICK_WIDTH/2, 0>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH/2, 2*LG_WALL_WIDTH>
    rotate <0, -45, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
  }
 }
 difference {
  merge {
   object {
    lg_brick_column_clear
    translate <1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_column_clear
    translate <1.5*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_column_clear
    translate <1.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>
   }
  }
  box {
   <0, -2*LG_BRICK_WIDTH, 0>,
   <-1.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, LG_BRICK_HEIGHT/2>
   rotate <0, lg_angle2, 0>
   translate <2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_BRICK_WIDTH/cos(pi*lg_angle2/180)*sin(lg_angle2*pi/180)-LG_CORNER_SPACE>
  }
 }
 difference {
  box {
   <LG_BRICK_WIDTH+LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, -LG_TOP_HEIGHT>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, LG_E>,
    <LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0, -2*LG_BRICK_WIDTH, 0>,
    <.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
    rotate <0, lg_angle2, 0>
    translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, LG_E>,
    <-LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
   }
   box {
    <0, -2*LG_BRICK_WIDTH, 0>,
    <-.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, 2*LG_WALL_WIDTH>
    rotate <0, -lg_angle2, 0>
    translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
  }
 }
 difference {
  box {
   <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <-LG_BRICK_WIDTH/cos(lg_angle2*pi/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, -lg_angle2, 0>
   translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  union {
   box {
    <0, -2*LG_BRICK_WIDTH, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -45, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH>,
    <-2*LG_WALL_WIDTH, -2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
  }
 }
 difference {
  box {
   <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
   <LG_BRICK_WIDTH/cos(lg_angle2*pi/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   rotate <0, lg_angle2, 0>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  box {
   <2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
   <1.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_PLATE_INNER_HEIGHT>
  }
 }
 object {
  lg_plate_cylinder_clear
  translate <0, -LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, 0, -LG_PLATE_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <0, LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
 }
 object {
  lg_knob_clear
  translate <-LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <-LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <-LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <-LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <LG_BRICK_WIDTH/2, -1.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <LG_BRICK_WIDTH/2, -0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <LG_BRICK_WIDTH/2, 0.5*LG_BRICK_WIDTH, 0>
 }
 object {
  lg_knob_clear
  translate <LG_BRICK_WIDTH/2, 1.5*LG_BRICK_WIDTH, 0>
 }
}

#declare lg_4857_slope =
union {
 difference {
  box {
   <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
   <-LG_BRICK_WIDTH/cos(lg_angle2*pi/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_E>
   rotate <0, -lg_angle2, 0>
   translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
  }
  union {
   box {
    <0, -2*LG_BRICK_WIDTH, LG_WALL_WIDTH+LG_E>,
    <-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -45, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_E>,
    <-2*LG_WALL_WIDTH, 2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_E>,
    <-2*LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_E>,
    <-2*LG_WALL_WIDTH, LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2-LG_CORNER_SPACE, LG_WALL_WIDTH+LG_E>,
    <-2*LG_WALL_WIDTH, -LG_BRICK_WIDTH+LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
   box {
    <LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_CORNER_SPACE, LG_WALL_WIDTH+LG_E>,
    <-2*LG_WALL_WIDTH, -2*LG_BRICK_WIDTH, -LG_E>
    rotate <0, -lg_angle2, 0>
    translate <-1.8*LG_BRICK_WIDTH, 0, -LG_BRICK_HEIGHT+LG_WALL_WIDTH>
   }
  }
 }
 box {
  <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_CORNER_SPACE>,
  <LG_BRICK_WIDTH/cos(lg_angle2*pi/180), -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_E>
  rotate <0, lg_angle2, 0>
  translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
}

#end
