/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6058: Space Cabin Nose Base                                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6058)
#else
#declare lg_angle1=pi/4
#declare lg_angle2=atan2((LG_BRICK_WIDTH+LG_BRICK_HEIGHT)/cos(lg_angle1)*sin(lg_angle1), 6*LG_BRICK_WIDTH)
#declare lg_angle3=atan2(1,3)
#declare lg_angle4=atan2((LG_BRICK_WIDTH+LG_BRICK_HEIGHT)/cos(lg_angle1)*sin(lg_angle1),2*LG_BRICK_WIDTH*cos(lg_angle3))
#declare lg_6058 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH-0.06, -LG_BRICK_HEIGHT>,
    <-5.7*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, LG_PLATE_HEIGHT-LG_E>
   }
   difference {
    box {
     <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
     <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, -5*LG_PLATE_HEIGHT-LG_E>
    }
    union {
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT+LG_E>,
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, -5*LG_PLATE_HEIGHT-2*LG_E>,
      0.08
     }
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT+LG_E>,
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      0.08+LG_CORNER_SPACE
     }
    }
   }
   cylinder {
    <-6.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
    <-6.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <-7.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   difference {
    box {
     <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
     <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    union {
     object {
      lg_knob_inner_space
      translate <-7*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_INNER_HEIGHT>
     }
     object {
      lg_knob_inner_space
      translate <-6*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_INNER_HEIGHT>
     }
    }
   }
   difference {
    box {
     <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
     <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+0.08>
    }
    union {
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_PLATE_HEIGHT+0.08>,
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+0.08>,
      0.08
     }
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+0.08>,
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_E, -2*LG_PLATE_HEIGHT+0.08>,
      0.08+LG_CORNER_SPACE
     }
    }
   }
   intersection {
    torus {
     0.08+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    box {
     <0, 0.1, -0.2>,
     <-0.2, -0.2, 0>
    }
    translate <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+0.08>
   }
   intersection {
    torus {
     0.08+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    box {
     <0, 0.1, -0.2>,
     <-0.2, -0.2, 0>
    }
    rotate <90, 0, 0>
    translate <-5.3*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <-2.5*LG_BRICK_WIDTH+0.1, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1, 0>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+0.1, 0>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   difference {
    box {
     <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    }
    box {
     <-6, 2*LG_BRICK_WIDTH+LG_E, 0>,
     <0, 1.5*LG_BRICK_WIDTH, -2>
     rotate <0, -lg_angle2*180/pi, 0>
     translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <-3*LG_BRICK_WIDTH/cos(lg_angle3), -0.1+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH/cos(lg_angle3), -0.1+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   difference {
    box {
     <0, 0, -2*LG_BRICK_HEIGHT>,
     <-3*LG_BRICK_WIDTH/cos(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_TOP_HEIGHT+LG_E>
     rotate <0, 0, -lg_angle3*180/pi>
     translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2, -2>,
     <-6*LG_BRICK_WIDTH, 1, -1.5>
    }
   }
   difference {
    box {
     <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_TOP_HEIGHT>,
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>
    }
    box {
     <0, 0, -2*LG_BRICK_HEIGHT-LG_E>,
     <-3, 1, -0.8>
     rotate <0, 0, -lg_angle3*180/pi>
     translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <3*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <3*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   intersection {
    box {
     <-2.5, 0, -LG_CORNER_SPACE>,
     <5.5, 2*LG_BRICK_WIDTH*cos(lg_angle3)/cos(lg_angle4), 0.1-LG_CORNER_SPACE>
     rotate <lg_angle4*180/pi, 0, 0>
     rotate <0, 0, -lg_angle3*180/pi>
     translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE*cos(lg_angle2), LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-sin(lg_angle4)), LG_BRICK_HEIGHT>,
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-sin(lg_angle4)), -2*LG_BRICK_HEIGHT>
    }
   }
   object {
    lg_knob
    translate <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    translate <-4*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    translate <-5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    translate <-7*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
   }
   object {
    lg_knob
    translate <-6*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.06, -2*LG_BRICK_HEIGHT>,
    <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH/2+0.06, -2*LG_BRICK_HEIGHT+LG_TOP_HEIGHT+LG_E>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-5.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.9*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-5.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-5.5*LG_BRICK_WIDTH, -1.9*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <3.5*LG_BRICK_WIDTH-0.1, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
  <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -2*LG_PLATE_HEIGHT>,
  <-1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT>,
  <-2.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-0.1, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -5*LG_PLATE_HEIGHT>,
   <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_E, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space
    translate <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-4*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-4*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space
    translate <-5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
 difference {
  box {
   <-5.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
   <-5.5*LG_BRICK_WIDTH+0.1, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   box {
    <-5.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-4, -LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.5>
   }
   box {
    <-5.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <-4, LG_BRICK_WIDTH/cos(lg_angle1), -LG_BRICK_WIDTH>
    rotate <lg_angle1*180/pi, 0, 0>
    translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>
   }
   box {
    <-5.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <-4, -LG_BRICK_WIDTH/cos(lg_angle1), -LG_BRICK_WIDTH>
    rotate <-lg_angle1*180/pi, 0, 0>
    translate <0, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-0.08, -2*LG_BRICK_HEIGHT>
    <-5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+0.08>
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+0.08, -2*LG_BRICK_HEIGHT>
    <-5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+0.08>
   }
  }
 }
 difference {
  union {
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.8*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.8*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+0.1, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_BRICK_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+0.1, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH+0.1, -LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -2*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -4*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <1.7*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.7*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, -1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <3*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <3*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, -0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>
   }
  }
  union {
   box {
    <-LG_E, -2*LG_BRICK_WIDTH, 0>,
    <6*LG_BRICK_WIDTH/cos(lg_angle2)+LG_E, 2*LG_BRICK_WIDTH, 2*LG_BRICK_HEIGHT>
    rotate <0, lg_angle2*180/pi, 0>
    translate <-2.5*LG_BRICK_WIDTH, 0, -LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <1, 2*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH>
    rotate <-lg_angle1*180/pi, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <1, -2*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH>
    rotate <lg_angle1*180/pi, 0, 0>
    translate <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-2.5, 0, 0>,
    <5.5, -2*LG_BRICK_WIDTH*cos(lg_angle3)/cos(lg_angle4), 2*LG_BRICK_WIDTH>
    rotate <lg_angle4*180/pi, 0, 0>
    rotate <0, 0, lg_angle3*180/pi>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-2.5, 0, 0>,
    <5.5, 2*LG_BRICK_WIDTH*cos(lg_angle3)/cos(lg_angle4), 2*LG_BRICK_WIDTH>
    rotate <-lg_angle4*180/pi, 0, 0>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   matrix <1, 0, 0, 0, 1, 0, 0, 0, -1, 0, 0, -2*LG_BRICK_HEIGHT>
  }
 }
 difference {
  union {
   box {
    <0, -LG_BRICK_WIDTH-LG_E, 2*LG_E>,
    <6*LG_BRICK_WIDTH/cos(lg_angle2), LG_BRICK_WIDTH+LG_E, 0.12-LG_CORNER_SPACE>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH/cos(lg_angle2), LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1-2*LG_CORNER_SPACE>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>,
    <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <-2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, 0>,
    <-2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS+LG_E
   }
  }
 }
 object {
  lg_plate_cylinder
  translate <-3.5*LG_BRICK_WIDTH, 0, -2*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_cylinder
  translate <-4.5*LG_BRICK_WIDTH, 0, -2*LG_BRICK_HEIGHT>
 }
 matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, -5.5*LG_BRICK_WIDTH, 0, 0>
}

#declare lg_6058_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+0.08>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_E, 1.5*LG_BRICK_WIDTH-0.06, -LG_BRICK_HEIGHT>,
    <-5.7*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH+0.06, LG_PLATE_HEIGHT-LG_E>
   }
   difference {
    box {
     <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
     <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, -5*LG_PLATE_HEIGHT-LG_E>
    }
    union {
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT+LG_E>,
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, -5*LG_PLATE_HEIGHT-2*LG_E>,
      0.08
     }
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT+LG_E>,
      <-5.3*LG_BRICK_WIDTH+0.08, 1.8*LG_BRICK_WIDTH-0.08, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
      0.08+LG_CORNER_SPACE
     }
    }
   }
   cylinder {
    <-6.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT>,
    <-6.5*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT-LG_E>,
    LG_KNOB_INNER_RADIUS
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT>
   }
   box {
    <-7.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-7.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-5.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT>
   }
   box {
    <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.3*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.8*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
   }
   difference {
    box {
     <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT>,
     <-7.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
    }
    union {
     object {
      lg_knob_inner_space_clear
      translate <-7*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_INNER_HEIGHT>
     }
     object {
      lg_knob_inner_space_clear
      translate <-6*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_INNER_HEIGHT>
     }
    }
   }
   difference {
    box {
     <-5.3*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
     <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT+0.08>
    }
    union {
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_WALL_WIDTH+LG_E, -2*LG_PLATE_HEIGHT+0.08>,
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+0.08>,
      0.08
     }
     cylinder {
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+0.08>,
      <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH-LG_E, -2*LG_PLATE_HEIGHT+0.08>,
      0.08+LG_CORNER_SPACE
     }
    }
   }
   intersection {
    torus {
     0.08+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    box {
     <0, 0.1, -0.2>,
     <-0.2, -0.2, 0>
    }
    translate <-5.3*LG_BRICK_WIDTH+0.08, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT+0.08>
   }
   intersection {
    torus {
     0.08+LG_CORNER_SPACE,
     LG_CORNER_SPACE
    }
    box {
     <0, 0.1, -0.2>,
     <-0.2, -0.2, 0>
    }
    rotate <90, 0, 0>
    translate <-5.3*LG_BRICK_WIDTH+0.08, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-0.08, LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>,
    <-2.5*LG_BRICK_WIDTH+0.1, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1, 0>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   box {
    <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+0.1, 0>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
   }
   difference {
    box {
     <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>
    }
    box {
     <-6, 2*LG_BRICK_WIDTH+LG_E, 0>,
     <0, 1.5*LG_BRICK_WIDTH, -2>
     rotate <0, -lg_angle2*180/pi, 0>
     translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    }
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <0, 0, 0>,
    <-3*LG_BRICK_WIDTH/cos(lg_angle3), -0.1+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   box {
    <0, LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-3*LG_BRICK_WIDTH/cos(lg_angle3), -0.1+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
   }
   difference {
    box {
     <0, 0, -2*LG_BRICK_HEIGHT>,
     <-3*LG_BRICK_WIDTH/cos(lg_angle3), -LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_TOP_HEIGHT+LG_E>
     rotate <0, 0, -lg_angle3*180/pi>
     translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
    box {
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2, -2>,
     <-6*LG_BRICK_WIDTH, 1, -1.5>
    }
   }
   difference {
    box {
     <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_TOP_HEIGHT>,
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_WALL_WIDTH, -5*LG_PLATE_HEIGHT>
    }
    box {
     <0, 0, -2*LG_BRICK_HEIGHT-LG_E>,
     <-3, 1, -0.8>
     rotate <0, 0, -lg_angle3*180/pi>
     translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>
    }
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <3*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <3*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <0, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_RADIUS-LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   torus {
    LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE,
    LG_CORNER_SPACE
    rotate <90, 0, 0>
    translate <-2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT+LG_KNOB_HEIGHT-LG_CORNER_SPACE>
   }
   intersection {
    box {
     <-2.5, 0, -LG_CORNER_SPACE>,
     <5.5, 2*LG_BRICK_WIDTH*cos(lg_angle3)/cos(lg_angle4), 0.1-LG_CORNER_SPACE>
     rotate <lg_angle4*180/pi, 0, 0>
     rotate <0, 0, -lg_angle3*180/pi>
     translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    box {
     <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE*cos(lg_angle2), LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-sin(lg_angle4)), LG_BRICK_HEIGHT>,
     <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1-sin(lg_angle4)), -2*LG_BRICK_HEIGHT>
    }
   }
   object {
    lg_knob_clear
    translate <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    translate <-4*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    translate <-5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    translate <-7*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
   }
   object {
    lg_knob_clear
    translate <-6*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH/2-0.06, -2*LG_BRICK_HEIGHT>,
    <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, LG_BRICK_WIDTH/2+0.06, -2*LG_BRICK_HEIGHT+LG_TOP_HEIGHT+LG_E>
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE*(1+2*sin(lg_angle3)), -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <-5.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -1.9*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-5.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, 1.9*LG_BRICK_WIDTH-LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <-5.5*LG_BRICK_WIDTH, -1.9*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
 }
 box {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <3.5*LG_BRICK_WIDTH-0.1, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, 0>,
  <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_CORNER_SPACE-LG_E>
 }
 box {
  <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT>,
  <0.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -2*LG_PLATE_HEIGHT>,
  <-1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT>,
  <-2.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE-LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>,
  <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE+LG_E>
 }
 box {
  <-2.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
  <-2.5*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 box {
  <3.5*LG_BRICK_WIDTH, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-0.1, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>
 }
 difference {
  box {
   <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_E, -5*LG_PLATE_HEIGHT>,
   <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_E, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
  }
  union {
   object {
    lg_knob_inner_space_clear
    translate <-3*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-4*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-4*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-5*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
   object {
    lg_knob_inner_space_clear
    translate <-5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>
   }
  }
 }
 difference {
  box {
   <-5.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
   <-5.5*LG_BRICK_WIDTH+0.1, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
  }
  union {
   box {
    <-5.5*LG_BRICK_WIDTH-LG_E, LG_BRICK_WIDTH+LG_CORNER_SPACE, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-4, -LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.5>
   }
   box {
    <-5.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <-4, LG_BRICK_WIDTH/cos(lg_angle1), -LG_BRICK_WIDTH>
    rotate <lg_angle1*180/pi, 0, 0>
    translate <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>
   }
   box {
    <-5.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <-4, -LG_BRICK_WIDTH/cos(lg_angle1), -LG_BRICK_WIDTH>
    rotate <-lg_angle1*180/pi, 0, 0>
    translate <0, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE*(1+2*sin(lg_angle2))>
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-0.08, -2*LG_BRICK_HEIGHT>
    <-5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+0.08>
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+0.08, -2*LG_BRICK_HEIGHT>
    <-5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+0.08>
   }
  }
 }
 difference {
  merge {
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-5.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_E>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH-LG_WALL_WIDTH, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, 1.8*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE-LG_E, -1.8*LG_BRICK_WIDTH, -5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_CORNER_SPACE>,
    <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -LG_BRICK_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -2*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -4*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH, -LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+0.1, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -2*LG_BRICK_HEIGHT>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <3*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2+0.04, -3*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_E, -LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -LG_BRICK_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+0.1, LG_BRICK_WIDTH+0.1, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <1.5*LG_BRICK_WIDTH+0.1, -LG_BRICK_WIDTH-0.1, -LG_CORNER_SPACE>,
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -4*LG_PLATE_HEIGHT>,
    <-2*LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -6*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -2*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>
   }
   box {
    <-1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -4*LG_PLATE_HEIGHT>
   }
   box {
    <-LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -5*LG_PLATE_HEIGHT>,
    <-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -4*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH-LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <1.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_BRICK_WIDTH/2+0.04, -LG_PLATE_HEIGHT>,
    <LG_BRICK_WIDTH+LG_KNOB_INNER_RADIUS, -LG_BRICK_WIDTH/2-0.04, -3*LG_PLATE_HEIGHT>
   }
   box {
    <1.7*LG_BRICK_WIDTH, 3*LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, 3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   box {
    <1.7*LG_BRICK_WIDTH, -3*LG_BRICK_WIDTH/2+0.04, -2*LG_PLATE_HEIGHT>,
    <LG_KNOB_INNER_RADIUS, -3*LG_BRICK_WIDTH/2-0.04, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, -1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, -1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, 1.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <2*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <3*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <3*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, 0>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, -0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, -0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <0, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -2*LG_PLATE_HEIGHT>
   }
   difference {
    merge {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE-LG_E>,
      LG_KNOB_RADIUS-LG_CORNER_SPACE
     }
    }
    union {
     cylinder {
      <0, 0, -LG_BRICK_HEIGHT-LG_E>,
      <0, 0, LG_KNOB_HEIGHT>,
      LG_KNOB_INNER_RADIUS
     }
     cylinder {
      <0, 0, LG_KNOB_HEIGHT+LG_E>,
      <0, 0, LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
      LG_KNOB_INNER_RADIUS+LG_CORNER_SPACE
     }
    }
    translate <-2*LG_BRICK_WIDTH, 0.5*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT>
   }
  }
  union {
   box {
    <-LG_E, -2*LG_BRICK_WIDTH, 0>,
    <6*LG_BRICK_WIDTH/cos(lg_angle2)+LG_E, 2*LG_BRICK_WIDTH, 2*LG_BRICK_HEIGHT>
    rotate <0, lg_angle2*180/pi, 0>
    translate <-2.5*LG_BRICK_WIDTH, 0, -LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <1, 2*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH>
    rotate <-lg_angle1*180/pi, 0, 0>
    translate <0, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-0.5*LG_BRICK_WIDTH-LG_E, 0, 0>,
    <1, -2*LG_BRICK_WIDTH/cos(lg_angle1), 2*LG_BRICK_WIDTH>
    rotate <lg_angle1*180/pi, 0, 0>
    translate <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-2.5, 0, 0>,
    <5.5, -2*LG_BRICK_WIDTH*cos(lg_angle3)/cos(lg_angle4), 2*LG_BRICK_WIDTH>
    rotate <lg_angle4*180/pi, 0, 0>
    rotate <0, 0, lg_angle3*180/pi>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-2.5, 0, 0>,
    <5.5, 2*LG_BRICK_WIDTH*cos(lg_angle3)/cos(lg_angle4), 2*LG_BRICK_WIDTH>
    rotate <-lg_angle4*180/pi, 0, 0>
    rotate <0, 0, -lg_angle3*180/pi>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   matrix <1, 0, 0, 0, 1, 0, 0, 0, -1, 0, 0, -2*LG_BRICK_HEIGHT>
  }
 }
 difference {
  merge {
   box {
    <0, -LG_BRICK_WIDTH-LG_E, 2*LG_E>,
    <6*LG_BRICK_WIDTH/cos(lg_angle2), LG_BRICK_WIDTH+LG_E, 0.12-LG_CORNER_SPACE>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <0, -LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <6*LG_BRICK_WIDTH/cos(lg_angle2), LG_BRICK_WIDTH-LG_CORNER_SPACE, 0.1-2*LG_CORNER_SPACE>
    rotate <0, -lg_angle2*180/pi, 0>
    translate <-2.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   cylinder {
    <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, 0>,
    <-2*LG_BRICK_WIDTH, LG_BRICK_WIDTH/2, -LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <-2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, 0>,
    <-2*LG_BRICK_WIDTH, -LG_BRICK_WIDTH/2, -LG_KNOB_HEIGHT-LG_CORNER_SPACE>,
    LG_KNOB_RADIUS+LG_E
   }
  }
 }
 object {
  lg_plate_cylinder_clear
  translate <-3.5*LG_BRICK_WIDTH, 0, -2*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_cylinder_clear
  translate <-4.5*LG_BRICK_WIDTH, 0, -2*LG_BRICK_HEIGHT>
 }
 matrix <-1, 0, 0, 0, 1, 0, 0, 0, 1, -5.5*LG_BRICK_WIDTH, 0, 0>
}

#end
