/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6061: Brick 2 x 4 x 2 with Holes on Sides                                */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6061)
#else
#declare lg_6061 = 
union {
 #declare ROT = 0
 #while (ROT < 2)
  union {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 difference {
  box {
   <-LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_E>,
   <LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_E>
  }
  union {
   cylinder {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS+LG_E
   }
  }
 }
 difference {
  union {
   box {
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
  }
  box {
   <LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
   <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT-LG_E>
  }
 }
 difference {
  union {
   object {
    lg_brick_cylinder
    translate <0, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_cylinder
    translate <0, 0, -2*LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_cylinder
    translate <0, -LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
  }
  box {
   <LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_PLATE_HEIGHT-LG_E>,
   <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>
  }
 }
 #declare CYL_X = -1.5
 #while (CYL_X < 2)
  object {
   lg_tech_knob
   translate <-LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_tech_knob
   translate <LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH, 0>
  }
  #declare CYL_X = CYL_X + 1
 #end
 #declare COL_X = -1
 #while ( COL_X < 2 )
  difference {
   union {
    box {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
    box {
     <-LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_CYLINDER_RADIUS-LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_CYLINDER_RADIUS
    }
   }
   union {
    cylinder {
     <-LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_KNOB_RADIUS
    }
    cylinder {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH+LG_E, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <-LG_BRICK_WIDTH-LG_E, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
   }
  }
  torus {
   LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  torus {
   LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  torus {
   LG_KNOB_RADIUS+LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  torus {
   LG_KNOB_RADIUS+LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  intersection {
   union {
    #declare ROT = 0
    #while (ROT < 4)
     union {
      cylinder {
       <0.3, LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08>,
       <-0.3, LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08>,
       0.08
      }
      box {
       <0.3, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
       <-0.3, LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2>
      }
      box {
       <0.3, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
       <-0.3, LG_CROSSAXLE_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08>
      }
      rotate <90*ROT, 0, 0> 
     }
     #declare ROT = ROT + 1
    #end
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 0, 0>,
    <-LG_BRICK_WIDTH/2, 0, 0>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
   translate <0, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  #declare COL_X = COL_X + 1
 #end
}

#declare lg_6061_clear = 
merge {
 #declare ROT = 0
 #while (ROT < 2)
  merge {
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE+LG_E, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
   }
   box {
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_CORNER_SPACE>,
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -4*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_CORNER_SPACE-LG_E>
   }
   #if (ROT = 1)
    rotate <0, 0, 180>
   #end
  }
  #declare ROT = ROT + 1
 #end
 box {
  <-LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH>,
  <LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0>
 }
 difference {
  box {
   <-LG_WALL_WIDTH/2, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_E>,
   <LG_WALL_WIDTH/2, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_E>
  }
  union {
   cylinder {
    <LG_WALL_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, 0, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS+LG_E
   }
   cylinder {
    <LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    <-LG_WALL_WIDTH, -LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
    LG_KNOB_RADIUS+LG_E
   }
  }
 }
 difference {
  merge {
   box {
    <LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -4.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
   }
   box {
    <LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT>,
    <-LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_HEIGHT>
   }
  }
  box {
   <LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
   <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_HEIGHT-LG_E>
  }
 }
 difference {
  union {
   object {
    lg_brick_cylinder_clear
    translate <0, LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_cylinder_clear
    translate <0, 0, -2*LG_BRICK_HEIGHT>
   }
   object {
    lg_brick_cylinder_clear
    translate <0, -LG_BRICK_WIDTH, -2*LG_BRICK_HEIGHT>
   }
  }
  box {
   <LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -4.5*LG_PLATE_HEIGHT-LG_E>,
   <-LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -LG_BRICK_HEIGHT-LG_E>
  }
 }
 #declare CYL_X = -1.5
 #while (CYL_X < 2)
  object {
   lg_tech_knob_clear
   translate <-LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH, 0>
  }
  object {
   lg_tech_knob_clear
   translate <LG_BRICK_WIDTH/2, CYL_X*LG_BRICK_WIDTH, 0>
  }
  #declare CYL_X = CYL_X + 1
 #end
 #declare COL_X = -1
 #while ( COL_X < 2 )
  difference {
   merge {
    box {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
    box {
     <-LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH-LG_WALL_WIDTH/2+LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE+LG_E>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH+LG_WALL_WIDTH/2-LG_CORNER_SPACE, -4.5*LG_PLATE_HEIGHT-LG_WALL_WIDTH-LG_E>,
     LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_CYLINDER_RADIUS-LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_CYLINDER_RADIUS
    }
   }
   union {
    cylinder {
     <-LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_KNOB_RADIUS
    }
    cylinder {
     <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <LG_BRICK_WIDTH+LG_E, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
    cylinder {
     <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     <-LG_BRICK_WIDTH-LG_E, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>,
     LG_KNOB_RADIUS+LG_CORNER_SPACE
    }
   }
  }
  torus {
   LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  torus {
   LG_CYLINDER_RADIUS-LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  torus {
   LG_KNOB_RADIUS+LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <LG_BRICK_WIDTH-LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  torus {
   LG_KNOB_RADIUS+LG_CORNER_SPACE,
   LG_CORNER_SPACE
   rotate <0, 0, 90>
   translate <-LG_BRICK_WIDTH+LG_CORNER_SPACE, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  intersection {
   merge {
    #declare ROT = 0
    #while (ROT < 4)
     merge {
      cylinder {
       <0.3, LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08>,
       <-0.3, LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2+0.08>,
       0.08
      }
      box {
       <0.3, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
       <-0.3, LG_CROSSAXLE_WIDTH/2+0.08, LG_CROSSAXLE_WIDTH/2>
      }
      box {
       <0.3, LG_BRICK_WIDTH/2, LG_BRICK_WIDTH/2>,
       <-0.3, LG_CROSSAXLE_WIDTH/2, LG_CROSSAXLE_WIDTH/2+0.08>
      }
      rotate <90*ROT, 0, 0> 
     }
     #declare ROT = ROT + 1
    #end
   }
   cylinder {
    <LG_BRICK_WIDTH/2, 0, 0>,
    <-LG_BRICK_WIDTH/2, 0, 0>,
    LG_KNOB_RADIUS+LG_CORNER_SPACE
   }
   translate <0, COL_X*LG_BRICK_WIDTH, -LG_BRICK_WIDTH>
  }
  #declare COL_X = COL_X + 1
 #end
}

#end





