/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lg_6159: Window 4 x 4 x 3 Roof                                              */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_6159)
#else
#declare lg_angle=atan2(8.5*LG_PLATE_HEIGHT,3*LG_BRICK_WIDTH)
#declare lg_6159 =
union {
 #declare MIR = 0
 #while (MIR < 2)
  union {
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25, -8*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <-3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 object {
  lg_plate_column
  translate <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <3*LG_BRICK_WIDTH, 0, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column
  translate <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 difference {
  union {
   box {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -9*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_E>
   }
   box {
    <0, 2*LG_BRICK_WIDTH, 0>,
    <LG_WALL_WIDTH, -2*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 union {
  box {
   <-LG_E, 2*LG_BRICK_WIDTH-0.2, 0>,
   <LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, 0.4-LG_CORNER_SPACE>
  }
  box {
   <0, 2*LG_BRICK_WIDTH-0.2, 0.1>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, 0.4>
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, 0.4-LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, 0.4-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 union {
  box {
   <-LG_E, 2*LG_BRICK_WIDTH-0.2, 0>,
   <LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>
  }
  box {
   <0, 2*LG_BRICK_WIDTH-0.2, 0>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25>
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, -0.25+LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 union {
  box {
   <-LG_E, 2*LG_BRICK_WIDTH-0.2, -LG_CORNER_SPACE>,
   <LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>
  }
  box {
   <0, 2*LG_BRICK_WIDTH-0.2, 0>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25>
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, -0.25+LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, -LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <0.5*LG_BRICK_WIDTH+1.2*cos(lg_angle)/sin(lg_angle)-LG_CORNER_SPACE, 0, -1.2-LG_CORNER_SPACE>
 }
 difference {
  box {
   <0.14, 2*LG_BRICK_WIDTH-0.15, LG_WALL_WIDTH>,
   <0, -2*LG_BRICK_WIDTH+0.15, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
   rotate <0, -90+lg_angle*180/pi, 0>
   translate <0.1, 0, -LG_WALL_WIDTH>
  }
  union {
   box {
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>,
    <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH, LG_WALL_WIDTH>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT+LG_E>,
    <2.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH, -9*LG_PLATE_HEIGHT>
   }
  }
  texture { lg_clear_cyan }
 }
}

#declare lg_6159_clear =
merge {
 #declare MIR = 0
 #while (MIR < 2)
  merge {
   sphere {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   sphere {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   cylinder {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
    LG_CORNER_SPACE
   }
   object {
    lg_tech_knob_clear
    translate <0, 1.5*LG_BRICK_WIDTH, 0>
   }
   object {
    lg_tech_knob_clear
    translate <0, 0.5*LG_BRICK_WIDTH, 0>
   }
   box {
    <LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
   }
   box {
    <-LG_E, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   box {
    <0, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
    <-LG_WALL_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.25, -8*LG_PLATE_HEIGHT/sin(lg_angle)>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
   }
   difference {
    box {
     <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH, -LG_CORNER_SPACE>,
     <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-0.1, -3*LG_BRICK_HEIGHT+LG_CORNER_SPACE>
    }
    union {
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <-3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 0, -LG_WALL_WIDTH+LG_CORNER_SPACE>
     }
     box {
      <0, 2*LG_BRICK_WIDTH+LG_E, 0>,
      <3*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH-LG_E, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
      rotate <0, -90+lg_angle*180/pi, 0>
      translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
     }
    }
   }
   #if (MIR = 1)
    matrix <1, 0, 0, 0, -1, 0, 0, 0, 1, 0, 0, 0>
   #end
  }
  #declare MIR = MIR + 1
 #end
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH+LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 cylinder {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_CORNER_SPACE>,
  LG_CORNER_SPACE
 }
 box {
  <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0>,
  <-0.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -LG_WALL_WIDTH>
 }
 object {
  lg_plate_column_clear
  translate <3*LG_BRICK_WIDTH, LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <3*LG_BRICK_WIDTH, 0, -3*LG_BRICK_HEIGHT>
 }
 object {
  lg_plate_column_clear
  translate <3*LG_BRICK_WIDTH, -LG_BRICK_WIDTH, -3*LG_BRICK_HEIGHT>
 }
 difference {
  merge {
   box {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT>,
    <2.5*LG_BRICK_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <2.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -9*LG_PLATE_HEIGHT+LG_CORNER_SPACE>
   }
  }
  union {
   box {
    <3.5*LG_BRICK_WIDTH-LG_WALL_WIDTH, 2*LG_BRICK_WIDTH-LG_WALL_WIDTH, -8*LG_PLATE_HEIGHT-LG_TOP_HEIGHT>,
    <2.5*LG_BRICK_WIDTH+LG_WALL_WIDTH, -2*LG_BRICK_WIDTH+LG_WALL_WIDTH, -9*LG_PLATE_HEIGHT-LG_E>
   }
   box {
    <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 2*LG_BRICK_WIDTH-LG_CORNER_SPACE, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>,
    <3.5*LG_BRICK_WIDTH+LG_E, -2*LG_BRICK_WIDTH+LG_CORNER_SPACE, -8*LG_PLATE_HEIGHT+LG_E>
   }
   box {
    <0, 2*LG_BRICK_WIDTH, 0>,
    <LG_WALL_WIDTH, -2*LG_BRICK_WIDTH, LG_PLATE_HEIGHT>
    rotate <0, -90+lg_angle*180/pi, 0>
    translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
   }
  }
 }
 merge {
  box {
   <-LG_E, 2*LG_BRICK_WIDTH-0.2, 0>,
   <LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, 0.4-LG_CORNER_SPACE>
  }
  box {
   <0, 2*LG_BRICK_WIDTH-0.2, 0.1>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, 0.4>
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, 0.4-LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, 0.4-LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <3.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -8.5*LG_PLATE_HEIGHT-LG_CORNER_SPACE>
 }
 merge {
  box {
   <-LG_E, 2*LG_BRICK_WIDTH-0.2, 0>,
   <LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>
  }
  box {
   <0, 2*LG_BRICK_WIDTH-0.2, 0>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25>
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, -0.25+LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <0.5*LG_BRICK_WIDTH-LG_CORNER_SPACE, 0, -LG_CORNER_SPACE>
 }
 merge {
  box {
   <-LG_E, 2*LG_BRICK_WIDTH-0.2, -LG_CORNER_SPACE>,
   <LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>
  }
  box {
   <0, 2*LG_BRICK_WIDTH-0.2, 0>,
   <-LG_WALL_WIDTH+LG_CORNER_SPACE, -2*LG_BRICK_WIDTH+0.2, -0.25>
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, -0.25+LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, -0.25+LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  cylinder {
   <0, 2*LG_BRICK_WIDTH-0.2, -LG_CORNER_SPACE>,
   <0, -2*LG_BRICK_WIDTH+0.2, -LG_CORNER_SPACE>,
   LG_CORNER_SPACE
  }
  rotate <0, -90+lg_angle*180/pi, 0>
  translate <0.5*LG_BRICK_WIDTH+1.2*cos(lg_angle)/sin(lg_angle)-LG_CORNER_SPACE, 0, -1.2-LG_CORNER_SPACE>
 }
 difference {
  box {
   <0.14, 2*LG_BRICK_WIDTH-0.15, LG_WALL_WIDTH>,
   <0, -2*LG_BRICK_WIDTH+0.15, -8.5*LG_PLATE_HEIGHT/sin(lg_angle)>
   rotate <0, -90+lg_angle*180/pi, 0>
   translate <0.1, 0, -LG_WALL_WIDTH>
  }
  union {
   box {
    <LG_BRICK_WIDTH/2, 2*LG_BRICK_WIDTH, -LG_WALL_WIDTH-LG_E>,
    <-LG_BRICK_WIDTH/2, -2*LG_BRICK_WIDTH, LG_WALL_WIDTH>
   }
   box {
    <3.5*LG_BRICK_WIDTH, 2*LG_BRICK_WIDTH, -8*LG_PLATE_HEIGHT+LG_E>,
    <2.5*LG_BRICK_WIDTH, -2*LG_BRICK_WIDTH, -9*LG_PLATE_HEIGHT>
   }
  }
  texture { lg_clear_cyan }
 }
}

#end
