/*******************************************************************************/
/*                                                                             */
/* LGEO Libray Include File     (C) Chaot!X@weird.cologne.de (Lutz Uhlmann)    */
/*                                                                             */
/* This file is in no way related to the LEGO(tm) Group.                       */
/* It is provided for private non-commercial use only.                         */
/*                                                                             */
/* lp_0010: Train Gates Crossing Pattern for lg_0649                           */
/*                                                                             */ 
/*******************************************************************************/
#ifdef(lg_0649p01)
#else
#declare lg_0649p01 =
union {
 difference {
  box {
   <0.0601, -0.9*LG_BRICK_WIDTH, 2.92>,
   <0.0599, 0.9*LG_BRICK_WIDTH, 2.72+LG_CORNER_SPACE>
  }
  union {
   box {
    <0.06+LG_E, 0.2, 0.08-LG_CORNER_SPACE>,
    <-0.06-LG_E, -2*LG_BRICK_WIDTH, 1>
    rotate <-60, 0, 0>
    translate <0, 0.9*LG_BRICK_WIDTH, 2.8>
   }
   box {
    <0.06+LG_E, -0.2, 0.08-LG_CORNER_SPACE>,
    <-0.06-LG_E, 2*LG_BRICK_WIDTH, 1>
    rotate <60, 0, 0>
    translate <0, -0.9*LG_BRICK_WIDTH, 2.8>
   }
  }
 }
 difference {
  box {
   <0.0601, 0, 0.08-LG_CORNER_SPACE>,
   <0.0599, -1.8*LG_BRICK_WIDTH, -0.12>
   rotate <-60, 0, 0>
   translate <0, 0.9*LG_BRICK_WIDTH, 2.8>
  }
  union {
   box {
    <0.06+LG_E, -0.9*LG_BRICK_WIDTH, 2>,
    <0.0, 0.9*LG_BRICK_WIDTH, 2.72+LG_CORNER_SPACE>
   }
   box {
    <0.06+LG_E, 0, 4.2>,
    <0, -0.3, 3>
   }
  }
 }
 difference {
  box {
   <0.0601, 0, 0.08-LG_CORNER_SPACE>,
   <0.0599, 1.8*LG_BRICK_WIDTH, -0.12>
   rotate <60, 0, 0>
   translate <0, -0.9*LG_BRICK_WIDTH, 2.8>
  }
  union {
   box {
    <0.06+LG_E, -0.9*LG_BRICK_WIDTH, 2>,
    <0.0, 0.9*LG_BRICK_WIDTH, 2.72+LG_CORNER_SPACE>
   }
   box {
    <0.06+LG_E, 0, 4.2>,
    <0, 0.3, 3>
   }
  }
 }
 cylinder {
  <0.0601, 0, 2.8+1.44*cos(pi/6)>,
  <0.0599, 0, 2.8+1.44*cos(pi/6)>,
  0.08-LG_CORNER_SPACE
 }
 cylinder {
  <0.0601, 0.9*LG_BRICK_WIDTH, 2.8>,
  <0.0599, 0.9*LG_BRICK_WIDTH, 2.8>,
  0.08-LG_CORNER_SPACE
 }
 cylinder {
  <0.0601, -0.9*LG_BRICK_WIDTH, 2.8>,
  <0.0599, -0.9*LG_BRICK_WIDTH, 2.8>,
  0.08-LG_CORNER_SPACE
 }
 union {
  #declare LINE_X=-0.24
  #while (LINE_X<0.3)
   box {
    <0.0601, LINE_X+0.025, 2.96>,
    <0.0599, LINE_X-0.025, 3.3>
   }
   box {
    <0.0601, 0.025/sqrt(2), 0.025/sqrt(2)>,
    <0.0599, -0.025/sqrt(2), -0.025/sqrt(2)>
    rotate <45, 0, 0>
    translate <0, LINE_X, 3.3>
   }
   #declare LINE_X = LINE_X + 0.12
  #end
  box {
   <0.0601, 0.3, 2.98>,
   <0.0599, -0.3, 3.03>
  }
  box {
   <0.0601, 0.3, 3.22>,
   <0.0599, -0.3, 3.27>
  }
  texture {lg_black}
  translate <0, 0, -0.03>
 }
 texture {lg_red}
}

#end
